      SUBROUTINE DATX(N,DA,DX,INCX,DY,INCY)
C
C       dy := da*dx
C
C     .. Scalar Arguments ..
      REAL DA
      INTEGER         INCX, INCY, N
C     .. Array Arguments ..
      REAL DX(*), DY(*)
C     .. Local Scalars ..
      INTEGER         I, IX, IY, M, MP1
C     .. Intrinsic Functions ..
      INTRINSIC       MOD
C     .. Executable Statements ..
      IF (N.LE.0) RETURN
      IF (DA.EQ.0.0E0) RETURN
      IF (INCX.EQ.1 .AND. INCY.EQ.1) GO TO 40
C
C       unequal increments or equal increments .ne. one
C
      IX = 1
      IY = 1
      IF (INCX.LT.0) IX = (-N+1)*INCX + 1
      IF (INCY.LT.0) IY = (-N+1)*INCY + 1
      DO 20 I = 1, N
         DY(IY) = DA*DX(IX)
         IX = IX + INCX
         IY = IY + INCY
   20 CONTINUE
      RETURN
C
C       code for both increments equal to 1
C
   40 M = MOD(N,4)
      IF (M.EQ.0) GO TO 80
      DO 60 I = 1, M
         DY(I) = DA*DX(I)
   60 CONTINUE
      IF (N.LT.4) RETURN
   80 MP1 = M + 1
      DO 100 I = MP1, N, 4
         DY(I) = DA*DX(I)
         DY(I+1) = DA*DX(I+1)
         DY(I+2) = DA*DX(I+2)
         DY(I+3) = DA*DX(I+3)
  100 CONTINUE
      RETURN
      END
