      SUBROUTINE PRANGL(J,OUNIT,RNM,TOL,EPS,RATIOQ,RATIOR,COSQR)
C
C     .. Parameters ..
      INTEGER           MAXSTP
      PARAMETER         (MAXSTP=301)
C     .. Scalar Arguments ..
      REAL  EPS, RATIOQ, RATIOR, RNM, TOL
      INTEGER           J, OUNIT
C     .. Array Arguments ..
      REAL  COSQR(J)
C     .. Local Scalars ..
      INTEGER           I, K
      CHARACTER*36      DIGIT
      CHARACTER*(MAXSTP) LINE
C     .. Intrinsic Functions ..
      INTRINSIC         ABS, LOG10, NINT
C     .. Data statements ..
      DATA              DIGIT/'0123456789abcdefghijklmnopqrstuvwxyz'/
C     .. Executable Statements ..
C
      IF (J.LE.0) RETURN
      DO 20 I = 1, J
         IF (COSQR(I).EQ.0.0E0) THEN
            LINE(I:I) = '='
         ELSE
            K = NINT(LOG10(ABS(COSQR(I)/EPS))) + 1
            IF (K.LE.0) THEN
               LINE(I:I) = '-'
            ELSE IF (K.GT.36) THEN
               LINE(I:I) = '*'
            ELSE
               LINE(I:I) = DIGIT(K:K)
            END IF
         END IF
   20 CONTINUE
      IF (J.LE.80) THEN
c        WRITE (OUNIT,FMT='(1X,A)') LINE(1:J)
      ELSE IF (J.GT.80 .AND. J.LE.160) THEN
c        WRITE (OUNIT,FMT='(1X,A)') LINE(1:80)
c        WRITE (OUNIT,FMT='(1X,A)') LINE(81:J)
      ELSE IF (J.GT.160 .AND. J.LE.240) THEN
c        WRITE (OUNIT,FMT='(1X,A)') LINE(1:80)
c        WRITE (OUNIT,FMT='(1X,A)') LINE(81:160)
c        WRITE (OUNIT,FMT='(1X,A)') LINE(161:J)
      ELSE
c        WRITE (OUNIT,FMT='(1X,A)') LINE(1:80)
c        WRITE (OUNIT,FMT='(1X,A)') LINE(81:160)
c        WRITE (OUNIT,FMT='(1X,A)') LINE(161:240)
c        WRITE (OUNIT,FMT='(1X,A)') LINE(241:J)
      END IF
      IF (RNM.GE.0.0E0) THEN
         IF (RNM.GT.TOL) THEN
            WRITE (OUNIT,FMT=99999) RATIOQ, RATIOR, RNM
         ELSE
            WRITE (OUNIT,FMT=99999) RATIOQ, RATIOR, RNM, TOL
         END IF
      END IF
      RETURN
C
99999 FORMAT (1X,1P,'(',D9.2,',',D9.2,')after PRO... new RNM =',D11.3,
     *       :' TOL =',D11.3)
      END
