INTERFACE
SUBROUTINE ARO_CONV_MNH(&
& KIDIA,KFDIA,&
& KLON,KLEV,&
& LDEEP,LSHALLOW,LDIAGCONV,&
& LSETTADJ,PTADJD,PTADJS,PDTCONV,&
& KSETENS,KICE,LREFRESH_ALL,LDOWN,PDXDY,&
& PAPRSF,PZZF,&
& PT,PRV,PRC,PRI,PRHOREF,&
& PU,PV,PW,&
& PTTEN,PRVTEN,PRCTEN,PRITEN,&
& PMF,&
& PPRTEN, PPRSTEN,&
& PPRLFLX,PPRSFLX,&
& PUMF,PDMF,&
& PCAPE,&
& KCLTOP,KCLBAS) 

USE PARKIND1  ,ONLY : JPIM     ,JPRB

LOGICAL, INTENT(IN) :: LDEEP, LSHALLOW, LDIAGCONV
LOGICAL, INTENT(IN) :: LSETTADJ, LREFRESH_ALL, LDOWN
INTEGER(KIND=JPIM), INTENT(IN) :: KIDIA, KFDIA, KLON, KLEV, KSETENS, KICE
REAL(KIND=JPRB), DIMENSION(KLON,KLEV+2), INTENT(IN) :: PAPRSF, PZZF
REAL(KIND=JPRB), DIMENSION(KLON,KLEV+2), INTENT(IN) :: PT, PRV, PRC, PRI, PRHOREF
REAL(KIND=JPRB), DIMENSION(KLON,KLEV+2), INTENT(IN) :: PU, PV, PW
REAL(KIND=JPRB), INTENT(IN) :: PTADJD,PTADJS,PDTCONV
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PDXDY
REAL(KIND=JPRB), DIMENSION(KLON,KLEV+2), INTENT(OUT) :: PTTEN, PRVTEN, PRCTEN, PRITEN
REAL(KIND=JPRB), DIMENSION(KLON,KLEV+2), INTENT(OUT) :: PMF
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PPRTEN, PPRSTEN
REAL(KIND=JPRB), DIMENSION(KLON,KLEV+2), INTENT(OUT) :: PPRLFLX, PPRSFLX, PUMF, PDMF
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PCAPE
INTEGER(KIND=JPIM), DIMENSION(KLON) :: KCLTOP,KCLBAS
END SUBROUTINE ARO_CONV_MNH
END INTERFACE
