INTERFACE
 SUBROUTINE ARO_GROUND_PARAM( KBL, KGPCOMP, LD_NBLOCKTOT, &
 & KLON, KST, KEND, KRR, KSW, KSV,LD_MPA, CCOUPLING,&
 & KINDAT, PNSSSSS, PSOVR, PCOSDEL, PSINDEL,&
 & PUM, PVM, PTM,&
 & PQVM, PSVM, PCCO2, PRHODREF,&
 & PPABSM, PSURF,PTSTEP, PZZ, PZS, PMU0, PLON, PGEMU, PSW_BANDS,&
 & PINPRR, PINPRS, PINPRG,&
 & PFRTHDS, PFRSOSCDS,PFRSODIDS,&
 & PCFAQ,PCFATH,PCFAU,PCFBQ,PCFBTH,PCFBU,PCFBV,&
 & PSFTH, PSFRV, PSFSV, PSFCO2, PSFU, PSFV,&
 & PDIR_ALB, PSCA_ALB, PEMIS, PTSRAD ) 
USE PARKIND1  ,ONLY : JPIM     ,JPRB
LOGICAL,            INTENT(IN):: LD_NBLOCKTOT
INTEGER(KIND=JPIM), INTENT(IN):: KBL
INTEGER(KIND=JPIM), INTENT(IN):: KGPCOMP
INTEGER(KIND=JPIM), INTENT(IN):: KLON
INTEGER(KIND=JPIM), INTENT(IN):: KST
INTEGER(KIND=JPIM), INTENT(IN):: KEND
INTEGER(KIND=JPIM), INTENT(IN):: KRR
INTEGER(KIND=JPIM), INTENT(IN):: KSW
INTEGER(KIND=JPIM), INTENT(IN):: KSV
LOGICAL           , INTENT(IN):: LD_MPA
CHARACTER(LEN=1)  , INTENT(IN):: CCOUPLING
INTEGER(KIND=JPIM), INTENT(IN):: KINDAT
REAL(KIND=JPRB), INTENT(IN):: PNSSSSS
REAL(KIND=JPRB), INTENT(IN):: PSOVR
REAL(KIND=JPRB), INTENT(IN) :: PSINDEL
REAL(KIND=JPRB), INTENT(IN) :: PCOSDEL
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN):: PUM,PVM
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN):: PTM
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN):: PPABSM
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN):: PSURF
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN):: PQVM
REAL(KIND=JPRB), DIMENSION(KLON,1,KSV), INTENT(IN):: PSVM
REAL(KIND=JPRB), INTENT(IN) :: PCCO2
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PRHODREF
REAL(KIND=JPRB), INTENT(IN) :: PTSTEP
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PLON
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PGEMU
REAL(KIND=JPRB), DIMENSION(KSW), INTENT(IN) :: PSW_BANDS
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PMU0
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PZS
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PZZ
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PINPRR
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PINPRS
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PINPRG
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(OUT) :: PSFTH
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(OUT) :: PSFRV
REAL(KIND=JPRB), DIMENSION(KLON,1,KSV),INTENT(OUT):: PSFSV
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(OUT) :: PSFCO2
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(OUT) :: PSFU
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(OUT) :: PSFV
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PFRTHDS
REAL(KIND=JPRB), DIMENSION(KLON,1,KSW), INTENT(IN) :: PFRSOSCDS
REAL(KIND=JPRB), DIMENSION(KLON,1,KSW), INTENT(IN) :: PFRSODIDS
REAL(KIND=JPRB), DIMENSION(KLON,1,KSW), INTENT(OUT) :: PDIR_ALB
REAL(KIND=JPRB), DIMENSION(KLON,1,KSW), INTENT(OUT) :: PSCA_ALB
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(OUT) :: PEMIS
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(OUT) :: PTSRAD
REAL(KIND=JPRB), DIMENSION(KLON,1),   INTENT(IN):: PCFAQ
REAL(KIND=JPRB), DIMENSION(KLON,1),   INTENT(IN):: PCFATH
REAL(KIND=JPRB), DIMENSION(KLON,1),   INTENT(IN):: PCFAU
REAL(KIND=JPRB), DIMENSION(KLON,1),   INTENT(IN):: PCFBQ
REAL(KIND=JPRB), DIMENSION(KLON,1),   INTENT(IN):: PCFBTH
REAL(KIND=JPRB), DIMENSION(KLON,1),   INTENT(IN):: PCFBU
REAL(KIND=JPRB), DIMENSION(KLON,1),   INTENT(IN):: PCFBV
END SUBROUTINE ARO_GROUND_PARAM
END INTERFACE
