INTERFACE
 SUBROUTINE ARO_TURB_MNH( KLON,KLEV, KRR, KRRL, KRRI,NSV,&
 & KTCOUNT, PTSTEP,&
 & PZZ, PZZF,&
 & PRHODJ, PTHVREF,PRHODREF,HINST_SFU,&
 & PSFTH,PSFRV,PSFSV,PSFU,PSFV,&
 & PPABSM,PUM,PVM,PWM,PTKEM,PEPSM,PSVM,PSRCM,&
 & PUT,PVT,PWT, PTHM,PRM,&
 & PRUS,PRVS,PRWS,PRTHS,PRRS,PRSVS,PRTKES,PREPSS,&
 & PSIGS,OSUBG_COND,PFLXZTHVMF ) 
USE PARKIND1  ,ONLY : JPIM     ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: KLON
INTEGER(KIND=JPIM), INTENT(IN) :: KLEV
INTEGER(KIND=JPIM), INTENT(IN) :: KRR
INTEGER(KIND=JPIM), INTENT(IN) :: KRRL
INTEGER(KIND=JPIM), INTENT(IN) :: KRRI
INTEGER(KIND=JPIM), INTENT(IN) :: NSV
INTEGER(KIND=JPIM), INTENT(IN) :: KTCOUNT
REAL(KIND=JPRB), INTENT(IN) :: PTSTEP
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PZZ
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PZZF
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PRHODJ
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PTHVREF
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PRHODREF
CHARACTER*1 , INTENT(IN) :: HINST_SFU
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PSFTH,PSFRV
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(IN) :: PSFU,PSFV
REAL(KIND=JPRB), DIMENSION(KLON,1,NSV), INTENT(IN) :: PSFSV
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PPABSM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PUM,PVM,PWM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PTKEM
REAL(KIND=JPRB), DIMENSION(0,0,0), INTENT(IN) :: PEPSM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2,NSV), INTENT(IN) :: PSVM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PSRCM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PUT,PVT,PWT
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(INOUT) :: PTHM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2,KRR), INTENT(INOUT) :: PRM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(INOUT) :: PRUS,PRVS,PRWS,PRTHS,PRTKES
REAL(KIND=JPRB), DIMENSION(0,0,0) , INTENT(INOUT) ::PREPSS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2,KRR), INTENT(INOUT) :: PRRS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2,NSV), INTENT(INOUT) :: PRSVS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(OUT) :: PSIGS
LOGICAL , INTENT(IN) :: OSUBG_COND
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PFLXZTHVMF
END SUBROUTINE ARO_TURB_MNH
END INTERFACE
