MODULE CPLNG

    USE CPLNG_DATA_MOD
    USE CPLNG_INIT_MOD
    USE CPLNG_CONFIG_MOD
    USE CPLNG_EXCHANGE_MOD
    USE CPLNG_PREPARE_CHEM_MOD
    USE CPLNG_FINALIZE_MOD

    IMPLICIT NONE

    PRIVATE

    PUBLIC CPLNG_FLD_TYPE
    PUBLIC CPLNG_FLD
    PUBLIC CPLNG_IDX

    PUBLIC CPLNG_STAGE_IGNORE
    PUBLIC CPLNG_STAGE_SND_OCE
    PUBLIC CPLNG_STAGE_RCV_OCE
    PUBLIC CPLNG_STAGE_SND_CHE
    PUBLIC CPLNG_STAGE_RCV_CHE
    PUBLIC CPLNG_STAGE_SND_VEG
    PUBLIC CPLNG_STAGE_RCV_VEG
    PUBLIC CPLNG_STAGE_RCV_AMIP

    PUBLIC LEV_IDX_TM5
    PUBLIC LEV_IDX_MIN
    PUBLIC LEV_IDX_MAX
    PUBLIC NLEV_TM5
    PUBLIC NLEV_TM5_AER

    PUBLIC CPLNG_INIT
    PUBLIC CPLNG_CONFIG
    PUBLIC CPLNG_EXCHANGE
    PUBLIC CPLNG_PREPARE_CHE
    PUBLIC CPLNG_FINALIZE

END MODULE CPLNG
