SUBROUTINE PRIMDDH (KMA,KDLO,KLOI,KLOF,KLA,CDTIT,KULOUT)
!****

!     IMPRESSION D'UN MASQUE ENTIER, D'UN TABLEAU ENTIER
!     MISE AU POINT DDH
!     ------------------------------------------------------------------

!                               A.JOLY, 23/3/90

!     KMA(KDLO,KLA) : MASQUE A IMPRIMER
!      *** CETTE VERSION DE MISE AU POINT ADMET
!         - L IMPRESSION DE 40 PSEUDO-LONGITUDES AU PLUS
!         - L IMPRESSION DE VALEURS ENTRE 0 ET 99
!      ***
!     KLOI, KLOF : LONGITUDES DEBUT ET FIN
!     CDTIT : TITRE D IMPRESSION
!     KULOUT : UNITE LISTING

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KDLO 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLA 
INTEGER(KIND=JPIM),INTENT(IN)    :: KMA(KDLO,KLA) 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLOI 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLOF 
CHARACTER(LEN=*)  ,INTENT(IN)    :: CDTIT 
INTEGER(KIND=JPIM),INTENT(IN)    :: KULOUT 
INTEGER(KIND=JPIM) :: JLA, JLO
REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('PRIMDDH',0,ZHOOK_HANDLE)
WRITE (KULOUT,'(''1'')')
WRITE (KULOUT,*) ' DDH * DDH * DDH * DDH * DDH *'
WRITE (KULOUT,*) ' '
WRITE (KULOUT,*) CDTIT
WRITE (KULOUT,*) ' '

DO JLA = 1, KLA
  WRITE (KULOUT,500) (KMA(JLO,JLA),JLO=KLOI,MIN(KLOF,40))
  500 FORMAT (T5,40(I2,1X))
ENDDO

WRITE (KULOUT,'(//,T5,50(''-''))')

IF (LHOOK) CALL DR_HOOK('PRIMDDH',1,ZHOOK_HANDLE)
END SUBROUTINE PRIMDDH

