INTERFACE
SUBROUTINE ACCOEFK ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPHI,PAPHIF,PAPRS,PAPRSF,PCP,PDELP,PLSCPE,PQ,PQL,PQI,PQSAT,&
 & PR,PT,PU,PV,PFPLSH,PFPLCH,PLMU,PLMT,&
 & PGZ0, PGZ0H, PBLH,&
 & PKTROV,PKUROV,PKNROV,PNBVNO,PXTROV,PXUROV,PXPTKEROV,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSCPE (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSAT (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSH (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCH (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLMU (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLMT (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0 (KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0H (KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBLH (KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKTROV (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKUROV (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKNROV (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNBVNO (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXTROV (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXUROV (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXPTKEROV(KLON,0:KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACCOEFK
END INTERFACE
