INTERFACE
SUBROUTINE ACRADCOEF ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPRS,PAPRSF,PDELP,PNEB,PQ,PQCO2,PQICE,PQLI,&
 & PQO3,PT,&
 & PMU0,PDHSF,PEMIS,&
 & PDAER,&
 & POMPAC,PAC,PCOR,&
 & PRAB3C,PRAB3N,PRAB4C,PRAB4N,PRAB6C,PRAB6N,&
 & PRAT1C,PRAT1N,PRAT2C,PRAT2N,PRAT3C,PRAT3N,&
 & PRAT4C,PRAT4N,PRAT5C,PRAT5N,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEB(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCO2(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQICE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQO3(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHSF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDAER(KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: POMPAC(KLON,0:KLEV,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAC(KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB3C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB3N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB4C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB4N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB6C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB6N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT1C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT1N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT2C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT2N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT3C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT3N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT4C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT4N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT5C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT5N(KLON,KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACRADCOEF
END INTERFACE
