INTERFACE
SUBROUTINE AER_PHY3&
 & ( KIDIA , KFDIA , KLON , KTDIA , KLEV , KSTART, KSTEP , KTILES ,&
 & KTRAC , KAERO ,&
 & PRS1 , PRSF1 , PAEROP , PCAERO , PDZ , PCEN , PSCAV ,&
 & PFPLCL , PFPLCN , PFPLSL , PFPLSN , PGELAT,PGELAM,&
 & PAP , PIP , PLP , PLU , PO3P ,PQP , PTP , PTENC , PCFLX ,&
 & PAERDDP, PAERSDM, PAERSRC, PAERWS , PAERGUST , PAERUST, PAERMAP,&
 & PALBP , PTAUAER, PFRTI , PLSM , PSNS , PWND , PWS1 , PAERFLX, PAERLIF ,&
 & PAERODDF,PTSPHY , PGFL,&
 & PAERLISI ) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOEAERLID, ONLY : NWLID
USE YOM_YGFL , ONLY : YGFL, NAERO, NACTAERO, YAEROUT
USE YOERAD , ONLY : NTSW
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA, KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART, KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KAERO(NAERO)
REAL(KIND=JPRB),INTENT(IN) :: PRSF1(KLON,KLEV), PRS1(KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PAP(KLON,KLEV) , PIP(KLON,KLEV) , PLP(KLON,KLEV) , PLU(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PAEROP(KLON,KLEV,NACTAERO), PCAERO(KLON,KLEV,NACTAERO)
REAL(KIND=JPRB),INTENT(IN) :: PCEN(KLON,KLEV,KTRAC), PCFLX(KLON,KTRAC), PSCAV(KTRAC)
REAL(KIND=JPRB),INTENT(IN) :: PDZ(KLON,KLEV), PO3P(KLON,KLEV), PQP(KLON,KLEV), PTP(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PFPLCL(KLON,0:KLEV),PFPLCN(KLON,0:KLEV),PFPLSL(KLON,0:KLEV),PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PGELAT(KLON) , PGELAM(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PALBP(KLON,NTSW), PFRTI(KLON,KTILES)
REAL(KIND=JPRB),INTENT(IN) :: PAERDDP(KLON,NACTAERO), PAERSDM(KLON,NACTAERO), PAERSRC(KLON,NACTAERO)
REAL(KIND=JPRB),INTENT(IN) :: PAERWS(KLON), PAERGUST(KLON), PAERUST(KLON), PAERMAP(KLON,2)
REAL(KIND=JPRB),INTENT(IN) :: PAERFLX(KLON,12,9), PAERLIF(KLON,9)
REAL(KIND=JPRB),INTENT(IN) :: PLSM(KLON) , PSNS(KLON) , PWND(KLON) , PWS1(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PTSPHY
REAL(KIND=JPRB),INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
REAL(KIND=JPRB),INTENT(OUT) :: PAERODDF(KLON,NACTAERO,7)
REAL(KIND=JPRB),INTENT(OUT) :: PTAUAER(KLON,KLEV,6)
REAL(KIND=JPRB), INTENT(INOUT) :: PGFL(KLON,KLEV,YGFL%NDIM)
REAL(KIND=JPRB),INTENT(OUT) :: PAERLISI(KLON,KLEV,6)
END SUBROUTINE AER_PHY3
END INTERFACE
