INTERFACE
SUBROUTINE AER_SRC&
 & ( KIDIA, KFDIA, KLON , KTDIA, KLEV, KTILES, KSTART, KSTEP , KSW ,&
 & KTRAC, KAERO, KBINSS, KBINDD,&
 & PALB , PALBP ,PALUVP,&
 & PAERDEP, PAERLTS, PAERSCC, PAERGUST,&
 & PBCBF, PBCFF, PBCGF,POMBF , POMFF , POMGF , PSO2L , PSO2H , PSOGF, PSOA,&
 & PAPH , PAP , PCI , PGELAM, PGEMU , PFRTI , PHSDFOR,&
 & PLSM , PQ , PSNS , PT , PTS ,&
 & PWIND, PWS1 ,&
 & PAERFLX, PAERLIF, PAERMAP , PCFLX , PCEN , PTENC&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL ,ONLY : NAERO, NACTAERO, LAERODIU, LFIRE
INTEGER(KIND=JPIM),INTENT(IN) :: KLON, KIDIA, KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV, KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP, KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KSW
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KBINSS, KBINDD
INTEGER(KIND=JPIM),INTENT(IN) :: KAERO(NAERO)
REAL(KIND=JPRB) ,INTENT(IN) :: PALB(KLON), PALBP(KLON,KSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PAERDEP(KLON), PAERLTS(KLON), PAERSCC(KLON), PALUVP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBCBF(KLON), PBCFF(KLON), PBCGF(KLON), POMBF(KLON), POMFF(KLON), POMGF(KLON)
REAL(KIND=JPRB), INTENT(IN) :: PAERGUST(KLON), PHSDFOR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSO2L(KLON), PSO2H(KLON), PSOGF(KLON), PSOA(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV), PAPH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON), PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PCI(KLON), PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV), PSNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWIND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAERMAP(KLON,2), PAERFLX(KLON,12,9), PAERLIF(KLON,9)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCFLX(KLON,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCEN(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
END SUBROUTINE AER_SRC
END INTERFACE
