INTERFACE
SUBROUTINE APACHE (LDNIVP,KPROMA,KSTART,KPROF,KLEV,KOPLEV,&
 & PT1,PQ1,PU1,PV1,PEPS1,PORO1,PVAH1,PVBH1,&
 & PQL1,PQI1,PQA1,PO31,PSPD1,PWW1,PSN1,PRR1,PGR1,PHL1,&
 & PTKE1,LDPDEP,LDWHALF,LDWFULL,&
 & LDWAT,LDICE,LDCFR,LDO3,LDSN,LDRR,LDGR,LDHL,&
 & LDTKE,PT2,PQ2,PU2,PV2,PEPS2,PORO2,PVAH2,PVBH2,&
 & PQL2,PQI2,PQA2,PO32,PSN2,PRR2,PGR2,PHL2,PTKE2,PSPD2,&
 & PWH2,PWF2,PFI2,PRH2,PEORG,LDOBS,&
 & PEPR2F,PPR2H,PTS1,PTS2,PDPBLC,PV00,LDSPCH,&
 & PDTDZSG) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KOPLEV
LOGICAL ,INTENT(IN) :: LDNIVP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEPS1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PORO1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVAH1(0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVBH1(0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQL1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQI1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQA1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PO31(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSN1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRR1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGR1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHL1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTKE1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPD1(KPROMA,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWW1(KPROMA,0:KLEV)
LOGICAL ,INTENT(IN) :: LDPDEP
LOGICAL ,INTENT(IN) :: LDWHALF
LOGICAL ,INTENT(IN) :: LDWFULL
LOGICAL ,INTENT(IN) :: LDWAT
LOGICAL ,INTENT(IN) :: LDICE
LOGICAL ,INTENT(IN) :: LDCFR
LOGICAL ,INTENT(IN) :: LDO3
LOGICAL ,INTENT(IN) :: LDSN
LOGICAL ,INTENT(IN) :: LDRR
LOGICAL ,INTENT(IN) :: LDGR
LOGICAL ,INTENT(IN) :: LDHL
LOGICAL ,INTENT(IN) :: LDTKE
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEPS2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PORO2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVAH2(0:KOPLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVBH2(0:KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQL2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQI2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQA2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PO32(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSN2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRR2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGR2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHL2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTKE2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPD2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWH2(KPROMA,KOPLEV,0:1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWF2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFI2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRH2(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEORG(KPROMA,KOPLEV)
LOGICAL ,INTENT(IN) :: LDOBS
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEPR2F(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPR2H(KPROMA,KOPLEV,0:1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PDPBLC
REAL(KIND=JPRB) ,INTENT(IN) :: PV00
LOGICAL ,INTENT(IN) :: LDSPCH
REAL(KIND=JPRB) ,INTENT(IN) :: PDTDZSG
END SUBROUTINE APACHE
END INTERFACE
