INTERFACE
SUBROUTINE ARP_GROUND_PARAM ( KIDIA,KFDIA,KLON,KTDIA,KLEV,KCSS,&
 & PAPHI,PCP,PFRSO,&
 & PQ,PRDELP,PT,PU,PV,PXURO,PXQRO,PXTRO,&
 & PAPRS,PQL,PQI,PCOEFN,&
 & PCD,PCDN,PCDROV,PCHROV,PCEROV,PCPS,PCT,PDQSTS,PEMIS,PFHPS,&
 & PHQ,PHTR,PHU,PHV,PLSM,PIVEG,PNEIJ,PQS,PQSATS,&
 & PTP,PTS,PVEG,PXDROV,PXHROV,PWS,PWSI,&
 & PDSE,&
 & PCFAS,PCFAU,&
 & PCFBS,PCFBU,PCFBV,&
 & PCFBQ,PCOEFA,PALPHA1,PLVT,PQICE,&
 & PDIFWQ,PDIFWS,PSFU,PSFV,&
 & PFCHSP,PFCLL,PFCLN,PFCS,PFEVI,PFEVL,PFEVN,&
 & PFEVV,PFTR,PLHS,&
 & PFRTH,&
 & PGZ0F,PGZ0HF,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KCSS
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOEFN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCDN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCDROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCHROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCEROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCPS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCT(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDQSTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHQ(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHTR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PIVEG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEIJ(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSATS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PXDROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PXHROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFBQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPHA1(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOEFA(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLVT(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQICE(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDSE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCFAS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCFAU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCFBS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCFBU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCFBV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PXURO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PXQRO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PXTRO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFWQ(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFWS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSFU(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSFV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCHSP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCLL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCLN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEVI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEVL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEVN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEVV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFTR(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLHS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0F(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0HF(KLON)
CHARACTER(LEN=16) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ARP_GROUND_PARAM
END INTERFACE
