INTERFACE
SUBROUTINE CLOUDSC&
 & (KIDIA, KFDIA, KLON, KLEV,&
 & PTSPHY,&
 & PGEOH, PGELAM, PGELAT,&
 & PTORIG, PQORIG, PT, PQ, PTENT, PTENQ,&
 & PVFA, PVFL, PVFI, PDYNA, PDYNL, PDYNI,&
 & PHRSW, PHRLW,&
 & PVERVEL, PAP, PAPH,&
 & PLSM, LDCUM, KTYPE,&
 & PLU, PLUDE, PMFU, PMFD,&
 & LDSLPHY, LDMAINCALL,&
 & PAORIG,&
 & PL, PI, PA,&
 & PCLV, PTENCLV,&
 & PTENL, PTENI, PTENA,&
 & PSUPSAT,&
 & PRE_ICE,&
 & PCDNC, PICNC,&
 & PCOVPTOT,&
 & PFSQLF, PFSQIF , PFCQNNG, PFCQLNG,&
 & PFPLSL, PFPLSN, PFHPSL, PFHPSN,&
 & PEXTRA, KFLDX) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOECLDP , ONLY : RAMID ,RCLDIFF ,RKCONV ,RCLDIFFC,&
 & RPRC1 ,&
 & RPECONS ,RTAUMEL ,&
 & RAMIN ,RLMIN ,RCOVPMIN ,&
 & RLCRITSNOW ,RCLCRIT ,RSNOWLIN1,RSNOWLIN2,&
 & RKOOPTAU ,NSSOPT ,NCLDTOP ,RTHOMO ,&
 & RVICE ,RVRAIN ,RVSNOW,&
 & RICEHI1 ,RICEHI2 ,RICEINIT ,RPRECRHMAX,&
 & NCLDQV ,NCLDQL ,NCLDQR ,NCLDQI ,NCLDQS , NCLV ,&
 & RNICE ,RCCN ,&
 & LAERLIQAUTOLSP, LAERLIQCOLL, LAERICESED, LAERICEAUTO,&
 & LCLDBUDGET 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON)      
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KLON)      
REAL(KIND=JPRB) ,INTENT(IN) :: PTORIG(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQORIG(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHRSW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHRLW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
LOGICAL ,INTENT(IN) :: LDCUM(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KTYPE(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD(KLON,KLEV)
LOGICAL ,INTENT(IN) :: LDSLPHY
LOGICAL ,INTENT(IN) :: LDMAINCALL
REAL(KIND=JPRB) ,INTENT(IN) :: PAORIG(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PA(KLON,KLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEXTRA(KLON,KLEV,KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLV(KLON,KLEV,NCLV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENCLV(KLON,KLEV,NCLV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSUPSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE_ICE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCDNC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PICNC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOVPTOT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFSQLF(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFSQIF(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQNNG(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQLNG(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSN(KLON,KLEV+1)
END SUBROUTINE CLOUDSC
END INTERFACE
