INTERFACE
SUBROUTINE CMIP6_STRATO_AERO_INTERP & 
&( KIDIA , KFDIA , KLON , KLEV,&
& KRINT , KSHIFT,&
& PAPRS , PGELAM, PSINLAT  ,&
& STRATAOD , STRATAAOD , STRATREFAOD, STRATAAOD_LW )
USE PARKIND1,ONLY : JPIM,JPRB
USE YOMHOOK, ONLY : LHOOK,DR_HOOK
USE YOMLUN,  ONLY : NULOUT
USE YOMRIP,  ONLY : NINDAT,NSTADD
USE YOMCST,  ONLY : RPI    
USE YOMMP,   ONLY : MYPROC
USE YOMDIM,  ONLY : NPROMA,NFLEVG,NGPBLKS
USE YOMGEM,  ONLY : NGPTOT
USE YOERAD,  ONLY : NRPROMA
USE YOERAD,ONLY : STRATO_CMIP6_NLAT,STRATO_CMIP6_NALT,STRATO_CMIP6_NTIME, &
                & STRATO_CMIP6_ALT,STRATO_CMIP6_LAT,STRATO_CMIP6_SB,STRATO_CMIP6_TB,&
                & STRATO_CMIP6_NSB,STRATO_CMIP6_NTB, STRATO_CMIP6_NMONTH, &
                & AOD_SUN, AAOD_SUN,REFAOD_SUN, &
                & AAOD_EARTH
USE YOMCT3, ONLY : NSTEP
INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV 
INTEGER(KIND=JPIM),INTENT(IN)    :: KIDIA 
INTEGER(KIND=JPIM),INTENT(IN)    :: KFDIA 
INTEGER(KIND=JPIM),INTENT(IN)    :: KRINT 
INTEGER(KIND=JPIM),INTENT(IN)    :: KSHIFT 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PAPRS(KLON,KLEV+1) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGELAM(KLON)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSINLAT(KLON)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: STRATAOD(KLON,KLEV,STRATO_CMIP6_NSB,STRATO_CMIP6_NMONTH)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: STRATAAOD(KLON,KLEV,STRATO_CMIP6_NSB,STRATO_CMIP6_NMONTH)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: STRATREFAOD(KLON,KLEV,STRATO_CMIP6_NSB,STRATO_CMIP6_NMONTH)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: STRATAAOD_LW(KLON,KLEV,STRATO_CMIP6_NTB,STRATO_CMIP6_NMONTH)
END SUBROUTINE CMIP6_STRATO_AERO_INTERP
END INTERFACE
