INTERFACE
SUBROUTINE COMMSPNORM(LDPRTAL,LDOROG,KSMAX,&
 & KIOMASTER,KFTHER,KNUMSPFLDS,&
 & PNVOR ,PNVORG ,PMVOR ,PMVORG,&
 & PNDIV ,PNDIVG ,PMDIV ,PMDIVG,&
 & PNKE ,PNKEG ,PMKE ,PMKEG,&
 & PNTHE ,PNTHEG ,PMTHE ,PMTHEG,&
 & PNGFL ,PNGFLG ,PMGFL ,PMGFLG,&
 & PNSP ,PNSPG ,PMSP ,PMSPG,&
 & PNSPOR ,PNSPORG ,PMSPOR ,PMSPORG,&
 & PNTHEDE,PNTHEDEG,PMTHEDE,PMTHEDEG,&
 & PNGFLDE,PNGFLDEG,PMGFLDE,PMGFLDEG,&
 & PNSPDE ,PNSPDEG ,PMSPDE ,PMSPDEG) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVL ,NFLEVG ,NUMP
USE YOMMP , ONLY : MYPROC ,NUMPP ,NPTRMS ,&
 & NALLMS ,NUMLL ,NPTRLL ,NPSURF ,NPSP 
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KSMAX
LOGICAL ,INTENT(IN) :: LDPRTAL
LOGICAL ,INTENT(IN) :: LDOROG
INTEGER(KIND=JPIM),INTENT(IN) :: KIOMASTER
INTEGER(KIND=JPIM),INTENT(IN) :: KFTHER
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMSPFLDS
REAL(KIND=JPRB) ,INTENT(IN) :: PNVOR(NFLEVL,NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNVORG(NFLEVG,0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PMVOR(NFLEVL,NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMVORG(NFLEVG,0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PNDIV(NFLEVL,NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNDIVG(NFLEVG,0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PMDIV(NFLEVL,NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMDIVG(NFLEVG,0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PNKE(NFLEVL,NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNKEG(NFLEVG,0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PMKE(NFLEVL,NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMKEG(NFLEVG,0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PNTHE(NFLEVL,NUMP,KFTHER)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNTHEG(NFLEVG,0:KSMAX,KFTHER)
REAL(KIND=JPRB) ,INTENT(IN) :: PMTHE(NFLEVL,NUMP,KFTHER)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMTHEG(NFLEVG,0:KSMAX,KFTHER)
REAL(KIND=JPRB) ,INTENT(IN) :: PNGFL(NFLEVL,NUMP,KNUMSPFLDS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNGFLG(NFLEVG,0:KSMAX,KNUMSPFLDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMGFL(NFLEVL,NUMP,KNUMSPFLDS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMGFLG(NFLEVG,0:KSMAX,KNUMSPFLDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PNSP(NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNSPG(0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PMSP(NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMSPG(0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PNSPOR(NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNSPORG(0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PMSPOR(NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMSPORG(0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PNTHEDE(NFLEVL,NUMP,KFTHER)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNTHEDEG(NFLEVG,0:KSMAX,KFTHER)
REAL(KIND=JPRB) ,INTENT(IN) :: PMTHEDE(NFLEVL,NUMP,KFTHER)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMTHEDEG(NFLEVG,0:KSMAX,KFTHER)
REAL(KIND=JPRB) ,INTENT(IN) :: PNGFLDE(NFLEVL,NUMP,KNUMSPFLDS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNGFLDEG(NFLEVG,0:KSMAX,KNUMSPFLDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMGFLDE(NFLEVL,NUMP,KNUMSPFLDS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMGFLDEG(NFLEVG,0:KSMAX,KNUMSPFLDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PNSPDE(NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNSPDEG(0:KSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PMSPDE(NUMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMSPDEG(0:KSMAX)
END SUBROUTINE COMMSPNORM
END INTERFACE
