INTERFACE
SUBROUTINE CPDYDDH (&
 & KPROMA,KPROMNH,KPROMVC,KPROMDLW,KPROMDLR,KSTART,KPROF,KFLEV,&
 & PVCRSSAF,PVCRSSAFL,PVCRSSAFM,PVCRSSAH,PVCASRSF,PVCASRSH,&
 & PVCWF,PVCMUSF,PWDLWF,PRDLR,&
 & PSLAT, PCLAT, PLON,&
 & PNORDL, PNORDM, PRCORI, PRCORIC,&
 & PRATATH,PRATATX,&
 & PDELP, PRDELP, PRR, PRTGR, PSGRTL, PSGRTM,&
 & PCP, PAPHI, PAPHIF, PAPHIFL, PAPHIFM, PVVEL, PSDIV,&
 & PDIV, PDIVDP, PU, PV, PT, PQV, PKENE,&
 & PVOR, PUL, PVL,&
 & PTL, PTM, PQVL, PQVM,&
 & PRTL, PRTM, PORL, PORM, PLNPR,&
 & PSPL, PSPM, PAPRSF, PAPRS,&
 & P3DIVG,PNHPREF,PNHPREH,PQCHAL,PQCHAM,&
 & PEVEL, POMEGA, PFPLCL, PFPLCN, PFPLSL, PFPLSN,&
 & PQVS, PTSFC, PRH, PNEB,&
 & PQL,PQN,PQLL,PQLM,PQNL,PQNM,&
 & PGFL,&
 & PUZ, PVM, PDHCV, PENTRA, PENTRV) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMMDDH , ONLY : NDHCVSU ,NDHVV ,NDHVHK ,NDHVMC ,&
 & NDHAVD ,NDHAHKD ,NDHBHKD ,NDHAMCD ,NDHBMCD 
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE YOM_YGFL , ONLY : YGFL, YQ, YL, YI, YR, YS, YG, YTKE
USE PAR_RDLR , ONLY : JP_ASRF ,JP_RSAF ,JP_DIMR
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMNH
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMVC
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMDLW
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMDLR
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAF(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAFL(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAFM(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAH(KPROMVC,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRSF(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRSH(KPROMVC,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCWF(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCMUSF(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWDLWF(KPROMDLW,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDLR(KPROMDLR,0:KFLEV,JP_DIMR)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORIC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATH(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATX(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIFM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDIV(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIVDP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKENE(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVOR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQVL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQVM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PORL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PORM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: P3DIVG(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHPREF(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHPREH(KPROMNH,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCHAL(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCHAM(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POMEGA(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQVS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSFC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEB(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQN(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQNL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQNM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUZ(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDHCV(KPROMA,0:KFLEV,NDHCVSU)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PENTRA(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PENTRV(KPROMA,KFLEV)
END SUBROUTINE CPDYDDH
END INTERFACE
