INTERFACE
SUBROUTINE CPG5_GP(&
 & KST,KEND,KSTGLO,&
 & LDLADNMI,&
 & PGM,&
 & POROG,&
 & POROGL_RE,POROGM_RE,POROGLL_RE,POROGMM_RE,POROGLM_RE,&
 & PGFL5,PGMV5,PGMV5S,&
 & POROGL,POROGM,POROGLL,POROGMM,POROGLM,&
 & PUT95,PUT95L,PVT95,PVT95L,PTT95,PQT95,&
 & PSPDT95,PSVDT95,PVORT95,PDIVT95,&
 & PRE5,PRE5L,PRE5M,PRE5F,&
 & PDELP5,PRDELP5,PLNPR5,PALPH5,&
 & PRPRE5,PRPREF5,PRPP5,&
 & PLHU5,PLHV5,&
 & PHI5,PHIF5,&
 & PCP5,PR5,PRTGR5,&
 & PKAP5,PRRED5,&
 & PEVEL5,PVVEL5,PSDVBC5,&
 & PSGRT5L,PSGRT5M,PGPH5L,PGPH5M,&
 & PSDIV5,&
 & PRT5,PRT5L,PRT5M,PWW5,&
 & PRE95,PRE95F,&
 & PDELP95,PRDELP95,PLNPR95,PALPH95,&
 & PRPRE95,PRPP95,PRRED95,&
 & PLHU95,PLHV95,&
 & PHI95,PHIF95,PCP95,PR95,&
 & PGPPC5,&
 & PQS,PQS1,PTS,PTS1,PSNS,&
 & PSD_VF5,&
 & PQCHA5L,PQCHA5M,&
 & PALPH5L,PALPH5M,PALPHPL5L,PALPHPL5M,PLNPR5L,PLNPR5M,&
 & PRNHPPI5,PHI5FL,PHI5FM,&
 & PCOEFD5,PCOEFA5,PCOEFAPL5,&
 & PNH15L,PNH15M) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMNH ,NPROMM ,NFGPPC
USE YOMDIMT , ONLY : NPROMT
USE YOM_YGFL , ONLY : YGFL ,YQ
USE YOMGMV , ONLY : YT5
USE SURFACE_FIELDS_MIX, ONLY : YSD_VFD
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDLADNMI
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL_RE(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM_RE(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGLL_RE(NPROMNH)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGMM_RE(NPROMNH)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGLM_RE(NPROMNH)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL5(NPROMA,NFLEVG,YGFL%NDIM5)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV5(NPROMA,NFLEVG,YT5%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV5S(NPROMA,YT5%NDIMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: POROGLL(NPROMNH)
REAL(KIND=JPRB) ,INTENT(OUT) :: POROGMM(NPROMNH)
REAL(KIND=JPRB) ,INTENT(OUT) :: POROGLM(NPROMNH)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUT95L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVT95L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPDT95(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSVDT95(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVORT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIVT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE5L(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE5M(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE5F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDELP5(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRDELP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRPRE5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRPREF5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRPP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLHU5(NPROMNH,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLHV5(NPROMNH,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHIF5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRTGR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKAP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRRED5(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEVEL5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVVEL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDVBC5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRT5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPH5L(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPH5M(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDIV5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRT5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWW5(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE95(NPROMT,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE95F(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDELP95(NPROMT,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRDELP95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRPRE95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRPP95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRRED95(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPR95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLHU95(NPROMNH,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLHV95(NPROMNH,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI95(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHIF95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCP95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPPC5(NPROMA,NFGPPC+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQS1(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTS1(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSNS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSD_VF5(NPROMA,YSD_VFD%NDIM5)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQCHA5L(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQCHA5M(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPHPL5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPHPL5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPR5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPR5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRNHPPI5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI5FL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI5FM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOEFD5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOEFA5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOEFAPL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNH15L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNH15M(NPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZSNS1(NPROMM)
REAL(KIND=JPRB) :: ZSGRTS5L(NPROMNH)
REAL(KIND=JPRB) :: ZSGRTS5M(NPROMNH)
END SUBROUTINE CPG5_GP
END INTERFACE
