INTERFACE
SUBROUTINE CUBASEN2&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & LDRAIN1D, LDCVOPT,&
 & PTENH, PQENH, PGEOH, PAP, PAPH,&
 & PQHFL, PAHFS,&
 & PTEN, PQEN, PQSEN, PGEO,&
 & PTU, PQU, PLU,&
 & PBUOH, PWUBASE, PLGLAC, PQPRCV,&
 & KTYPE, KLAB, LDCUM, LDSC,&
 & KCBOT, KBOTSC, KCTOP, KSTUP,&
 & PTU5, PQU5, PLU5,&
 & PBUOH5, PWU2H5, PSUH5, PWU2H15,&
 & PTVENH5, PTVUH5, PSUH25, PQU25,&
 & PFACT35, PFACT45, PFACT55, PWS5,&
 & PKHVFL5, PUST5, PWUBASE5, PWORK15, PWORK15T,&
 & KCBOT5, KLAB5, LDCUM5, LDTEST15,&
 & LDGO_ON5, LDMIDTEST5 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM) ,INTENT(IN) :: KLON
INTEGER(KIND=JPIM) ,INTENT(IN) :: KLEV
INTEGER(KIND=JPIM) ,INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM) ,INTENT(IN) :: KFDIA
LOGICAL ,INTENT(IN) :: LDRAIN1D
LOGICAL ,INTENT(IN) :: LDCVOPT
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBUOH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWUBASE(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLGLAC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQPRCV(KLON,KLEV)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KLAB(KLON,KLEV)
LOGICAL ,INTENT(OUT) :: LDCUM(KLON)
LOGICAL ,INTENT(OUT) :: LDSC(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KBOTSC(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KSTUP(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTU5 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQU5 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLU5 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBUOH5 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWU2H5 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSUH5 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWU2H15(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTVENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTVUH5 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSUH25 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQU25 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFACT35(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFACT45(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFACT55(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWS5 (KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKHVFL5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUST5 (KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWUBASE5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWORK15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWORK15T(KLON,3,KLEV)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KCBOT5 (KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KLAB5 (KLON,KLEV)
LOGICAL ,INTENT(OUT) :: LDCUM5 (KLON)
LOGICAL ,INTENT(OUT) :: LDTEST15(KLON,KLEV)
LOGICAL ,INTENT(OUT) :: LDGO_ON5(KLON,KLEV)
LOGICAL ,INTENT(OUT) :: LDMIDTEST5(KLON,KLEV)
END SUBROUTINE CUBASEN2
END INTERFACE
