INTERFACE
SUBROUTINE CUBASEN2AD&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & LDRAIN1D, LDCVOPT,&
 & PTENH5, PQENH5, PGEOH5, PAP5, PAPH5,&
 & PQHFL5, PAHFS5,&
 & PTEN5, PQEN5, PGEO5,&
 & PTU5, PQU5, PLU5,&
 & PBUOH5, PWUBASE5, PLGLAC5, PQPRCV5,&
 & KTYPE, KLAB, LDCUM, LDSC,&
 & KCBOT, KBOTSC, KCTOP, KSTUP,&
 & PTU55, PQU55, PLU55,&
 & PBUOH55, PWU2H55, PSUH55, PWU2H155,&
 & PTVENH55, PTVUH55, PSUH255, PQU255,&
 & PFACT355, PFACT455, PFACT555, PWS55,&
 & PKHVFL55, PUST55, PWUBASE55, PWORK155, PWORK155T,&
 & KCBOT55, KLAB55, LDCUM55, LDTEST155,&
 & LDGO_ON55, LDMIDTEST55,&
 & PTENH, PQENH, PGEOH, PAP, PAPH,&
 & PQHFL, PAHFS,&
 & PTEN, PQEN, PGEO,&
 & PTU, PQU, PLU,&
 & PBUOH, PWUBASE, PLGLAC, PQPRCV ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM) ,INTENT(IN) :: KLON
INTEGER(KIND=JPIM) ,INTENT(IN) :: KLEV
INTEGER(KIND=JPIM) ,INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM) ,INTENT(IN) :: KFDIA
LOGICAL ,INTENT(IN) :: LDRAIN1D
LOGICAL ,INTENT(IN) :: LDCVOPT
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBUOH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWUBASE5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLGLAC5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQPRCV5(KLON,KLEV)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KLAB(KLON,KLEV)
LOGICAL ,INTENT(OUT) :: LDCUM(KLON)
LOGICAL ,INTENT(OUT) :: LDSC(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KBOTSC(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KSTUP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQHFL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAHFS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBUOH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWUBASE(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLGLAC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQPRCV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTU55 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQU55 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLU55 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PBUOH55 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWU2H55 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSUH55 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWU2H155(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTVENH55(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTVUH55 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSUH255 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQU255 (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFACT355(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFACT455(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFACT555(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS55 (KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PKHVFL55(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PUST55 (KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWUBASE55(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWORK155(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWORK155T(KLON,3,KLEV)
INTEGER(KIND=JPIM) ,INTENT(IN) :: KCBOT55 (KLON)
INTEGER(KIND=JPIM) ,INTENT(IN) :: KLAB55 (KLON,KLEV)
LOGICAL ,INTENT(IN) :: LDCUM55 (KLON)
LOGICAL ,INTENT(IN) :: LDTEST155(KLON,KLEV)
LOGICAL ,INTENT(IN) :: LDGO_ON55(KLON,KLEV)
LOGICAL ,INTENT(IN) :: LDMIDTEST55(KLON,KLEV)
END SUBROUTINE CUBASEN2AD
END INTERFACE
