INTERFACE
SUBROUTINE CUDDRAFN2&
 & (KIDIA, KFDIA, KLON, KLEV,&
 & KCBOT, KCTOP, LDCUM, LDRAIN1D,&
 & PTENH, PQENH,&
 & PTEN, PQSEN, PGEO,&
 & PGEOH, PAPH, PTU, PQU,&
 & PRFL, PTD, PQD, PMFU,&
 & PMFD, PMFDS, PMFDQ, PDMFDP,&
 & KDTOP, LDDRAF,&
 & PMFDDE_RATE, PERATED ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCTOP(KLON)
LOGICAL ,INTENT(IN) :: LDCUM(KLON)
LOGICAL ,INTENT(IN) :: LDRAIN1D
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRFL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFDP(KLON,KLEV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KDTOP(KLON)
LOGICAL ,INTENT(INOUT) :: LDDRAF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDDE_RATE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PERATED(KLON,KLEV)
END SUBROUTINE CUDDRAFN2
END INTERFACE
