INTERFACE
SUBROUTINE gpscalc_alphaRKm2tl(kobs,&
 & klev,&
 & khoriz,&
 & ksplit,&
 & pdsep,&
 & pa,&
 & prefrac,&
 & prefrac_prime,&
 & pradius,&
 & pradius_prime,&
 & pnr,&
 & pnr_prime,&
 & proc,&
 & pz_2d,&
 & pa_path_prime,&
 & palpha_prime) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: kobs
INTEGER(KIND=JPIM), INTENT(IN) :: klev
INTEGER(KIND=JPIM), INTENT(IN) :: khoriz
INTEGER(KIND=JPIM), INTENT(IN) :: ksplit
REAL(KIND=JPRB), INTENT(IN) :: pdsep
REAL(KIND=JPRB), INTENT(IN) :: pa(kobs)
REAL(KIND=JPRB), INTENT(IN) :: prefrac(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: prefrac_prime(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pradius(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pradius_prime(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pnr(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pnr_prime(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: proc
REAL(KIND=JPRB), INTENT(IN) :: pz_2d
REAL(KIND=JPRB), INTENT(OUT) :: pa_path_prime(kobs,2)
REAL(KIND=JPRB), INTENT(OUT) :: palpha_prime(kobs)
END SUBROUTINE gpscalc_alphaRKm2tl
END INTERFACE
