INTERFACE
 SUBROUTINE GRG_NOX2NO2 (KIDIA , KFDIA , KLON , KLEV, KTRAC, KGRG, KKTRAC, PRS1, PRSF1, PQP, PTP,&
 & PLP, PIP, PAP, PSZA, PALB, PLSM, PCEN, PGFL ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
USE YOM_YGFL , ONLY : YGFL, NGRG, NTRAC, YGRG, YTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA , KFDIA , KLON , KLEV
REAL(KIND=JPRB),INTENT(IN) :: PRSF1(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PRS1(KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PQP(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PTP(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PLP(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PIP(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PSZA(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PALB(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PLSM(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KGRG(NGRG), KKTRAC(NTRAC)
REAL(KIND=JPRB),INTENT(IN) :: PCEN(KLON,KLEV,KTRAC)
REAL(KIND=JPRB), INTENT(OUT) :: PGFL(KLON,KLEV,YGFL%NDIM)
END SUBROUTINE GRG_NOX2NO2
END INTERFACE
