INTERFACE
SUBROUTINE GWSETUP&
 & ( KIDIA , KFDIA , KLON , KLEV , LDGWD,&
 & KKCRITH, KCRIT,&
 & KKENVH, KKNU , KKNU2,&
 & PAPHM1, PAPM1 , PUM1 , PVM1 , PTM1 , PGEOM1, PHSTD,&
 & PRHO , PRI , PSTAB , PTAU , PVPH , PPSI, PZDEP,&
 & PULOW , PVLOW,&
 & PTHETA, PGAMMA, PNU , PD1 , PD2 , PDMOD ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
LOGICAL ,INTENT(IN) :: LDGWD(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KKCRITH(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCRIT(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KKENVH(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KKNU(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KKNU2(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHM1(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHSTD(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRHO(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRI(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTAB(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTAU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPSI(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZDEP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PULOW(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVLOW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTHETA(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAMMA(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNU(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PD1(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PD2(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMOD(KLON)
END SUBROUTINE GWSETUP
END INTERFACE
