INTERFACE
SUBROUTINE HELDSUAREZ ( KIDIA, KFDIA, KLON, KLEV,&
 & PU, PV, PT, PLNSP, PQ,&
 & PGEMU, PSLON, PCLON,&
 & PTENU, PTENV, PTENT,PTENQ,&
 & PEXTRA, PEXTR2) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE SURFACE_FIELDS_MIX , ONLY : YSD_XAD, YSD_X2D
USE YOMDIM , ONLY : NFLEVG
USE YOMDYNCORE
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON, KLEV
REAL(KIND=JPRB),INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PLNSP(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PSLON(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PCLON(KLON)
REAL(KIND=JPRB),INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB),INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB),INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB),INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB),INTENT(INOUT) :: PEXTRA(KLON,YSD_XAD%NLEVS,YSD_XAD%NDIM)
REAL(KIND=JPRB),INTENT(INOUT) :: PEXTR2(KLON,YSD_X2D%NDIM)
END SUBROUTINE HELDSUAREZ
END INTERFACE
