INTERFACE
SUBROUTINE HRADPTL(KDLEN,KLEN,KSET,POROG5,POROGOB,&
 & PNVANG,PZEANG,KCOEF,&
 & PPRESH ,PTF ,PTSTAR ,PT0 ,PTQOPP ,&
 & PPS ,PTS ,PT2M ,PQ2M ,PCTOP,PCAMT,&
 & PPRESH5,PPRESF5,PTF5,PTSTAR5,PT05,PTQOPP5,&
 & PPS5,PTS5,PT2M5,PQ2M5,PCTOP5,PCAMT5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIMO , ONLY : NLSAT, NPNAV
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(IN) :: POROG5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGOB(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNVANG(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZEANG(KDLEN)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCOEF
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSTAR(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PT0(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTQOPP(KDLEN,NLSAT,NPNAV-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KDLEN),PCTOP(KDLEN),PCAMT(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PT2M(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ2M(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSTAR5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PT05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTQOPP5(KDLEN,NLSAT,NPNAV-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS5(KDLEN),PCTOP5(KDLEN),PCAMT5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PT2M5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ2M5(KDLEN)
INTEGER(KIND=JPIM), PARAMETER :: JP_T=1, JP_Q=2, JP_O3=3, JP_CO2=4
END SUBROUTINE HRADPTL
END INTERFACE
