INTERFACE
SUBROUTINE LARCINA(&
 & KST,KPROF,KHVI,KSTABUF,LDFINDVSEP,LDSLHD,LDSLHDQUAD,LDINTV,&
 & KTIP,KROT,LDPLANE,PLSDEPI,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PCOSCO,PSINCO,PSINLA,PCOPHI,PLEV,&
 & PKAPPA,PURL0,PVRL0,PWRL0,&
 & KVSEPC,KVSEPL,&
 & PLON,PLAT,PO,PQ,&
 & PUF0,PVF0,PWF0,PWFSM,&
 & KL0,KLH0,PDLO,PCLO,PCLOSLD,PDLAT,PCLA,PCLASLD,&
 & KLEV,PDVER,PVINTW,PVINTWSLD,PVINTWS,&
 & PVDERW,PHVW,KDEP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN ,NDGSAH ,&
 & NDGENH ,NDLUNG ,NDLUXG ,NDGUNG ,NDGUXG ,NRLEVX 
USE YOMMP , ONLY : NASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KHVI
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(NDGSAH:NDGENH)
LOGICAL ,INTENT(IN) :: LDFINDVSEP
LOGICAL ,INTENT(IN) :: LDSLHD
LOGICAL ,INTENT(IN) :: LDSLHDQUAD
LOGICAL ,INTENT(IN) :: LDINTV
INTEGER(KIND=JPIM),INTENT(IN) :: KTIP
INTEGER(KIND=JPIM),INTENT(IN) :: KROT
LOGICAL ,INTENT(IN) :: LDPLANE
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(NDGSAH:NDGENH)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL0(NASLB1,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL0(NASLB1,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PWRL0(NASLB1,NFLSA:NFLEN)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPC
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPL
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWFSM(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLASLD(NPROMA,NFLEVG,3)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWS(NPROMA,NFLEVG,1:4)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDERW(NPROMA,NFLEVG,2*KHVI,2*KHVI)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHVW(NPROMA,NFLEVG,4*KHVI)
INTEGER(KIND=JPIM),INTENT(OUT) :: KDEP(NPROMA,NFLEVG)
END SUBROUTINE LARCINA
END INTERFACE
