INTERFACE
SUBROUTINE LARCINHA(&
 & KST,KPROF,KHVI,KSTABUF,KTIP,KROT,PLSDEPI,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PCOSCO,PSINCO,PSINLA,PCOPHI,PLEV,PKAPPA,&
 & KL0H,PDLOH,PCLOH,PCLOHSLD,&
 & PDLATH,PCLAH,PCLAHSLD,PDVERH,PVINTWH,PVINTWHSLD) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN ,NDGSAH ,&
 & NDGENH ,NDLUNG ,NDLUXG ,NDGUNG ,NDGUXG ,NRLEVX 
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KHVI
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(NDGSAH:NDGENH)
INTEGER(KIND=JPIM),INTENT(IN) :: KTIP
INTEGER(KIND=JPIM),INTENT(IN) :: KROT
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(NDGSAH:NDGENH)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(OUT) :: KL0H(NPROMA,0:NFLEVG-1,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLOH(NPROMA,0:NFLEVG-1,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOH(NPROMA,0:NFLEVG-1,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOHSLD(NPROMA,0:NFLEVG-1,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLATH(NPROMA,0:NFLEVG-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLAH(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLAHSLD(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVERH(NPROMA,0:NFLEVG-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWH(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWHSLD(NPROMA,0:NFLEVG-1,3)
END SUBROUTINE LARCINHA
END INTERFACE
