INTERFACE
SUBROUTINE LWBV&
 & ( KIDIA, KFDIA, KLON , KLEV , KMODE, KTRAER,&
 & PDT0 , PEMIS, PEMIW,&
 & PTL , PTAVE,&
 & PEMIT, PFLUC,&
 & PABCU, PBINT, PBSUI, PCNTRB,&
 & PB, PBSUR, PBTOP, PDBSL, PGA, PGB,&
 & PGASUR, PGBSUR, PGATOP, PGBTOP,&
 & PADJD, PADJU, PDBDT, PDISD, PDISU, PDWFSU,&
 & PCOND , PTTPA , PTTPB , PTTA , PTTB ,&
 & PZZA , PZZB , PXNA , PXNB , PXDIVA,&
 & PXDIVB , PZZA1 , PZZB1 , PXNA1, PXNB1 ,&
 & PXDIVA1, PXDIVB1, PTTPA1, PTTPB1&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOELW , ONLY : NSIL ,NIPD ,NUA
USE YOELWRAD , ONLY : NPROMALW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAER
REAL(KIND=JPRB) ,INTENT(IN) :: PDT0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMIT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLUC(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PABCU(KLON,NUA,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBINT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBSUI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCNTRB(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB(KLON,NSIL,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBSUR(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBTOP(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDBSL(KLON,NSIL,KLEV*2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGA(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGB(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGASUR(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGBSUR(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGATOP(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGBTOP(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PADJD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PADJU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDBDT(KLON,NSIL,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDISD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDISU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDWFSU(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOND(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPA(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPB(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPA1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPB1(KLON,KLEV+1)
END SUBROUTINE LWBV
END INTERFACE
