INTERFACE
SUBROUTINE LWBV15 ( KIDIA,KFDIA,KLON,KLEV,&
 & KMODE,KFLUX,KRAD,KLIM,&
 & PDP,PDT0,PEMIS,PPMB,PTL,&
 & PTAVE,&
 & PCOLC,PFLUC,&
 & PABCU,PBINT,PBSUI,PCTS,PCNTRB,PFDN,PFUP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLW15 , ONLY : NINT15 ,NUA15
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM) :: KMODE
INTEGER(KIND=JPIM) :: KFLUX
INTEGER(KIND=JPIM) :: KRAD
INTEGER(KIND=JPIM),INTENT(OUT) :: KLIM
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDT0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) :: PPMB(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOLC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLUC(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PABCU(KLON,NUA15,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBINT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBSUI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCTS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCNTRB(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFUP(KLON,KLEV+1)
END SUBROUTINE LWBV15
END INTERFACE
