INTERFACE
SUBROUTINE LWV&
 & ( KIDIA, KFDIA, KLON , KLEV , KUAER , KTRAER,&
 & PABCU, PB , PBINT, PBSUR, PBTOP , PDBSL,&
 & PEMIS, PEMIW,&
 & PGA , PGB , PGASUR,PGBSUR,PGATOP, PGBTOP,&
 & PCNTRB,PFLUC,&
 & PADJD, PADJU, PDBDT, PDISD, PDISU, PDWFSU,&
 & PCOND , PTTPA , PTTPB , PTTA , PTTB ,&
 & PZZA , PZZB , PXNA , PXNB , PXDIVA,&
 & PXDIVB , PZZA1 , PZZB1 , PXNA1, PXNB1 ,&
 & PXDIVA1, PXDIVB1, PTTPA1, PTTPB1&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOELW , ONLY : NSIL ,NIPD ,NUA
USE YOELWRAD , ONLY : NPROMALW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KUAER
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAER
REAL(KIND=JPRB) ,INTENT(IN) :: PABCU(KLON,NUA,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB(KLON,NSIL,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PBINT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PBSUR(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(IN) :: PBTOP(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(IN) :: PDBSL(KLON,NSIL,KLEV*2)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGA(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGB(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGASUR(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGBSUR(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGATOP(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGBTOP(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCNTRB(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLUC(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PADJD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PADJU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDBDT(KLON,NSIL,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDISD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDISU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDWFSU(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOND(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPA(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPB(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPA1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPB1(KLON,KLEV+1)
END SUBROUTINE LWV
END INTERFACE
