INTERFACE
SUBROUTINE LWV15 ( KIDIA,KFDIA,KLON,KLEV,&
 & KMODE,KFLUX,KRAD,KUAER,KTRAER,&
 & KLIM,&
 & PABCU,PB,PBINT,PBSUIN,PBSUR,PBTOP,PDBSL,PEMIS,PPMB,PTAVE,&
 & PGA,PGB,PGASUR,PGBSUR,PGATOP,PGBTOP,&
 & PCNTRB,PCTS,PCOLC,PFLUC ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLW15 , ONLY : NINT15 ,NUA15
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM) :: KMODE
INTEGER(KIND=JPIM) :: KFLUX
INTEGER(KIND=JPIM) :: KRAD
INTEGER(KIND=JPIM),INTENT(IN) :: KUAER
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAER
INTEGER(KIND=JPIM),INTENT(OUT) :: KLIM
REAL(KIND=JPRB) ,INTENT(IN) :: PABCU(KLON,NUA15,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB(KLON,NINT15,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PBINT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PBSUIN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBSUR(KLON,NINT15)
REAL(KIND=JPRB) ,INTENT(IN) :: PBTOP(KLON,NINT15)
REAL(KIND=JPRB) ,INTENT(IN) :: PDBSL(KLON,NINT15,KLEV*2)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) :: PPMB(KLON,KLEV+1)
REAL(KIND=JPRB) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGA(KLON,8,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGB(KLON,8,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGASUR(KLON,8,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGBSUR(KLON,8,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGATOP(KLON,8,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGBTOP(KLON,8,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCNTRB(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCTS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOLC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLUC(KLON,2,KLEV+1)
END SUBROUTINE LWV15
END INTERFACE
