INTERFACE
SUBROUTINE m7_concoag (kidia , kfdia , klon , klev,&
 & paerml , paernl, pm6rp , pa4delt, panli,&
 & pa4av1 , pa4av2, pbcav5, pocav5, pduav6,&
 & pduav7 , pso4_5, pso4_6, pso4_7,&
 & pbfract1, pbfract2 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7,ONLY : nmod, naermod,&
 & ibcks, ibcki, iocks, iocki,&
 & iduas, iducs, iduai, iduci,&
 & iaiti, iacci, icoai,&
 & iaits, iaccs, icoas 
INTEGER(KIND=JPIM),INTENT(IN) :: kidia, kfdia, klon, klev
REAL(KIND=JPRB),INTENT(IN) ::&
 & panli(klon ,klev,nmod), pm6rp(klon ,klev,nmod),&
 & pa4av1(klon ,klev), pa4av2(klon ,klev),&
 & pbcav5(klon ,klev), pocav5(klon ,klev),&
 & pbfract1(klon ,klev,nmod-1), pbfract2(klon ,klev,nmod-1),&
 & pduav6(klon ,klev), pduav7(klon ,klev),&
 & pso4_5(klon ,klev), pso4_6(klon ,klev),&
 & pso4_7(klon ,klev) 
REAL(KIND=JPRB),INTENT(INOUT) ::&
 & paerml(klon ,klev,naermod), paernl(klon ,klev,nmod),&
 & pa4delt(klon ,klev,naermod) 
END SUBROUTINE m7_concoag
END INTERFACE
