INTERFACE
SUBROUTINE MF_PHYS&
 & (CDCONF,KBL,KGPCOMP,KST,KEND,KGL1,KGL2,KGL3,KGL4,KOFF,KSTGLO,&
 & LDRETCFOU,LDWRTCFOU0,LDLADNMI,LDLADVI,LDLADVL,LDLADVS,&
 & LDLADVR,LDLADVG,LDLADVH,LDLADVTKE,LDLADVEXT,&
 & PDTPHY,&
 & PGAW,&
 & PGECLO,PGESLO,PGELAM,PGEMU,PGM,POROG,PRCORI,&
 & PUT0,PVT0,PWT0,PTT0,PQT0,PQT0L,PQT0M,PLT0,PIT0,PO3T0,&
 & PST0,PRT0,PGT0,PHT0,PTKET0,PCLF0,PSRC0,PSDSAT0,PCVVT0,PQVAT0,PEXTT0,PDIVT0,&
 & PVORT0,PCP0,PR0,PDELP0,PRDELP0,PHI0,PHIF0,&
 & PRE0,PRE0F,PREPHY0,PREPHY0F,PALPH0,PLNPR0,&
 & PVCASRS0H,&
 & PDDAL , PDDOM ,PENTCH , PUDAL , PUDOM ,PUNEBH,&
 & PUT9,PVT9,PWT9,PTT9,PQT9,PLT9,PIT9,PST9,PRT9,PGT9,PHT9,PTKET9,PSRC9,&
 & PSDSAT9,PCVVT9,PO3T9,&
 & PEXTT9, PSPT9,&
 & PCP9,PR9,PDELP9,PRDELP9,PHI9,PHIF9,&
 & PRE9,PRE9F,PREPHY9,PREPHY9F,PALPH9,PLNPR9,&
 & PKOZO,PFPLCH,PFPLSH,PCVGQSL,PQSLT0L,PQSLT0M,&
 & POROGL,POROGM,PRATATH,PRATATX,&
 & PSPT0,PSPT0L,PSPT0M,&
 & PTT0L,PTT0M,&
 & PVORT9,&
 & PEVEL0,PVVEL0,PSDFI0,PSDVBC0,&
 & PB1,PGMVT1,PGMVT1S,PGFLT1,&
 & PSP_SB,PSP_SG,PSP_RR,&
 & PSD_VF,PSD_VP,PSD_VV,PSD_VH,PSD_VA,PSD_VC,&
 & PEMTD, PEMTU, PTRSW,PRMOON,&
 & PGPAR,PCLF1,PSRC1,&
 & PDHSF,&
 & PALB,PCAPE,PCLCC,PCLCH,PCLCL,PCLCM,PCLCT,PCLPH,PCT,&
 & PDIFCQ,PDIFCQI,PDIFCQL,PDIFCS,PDIFTQ,PDIFTQI,PDIFTQL,PDIFTS,&
 & PFCCQL,PFCCQN,PFCHOZ,PFCHSP,PFCLL,PFCLN,PFCQING,PFCQLNG,PFCQNG,PFCS,&
 & PFCSQL,PFCSQN,PFEVL,PFEVN,PFEVV,PFGEL,PFGELS,PFLWSP,PFONTE,&
 & PFPLCL,PFPLCN,PFPLCG,PFPLCHL,PFPLSL,PFPLSN,PFPLSG,PFPLSHL,&
 & PFRMH,PFRSO,PFRSOC,PFRSODS,PFRSOLU,&
 & PFRSOPS,PFRSOPT,PFRTH,PFRTHC,PFRTHDS,PFTR,PGZ0,PGZ0H,PNEB,&
 & PQCLS,PQICE,PQLI,PQS,&
 & PRH,PRHCLS,PRUISL,PRUISP,PRUISS,&
 & PSTRCU,PSTRCV,PSTRDU,PSTRDV,PSTRMU,PSTRMV,PSTRTU,PSTRTV,&
 & PUCLS,PVCLS,PTCLS,PUGST,PVGST,&
 & PMOCON,PFDIS,&
 & PFHPCL,PFHPCN,PFHPSL,PFHPSN,PFHSCL,PFHSCN,PFHSSL,PFHSSN,&
 & PFEPFP, PFCMPCQ, PFCMPSN, PFCMPSL,&
 & PTENDU,PTENDV,&
 & PQSOL,&
 & PFPFPSL,PFPFPSN,PFPFPCL,PFPFPCN,PFPEVPSL,PFPEVPSN,&
 & PFPEVPCL,PFPEVPCN,PDERNSHF,&
 & PFCQRNG, PFCQSNG,&
 & PEZDIAG) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLSA ,NFLEN ,NFLEVG ,NFLSUL ,NPROMA ,&
 & NPROMM ,NPROMVC 
USE YOMSC2 , ONLY : NFLDSLB1
USE YOMDPHY , ONLY : NVCLIS ,NTSSG
USE SURFACE_FIELDS_MIX , ONLY :&
 & YSP_SBD, YSP_SB, YSP_SGD, YSP_SG,&
 & YSP_RRD, YSP_RR,&
 & YSD_VFD, YSD_VF, YSD_VPD, YSD_VP, YSD_VVD, YSD_VV, YSD_VHD, YSD_VH,&
 & YSD_VAD, YSD_VA, YSD_VCD, YSD_VC 
USE YOM_YGFL , ONLY : YGFL , YQ , YL , YI ,&
 & YS ,YR ,YG ,YTKE , YO3 ,YCPF ,&
 & YSPF ,YEXT ,NGFL_EXT, YCVV ,NGFL_EZDIAG ,&
 & YQVA ,YA ,YH ,&
 & YDAL ,YDOM , YUAL , YUOM ,YUNEBH ,YUEN 
USE YOMGMV , ONLY : YT1
USE YOMARAR , ONLY : NRR, NGPAR
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KBL
INTEGER(KIND=JPIM),INTENT(IN) :: KGPCOMP
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
INTEGER(KIND=JPIM),INTENT(IN) :: KGL3
INTEGER(KIND=JPIM),INTENT(IN) :: KGL4
INTEGER(KIND=JPIM),INTENT(IN) :: KOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDRETCFOU
LOGICAL ,INTENT(IN) :: LDWRTCFOU0
LOGICAL ,INTENT(IN) :: LDLADNMI
LOGICAL ,INTENT(IN) :: LDLADVI
LOGICAL ,INTENT(IN) :: LDLADVL
LOGICAL ,INTENT(IN) :: LDLADVS
LOGICAL ,INTENT(IN) :: LDLADVR
LOGICAL ,INTENT(IN) :: LDLADVG
LOGICAL ,INTENT(IN) :: LDLADVH
LOGICAL ,INTENT(IN) :: LDLADVTKE
LOGICAL ,INTENT(IN) :: LDLADVEXT
REAL(KIND=JPRB) ,INTENT(IN) :: PDTPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAW(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCVGQSL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSLT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSLT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PIT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PST0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTKET0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQVAT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSRC0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDSAT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3T0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXTT0(NPROMA,NFLEVG,NGFL_EXT)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP0(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE0F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PREPHY0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PREPHY0F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRS0H(NPROMVC,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDDAL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDDOM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PENTCH(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUDAL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUDOM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUNEBH(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PIT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PST9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTKET9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSRC9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDSAT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVVT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3T9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXTT9(NPROMA,NFLEVG,NGFL_EXT)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP9(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE9F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PREPHY9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PREPHY9F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKOZO(NPROMA,NFLEVG*NVCLIS+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCH(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSH(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVVEL0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDFI0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDVBC0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SB(NPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SG(NPROMA,YSP_SGD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(NPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VF(NPROMA,YSD_VFD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VP(NPROMA,YSD_VPD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VV(NPROMA,YSD_VVD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VH(NPROMA,YSD_VHD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VA(NPROMA,YSD_VAD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VC(NPROMA,YSD_VCD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(NPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTU(NPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSW(NPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRMOON(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGPAR(NPROMA,NGPAR+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLF1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSRC1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDHSF(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALB(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCAPE(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCC(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCH(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCL(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCM(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCT(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLPH(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCT(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQ(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQI(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCS(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQI(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHOZ(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHSP(NPROMM,YSP_SBD%NLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLL(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLN(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQING(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQLNG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQNG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCS(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVL(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVN(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVV(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGEL(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGELS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLWSP(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFONTE(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCHL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSHL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRMH(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSO(NPROMM,0:NFLEVG,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOC(NPROMM,0:1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSODS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOLU(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOPS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOPT(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTH(NPROMM,0:NFLEVG,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHC(NPROMM,0:1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHDS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTR(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0H(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEB(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQICE(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRH(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRHCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISL(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISP(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCU(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCV(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRDU(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRDV(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRMU(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRMV(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUGST(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVGST(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMOCON(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDIS(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHSCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHSCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHSSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHSSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEPFP(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPCQ(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPSN(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPSL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDU(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDV(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQSOL(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDERNSHF(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEZDIAG(NPROMA,NFLEVG,NGFL_EZDIAG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQRNG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQSNG(NPROMM,0:NFLEVG)
END SUBROUTINE MF_PHYS
END INTERFACE
