INTERFACE
SUBROUTINE POS(&
 & CDCONF,KST,KND,PXLEV,KOPLEV,KSTGLO,PVAH,PVBH,KFPLEV,PXORO,PTSI,PXTSO,&
 & PU,PUL,PDIV,PV,PVL,PVOR,PT,PTL,PTM,LDQ,PQ,LDQDER,PQL,PQM,LDL,PL,LDI,PI,&
 & LDS,PS,LDR,PR,LDGR,PGR,LDHL,PHL,LDTKE,PTKE,&
 & PSP,PSPL,PSPM,LDEXT,PEXT,LDA,PA,LDO3,PO3,&
 & LDUD, PUAL, PUOM, LDDD, PDAL, PDOM, LDUEN, PUEN, LDUNEBH, PUNEBH,&
 & LDAERO,PAERO,LDGHG,PGHG,LDTRAC,PTRAC,LDGRG,PGRG,&
 & PSPD,PSVD,PEV,PLRCH4,PCH4S,PERA40,POROG,PRCORI,PGM,POROGL,POROGM,&
 & PGPP,KFLDSPP,PAUX,KFLDAUX,&
 & PEXTRA,PRMCUFGP1,PRMCUFGP2,PRMCUFGP3,PRMCUFGP4,PRMCUFGP5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPPM ,LVOR ,LUVDER
USE SURFACE_FIELDS_MIX , ONLY : YSD_XA,YSD_XAD
USE YOM_YGFL , ONLY : NGFL_EXT, NAERO, NGHG, NGRG, NTRAC, NERA40,&
 & YLRCH4, YCH4S, YNOGW, NNOGW, YAEROUT, NAEROUT, YUVP, NUVP 
INTEGER(KIND=JPIM),INTENT(IN) :: KOPLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KFPLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSPP
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDAUX
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KND
REAL(KIND=JPRB) ,INTENT(IN) :: PXLEV(KOPLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PVAH(0:KFPLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVBH(0:KFPLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PXORO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXTSO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVOR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDQ
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDQDER
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDL
REAL(KIND=JPRB) ,INTENT(IN) :: PL(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDI
REAL(KIND=JPRB) ,INTENT(IN) :: PI(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDS
REAL(KIND=JPRB) ,INTENT(IN) :: PS(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDR
REAL(KIND=JPRB) ,INTENT(IN) :: PR(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDGR
REAL(KIND=JPRB) ,INTENT(IN) :: PGR(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDHL
REAL(KIND=JPRB) ,INTENT(IN) :: PHL(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDTKE
REAL(KIND=JPRB) ,INTENT(IN) :: PTKE(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSP(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMCUFGP1(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMCUFGP2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMCUFGP3(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMCUFGP4(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMCUFGP5(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPM(NPROMA)
LOGICAL ,INTENT(IN) :: LDEXT(NGFL_EXT)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXT(NPROMA,NFLEVG,NGFL_EXT)
LOGICAL ,INTENT(IN) :: LDA
REAL(KIND=JPRB) ,INTENT(IN) :: PA(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDO3
REAL(KIND=JPRB) ,INTENT(IN) :: PO3(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDUD
REAL(KIND=JPRB) ,INTENT(IN) :: PUAL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUOM(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDDD
REAL(KIND=JPRB) ,INTENT(IN) :: PDAL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDOM(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDUEN
REAL(KIND=JPRB) ,INTENT(IN) :: PUEN(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDUNEBH
REAL(KIND=JPRB) ,INTENT(IN) :: PUNEBH(NPROMA,NFLEVG)
LOGICAL ,INTENT(IN) :: LDAERO(NAERO)
REAL(KIND=JPRB) ,INTENT(IN) :: PAERO(NPROMA,NFLEVG,NAERO)
LOGICAL ,INTENT(IN) :: LDGHG(NGHG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGHG(NPROMA,NFLEVG,NGHG)
LOGICAL ,INTENT(IN) :: LDTRAC(NTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRAC(NPROMA,NFLEVG,NTRAC)
LOGICAL ,INTENT(IN) :: LDGRG(NGRG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGRG(NPROMA,NFLEVG,NGRG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPD(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSVD(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEV(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPP(NPROMA,KFLDSPP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAUX(NPROMA,KFLDAUX)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXTRA(NPROMA,YSD_XAD%NLEVS,YSD_XAD%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PERA40(NPROMA,NFLEVG,NERA40)
REAL(KIND=JPRB) ,INTENT(IN) :: PLRCH4(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4S(NPROMA,NFLEVG)
END SUBROUTINE POS
END INTERFACE
