INTERFACE
SUBROUTINE RADINA&
 & ( KIDIA , KFDIA , KLON , KLEV , KMODE,&
 & PALBD , PALBP , PAPRS , PAPRSF,&
 & PCCNL , PCCNO , PCCO2 , PCLFR,&
 & PGELAM, PCLON, PSLON,&
 & PDP , PEMIR , PEMIW,&
 & PGEMU, PMU0 , PQ , PQS,&
 & PQIWP , PQLWP,&
 & PSLM , PT , PTS,&
 & PEMTD , PTRSO,&
 & PEMIT , PTH , PCTRSO , PCEMTR , PTRSOD,&
 & PSUDU , PSDUR , PDSRP&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NAER ,NOZOCL ,LEPO3RA ,NSW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNO(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON), PCLON(KLON), PSLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMTD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRSO(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMIT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCTRSO(KLON,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCEMTR(KLON,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRSOD(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSUDU(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDUR(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDSRP(KLON)
END SUBROUTINE RADINA
END INTERFACE
