INTERFACE
SUBROUTINE RADLSWAD&
 & ( KIDIA , KFDIA , KLON , KLEV, KMODE, KAER,&
 & PRII05,&
 & PAER5 , PALBD5 , PALBP5, PAPH5 , PAP5,&
 & PCCNL5, PCCNO5,&
 & PCCO25, PCLFR5 , PDP5 , PEMIR5, PEMIW5 , POZON5,&
 & PLSM5 , PMU05,&
 & PQ5 , PQIWP5 , PQLWP5, PQS5 ,&
 & PTH5 , PT5 , PTS5,&
 & PFLT5 , PFLS5 , PFRSOD5,&
 & PAER , PALBD , PALBP , PAPH , PAP,&
 & PCCO2 , PCLFR , PDP , PEMIR , PEMIW , POZON,&
 & PQ , PQIWP , PQLWP , PQS ,&
 & PTH , PT , PTS,&
 & PFLT , PFLS , PFRSOD&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NSW ,LRRTM ,LCCNL ,LCCNO ,LDIFFC,&
 & NRADIP , NRADLP , NICEOPT, NLIQOPT, NINHOM, RCCNLND, RCCNSEA, RLWINHF,&
 & RSWINHF, RRe2De 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM),INTENT(IN) :: KAER
REAL(KIND=JPRB) ,INTENT(IN) :: PRII05
REAL(KIND=JPRB) ,INTENT(IN) :: PAER5(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD5(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP5(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNL5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNO5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO25
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIR5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POZON5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU05(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIWP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLWP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLT5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOD5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAER(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBD(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBP(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCCO2
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLFR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POZON(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQIWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSOD(KLON)
END SUBROUTINE RADLSWAD
END INTERFACE
