INTERFACE
SUBROUTINE RRTM_ECRT_140GP&
 & (KLON,KIDIA,KFDIA, KLEV, KCLD,&
 & PAER , PAPH , PAP,&
 & PTS , PTH , PT,&
 & P_ZEMIS, P_ZEMIW,&
 & PQ , PCO2, PCH4, PN2O, PNO2, PC11, PC12, PC22, PCL4, POZN, PCLDF, PTAUCLD, PTCLEAR,&
 & P_CLDFRAC,P_TAUCLD,P_COLDRY,P_WKL,P_WX,&
 & P_TAUAERL,PAVEL,P_TAVEL,PZ,P_TZ,P_TBOUND,K_NLAYERS,P_SEMISS) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PARRRTM , ONLY : JPBAND ,JPXSEC ,JPLAY ,&
 & JPINPX 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(OUT) :: KCLD(KIDIA:KFDIA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: P_ZEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: P_ZEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PN2O(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNO2(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC11(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC12(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC22(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL4(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POZN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUCLD(KLON,KLEV,JPBAND)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTCLEAR (KIDIA:KFDIA)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_CLDFRAC(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_TAUCLD(KIDIA:KFDIA,JPLAY,JPBAND)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_COLDRY(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_WKL(KIDIA:KFDIA,JPINPX,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_WX(KIDIA:KFDIA,JPXSEC,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_TAUAERL(KIDIA:KFDIA,JPLAY,JPBAND)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAVEL(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_TAVEL(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZ(KIDIA:KFDIA,0:JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_TZ(KIDIA:KFDIA,0:JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_TBOUND(KIDIA:KFDIA)
INTEGER(KIND=JPIM),INTENT(OUT) :: K_NLAYERS(KIDIA:KFDIA)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_SEMISS(KIDIA:KFDIA,JPBAND)
INTEGER(KIND=JPIM), PARAMETER :: I_NMOL = 6
END SUBROUTINE RRTM_ECRT_140GP
END INTERFACE
