INTERFACE
SUBROUTINE SM_EKF_MAIN(KL,KBLOCK,KSEKFCV,KSTART,KSTOP,&
 & KSEKFQ,p_ZINC,p_ZDEBUG,&
 & p_ZKGAIN,p_ZBACK,p_ZCANER,p_ZOCGR,p_ZMOD_ANA) 
USE PARKIND1 ,ONLY : JPIM, JPRB
USE YOMSEKF ,ONLY : NOBS_SCREEN, NANAL, NANATIME,&
 & NOBS_SEKF_MAX, T2M_OBS, TD2M_OBS, VOL_SM_FG, NSLAY,&
 & T2M_FG, TD2M_FG,&
 & LUSE_T2M, LUSE_RH2M, LUSE_ASCAT,&
 & NREF_BLOCK, NREF_GP,&
 & YLASCATOBS, NOBS_ASCAT, NOBS_ASCAT_TOT, NOBS_TSTEP, NANA_TSTEP,&
 & MOD_ERR,BACK_ERR,ANA_ERR,T2M_ERR,RH2M_ERR,ASCAT_ERR 
INTEGER(KIND=JPIM),INTENT(IN) :: KBLOCK, KL, KSEKFCV, KSTART, KSTOP
INTEGER(KIND=JPIM),INTENT(OUT) :: KSEKFQ
REAL(KIND=JPRB),INTENT(OUT) :: p_ZINC(KSEKFCV)
REAL(KIND=JPRB),INTENT(OUT) :: p_ZDEBUG(20)
REAL(KIND=JPRB),INTENT(OUT) :: p_ZKGAIN(KSEKFCV,NOBS_SEKF_MAX)
REAL(KIND=JPRB),INTENT(OUT) :: p_ZOCGR(NOBS_SEKF_MAX,KSEKFCV)
REAL(KIND=JPRB),INTENT(OUT) :: p_ZCANER(KSEKFCV,KSEKFCV)
REAL(KIND=JPRB),INTENT(OUT) :: p_ZBACK(KSEKFCV,KSEKFCV)
REAL(KIND=JPRB),INTENT(OUT) :: p_ZMOD_ANA(NANAL,KSEKFCV)
END SUBROUTINE SM_EKF_MAIN
END INTERFACE
