MODULE PARGEN

USE PARKIND1  ,ONLY : JPIM, JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
!     Parameters relevant to Raisanen and Barker's McICA cloud generator

!     030813/060104  JJMorcrette
!     ------------------------------------------------------------------

INTEGER(KIND=JPIM), PARAMETER :: JPGEN1  = 1001
INTEGER(KIND=JPIM), PARAMETER :: JPGEN2  = 137

REAL(KIND=JPRB) :: XCW(JPGEN1,JPGEN2)
!     ------------------------------------------------------------------
! XCW = ratio of Cloud Water Content to its mean value
! as a function of cumulative probability (jpgeN1 points)
! and relative standard deviation (jpgeN2 points).

! This is generated once, and called from SUECRAD
!     ------------------------------------------------------------------
END MODULE PARGEN
