MODULE PARMCUF

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!     MAXIMA FOR THE FILTERS FOR THE MONITORING OF THE COUPLING UPDATES

!     JPMFNR : MAXIMUM NUMBER OF RECURSIVE FILTERS
!     JPMFOR : MAXIMUM ORDER OF RECURSIVE FILTERS

!     ------------------------------------------------------------------

INTEGER(KIND=JPIM), PARAMETER :: JPMFNR=5 ! remark: only 5 filters can 
                                          ! be stored in the hist files 
                                          ! in wrspeca
INTEGER(KIND=JPIM), PARAMETER :: JPMFOR=8

!     ------------------------------------------------------------------
END MODULE PARMCUF
