MODULE QABOIT

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!****----------------------------------------------------------------
!****  CD QABOIT : Definition des nombres d'observation par boites et
!****  ---------   du  numero d'ordre  de la premiere  observation de
!****              chaque boite
!****  Auteur                : Ph. Caille                  23/04/90
!****  Derniere modification : 
!****----------------------------------------------------------------
!     MPROBO : tableau des numeros d'ordre des premieres observations
!              de chaque boite, par type d'observation
!     MNBOBO : tableau des nombres d'observations  dans chaque boite,
!              par type d'observation
!     MBOX   : numero de la boite traitee (multitache CQ)
!     MBOX   : move to MBOXK
!***-----------------------------------------------------------------
INTEGER(KIND=JPIM) :: MBOXK
INTEGER(KIND=JPIM),ALLOCATABLE :: MPROBO(:,:)
INTEGER(KIND=JPIM),ALLOCATABLE :: MNBOBO(:,:)

END MODULE QABOIT
