MODULE QAPDGU

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!****-------------------------------------------------------------------
!****  CD QAPDGU : contient les informations pour le calcul des moyennes,
!****     ------   ecart-types et extrema des champs
!****
!****   Auteur :      V.Casse 03/93, 08/93    FT 06/95
!****-------------------------------------------------------------------
INTEGER(KIND=JPIM) :: JPNUMAX
PARAMETER (JPNUMAX=52)

INTEGER(KIND=JPIM),ALLOCATABLE:: NBPOINT(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: RMOY1(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: RMOY2(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: RMIN(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: RMAX(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: RPLACE(:,:,:,:)

INTEGER(KIND=JPIM)       , DIMENSION(JPNUMAX) :: NBNIV=(/&
 & 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,&
 & 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1/)  
CHARACTER (LEN = 16) , DIMENSION(JPNUMAX) :: CNAME=(/&
 & 'PS GUESS        ','PS ANALYSE      ','PS TAILLE SL    ',&
 & 'PS RES ANA      ','PS SIGA/SIGP    ','TT GUESS        ',&
 & 'UU GUESS        ','VV GUESS        ','TT ANALYSE      ',&
 & 'UU ANALYSE      ','VV ANALYSE      ','TT TAILLE SL    ',&
 & 'TT RES ANA      ','TT SIGA/SIGP    ','QQ GUESS        ',&
 & 'QQ ANALYSE      ','HU TAILLE SL    ','HU RES ANA      ',&
 & 'HU SIGA/SIGP    ','T2 GUESS        ','T2 ANALYSE      ',&
 & 'T2 TAILLE SL    ','T2 RES ANA      ','T2 SIGA/SIGP    ',&
 & 'H2 GUESS        ','H2 ANALYSE      ','H2 TAILLE SL    ',&
 & 'H2 RES ANA      ','H2 SIGA/SIGP    ','V1 GUESS        ',&
 & 'V1 ANALYSE      ','V1 TAILLE SL    ','SN GUESS        ',&
 & 'SN ANALYSE      ','SN TAILLE SL    ','SN RES ANA      ',&
 & 'SN SIGA/SIGP    ','TS GUESS        ','TS ANALYSE      ',&
 & 'TS ANA-GUE      ','TP GUESS        ','TP ANALYSE      ',&
 & 'TP ANA-GUE      ','WS GUESS        ','WS ANALYSE      ',&
 & 'WS ANA-GUE      ','WP GUESS        ','WP ANALYSE      ',&
 & 'WP ANA-GUE      ','SST TAILLE SL   ','SST RES ANA     ',&
 & 'SST SIGA/SIGP   '/)  

!****-------------------------------------------------------------------
END MODULE QAPDGU
