MODULE TYPE_GEMS_PROFILES

!     Purpose.
!     --------
!       Contains observation equivalants "GOM" arrays and setup routines etc.

!     Author.
!     -------
!        R.Engelen *ECMWF*

!     Modifications.
!     --------------
!        Original : 22-07-2005
!     ------------------------------------------------------------------

USE PARKIND1 , ONLY : JPIM     ,JPRB

IMPLICIT NONE
SAVE

!     -------------------------------------------------------------------------

TYPE TYPE_GEMSPROF
  LOGICAL :: LRTTOV
  INTEGER(KIND=JPIM) :: IGRIB
  CHARACTER(LEN=3) :: CSPECIES
  REAL(KIND=JPRB), POINTER :: MODELPROF(:) 
  REAL(KIND=JPRB), POINTER :: RTTOVPROF(:) 
END TYPE TYPE_GEMSPROF

INTEGER(KIND=JPIM) :: NGEMS

END MODULE TYPE_GEMS_PROFILES

