MODULE YEMSPBC

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
!     *** used for spectral space data storage when LBC treated ***
!*    Spectral arrays

! -   STATE VARIABLES OF THE MODEL

REAL(KIND=JPRB),ALLOCATABLE:: SPA3BC(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: SPA2BC(:,:)
!     ------------------------------------------------------------------

! -   

!     ------------------------------------------------------------------

! -   MEAN VALUES OF THE WIND COMPONENTS

REAL(KIND=JPRB),ALLOCATABLE:: SPA1BC(:,:)

!     ------------------------------------------------------------------
!     Spectral arrays for radiative upper boundary condition        

REAL(KIND=JPRB),ALLOCATABLE:: SPEVELT0(:)
REAL(KIND=JPRB),ALLOCATABLE:: SPEVELT9(:)

!     ------------------------------------------------------------------
END MODULE YEMSPBC
