MODULE YOM_INPC

! -- 98-05-29    Author: S. Valcke

!  Contents : variables describing pools formed of shared memory segments
!  --------

! -- mpoolinit(r/w) : handles associated to model pools for passing initial info

! -- mpoolwrit : handles associated to pools used to pass fields exchanged
!               from model to coupler (see libsipc/SIPC_Write_Model.f)

! -- mpoolread : handles associated to pools used to pass fields exchanged
!               from model to coupler (see libsipc/SIPC_Read_Model.f)

!-------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPIM

USE PAR_COU   , ONLY : jpmaxfld

IMPLICIT NONE
SAVE
INTEGER(KIND=JPIM) ::  mpoolinitr
INTEGER(KIND=JPIM) ::  mpoolinitw
INTEGER(KIND=JPIM), DIMENSION(jpmaxfld)  ::  mpoolwrit
INTEGER(KIND=JPIM), DIMENSION(jpmaxfld)  ::  mpoolread
!     -------------------------------------------------------------------
END MODULE YOM_INPC
