MODULE YOM_PTR_SSMI

!     1D-Var in clouds/precipitation for SSM/I radiances

!     P. Bauer, P. Lopez, E. Moreau, D. Salmond   ECMWF    May 2004

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     -----------------------------------------------------------------
!*    ** *YOM_PTR_SSMI* - POINTERS IN ONEDVAR OUTPUT ARRAYS
!     -----------------------------------------------------------------

INTEGER(KIND=JPIM) :: MFLDS_1D,&
 &      M_P0,M_T0,M_U10_FG,M_V10_FG,M_PS_FG,M_PC_FG,M_PS_AN,M_PC_AN, &
 &      M_WV_FG,M_WV_AN,M_ER_FG,M_ER_AN,M_U10_AN,M_V10_AN, &
 &      M_CO_AN, &
 &      MFLDS_1DDIAG, &
 &      M_TCWV_3D,M_RWP_3D,M_SWP_3D,M_CWP_3D,M_IWP_3D,M_RA_3D,M_SN_3D, &
 &      M_TCWV_FG,M_RWP_FG,M_SWP_FG,M_CWP_FG,M_IWP_FG,M_RA_FG,M_SN_FG, &
 &      M_TCWV_AN,M_RWP_AN,M_SWP_AN,M_CWP_AN,M_IWP_AN,M_RA_AN,M_SN_AN, &
 &      MFLDS_2DLEV, &
 &      M_P_FG, &
 &      M_T_FG,M_Q_FG,M_R_FG,M_S_FG,M_W_FG,M_I_FG,M_C_FG, &
 &      M_T_AN,M_Q_AN,M_R_AN,M_S_AN,M_W_AN,M_I_AN,M_C_AN, &
 &      MFLDS_2DCHAN, &
 &      M_TB_OB,M_TB_ER,M_TB_FG,M_TB_AN,M_TB_BI,M_TB_3D

LOGICAL :: LERAIN_ACTIVE

END MODULE YOM_PTR_SSMI

