MODULE YOM_SSMI

!     1D-Var in clouds/precipitation for SSM/I radiances

!     P. Bauer, P. Lopez, E. Moreau, D. Salmond   ECMWF    May 2004

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

REAL(KIND=JPRB), ALLOCATABLE :: RAIN_1D_GP(:,:,:)
REAL(KIND=JPRB), ALLOCATABLE :: RAIN_1DDIAG_GP(:,:,:)
REAL(KIND=JPRB), ALLOCATABLE :: RAIN_2DCHAN_GP(:,:,:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: MID_GP(:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: MIT_GP(:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: MIS_GP(:,:)
REAL(KIND=JPRB), ALLOCATABLE :: MEPSG_GP(:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: MIM_GP(:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: MISATID_GP(:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: MIFOV_GP(:,:)
REAL(KIND=JPRB), ALLOCATABLE    :: MIZEN_GP(:,:)
REAL(KIND=JPRB), ALLOCATABLE    :: MIAZI_GP(:,:)

INTEGER(KIND=JPIM), ALLOCATABLE :: OB_FROM(:,:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: OB_JOBS(:,:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: OB_JROF_GP(:,:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: GP_COUNT(:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: OB_COUNT(:)

END MODULE YOM_SSMI

