MODULE YOMCDDH

IMPLICIT NONE

SAVE

!       ----------------------------------------------------------------
!*     ** *YOMCDDH* CHARACTER ARRAYS FOR DDH SURFACE VARIABLE NAMES
!       ----------------------------------------------------------------

CHARACTER,ALLOCATABLE :: CADHTLS(:)*12
CHARACTER,ALLOCATABLE :: CADHTSS(:)*12
CHARACTER,ALLOCATABLE :: CADHTTS(:)*12
CHARACTER,ALLOCATABLE :: CADHTIS(:)*12
CHARACTER,ALLOCATABLE :: CADHSSS(:)*12
CHARACTER,ALLOCATABLE :: CADHIIS(:)*12
CHARACTER,ALLOCATABLE :: CADHWLS(:)*12
CHARACTER,ALLOCATABLE :: CADHFSS(:)*12

!     C.Jakob           E.C.M.W.F.     15/ 5/00

!     NAME        TYPE       DESCRIPTION
!     ----        ----       -----------

!     *CADHTLS*   CHARACTER  NAMES OF DDH VARIABLES AND FLUXES
!                            IN TILE ARRAY 
!     *CADHTSS*   CHARACTER  NAMES OF DDH VARIABLES AND FLUXES
!                            IN SNOW ENERGY BUDGET ARRAY 
!     *CADHTTS*   CHARACTER  NAMES OF DDH VARIABLES AND FLUXES 
!                            IN SOIL ENERGY BUDGET ARRAY 
!     *CADHTIS*   CHARACTER  NAMES OF DDH VARIABLES AND FLUXES 
!                            IN SEA-ICE ENERGY BUDGET ARRAY 
!     *CADHSSS*   CHARACTER  NAMES OF DDH VARIABLES AND FLUXES 
!                            IN SNOW WATER BUDGET ARRAY 
!     *CADHIIS*   CHARACTER  NAMES OF DDH VARIABLES AND FLUXES 
!                            IN INTERCEPTION LAYER WATER BUDGET ARRAY 
!     *CADHWLS*   CHARACTER  NAMES OF DDH VARIABLES AND FLUXES 
!                            IN SOIL WATER BUDGET ARRAY 
!     *CADHFSS*   CHARACTER  NAMES OF DDH VARIABLES AND FLUXES 
!                            IN FREE-STYLE SINGLE LEVEL ARRAY 

END MODULE YOMCDDH
