MODULE YOMCOUPLO4

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
LOGICAL ::  LCOUPLO4_CTM  ! USE CTM tendecies in IFS 
INTEGER(KIND=JPIM) ::  NFRCOUPLO4 ! Coupling frequency in tstep 
LOGICAL ::  LOUT_SPC      ! output of spectral vor, div, sp
LOGICAL ::  LOUT_FLUX     ! output of surface fluxes
LOGICAL ::  LIN_COOR     ! input of coordinate values 
LOGICAL ::  LGLOBALGP     ! GP exchange via one mpi tasks only
LOGICAL ::  LGLOBALSP     ! SP exchange via one mpi tasks only  
INTEGER(KIND=JPIM) ::  MPROCGPG  ! number of mpi tasks if  LGLOBALGP
INTEGER(KIND=JPIM) ::  MPROCSPG  ! number of mpi tasks if  LGLOBALSP
CHARACTER(LEN=3)  :: CTM         ! CTM name short
LOGICAL ::  LDIFF_GRG      ! IFS DIFUSION ON/OFF FOR GRG GFL fields 
LOGICAL ::  LCONV_GRG      ! IFS CONVECTION ON/OFF FOR GRG GFL FIELDS 
LOGICAL ::  LDIA_GRG       ! DIAGNOSTICS OF CTM data TO EXTRA FIELDS
LOGICAL ::  LNOX2NO2        ! DIAGNOSTICS CONVERSION OF NOX to NO2  
!     ------------------------------------------------------------------
END MODULE YOMCOUPLO4
