MODULE YOMCUMFS

IMPLICIT NONE

SAVE

!       ----------------------------------------------------------------
!**    ** *YOMCUMFS* CONTAINS VARIABLES FOR SIMPLIFIED CONVECTION SCHEME 
!       ----------------------------------------------------------------

LOGICAL :: LECUMFS
LOGICAL :: LECUMFS2
LOGICAL :: LREGCV

!*    *YOMCUMFS* CONTAINS VARIABLES FOR SIMPLIFIED CONVECTION SCHEME 

!     P. LOPEZ      E.C.M.W.F.    09/01/2002

!     NAME        TYPE     DESCRIPTION
!     ----        ----     -----------

!***  LECUMFS    LOGICAL   SWITCH ON SIMPLIFIED CONVECTIVE MASS-FLUX SCHEME IN TRAJECTORY
!***  LECUMFS2   LOGICAL   SWITCH ON SIMPLIFIED CONVECTIVE MASS-FLUX SCHEME IN TL AND AD
!***  LREGCV     LOGICAL   SWITCH ON REGULARIZATIONS OF SIMPLIFIED CONVECTION SCHEME 
!***                       IN TANGENT-LINEAR AND ADJOINT CALCULATIONS

!     ------------------------------------------------------------------
END MODULE YOMCUMFS
