MODULE YOMFCEB

USE PARKIND1  ,ONLY : JPRB

USE GRIDPOINT_BUFFERS_MIX , ONLY : gridpoint_buffer

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Buffer for forecast error variances

! FCEBUF                : buffer
! GPBUF_JBVCOORD        : buffer to hold Jb vertical levels
! BLTOP                 : pressure at the top of the boundary layer

TYPE(gridpoint_buffer) :: FCEBUF, GPBUF_JBVCOORD

REAL(KIND=JPRB), ALLOCATABLE :: BLTOP(:)

!      containing pointers

!     ------------------------------------------------------------------
END MODULE YOMFCEB
