MODULE YOMFFTTC

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE
SAVE

! -------------------------------------------------------------------------

! Basis of sinus-cosinus for slow Fourier transforms of
! transmission coefficients:
! These arrays are DM-local.

! RBASCOTC: cosinus basis.
! RBASSITC: sinus basis.

! -------------------------------------------------------------------------

REAL(KIND=JPRB),ALLOCATABLE:: RBASCOTC(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: RBASSITC(:,:)

!     -------------------------------------------------------------------------
END MODULE YOMFFTTC
