MODULE YOMFLTXT

USE PARCMA, ONLY: JPMXRDF,JPMXDDF,JPMXADF

IMPLICIT NONE

SAVE

!*     YOMFLTXT - CMA FLAGS (CHARACTER VERSION)

!        D. VASILJEVIC   ECMWF     15/09/94

!     RDB REPORT FLAGS ON LAT, LON, DATE, TIME AND ALT.:

!     NAME        TYPE                   MEANING
!     ----        ----                   -------
!     CRDRPFL ( 1)  C 'HUMAN MONITOR SUBSTITUTION'
!     CRDRPFL ( 2)  C 'QUALITY CONTROL SUBSTITUTION'
!     CRDRPFL ( 3)  C 'OVERRIDE BY HUMAN MONITOR'
!     CRDRPFL ( 4)  C 'FLAG ON PARAMETER'
!     CRDRPFL ( 5)  C 'FLAG SET BY HUMAN MONITOR (1)/BY QC (0)'

!     RDB PRESSURE/VARIBALE FLAGS:

!     NAME         TYPE                   MEANING
!     ----         ----                   -------
!     CRDDAFL ( 1)  C  'HUMAN MONITOR SUBSTITUTION'
!     CRDDAFL ( 2)  C  'QUALITY CONTROL SUBSTITUTION'
!     CRDDAFL ( 3)  C  'OVERRIDE BY HUMAN MONITOR'
!     CRDDAFL ( 4)  C  'FLAG ON PARAMETER'
!     CRDDAFL ( 5)  C  'FLAG SET BY HUMAN MONITOR (1)/BY QC (0)'
!     CRDDAFL ( 6)  C  'DEGREE OF CONFIDENCE GIVEN BY A PREV. ANAL.'
!     CRDDAFL ( 7)  C  'VARIABLE USED (1)/NOT USED (0) BY PREV. ANAL.'

!     ANALYSIS VARIBALE FLAGS:

!     NAME         TYPE                   MEANING
!     ----         ----                   -------
!     CANDAFL ( 1)  C  'FINAL FLAG'
!     CANDAFL ( 2)  C  'FIRST GUESS FLAG'
!     CANDAFL ( 3)  C  'DEPARTURE FLAG'
!     CANDAFL ( 4)  C  'VARIATIONAL QUALITY CONTROL FLAG'
!     CANDAFL ( 5)  C  'BLACKLIST FLAG'
!     CANDAFL ( 6)  C  '  '
!     CANDAFL ( 7)  C  '  '

CHARACTER (LEN = 64) ::  CRDRPFL (JPMXRDF)
CHARACTER (LEN = 64) ::  CRDDAFL (JPMXDDF)
CHARACTER (LEN = 64) ::  CANDAFL (JPMXADF)

!-----------------------------------------------------------------------

END MODULE YOMFLTXT
