MODULE YOMFPGIND

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

! * Some variables used in FULL-POS in the arrival geometry DM-distribution:

! NFPRGPNUM     : for processor number "jroc", NFPRGPNUM(jroc)
!                 is the "NFPRGPL" of the processor number "jroc".
! NFPRGPIND     : if "iloc" is the DM-local index in a
!                 NFPRGPL-array and "jroc" the processor,
!                 NFPRGPIND(iloc,jroc) gives the DM-global index "iglo"
!                 in a NFPRGPG-array.
! See YOMFPG for comments about NFPRGPL and NFPRGPG.
INTEGER(KIND=JPIM),ALLOCATABLE:: NFPRGPNUM(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NFPRGPIND(:,:)

! * Some variables used in FULL-POS in the departure geometry DM-distribution:

! NFPRGPNUM_DEP  : cf. NFPRGPNUM
! NFPRGPIND_DEP  : cf. NFPRGPIND
INTEGER(KIND=JPIM),ALLOCATABLE:: NFPRGPNUM_DEP(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NFPRGPIND_DEP(:,:)

!     ------------------------------------------------------------------      
END MODULE YOMFPGIND
