MODULE YOMNCL

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

! ------ CLOUD CHARACTERISTICS FOR SIMPLIFIED SCHEME

! GPCLOUD  : BUFFER FOR CLOUD CHARACTERISTICS - traj.in NL,pert.in TL/AD
!            (cloud fraction, cloud water and cloud ice)
! GPCLOUD5 : BUFFER FOR CLOUD CHARACTERISTICS - trajectory in TL/AD
!            (cloud fraction, cloud water and cloud ice)
! LNCLIN   : .TRUE. IF (A,L,I) grid-point upper air fields to be read
!            on input for new cloud scheme of the linearized model
! LREGCL   : .TRUE. if the regularization in the cloud scheme is used

REAL(KIND=JPRB),ALLOCATABLE:: GPCLOUD5(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GPCLOUDIN(:,:,:)

LOGICAL :: LNCLIN
LOGICAL :: LREGCL

!     ------------------------------------------------------------------

END MODULE YOMNCL
