MODULE YOMNMIB

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
!*    Normal Mode Initialization control (YOMNMI part B)

! ----------  ARRAYS : ------------------
!  LTYPGR:  logical array to denote a Gravity (TRUE) or a Rossby (FALSE)
!           component. A Rossby component is defined by : |FREQ(J,JK)| < FILTER.
!  FREQ  :  eigen-values for normal modes

!*******************************************************************************

!   -----------------------------------------------

LOGICAL,ALLOCATABLE:: LTYPGR(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: FREQ(:,:)

!     ------------------------------------------------------------------
END MODULE YOMNMIB
