MODULE YOMSDDH

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
!     LOGIQUE DIAGNOSTIQUES DOMAINES HORIZONTAUX.
!     LES LOGIQUES LHDxxx CI-DESSOUS NE SERONT TESTES QUE
!     SI L'UN DES LOGIQUES PRINCIPAUX LHDHKS, LHDMCI ET LHDENT
!     SONT VRAIS. CE SONT DES SOUS-LOGIQUES DONT LE ROLE
!     EST DE PERMETTRE UNE ECONOMIE DE TAILLE MEMOIRE
!     DANS LE CAS OU LA SOUS-OPTION CORRESPONDANTE N'EST PAS ACTIVEE.

!     LHDQLN = DIAGNOSTIC DE L'EAU LIQUIDE ET NEIGEUSE.
!              CE LOGIQUE N'EST TESTE QUE SI LHDHKS EST VRAI.
!     NHDQLNVA = NOMBRE DE VARIABLES EN SUS SI LHDQLN VRAI
!     NHDQLNTD = NOMBRE DE TENDANCES DYNAMIQUES EN SUS SI LHDQLN VRAI
!     NHDQLNFD = NOMBRE DE FLUX DYNAMIQUES EN SUS SI LHDQLN VRAI
!     NHDQLNFP = NOMBRE DE FLUX PHYSIQUES EN SUS SI LHDQLN VRAI
!     NHDQLNTP = NOMBRE DE TENDANCES PHYSIQUES EN SUS SI LHDQLN VRAI

!     LHDADD = DIAGNOSTICS ADDITIONNELS DE PRECIPITATIONS.
!              CE LOGIQUE N'EST TESTE QUE SI LHDHKS EST VRAI.
!     NHDADDVA = NOMBRE DE VARIABLES EN SUS SI LHDADD VRAI
!     NHDADDTD = NOMBRE DE TENDANCES DYNAMIQUES EN SUS SI LHDADD VRAI
!     NHDADDFD = NOMBRE DE FLUX DYNAMIQUES EN SUS SI LHDADD VRAI
!     NHDADDFP = NOMBRE DE FLUX PHYSIQUES EN SUS SI LHDADD VRAI
!     NHDADDTP = NOMBRE DE TENDANCES PHYSIQUES EN SUS SI LHDADD VRAI

!     LHDPAS = DIAGNOSTIC DES VARIABLES PASSIVES.
!              CE LOGIQUE N'EST TESTE QUE SI LHDHKS EST VRAI.
!     NHDPASVA = NOMBRE DE VARIABLES EN SUS SI LHDPAS VRAI
!     NHDPASTD = NOMBRE DE TENDANCES DYNAMIQUES EN SUS SI LHDPAS VRAI
!     NHDPASFD = NOMBRE DE FLUX DYNAMIQUES EN SUS SI LHDPAS VRAI
!     NHDPASFP = NOMBRE DE FLUX PHYSIQUES EN SUS SI LHDPAS VRAI
!     NHDPASTP = NOMBRE DE TENDANCES PHYSIQUES EN SUS SI LHDPAS VRAI
INTEGER(KIND=JPIM) :: NHDQLNVA
INTEGER(KIND=JPIM) :: NHDQLNTD
INTEGER(KIND=JPIM) :: NHDQLNFD
INTEGER(KIND=JPIM) :: NHDQLNFP
INTEGER(KIND=JPIM) :: NHDQLNTP
INTEGER(KIND=JPIM) :: NHDADDVA
INTEGER(KIND=JPIM) :: NHDADDTD
INTEGER(KIND=JPIM) :: NHDADDFD
INTEGER(KIND=JPIM) :: NHDADDFP
INTEGER(KIND=JPIM) :: NHDADDTP
INTEGER(KIND=JPIM) :: NHDPASVA
INTEGER(KIND=JPIM) :: NHDPASTD
INTEGER(KIND=JPIM) :: NHDPASFD
INTEGER(KIND=JPIM) :: NHDPASFP
INTEGER(KIND=JPIM) :: NHDPASTP
LOGICAL :: LHDQLN
LOGICAL :: LHDADD
LOGICAL :: LHDPAS
!     ------------------------------------------------------------------
END MODULE YOMSDDH
