MODULE YOMSEP

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!     USED TO IMPROVE VECTORIZATION OF SEMI-LAGRANGIAN ADJOINT

!     (=> safe vertical separation for updates)

! NVSEPC    : number of vertical blocks of layers for vertical loops
!             in the cubic interpolation routines.
! NVSEPL    : number of vertical blocks of layers for vertical loops
!             in the linear interpolation routines.
! LFINDVSEP : computation of NVSEPC and NVSEPL is done if .TRUE.
INTEGER(KIND=JPIM) :: NVSEPC, NVSEPL
LOGICAL ::      LFINDVSEP

!     ------------------------------------------------------------------
END MODULE YOMSEP
