MODULE YOMTNH

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!   -----------------------------------------------------------------

!*   Buffer for trajectory array at time t-dt (nonhydrostatic dynamics)

!    NLENNH95B                    : length of buffer for 3D fields
!    TRAJNH(NLENNH95B,0:NSTOP)    : buffer for 3D fields
!    NSTANH95B(NDGSAG:NDGENG)     : start adresses for packets within 
!                                   buffer

INTEGER(KIND=JPIM) :: NLENNH95B

REAL(KIND=JPRB),ALLOCATABLE:: TRAJNH(:,:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NSTANH95B(:)

!     containing pointers

!   ----------------------------------------------------------------
END MODULE YOMTNH
