MODULE YOMVPOS

USE PARKIND1  ,ONLY : JPIM     ,JPRB

USE TYPE_FPRQDYNS, ONLY : TYPE_FPRQDYN

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Control variables for post-processing of dynamic files

!     XFPLEV    : values of post-processing levels for the current scan
!     NXFPLEV   : number of post-processing levels for the current scan
!     QFPTYPE   : current request description for calculation
!     NFPOSDYN  : number of requested fields for the current scan
!     NFPTRDYN  : internal codes of the requested fields for the current scan
!     MYSFSET   : Index of my spectral fields set

INTEGER(KIND=JPIM) :: NXFPLEV
INTEGER(KIND=JPIM) :: NFPOSDYN
INTEGER(KIND=JPIM) :: MYSFSET

INTEGER(KIND=JPIM), ALLOCATABLE :: NFPTRDYN(:)
REAL(KIND=JPRB), ALLOCATABLE:: XFPLEV(:)

TYPE(TYPE_FPRQDYN) :: QFPTYPE

!     ------------------------------------------------------------------
END MODULE YOMVPOS
