!======================= REAL*8 =========================
!      BLOCK DATA REALS8
!      REAL(KIND=JPRB) :: adr8buf(512), adr8lbuf(512)
!      INTEGER(KIND=JPIM) :: adr8ibuf,adr8ilbuf
!      LOGICAL :: adr8inlbuf
!      COMMON /adr8fbuf/adr8buf,adr8lbuf,
!     +       adr8ibuf,adr8ilbuf,adr8inlbuf
!      DATA adr8ibuf/1/
!      DATA adr8ilbuf/-1/
!      DATA adr8inlbuf/.FALSE./
!      END

     SUBROUTINE PUSHREAL8(px)

      USE PARKIND1  ,ONLY : JPIM, JPRB
      USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

      USE YOEADBUFFER

      IMPLICIT NONE

      REAL(KIND=JPRB), INTENT(IN) ::  px

      INTEGER(KIND=JPIM) :: i_adr8ilbuf
      LOGICAL :: ll_adr8inlbuf

      REAL(KIND=JPRB) :: ZHOOK_HANDLE

      IF (LHOOK) CALL DR_HOOK('PUSHREAL8',0,ZHOOK_HANDLE)

      IF (i_adr8ilbuf /= -1) THEN
         i_adr8ilbuf = -1
         ll_adr8inlbuf = .FALSE.
      ENDIF
      IF (adr8ibuf >= 512) THEN
         adr8buf(512) = px
         CALL PUSHREAL8ARRAY(adr8buf, 512)
         adr8ibuf = 1
      ELSE
         adr8buf(adr8ibuf) = px
         adr8ibuf = adr8ibuf+1
      ENDIF

      IF (LHOOK) CALL DR_HOOK('PUSHREAL8',1,ZHOOK_HANDLE)
     END SUBROUTINE PUSHREAL8
