SUBROUTINE ECRPNEBH(KUL,CDNOMA,PNEBH,KLONLOC,KLON,KNEBH)
! --------------------------------------------------------------
! **** *ECRPNEBH* WRITE ON FILE THE KNEBH PSEUDO-HISTORICAL VALUES.
! --------------------------------------------------------------
! SUJET:
! ------
! ARGUMENTS EXPLICITES:
! ---------------------
! ARGUMENTS IMPLICITES:
! ---------------------
! METHODE:
! --------
! EXTERNES:
! ---------
! AUTEUR:   95-03, J.M. PIRIOU.
! -------
! MODIFICATIONS:
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
! --------------------------------------------------------------
! EN ENTREE:
! EN SORTIE:
! --------------------------------------------------------------
USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE
INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
INTEGER(KIND=JPIM)               :: KNEBH! UNDETERMINED INTENT 
INTEGER(KIND=JPIM)               :: KUL ! UNDETERMINED INTENT
CHARACTER(LEN=*)                 :: CDNOMA ! UNDETERMINED INTENT
REAL(KIND=JPRB)   ,INTENT(IN)    :: PNEBH(KLON,KNEBH) 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLONLOC 
INTEGER(KIND=JPIM) ::JNEBH
REAL(KIND=JPRB) :: ZNEBH(KNEBH)
REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('ECRPNEBH',0,ZHOOK_HANDLE)
DO JNEBH=1,KNEBH
  ZNEBH(JNEBH)=PNEBH(KLONLOC,JNEBH)
ENDDO
CALL LFAECRR(KUL,CDNOMA,ZNEBH,KNEBH)
IF (LHOOK) CALL DR_HOOK('ECRPNEBH',1,ZHOOK_HANDLE)
END SUBROUTINE ECRPNEBH
