      SUBROUTINE FATALE ( KREP, KNUMER, LDERFA )
#include "facom0.h"
C****
C        Ce sous-programme permet d'activer ou de desactiver l'option
C     rendant fatale toute erreur detectee sur un fichier particulier,
C     ouvert pour le Logiciel de Fichiers ARPEGE, de meme pour l'option
C     correspondante du logiciel LFI.
C        Cependant, tant que le niveau global d'erreur fatale *NRFAGA*
C     vaut 0 ou 2, l'option propre au fichier est inoperante.
C     *NRFAGA* vaut par defaut 1, et est reglable via le s/p "FANERG".
C**
C     Arguments : KREP   (Sortie) ==> Code-reponse du sous-programme;
C                 KNUMER (Entree) ==> Numero d'Unite Logique concernee;
C                 LDERFA (Entree) ==> Option d'Erreur Fatale (Vrai=oui).
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KREP, KNUMER
C
      INTEGER IRANG, IREP, INIMES
C
      LOGICAL LDERFA, LLRLFI
C
#include "facom2.h"
C
      CALL FANUMU (KNUMER,IRANG)
C
      IF (IRANG.NE.0) THEN
        LERRFA(IRANG)=LDERFA
        CALL LFIERF (IREP,KNUMER,LDERFA)
        LLRLFI=IREP.NE.0
      ELSE
        IREP=-51
        LLRLFI=.FALSE.
      ENDIF
C
      LLFATA=LLMOER (IREP,IRANG)
      KREP=IREP
C
      IF (LLFATA.OR.IXNVMS (IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='FATALE'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', LDERFA= '',L1)') KREP,KNUMER,LDERFA
      CALL FAIPAR (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI,
     S             LLRLFI)
C
      RETURN
      END
