      SUBROUTINE LFIEDO ( KREP, KNUMER, KREC, KTAB, KNBECR, KFACTM,
     S                    KRETIN )
#include "lficomt.h"
C****
C        Sous-programme charge des Ecritures de DOnnees du logiciel LFI,
C     *SAUF* pour les articles d'index de type caractere.
C**
C     Arguments: KREP   (Sortie) ==> Code-reponse ( zero si OK; code-
C                                    reponse du "WRITE" FORTRAN sinon);
C                KNUMER (Entree) ==> NUMERo d'unite logique FORTRAN;
C                KREC   (Entree) ==> Numero d'enregistrement a ecrire;
C                KTAB   (Sortie) ==> Zone a ecrire, de Longueur
C                                    JPLARD*KFACTM *mots*;
C                KNBECR (Entree  ==> Compteur d'ECRitures sur l'unite;
C                       +Sortie)
C                KFACTM (Entree) ==> FACteur Multiplicatif LFI de
C                                    l'unite logique;
C                KRETIN (Sortie) ==> Code-retour interne.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
C
      INTEGER KREP, KNUMER, KREC, KNBECR, KFACTM, KRETIN
C
      INTEGER (KIND=JPDBLE)  KTAB (JPLARD*KFACTM)
#else
      INTEGER KTAB (JPLARD*KFACTM)
#endif
C
C        ECRITURE .
C
      WRITE (UNIT=KNUMER,REC=KREC,ERR=901,IOSTAT=KREP) KTAB
C
      IF (LMISOP) THEN
        PRINT *,'+++++ LFIEDO - WRITE / ',KNUMER,', REC = ',KREC,
     S          ' +++++'
      ENDIF
C
      KNBECR=KNBECR+1
      KRETIN=0
      GOTO 1001
C
  901 CONTINUE
      KRETIN=1
C
 1001 CONTINUE
C
      RETURN
C
      END
