      SUBROUTINE LFIFMP ( KNUMER, KRANFM )
#include "lficomt.h"
C****
C        Sous-programme *INTERNE* du Logiciel de Fichiers Indexes LFI.
C     Calcule le rang de l'unite logique *KNUMER* dans la table des
C     Unites Logiques a Facteur Multiplicatif predefini;
C     si l'Unite Logique n'y est pas trouvee, le resultat est ZERO.
C
C        En mode Multi-Taches, il est necessaire de verrouiller
C     Globalement le code faisant appel a ce sous-programme.
C**
C       ARGUMENTS : KNUMER (Entree) ==> Numero d'unite logique cherche;
C                   KRANFM (Sortie) ==> Rang dans la table des unites
C                                       logiques a Facteur Multiplicatif
C                                       predefini (0 si pas trouve).
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KNUMER, KRANFM, J, IRANFM
C**
C     1.  -  RECHERCHE DIRECTE DANS LA TABLE *MULOFM*.
C-----------------------------------------------------------------------
C
      DO 101 J=1,NULOFM
C
      IF (KNUMER.EQ.MULOFM(J)) THEN
        IRANFM=J
        GOTO 102
      ENDIF
C
  101 CONTINUE
C
      IRANFM=0
C
  102 CONTINUE
      KRANFM=IRANFM
C
      RETURN
      END
