      SUBROUTINE LFIFRA ( LDFRAN )
#include "lficomt.h"
C****
C        Ce Sous-Programme permet aux messages (ulterieurs) emis par le
C     logiciel LFI d'etre rediges en FRANCAIS ou en ANGLAIS.
C        L'option par defaut est definie dans le sous-programme *LFIINI*
C
C        This Subroutine enables (further) messages from LFI software
C     to be written in FRENCH or ENGLISH. Default mode is defined in
C     routine *LFIINI* .
C**
C        ARGUMENT : LDFRAN (Entree) ==> Vrai/Faux pour francais/anglais.
C                           Input       True/False for french/english
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER INIMES, IREP, INUMER
C
      LOGICAL LLPREA, LDFRAN
      SAVE LLPREA
C
      DATA LLPREA /.TRUE./
C
      IF (LLPREA) THEN
C
C        Au premier appel du sous-programme, on initialise les variables
C     globales du logiciel (si cela n'a pas deja ete fait) .
C
C        At first routine call, initialisation of software global
C     variables (if not already done) .
C
        CALL LFIINI (2)
        LLPREA=.FALSE.
      ENDIF
C
      LFRANC=LDFRAN
C
C        MESSAGERIE EVENTUELLE . MESSAGE, IF NECESSARY .
C
      IF (NIMESG.NE.2) RETURN
      INUMER=JPNIL
      INIMES=2
      IREP=0
      CLNSPR='LFIFRA'
      WRITE (UNIT=CLMESS,FMT='(''LDFRAN= '',L1)') LDFRAN
      CALL LFIEMS (INUMER,INIMES,IREP,.FALSE.,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
