      SUBROUTINE LFIINTECR ( KREP, KNUMER, CDNOMA, KTAB, KLONG )
C
C****
C        SOUS-PROGRAMME D'ECRITURE  D'UN TABLEAU D'ENTIERS A PARTIR 
C     D'UN ARTICLE (DE DONNEES) PAR *NOM*
C     SUR UNE UNITE LOGIQUE OUVERTE POUR LE LOGICIEL DE FICHIERS INDEXES
C     *LFI*; L'ARTICLE EN SORTIE EST UN "BLOC" DE DONNEES ADJACENTES.
C**
C    ARGUMENTS : KREP   (SORTIE) ==> CODE-REPONSE DU SOUS-PROGRAMME;
C                KNUMER (ENTREE) ==> NUMERO DE L'UNITE LOGIQUE;
C                CDNOMA (ENTREE) ==> NOM DE L'ARTICLE A RECHERCHER;
C                KTAB   (ENTREE) ==> PREMIER MOT A ECRIRE
C                KLONG  (ENTREE) ==> LONGUEUR DE L'ARTICLE A LIRE.
C
#ifndef f77
#include "precision.h"
#endif
C
      CHARACTER CDNOMA*(*)
      INTEGER KREP, KNUMER, KLONG, KTAB(KLONG)

      INTEGER JI
#ifndef f77
      INTEGER (KIND=JPDBLE)  ITAB (KLONG)
#else
      INTEGER ITAB (KLONG)
#endif
C
      DO 10 JI=1,KLONG
#ifndef f77
        ITAB(JI)=INT(KTAB(JI),KIND=JPDBLE)
#else
        ITAB(JI)=INT(KTAB(JI))
#endif
10    CONTINUE 
      CALL LFIECR ( KREP, KNUMER, CDNOMA, ITAB, KLONG )
C
      RETURN
      END
