      SUBROUTINE LFINIM ( KREP, KNUMER, KNIMES )
#include "lficomt.h"
C****
C        CE SOUS-PROGRAMME PERMET D'AJUSTER LE NIVEAU DE MESSAGERIE
C     PROPRE AUX ACTIONS FAITES SUR UN FICHIER PARTICULIER, OUVERT POUR
C     LE LOGICIEL LFI.
C        CEPENDANT, TANT QUE LE NIVEAU DE MESSAGERIE GLOBAL *NIMESG*
C     VAUT 0 OU 2, LE NIVEAU PROPRE AU FICHIER EST INOPERANT.
C     *NIMESG* VAUT PAR DEFAUT 1, ET EST REGLABLE VIA LE S/P "LFINMG".
C**
C     ARGUMENTS : KREP   (SORTIE) ==> CODE-REPONSE DU SOUS-PROGRAMME;
C                 KNUMER (ENTREE) ==> NUMERO D'UNITE LOGIQUE CONCERNEE;
C                 KNIMES (ENTREE) ==> NIVEAU DE MESSAGERIE SOUHAITE.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KNUMER, KNIMES, IRANG, IREP, INIMES, INIMEX
C
#include "lficom2.h"
C
      CALL LFINUM (KNUMER,IRANG)
      INIMEX=0
C
      IF (IRANG.EQ.0) THEN
        IREP=-1
      ELSEIF (KNIMES.GE.0.AND.KNIMES.LE.2) THEN
        INIMEX=IXNIMS (IRANG)
        NIVMES(IRANG)=KNIMES
        NDEROP(IRANG)=5
        IREP=0
      ELSE
        IREP=-2
      ENDIF
C
      KREP=IREP
      LLFATA=LLMOER (IREP,IRANG)
C
      IF (LLFATA.OR.MAX0 (IXNIMS (IRANG),INIMEX).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='LFINIM'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', KNIMES='',I3)') KREP,KNUMER,KNIMES
      CALL LFIEMS (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
