      SUBROUTINE LFINSG ( KNIVAU )
#include "lficomt.h"
C****
C        CE SOUS-PROGRAMME SE CHARGE DE METTRE LE NIVEAU GLOBAL
C     D'IMPRESSION DES STATISTIQUES A LA FERMETURE (*NISTAG*)
C     A LA VALEUR KNIVAU . PAR DEFAUT, NISTAG VAUT 1 .
C**
C        ARGUMENT : KNIVAU (ENTREE) ==> NIVEAU GLOBAL D'IMPRESSION DES
C                                       STATISTIQUES; VALEURS POSSIBLES
C
C     0 : NE PAS IMPRIMER LES STATISTIQUES A LA FERMETURE D'UN
C         FICHIER, MEME SI CELA AVAIT ETE DEMANDE LORS DE SON OUVERTURE.
C     1 : N'IMPRIMER LES STATISTIQUES A LA FERMETURE QUE SI CELA
C         AVAIT ETE DEMANDE LORS DE L'OUVERTURE (MODE PAR DEFAUT).
C     2 : IMPRIMER LES STATISTIQUES A LA FERMETURE D'UN FICHIER,
C         MEME SI LE FICHIER AVAIT ETE OUVERT SANS CETTE OPTION.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KNIVAU, INIMES, IREP, INUMER
C
      LOGICAL LLPREA
      SAVE LLPREA
C
      DATA LLPREA /.TRUE./
C
      IF (LLPREA) THEN
        CALL LFIINI (2)
        LLPREA=.FALSE.
      ENDIF
C
      IF (KNIVAU.GE.0.AND.KNIVAU.LE.2) THEN
        NISTAG=KNIVAU
        IREP=0
      ELSE
        IREP=-2
      ENDIF
C
C        MESSAGERIE EVENTUELLE, AVEC ABORT SI NECESSAIRE .
C
      LLFATA=IREP.NE.0.AND.NERFAG.NE.2
C
      IF (LLFATA) THEN
        INIMES=2
      ELSEIF (IREP.NE.0) THEN
        INIMES=0
      ELSEIF (NIMESG.EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      INUMER=JPNIL
      CLNSPR='LFINSG'
C
      IF (MAX0 (INIMES,NIMESG).EQ.2) THEN
C
        IF (LFRANC) THEN
          WRITE (UNIT=CLMESS,FMT='(''KNIVAU='',I5,'', CODE INTERNE='',
     S           I4)') KNIVAU,IREP
        ELSE
          WRITE (UNIT=CLMESS,FMT='(''KNIVAU='',I5,'', INTERNAL CODE='',
     S           I4)') KNIVAU,IREP
        ENDIF
C
        IF (INIMES.NE.2) CALL LFIEMS (INUMER,NIMESG,IREP,.FALSE.,CLMESS,
     S                                CLNSPR,CLACTI)
      ENDIF
C
      CALL LFIEMS (INUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
