      SUBROUTINE LFIOEF ( KREP, KNUMER, LDERFA )
#include "lficomt.h"
C****
C        Ce sous-programme permet d'obtenir l'option courante
C     de traitement des ERREURS detectees par le logiciel LFI,
C     pour un fichier particulier ouvert pour ce logiciel.
C
C        Noter que si le niveau global d'erreur fatale *NERFAG*
C     vaut 0 ou 2, l'option propre au fichier est inoperante.
C     *NERFAG* vaut par defaut 1, est reglable via le s/p "LFINEG",
C     et sa valeur peut etre obtenue par le s/p "LFIOEG".
C**
C     ARGUMENTS : KREP   (Sortie) ==> Code-REPonse du sous-programme;
C                 KNUMER (Entree) ==> NUMERo d'unite logique concernee;
C                 LDERFA (Sortie) ==> Option d'ERreur FAtale (vrai=oui).
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KNUMER, IRANG, IREP, INIMES
C
      LOGICAL LDERFA
C
#include "lficom2.h"
C
      CALL LFINUM (KNUMER,IRANG)
C
      IF (IRANG.EQ.0) THEN
        IREP=-1
      ELSE
        LDERFA=LERFAT(IRANG)
        NDEROP(IRANG)=19
        IREP=0
      ENDIF
C
      LLFATA=LLMOER (IREP,IRANG)
      KREP=IREP
C
      IF (LLFATA.OR.IXNIMS (IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='LFIOEF'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', LDERFA= '',L1)') KREP,KNUMER,LDERFA
      CALL LFIEMS (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
