      SUBROUTINE LFIOMG ( KNIVAU )
#include "lficomt.h"
C****
C        Ce sous-programme permet d'obtenir la valeur courante du NIVEAU
C      GLOBAL d'IMPRESSION des MESSAGES emis par le logiciel LFI.
C**
C        ARGUMENT : KNIVAU (Sortie) ==> Niveau global de messagerie.
C
C     Valeurs possibles (par defaut, 1):
C
C     0 : N'emettre que les messages d'erreurs reellement importants,
C         en pratique ceux relies a une erreur fatale. Le niveau indivi-
C         duel de messagerie des fichiers est alors inoperant.
C
C     1 : Seuls quelques messages "globaux" (c'est-a-dire non reliables
C         a un fichier deja ouvert) et les messages lies a un fichier
C         ouvert, messages dont le niveau est au plus egal au niveau de
C         messagerie individuelle du fichier.
C
C     2 : Emettre tous les messages possibles (donc jusqu'au niveau 2,
C         mais pas ceux lies au mode "mise au point"), meme si
C         ces messages concernent un fichier dont le niveau individuel
C         de messagerie est inferieur a 2.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KNIVAU, INIMES, IREP, INUMER
C
      LOGICAL LLPREA
      SAVE LLPREA
C
      DATA LLPREA /.TRUE./
C
      IF (LLPREA) THEN
        CALL LFIINI (2)
        LLPREA=.FALSE.
      ENDIF
C
      KNIVAU=NIMESG
      INIMES=NIMESG
C
      IF (INIMES.EQ.2) THEN
        IREP=0
        INUMER=JPNIL
        CLNSPR='LFIOMG'
        WRITE (UNIT=CLMESS,FMT='(''KNIVAU='',I2)') KNIVAU
        CALL LFIEMS (INUMER,INIMES,IREP,.FALSE.,CLMESS,CLNSPR,CLACTI)
      ENDIF
C
      RETURN
      END
