      SUBROUTINE LFIOSG ( KNIVAU )
#include "lficomt.h"
C****
C        Ce sous-programme permet d'obtenir la valeur courante du NIVEAU
C     GLOBAL d'IMPRESSION des STATISTIQUES concernant les fichiers
C     manipules par le logiciel LFI, lors de leur fermeture.
C**
C        ARGUMENT : KNIVAU (Sortie) ==> Niveau global d'impression des
C                                       statistiques a la fermeture.
C
C     Valeurs possibles (par defaut, 1):
C
C     0 : Dans ce cas, on n'imprime pas de statistiques lors de la fer-
C         meture d'un fichier, meme si l'option individuelle du fichier
C         concerne est a .TRUE. .
C
C     1 : Respect de l'option individuelle du fichier.
C
C     2 : Dans ce cas, force l'impression des statistiques a la ferme-
C         ture d'un fichier, meme si l'option individuelle du fichier
C         est a .FALSE. .
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KNIVAU, INIMES, IREP, INUMER
C
      LOGICAL LLPREA
      SAVE LLPREA
C
      DATA LLPREA /.TRUE./
C
      IF (LLPREA) THEN
        CALL LFIINI (2)
        LLPREA=.FALSE.
      ENDIF
C
      KNIVAU=NISTAG
      INIMES=NIMESG
C
      IF (INIMES.EQ.2) THEN
        IREP=0
        INUMER=JPNIL
        CLNSPR='LFIOSG'
        WRITE (UNIT=CLMESS,FMT='(''KNIVAU='',I2)') KNIVAU
        CALL LFIEMS (INUMER,INIMES,IREP,.FALSE.,CLMESS,CLNSPR,CLACTI)
      ENDIF
C
      RETURN
      END
