      SUBROUTINE LFIPHA ( KREP, KRANG, KRGPIM, KRETIN )
#include "lficomt.h"
C****
C        SOUS-PROGRAMME *INTERNE* DU LOGICIEL DE FICHIERS INDEXES LFI
C     PHASAGE D'UNE PAGE D'INDEX "LONGUEUR/POSITION"
C     AVEC LA PAGE D'INDEX "NOMS" CORRESPONDANTE.
C        IL EST ABSOLUMENT NECESSAIRE QUE LA PAGE D'INDEX "NOMS" SOIT
C     EFFECTIVEMENT ALIMENTEE AVANT L'APPEL DE CE SOUS-PROGRAMME...
C**
C    ARGUMENTS : KREP   (SORTIE) ==> CODE-REPONSE DE LA LECTURE DE PAGE;
C                KRANG  (ENTREE) ==> RANG DE L'UNITE LOGIQUE CONCERNEE;
C                KRGPIM (ENTREE) ==> NUMERO DE LA PAGE CONCERNEE;
C                KRETIN (SORTIE) ==> CODE-RETOUR INTERNE.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KRANG, KRGPIM, KRETIN, INUMER, IREC, INAPHY, INIMES
      INTEGER IRETOU, IRETIN
C
#include "lficom2.h"
C
      IRETOU=0
      INUMER=NUMERO(KRANG)
      CALL LFIREC (MRGPIF(KRGPIM),KRANG,IREC)
      INAPHY=IREC+1
      CALL LFILDO (KREP,INUMER,IREC+1,MLGPOS(IXM(1,KRGPIM)),
     S             NBREAD(KRANG),MFACTM(KRANG),IRETIN)
C
      IF (IRETIN.NE.0) THEN
        GOTO 904
      ENDIF
C
      LPHASP(KRGPIM)=.TRUE.
      GOTO 1001
C
  904 CONTINUE
      IRETOU=2
      CLACTI='READ'
C
C      AU CAS OU, ON FORCE LE CODE-REPONSE ENTREE/SORTIE A ETRE POSITIF.
C
      KREP=IABS (KREP)
      NUMAPH(KRANG)=INAPHY
C**
C    10.  -  PHASE TERMINALE : MESSAGERIE INTERNE EVENTUELLE,
C            VIA LE SOUS-PROGRAMME "LFIEMS", PUIS RETOUR.
C-----------------------------------------------------------------------
C
 1001 CONTINUE
      LLFATA=LLMOER (KREP,KRANG)
C
      IF (KREP.EQ.0) THEN
        KRETIN=0
      ELSEIF (KREP.GT.0) THEN
        KRETIN=IRETOU
      ELSE
        KRETIN=3
      ENDIF
C
      IF (LMISOP.OR.LLFATA) THEN
        INIMES=2
        CLNSPR='LFIPHA'
        WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KRANG='',I3,
     S         '', KRGPIM='',I3,'', KRETIN='',I2)')
     S    KREP,KRANG,KRGPIM,KRETIN
        CALL LFIEMS (INUMER,INIMES,KREP,.FALSE.,CLMESS,CLNSPR,CLACTI)
      ENDIF
C
      RETURN
C
      END
