      SUBROUTINE LFISTA ( KREP, KNUMER )
#include "lficomt.h"
C****
C        SOUS-PROGRAMME CHARGE D'IMPRIMER LES STATISTIQUES D'UTILISATION
C     D'UN FICHIER OUVERT POUR LE LOGICIEL DE FICHIERS INDEXES *LFI*.
C**
C    ARGUMENTS : KREP   (SORTIE) ==> CODE-REPONSE DU SOUS-PROGRAMME;
C                KNUMER (ENTREE) ==> NUMERO DE L'UNITE LOGIQUE.
C
C        L'IMPRESSION DES STATISTIQUES VIA CE SOUS-PROGRAMME EST
C     FAITE QUELQUE SOIT LES OPTIONS D'IMPRESSION DES STATISTIQUES
C     A LA FERMETURE ( GLOBALE, OU PROPRE AU FICHIER ); IL SUFFIT
C     QUE L'UNITE LOGIQUE *KNUMER* SOIT OUVERTE POUR LE LOGICIEL LFI.
C        PAR AILLEURS, UTILSATION EST A COMPRENDRE "DEPUIS L'OUVERTURE".
C     ( MEME S'IL Y A QUELQUES ASPECTS "HISTORIQUES" )
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KNUMER, IRANG, IREP, INIMES
C
#include "lficom2.h"
C**
C     1.  -  CONTROLES DU PARAMETRES D'ENTREE, PUIS INITIALISATIONS.
C-----------------------------------------------------------------------
C
      CALL LFINUM (KNUMER,IRANG)
C
      IF (IRANG.EQ.0) THEN
        IREP=-1
        GOTO 1001
      ENDIF
C
       IF (LMULTI) CALL LFIVER (VERRUE(IRANG),'ON')
C**
C     2.  -  IMPRESSION DES STATISTIQUES PROPREMENT DITE.
C-----------------------------------------------------------------------
C
      CALL LFIIST (IRANG,.FALSE.)
      IREP=0
C**
C    10.  -  PHASE TERMINALE : MESSAGERIE, AVEC "ABORT" EVENTUEL,
C            VIA LE SOUS-PROGRAMME "LFIEMS" .
C-----------------------------------------------------------------------
C
 1001 CONTINUE
      KREP=IREP
      LLFATA=LLMOER (IREP,IRANG)
C
      IF (IRANG.NE.0) THEN
        NDEROP(IRANG)=8
        NDERCO(IRANG)=IREP
         IF (LMULTI) CALL LFIVER (VERRUE(IRANG),'OFF')
      ENDIF
C
      IF (LLFATA.OR.IXNIMS (IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='LFISTA'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3)')
     S     KREP,KNUMER
      CALL LFIEMS (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
