      PROGRAM TSTLFI
C****
C        Programme *TSTLFI* - programme interactif de test
C     du logiciel de fichiers indexes LFI.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER JPLTAB
C
      PARAMETER ( JPLTAB=2500000 )
C
      INTEGER IREP, INPUT, J, INULOG, INUMER, INIMES, INBARP, INBARI
      INTEGER ILONG, IPOSEX, INALDO, INTROU, INARES, INAMAX, ILONUT
      INTEGER I1, I2, I3, IMULT, IADD, IOPTIO, INIVAU, INPUT2, IFACTM
      INTEGER IFACMD, INUMEX, IBMOEX, IBCAEX, ILAREX, IXCNEX, IFACEX
      INTEGER INUTRA
#ifndef f77
      INTEGER (KIND=JPDBLE)  ITAB (JPLTAB)
#else
      INTEGER ITAB (JPLTAB)
#endif
C
      CHARACTER CLNOMF*(JPLFTX), CLOPER*4
      CHARACTER*(JPLSTX) CLSTTO, CLSTTC
      CHARACTER*(JPNCPN) CLNOMA, CLNOM1, CLNOM2
C
      LOGICAL LLNOMM, LLERFA, LLIMST, LLAVAN, LLDEBU, LLRECU, LLTOUT
      LOGICAL LLFRAN, LLOUVR
C
      IREP=JPNIL
      NBFIOU=0
      NFACTM=0
      INPUT=5
C
   10 CONTINUE
C
      DO 20 J=1,JPLTAB
      ITAB(J)=J
   20 CONTINUE
C
  100 PRINT *,'ACTION ?'
      READ (UNIT=INPUT,FMT='(A4)',ERR=1000,END=1000) CLOPER
C
      IF (CLOPER.EQ.'STOP') THEN
        PRINT *,
     S  '/// ARRET D''EXECUTION DU PROGRAMME DE TEST PAR ORDRE ''STOP'''
        GOTO 1000
C
      ELSEIF (CLOPER.EQ.'CLOS') THEN
  101   PRINT *,'Numero d''unite logique ?'
        READ (UNIT=INPUT,FMT=*,END=100) INULOG
        IF (INULOG.EQ.INPUT) GOTO 101
        CLOSE (UNIT=INULOG,IOSTAT=IREP)
C
      ELSEIF (CLOPER.EQ.'REWI') THEN
  102   PRINT *,'Numero d''unite logique ?'
        READ (UNIT=INPUT,FMT=*,END=100) INULOG
        IF (INULOG.EQ.INPUT) GOTO 102
        REWIND (UNIT=INULOG,IOSTAT=IREP)
C
      ELSEIF (CLOPER.EQ.'OUV') THEN
        PRINT *,
     S'INUMER, LLNOMM, CLNOMF, CLSTTO, LLERFA, LLIMST, INIMES, INBARP ?'
        READ (UNIT=INPUT,FMT=*,END=100)
     S INUMER,LLNOMM,CLNOMF,CLSTTO,LLERFA,LLIMST,INIMES,INBARP
        CALL LFIOUV (IREP,INUMER,LLNOMM,CLNOMF,CLSTTO,LLERFA,LLIMST,
     S               INIMES,INBARP,INBARI)
        PRINT *,'INBARI= ',INBARI
C
      ELSEIF (CLOPER.EQ.'ECR') THEN
        PRINT *,'INUMER, CLNOMA, ILONG ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER, CLNOMA, ILONG
        IF (ILONG.GT.JPLTAB) GOTO 800
        CALL LFIECR (IREP,INUMER,CLNOMA,ITAB,ILONG)
C
      ELSEIF (CLOPER.EQ.'LEC') THEN
        PRINT *,'INUMER, CLNOMA, ILONG ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER, CLNOMA, ILONG
        IF (ILONG.GT.JPLTAB) GOTO 800
        CALL LFILEC (IREP,INUMER,CLNOMA,ITAB,ILONG)
C
      ELSEIF (CLOPER.EQ.'CAS') THEN
        PRINT *,'INUMER, LLAVAN ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER,LLAVAN
        CALL LFICAS (IREP,INUMER,CLNOMA,ILONG,IPOSEX,LLAVAN)
        PRINT *,'CLNOMA = "',CLNOMA,'", ILONG = ',ILONG,
     S          ', IPOSEX = ',IPOSEX
C
      ELSEIF (CLOPER.EQ.'CAP') THEN
        PRINT *,'INUMER, LLRECU ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER,LLRECU
        CALL LFICAP (IREP,INUMER,CLNOMA,ILONG,IPOSEX,LLRECU)
        PRINT *,'CLNOMA = "',CLNOMA,'", ILONG = ',ILONG,
     S          ', IPOSEX = ',IPOSEX
C
      ELSEIF (CLOPER.EQ.'NAF') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFINAF (IREP,INUMER,INALDO,INTROU,INARES,INAMAX)
        PRINT *,'INALDO = ',INALDO,', INTROU = ',INTROU,', INARES = ',
     S          INARES,', INAMAX = ',INAMAX
C
      ELSEIF (CLOPER.EQ.'LAS') THEN
        PRINT *,'INUMER, ILONG ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER, ILONG
        IF (ILONG.GT.JPLTAB) GOTO 800
        CALL LFILAS (IREP,INUMER,CLNOMA,ITAB,ILONG)
        PRINT *,'CLNOMA = "',CLNOMA,'"'
C
      ELSEIF (CLOPER.EQ.'LAP') THEN
        PRINT *,'INUMER, ILONG ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER, ILONG
        IF (ILONG.GT.JPLTAB) GOTO 800
        CALL LFILAP (IREP,INUMER,CLNOMA,ITAB,ILONG)
        PRINT *,'CLNOMA = "',CLNOMA,'"'
C
      ELSEIF (CLOPER.EQ.'NFO') THEN
        PRINT *,'INUMER, CLNOMA ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER, CLNOMA
        CALL LFINFO (IREP,INUMER,CLNOMA,ILONG,IPOSEX)
        PRINT *,'ILONG = ',ILONG,', IPOSEX = ',IPOSEX
C
      ELSEIF (CLOPER.EQ.'REN') THEN
        PRINT *,'INUMER, CLNOM1, CLNOM2 ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER, CLNOM1,CLNOM2
        CALL LFIREN (IREP,INUMER,CLNOM1,CLNOM2)
C
      ELSEIF (CLOPER.EQ.'SUP') THEN
        PRINT *,'INUMER, CLNOMA ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER, CLNOMA
        CALL LFISUP (IREP,INUMER,CLNOMA,ILONUT)
        PRINT *,'ILONUT = ',ILONUT
C
      ELSEIF (CLOPER.EQ.'POS') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFIPOS (IREP,INUMER)
C
      ELSEIF (CLOPER.EQ.'PRI') THEN
        PRINT *,'I1, I2, I3 ?'
        READ (UNIT=INPUT,FMT=*,END=100) I1, I2, I3
        I1=MAX0 (1, MIN0 (JPLTAB,I1))
        I2=MAX0 (1, MIN0 (JPLTAB,I2))
        PRINT *,(ITAB(J),J=I1,I2,I3)
C
      ELSEIF (CLOPER.EQ.'INIT') THEN
        GOTO 10
C
      ELSEIF (CLOPER.EQ.'RAZ') THEN
C
        DO 201 J=1,JPLTAB
        ITAB(J)=0
  201   CONTINUE
C
      ELSEIF (CLOPER.EQ.'TAB') THEN
        PRINT *,'IMULT, IADD, I1, I2, I3 ?'
        READ (UNIT=INPUT,FMT=*,END=100) IMULT,IADD,I1,I2,I3
        I1=MAX0 (1, MIN0 (JPLTAB,I1))
        I2=MAX0 (1, MIN0 (JPLTAB,I2))
C
        DO 202 J=I1,I2,I3
        ITAB(J)=IMULT*J+IADD
  202   CONTINUE
C
      ELSEIF (CLOPER.EQ.'FER') THEN
        PRINT *,'INUMER, CLSTTC ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER, CLSTTC
        CALL LFIFER (IREP,INUMER,CLSTTC)
C
      ELSEIF (CLOPER.EQ.'STA') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFISTA (IREP,INUMER)
C
      ELSEIF (CLOPER.EQ.'INI') THEN
        PRINT *,'IOPTIO ?'
        READ (UNIT=INPUT,FMT=*,END=100) IOPTIO
        CALL LFIINI (IOPTIO)
C
      ELSEIF (CLOPER.EQ.'NSG') THEN
        PRINT *,'INIVAU ?'
        READ (UNIT=INPUT,FMT=*,END=100) INIVAU
        CALL LFINSG (INIVAU)
C
      ELSEIF (CLOPER.EQ.'NEG') THEN
        PRINT *,'INIVAU ?'
        READ (UNIT=INPUT,FMT=*,END=100) INIVAU
        CALL LFINEG (INIVAU)
C
      ELSEIF (CLOPER.EQ.'NMG') THEN
        PRINT *,'INIVAU ?'
        READ (UNIT=INPUT,FMT=*,END=100) INIVAU
        CALL LFINMG (INIVAU)
C
      ELSEIF (CLOPER.EQ.'DEB') THEN
        PRINT *,'LLDEBU ?'
        READ (UNIT=INPUT,FMT=*,END=100) LLDEBU
        CALL LFIDEB (LLDEBU)
C
      ELSEIF (CLOPER.EQ.'MST') THEN
        PRINT *,'INUMER, LLIMST ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER,LLIMST
        CALL LFIMST (IREP,INUMER,LLIMST)
C
      ELSEIF (CLOPER.EQ.'ERF') THEN
        PRINT *,'INUMER, LLERFA ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER,LLERFA
        CALL LFIERF (IREP,INUMER,LLERFA)
C
      ELSEIF (CLOPER.EQ.'NIM') THEN
        PRINT *,'INUMER, INIMES ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER,INIMES
        CALL LFINIM (IREP,INUMER,INIMES)
C
      ELSEIF (CLOPER.EQ.'LAF') THEN
        PRINT *,'INUMER, LLTOUT ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER,LLTOUT
        CALL LFILAF (IREP,INUMER,LLTOUT)
C
      ELSEIF (CLOPER.EQ.'AFM') THEN
        PRINT *,'INUMER, IFACTM ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER,IFACTM
        CALL LFIAFM (IREP,INUMER,IFACTM)
C
      ELSEIF (CLOPER.EQ.'SFM') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFISFM (IREP,INUMER)
C
      ELSEIF (CLOPER.EQ.'FMD') THEN
        PRINT *,'IFACMD ?'
        READ (UNIT=INPUT,FMT=*,END=100) IFACMD
        CALL LFIFMD (IFACMD)
C
      ELSEIF (CLOPER.EQ.'FRA') THEN
        PRINT *,'LLFRAN ?'
        READ (UNIT=INPUT,FMT=*,END=100) LLFRAN
        CALL LFIFRA (LLFRAN)
C
      ELSEIF (CLOPER.EQ.'OEF') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFIOEF (IREP,INUMER,LLERFA)
        PRINT *,'LLERFA= ',LLERFA
C
      ELSEIF (CLOPER.EQ.'OMF') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFIOMF (IREP,INUMER,INIMES)
        PRINT *,'INIMES= ',INIMES
C
      ELSEIF (CLOPER.EQ.'OSF') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFIOSF (IREP,INUMER,LLIMST)
        PRINT *,'LLIMST= ',LLIMST
C
      ELSEIF (CLOPER.EQ.'OEF') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFIOEF (IREP,INUMER,LLERFA)
        PRINT *,'LLERFA= ',LLERFA
C
      ELSEIF (CLOPER.EQ.'OEG') THEN
        CALL LFIOEG (INIVAU)
        PRINT *,'INIVAU= ',INIVAU
C
      ELSEIF (CLOPER.EQ.'OMG') THEN
        CALL LFIOMG (INIVAU)
        PRINT *,'INIVAU= ',INIVAU
C
      ELSEIF (CLOPER.EQ.'OSG') THEN
        CALL LFIOSG (INIVAU)
        PRINT *,'INIVAU= ',INIVAU
C
      ELSEIF (CLOPER.EQ.'CFG') THEN
        CALL LFICFG
C
      ELSEIF (CLOPER.EQ.'OFM') THEN
        PRINT *,'INUMER ?'
        READ (UNIT=INPUT,FMT=*,END=100) INUMER
        CALL LFIOFM (IREP,INUMER,IFACTM,LLOUVR)
        PRINT *,'IFACTM= ',IFACTM,', LLOUVR= ',LLOUVR
C
      ELSEIF (CLOPER.EQ.'OFD') THEN
        CALL LFIOFD (IFACMD)
        PRINT *,'IFACMD= ',IFACMD
C
      ELSEIF (CLOPER.EQ.'PXF') THEN
        PRINT *,
     S'KNUMER, KNUMEX, KBMOEX, KBCAEX, KLAREX, KXCNEX, KFACEX, KNUTRA ?'
        READ (UNIT=INPUT,FMT=*,END=100)
     S    INUMER,INUMEX,IBMOEX,IBCAEX,ILAREX,IXCNEX,IFACEX,INUTRA
        CALL LFIPXF
     S   (IREP,INUMER,INUMEX,IBMOEX,IBCAEX,ILAREX,IXCNEX,IFACEX,INUTRA)
C
      ELSEIF (CLOPER.EQ.'CHU') THEN
        PRINT *,'NOUVELLE UNITE LOGIQUE D''INPUT ?'
        READ (UNIT=INPUT,FMT=*,END=100) INPUT2
        INPUT=INPUT2
C
      ELSEIF (CLOPER.EQ.'FIN'.OR.CLOPER.EQ.'END') THEN
        GOTO 1000
C
      ELSE
        PRINT *,'ACTION NON PREVUE'
      ENDIF
C
      IF (CLOPER.NE.'INI'.AND.CLOPER.NE.'NSG'.AND.CLOPER.NE.'NEG'
     S    .AND.CLOPER.NE.'NMG') PRINT *,'IREP = ',IREP
      PRINT *,'NBFIOU = ',NBFIOU,' NFACTM = ',NFACTM,' NUMERO = ',
     S        (NUMERO(NUMIND(J)),J=1,NBFIOU)
      GOTO 100
C
  800 CONTINUE
      PRINT *,
     S 'Longueur d''article trop grande - maximum du programme = ',
     S            JPLTAB
      GOTO 100
C
 1000 CONTINUE
C
      STOP
      END
