      integer function get_opt(clopt,clarg,llmpoff)
      use mpl_arg_mod
C
C     CRAY function
C
C     The get_opt utility breaks up options in command lines for easy parsing
C     by shell procedures and checks for legal options.
C     CLOPT is a string of recognized option letters.
C     CLARG is the option-argument.
C
C     Author : Vijay Saravane *METEO-FRANCE*
C
      character(len=*) clopt,clarg
      character(len=len(clarg)) copt
      character*1 copt1
      logical llmpoff
      data iarg /1/
      save iarg
c
c-----------------------------------------------
c
#ifdef T3D
      nbargs=IPXFARGC()
#else
      if (llmpoff) then
        nbargs=iargc()
      else
        nbargs=mpl_iargc()
      endif 
#endif
c si on a lu tous les arguments on sort ...
      if (iarg.gt.nbargs) then
         get_opt = 0
         return
      endif
c sinon on prend l'option en cours ...
#ifdef T3D
      call PXFGETARG(iarg,copt,ilen,ierr)
#else
      if (llmpoff) then
        call getarg(iarg,copt)
      else
        call mpl_getarg(iarg,copt)
      endif
#endif
      copt1=copt(2:2)
c si c'est pas une bonne option on sort ...
      if (index(clopt,copt1).eq.0) then
         get_opt = 0
         return
      endif
c sinon on prend l'argument de l'option
c cet argument est utilise dans getvarg
      if (len_trim(copt).ge.3) then  ! l argument est colle a l'option
         clarg=copt(3:len_trim(copt))
         iarg=iarg+1
      else                           ! l argument est separe par un blanc
#ifdef T3D
         call PXFGETARG(iarg+1,clarg,ilen,ierr)
#else
         if (llmpoff) then
           call getarg(iarg+1,clarg)
         else
           call mpl_getarg(iarg+1,clarg)
         endif
#endif
         iarg=iarg+2
      endif
c
c et on retourne la valeur du caractere de l'option
      get_opt = iachar(copt1)
c
      return
      end

