MODULE YOS_RAD

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!       ----------------------------------------------------------------
!*    ** *YOSRAD* - CONTROL OPTIONS FOR RADIATION CONFIGURATION
!       ----------------------------------------------------------------

INTEGER(KIND=JPIM) :: NSW  ! NUMBER OF SHORTWAVE SPECTRAL INTERVALS
INTEGER(KIND=JPIM) :: NTSW ! MAXIMUM POSSIBLE NUMBER OF SW SPECTRAL INTERVALS
LOGICAL :: LCCNL   ! .T. IF CCN CONCENTRATION OVER LAND IS DIAGNOSED
LOGICAL :: LCCNO   ! .T. IF CCN CONCENTRATION OVER OCEAN IS DIAGNOSED
LOGICAL :: LE4ALB  ! .T. IF MODIS ALBEDO IS USED
REAL(KIND=JPRB) :: RCCNSEA ! NUMBER CONCENTRATION (CM-3) OF CCNs OVER SEA
REAL(KIND=JPRB) :: RCCNLND ! NUMBER CONCENTRATION (CM-3) OF CCNs OVER LAND

END MODULE YOS_RAD
