MODULE YOS_RDI
  
USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!       ----------------------------------------------------------------
!*    ** *YOERDI* - COEFFICIENTS WITHIN RADIATION INTERFACE
!       ----------------------------------------------------------------

REAL(KIND=JPRB) :: RALBSFO   ! SNOW ALBEDO IN THE PRESENCE OF FOREST
REAL(KIND=JPRB) :: RALBSEAD  ! OPEN SEA ALBEDO FOR DIFFUSE RADIATION
REAL(KIND=JPRB) :: REMISD    ! LONGWAVE EMISSIVITY OF DESERT LAND SURFACE
REAL(KIND=JPRB) :: REMISL    ! LONGWAVE EMISSIVITY OF LAND
REAL(KIND=JPRB) :: REMISN    ! LONGWAVE EMISSIVITY OF SNOW
REAL(KIND=JPRB) :: REMISS    ! LONGWAVE EMISSIVITY OF SEA
REAL(KIND=JPRB) :: REPALB    ! SECURITY TO AVOID ZERO ALBEDOS.

END MODULE YOS_RDI
