MODULE YOMFORC1S
USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE
SAVE

!     -----------------------------------------------

!*    ATMOSPHERIC FORCING DATA FOR 1D SURFACE SCHEME, PILPS VERSION

!     -----------------------------------------------

INTEGER(KIND=JPIM), PARAMETER :: JPTYFC=11

REAL(KIND=JPRB),ALLOCATABLE,TARGET:: GFOR(:,:,:)
REAL(KIND=JPRB),POINTER :: UFI(:,:)
REAL(KIND=JPRB),POINTER :: VFI(:,:)
REAL(KIND=JPRB),POINTER :: TFI(:,:)
REAL(KIND=JPRB),POINTER :: QFI(:,:)
REAL(KIND=JPRB),POINTER :: PSFI(:,:)
REAL(KIND=JPRB),POINTER :: SRFFI(:,:)
REAL(KIND=JPRB),POINTER :: TRFFI(:,:)
REAL(KIND=JPRB),POINTER :: R30FI(:,:)
REAL(KIND=JPRB),POINTER :: S30FI(:,:)
REAL(KIND=JPRB),POINTER :: R30FI_C(:,:)
REAL(KIND=JPRB),POINTER :: S30FI_C(:,:)
REAL(KIND=JPRB) :: DTIMFC                ! Forcing frequency 
REAL(KIND=JPRB) :: RTSTFC                ! first step of loaded forcing ref. time 
INTEGER(KIND=JPIM) :: NSTPFC
INTEGER(KIND=JPIM) :: JPSTPFC           ! Dimension of the forcing set in the namelist
INTEGER(KIND=JPIM) :: DIMFORC            ! forcing dimension 1/2
! REAL(KIND=JPRB) :: PHISTA

!------------------------------------------------------------     
END MODULE YOMFORC1S
