MODULE YOMHOOK

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

! Used by "hook" function
! LHOOK = true implies "hook" function will be called
! Altough initialized to TRUE it will be reset by first call to 
! DR_HOOK unless we really want to use the hook function

SAVE
PUBLIC

LOGICAL :: LHOOK=.FALSE.

INTERFACE DR_HOOK  

MODULE PROCEDURE &
  DR_HOOK_MOCK
END INTERFACE

CONTAINS 

SUBROUTINE DR_HOOK_MOCK(CDNAME,KSWITCH,PKEY)
CHARACTER(LEN=*), INTENT(IN) :: CDNAME
INTEGER(KIND=JPIM),        INTENT(IN) :: KSWITCH
REAL(KIND=JPRB),        INTENT(INOUT) :: PKEY

if (lhook) then
  write(*,*) ' Do nothing version of Dr. Hook for off-line surf1d'
endif

END SUBROUTINE DR_HOOK_MOCK

END MODULE YOMHOOK
