#include <stdlib.h> // srand
#include <algorithm> // swap

static int ipow(int basis, int exponent)
{
        int res = 1;
        while (exponent--) res *= basis;
        return res;
}


/* provide an array of indices that are in random order but every index appears exatly 1 time */
static void randomizeArray(std::vector<int>& array)
{
	srand (3);

	for (int i = 0; i < array.size(); i++)
		array[i] = i;

	for (int i = 0; i < 3 * array.size(); i++)
	{
		int ind1 = rand() % array.size();
		int ind2 = rand() % array.size();
		std::swap(array[ind1], array[ind2]);
	}
}

