      SUBROUTINE ANGLES(N,J,RNM,RA,Q,WRK,COSQR)
C
C
C     .. Parameters ..
      INTEGER           RETRQ
      PARAMETER         (RETRQ=2)
C     .. Scalar Arguments ..
      REAL  RNM
      INTEGER           J, N
C     .. Array Arguments ..
      REAL COSQR(J), Q(N), RA(N), WRK(N)
C     .. Local Scalars ..
      INTEGER           I
C     .. External Functions ..
      REAL  DDOT
      EXTERNAL          DDOT
C     .. External Subroutines ..
      EXTERNAL          STORE
C     .. Executable Statements ..
C
      DO 20 I = 1, J - 1
         CALL STORE(N,RETRQ,I,WRK)
         IF (RNM.EQ.0.0E0) THEN
            COSQR(I) = 1.0E0
         ELSE
            COSQR(I) = DDOT(N,RA,1,WRK,1)/RNM
         END IF
   20 CONTINUE
      IF (RNM.EQ.0.0E0) THEN
         COSQR(J) = 1.0E0
      ELSE
         COSQR(J) = DDOT(N,RA,1,Q,1)/RNM
      END IF
      RETURN
      END
