      SUBROUTINE DSORT2(N,ARRAY1,ARRAY2)
C
C     .... Sort array1 and array2 into increasing order for array1
C
C     .. Scalar Arguments ..
      INTEGER           N
C     .. Array Arguments ..
      REAL  ARRAY1(0:N-1), ARRAY2(0:N-1)
C     .. Local Scalars ..
      REAL  TEMP
      INTEGER           I, IGAP, J
C     .. Executable Statements ..
C
      IGAP = N/2
   20 IF (IGAP.GT.0) THEN
         DO 60 I = IGAP, N - 1
            J = I - IGAP
   40       IF (J.GE.0 .AND. ARRAY1(J).GT.ARRAY1(J+IGAP)) THEN
               TEMP = ARRAY1(J)
               ARRAY1(J) = ARRAY1(J+IGAP)
               ARRAY1(J+IGAP) = TEMP
               TEMP = ARRAY2(J)
               ARRAY2(J) = ARRAY2(J+IGAP)
               ARRAY2(J+IGAP) = TEMP
            ELSE
               GO TO 60
            END IF
            J = J - IGAP
            GO TO 40
   60    CONTINUE
      ELSE
         RETURN
      END IF
      IGAP = IGAP/2
      GO TO 20
      END
