SUBROUTINE POSTPHY(KPROMA ,KST    ,KEND   ,LDFSTEP,LDMLPP, LDRS6,&
 & KLEVS  ,KLEVXP ,KFLDXP ,KSTGLO,&
 & KFLDXP2,KLEVO  ,PDTPHY,&              !KPP, KLEVO 
 & PRSAH,PUT9,PVT9,PTT9,PGFL,PAERODDF,PTENQ,&
 & PDELP9 ,PDIFTQ ,PDIFCQ ,PDIFTS ,PDIFCS,&
 & PFRSO  ,PFRSOD ,PFRTH  ,PFRTHD ,PUVDF  ,PPARF  ,PCAPE, PPARCF, PTINCF, PFDIR, PCDIR, &
 & PCBASE ,P0DEGL ,PVISIH,&
 & PFHPCL ,PFHPCN ,PFHPSL ,PFHPSN ,PFPLCL,&
 & PFPLCN ,PFPLSL ,PFPLSN ,PSTRCU ,PSTRCV ,PSTRDU ,PSTRDV,&
 & PFCCQN ,PFCCQL ,PFCSQN ,PFCSQL ,PFCQLNG,&
 & PFCQNNG,PSTRTU ,PSTRTV ,&
 & POROG  ,PENES  ,PFEVN,&
 & PGESLO ,PGECLO ,PVFLSM ,PVFCI,&
 & PVDZ0F,&
 & PTSAE1 ,PTLE1  ,PWSAE1,&
 & PISAE1,&
 & PWLE1  ,PSNSE1,&
 & PASNE1 ,PRSNE1 ,PTSNE1,&
 & PEXTRE1,PXTR2E1,&
 & PUOE1  ,PVOE1  ,PTOE1  ,PSOE1,&  !KPP
 & PFSNNU1,&
 & PASNU1 ,PRSNU1 ,PTSNU1,&
 & PTSLNU1,PWRENU1,PTRENU1,PQLINU1,&
 & PTILINU1,&
 & PEXTRP1,PXTRP21,&
 & PUO1  ,PVO1  ,PTO1  ,PSO1,&      !KPP
 & PRE9   ,PRE9F  ,&
 & PWRENU0,PFCLL  ,PFCLN,&
 & PTRENU0,PTSLNU0,PQLINU0,&
 & PTCLS,&
 & PQCLS  ,PISUND ,PVDBLH   ,PVDSUND,&
 & PITTRC ,PITSRC ,PISTRC   ,PISSRC ,PI10FG, PILSPF,&
 & PVTTRC ,PVTSRC ,PVSTRC   ,PVSSRC ,PVES, PVSMLT, PV10FG, PV10FG6, PVLSPF,PVVIMD,&
 & PUCLS  ,PVCLS  ,PVDLZ0H,PVDALB,&
 & PVLCC  ,PVMCC  ,PVHCC  ,PVTCC,&
 & PVDIS  ,PVDISG ,PUSTRG,&
 & PVSTRG ,PRUISS,&
 & PVDLSP ,PVDCP  ,PVDSF  ,PVDBLD ,PVDSSHF,PVDSLHF,PVDSP,PVDMSL,&
 & PVDSSR ,PVDSTR ,PVDSSRD,PVDSTRD,&
 & PVDTSR ,PVDTTR ,PVDUVDF,PVDPARF,PVDCAPE ,PVDPARCF, PVDTINCF, PVDFDIR, PVDCDIR,&
 & PVCBASE,PV0DEGL,PVVISIH,&
 & PVDIEWSS,PVDINSSS,&
 & PVDEWSS,PVDNSSS,PVDE   ,PVDLGWS,PVDISSHF,PVDIE ,&
 & PVDTCW ,PVDTCWV,PVDTCLW,PVDTCIW,PVDTCRW,PVDTCSW,&
 & PVDMGWS,PVDGWD ,PVDMX2T,PVDMN2T,PVDMX2T6,PVDMN2T6,PVDRO,PVDSSRO,PVDSRO,PVDCSF,PVDLSSF,PVDTCO3,&
 & PVDTCAERO,PVDAEROF,PVDTCGHG,PVDTCTRAC,PVDTCGRG,PVDGFLF,PVDCO2O,PVDCO2B,PVDCO2A,PVDCO2F,&
 & PVDCH4AG,PVDCH4F,PVDSF6,&
 & PGNORDL,PGNORDM,PGEMU  ,PGSQM2 ,PGELAM ,PGAW   ,PFCQNG ,&
 & PFONTE ,PRUISP ,PDHTLS ,PDHTSS ,PDHTTS ,PDHTIS ,PDHSSS ,PDHIIS,&
 & PDHWLS ,PDHFSS)  

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOMCST   , ONLY : RG, RMD, RMCO2, RMCH4, RMN2O , RMSF6
USE YOMDIM   , ONLY : NFLEVG   ,NPROMDLR
USE YOEPHY   , ONLY : LEPHYS
USE YOMINI   , ONLY : LINITER
USE YOMLDDH  , ONLY : LSDDH    ,LHDHKS   ,LHDMCI   ,LHDENT
USE YOMMDDH  , ONLY : NDHCSSU  ,NDHCVSUL ,NDDHI ,&
 & HDSF     ,NDHVTLS  ,NDHFTLS  ,NDHVTSS  ,NDHFTSS ,&
 & NDHVTTS  ,NDHFTTS  ,NDHVTIS  ,NDHFTIS  ,NDHVSSS ,&
 & NDHFSSS  ,NDHVIIS  ,NDHFIIS  ,NDHVWLS  ,NDHFWLS ,&
 & NDHVFS   ,NDHFFS   ,NFSVAR_AERO,NFSFLX_AERO
USE YOMPPC   , ONLY : LRSACC
USE YOMDPHY  , ONLY : NCSI     ,NCSNEC   ,NTILES
USE SURFACE_FIELDS_MIX  , ONLY : YSP_SBD
USE YOM_YGFL , ONLY : YGFL, YQ, YO3, YL, YI, YR, YS, &
 & YGHG, NGHG, YGRG, NGRG, LCO2SFC, &
 & YTRAC, NTRAC, LSF6SFC, LCH4SFC, YCH4S,YAERO,NACTAERO, LGRGSFC, LFIRE
USE YOMGRB, ONLY : NGRBGHG 

!**** *POSTPHY - Post physics computations

!     Purpose.
!     --------
!           To perform the computations related to the physics
!       done after the call to APLPAR including the computation
!       of tendencies, the accumalation of diabatic tendencies for
!       NMI and diagnostics. The main reason for creating the routine
!       is memory savings.

!**   Interface.
!     ----------
!        *CALL* *POSTPHY*

!        Explicit arguments : see in EC_PHYS
!        -------------------- 

!        Implicit arguments :
!        --------------------

!     Method.
!     -------
!        See documentation

!     Externals.
!     ----------

!     Reference.
!     ----------
!        ARPEGE documentation vol 2 ch 1 and vol 3 ch 6

!     Author.
!     -------
!        Mats Hamrud  *ECMWF*

!     Modifications.
!     --------------
!      Original : 93-02-15
!      D. Giard : 93-05-24 ACUMTNDx --> CPACTNDx
!      Modification : 93-06-01 M.Hamrud (Runoff fields)
!      Modification : 93-10-05 M.Hamrud (New surface scheme)
!      Modification : 94-05-20 C.Temperton (Change call to CPACTND0
!                                     to include spectral RT option)
!      Modification : 96-03 A. Untch (grid-point prognostic ozone (EC))
!      Modification : 97-06 D. Dent  (reset accumulated fluxes)
!      Modification : 98-01-09 E.Holm (Order of ozone in calls changed)
!      D. Giard : 99-07-19 LINITER moved from YOMNMIA to YOMINI
!      Modification : 99-03-26 J. Teixeira (surface tiling)
!      Modified 00-03-06 by A.Beljaars: PP of TTRC,TSRC,STRC,SSRC,ES,SMLT,10FG,LSPF
!      Modification : 00-05-15 C. Jakob: New surface DDH
!      D.Salmond (15-10-01) FULLIMP mods
!      R. El Khatib : 01-08-07 Pruning options
!      JJMorcrette  : 03-05-07 UVB, PAR, CAPE
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!      A.Tompkins   : 04-02-11 Adding TCLW,TCIW
!      P. Viterbo   : 2004-05-24  Change surface units
!      S. Serrar    : 2005-Sep-26 Add total column for CO2 and SF6,
!                     new fields for DDH
!      D.Salmond       22-Nov-2005 Mods for coarser/finer physics
!      A. Dethof    : 15-Dec-05 Add total column GRG fields
!      K. Yessad    : Feb 2006  call to CPQTUV moved in EC_PHYS.
!      R. Engelen    : 02-Jun-06 CO2 replaced by GHG fields
!      JJMorcrette  : 20060721 PP of clear-sky PAR, and TOA incident solar radiation
!      JJMorcrette  : 20060807 PP of VIMD
!      S. Serrar     : 07-Sep-06 tracers for diagnostics
!      S. Serrar     : 17-Jul-07 methane included in DDH
!      JJMorcrette  : 20061002 DDH for aerosol physics
!   N. Wedi and K. Yessad (Jan 2008): different dev for NH model and PC scheme
!      Y. Takaya    : 01-Feb-2009 ocean mixed layer model fields
!      JJMorcrette    20100212 PP of CBASE, 0DEGL, VISIH
!      JJMorcrette  : 20091201 Total and clear-sky direct SW radiation flux at surface 
!      R.Forbes     : 01-Mar-10 Adding TCRW,TCSW
!     ------------------------------------------------------------------

IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KLEVS 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLEVXP
INTEGER(KIND=JPIM),INTENT(IN)    :: KLEVO  !KPP 
INTEGER(KIND=JPIM),INTENT(IN)    :: KFLDXP 
INTEGER(KIND=JPIM),INTENT(IN)    :: KFLDXP2 
INTEGER(KIND=JPIM),INTENT(IN)    :: KPROMA 
INTEGER(KIND=JPIM),INTENT(IN)    :: KST 
INTEGER(KIND=JPIM),INTENT(IN)    :: KEND 
LOGICAL           ,INTENT(IN)    :: LDFSTEP 
LOGICAL           ,INTENT(IN)    :: LDMLPP 
LOGICAL           ,INTENT(IN)    :: LDRS6 
INTEGER(KIND=JPIM),INTENT(IN)    :: KSTGLO 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDTPHY 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PRSAH(NPROMDLR,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PUT9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVT9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTT9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PGFL(KPROMA,NFLEVG,YGFL%NDIM) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PAERODDF(KPROMA,NACTAERO,7)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTENQ(KPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDELP9(KPROMA,0:NFLEVG+1) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDIFTQ(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDIFCQ(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDIFTS(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDIFCS(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFRSO(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFRSOD(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFRTH(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFRTHD(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PUVDF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PPARF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PCAPE(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PPARCF(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTINCF(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFDIR(KPROMA), PCDIR(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PCBASE(KPROMA), P0DEGL(KPROMA), PVISIH(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFHPCL(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFHPCN(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFHPSL(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFHPSN(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFPLCL(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFPLCN(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFPLSL(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFPLSN(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTRCU(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTRCV(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTRDU(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTRDV(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCCQN(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCCQL(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCSQN(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCSQL(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCQLNG(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCQNNG(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTRTU(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTRTV(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: POROG(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PENES(KPROMA,KLEVS)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFEVN(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGESLO(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGECLO(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVFLSM(KPROMA)   
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVFCI(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDZ0F(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTSAE1(KPROMA,KLEVS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTLE1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PWSAE1(KPROMA,KLEVS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PISAE1(KPROMA,KLEVS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PWLE1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSNSE1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PASNE1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PRSNE1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTSNE1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PEXTRE1(KPROMA,KLEVXP,KFLDXP) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PXTR2E1(KPROMA,KFLDXP2) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PUOE1(KPROMA,KLEVO)      !KPP
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVOE1(KPROMA,KLEVO)      !KPP 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTOE1(KPROMA,KLEVO)      !KPP 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSOE1(KPROMA,KLEVO)      !KPP 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PFSNNU1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PASNU1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PRSNU1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTSNU1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTSLNU1(KPROMA,KLEVS) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PWRENU1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTRENU1(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PQLINU1(KPROMA,KLEVS) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTILINU1(KPROMA,KLEVS) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PEXTRP1(KPROMA,KLEVXP,KFLDXP) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PXTRP21(KPROMA,KFLDXP2) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PUO1(KPROMA,KLEVO)       !KPP
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVO1(KPROMA,KLEVO)       !KPP
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTO1(KPROMA,KLEVO)       !KPP
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSO1(KPROMA,KLEVO)       !KPP
REAL(KIND=JPRB)   ,INTENT(IN)    :: PRE9(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PRE9F(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PWRENU0(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCLL(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCLN(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTRENU0(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTSLNU0(KPROMA,KLEVS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PQLINU0(KPROMA,KLEVS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTCLS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PQCLS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PISUND(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDBLH(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSUND(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PITTRC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PITSRC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PISTRC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PISSRC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PI10FG(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PILSPF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVTTRC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVTSRC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVSTRC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVSSRC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVES(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVSMLT(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PV10FG(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PV10FG6(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVLSPF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVVIMD(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PUCLS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVCLS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDLZ0H(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDALB(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVLCC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVMCC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVHCC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVTCC(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDIS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDISG(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PUSTRG(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVSTRG(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PRUISS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDLSP(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDCP(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDBLD(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSSHF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSLHF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDSP(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDMSL(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSSR(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSTR(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSSRD(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSTRD(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDTSR(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDTTR(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDUVDF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDPARF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDCAPE(KPROMA)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDPARCF(KPROMA)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDTINCF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVCBASE(KPROMA), PV0DEGL(KPROMA), PVVISIH(KPROMA)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDFDIR(KPROMA) , PVDCDIR(KPROMA)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDIEWSS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDINSSS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDEWSS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDNSSS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDE(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDLGWS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDISSHF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDIE(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCW(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCWV(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCLW(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCIW(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCRW(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCSW(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDMGWS(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDGWD(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDMX2T(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDMN2T(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDMX2T6(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDMN2T6(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDRO(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSRO(KPROMA)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDSSRO(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDCSF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PVDLSSF(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCO3(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCAERO(KPROMA,NACTAERO)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDAEROF(KPROMA,NACTAERO,7)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCGHG(KPROMA,NGHG)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCTRAC(KPROMA,NTRAC)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVDTCGRG(KPROMA,NGRG)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDGFLF(KPROMA,NGRG+NTRAC)
REAL(KIND=JPRB)                  :: ZVDTCCH4S(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDCO2O(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDCO2B(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDCO2A(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDCO2F(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDCH4AG(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDCH4F(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVDSF6(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGNORDL(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGNORDM(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGEMU(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGSQM2(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGELAM(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGAW(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFCQNG(KPROMA,0:NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFONTE(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PRUISP(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDHTLS(KPROMA,NTILES,NDHVTLS+NDHFTLS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDHTSS(KPROMA,NCSNEC,NDHVTSS+NDHFTSS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDHTTS(KPROMA,YSP_SBD%NLEVS,NDHVTTS+NDHFTTS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDHTIS(KPROMA,NCSI,NDHVTIS+NDHFTIS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDHSSS(KPROMA,NCSNEC,NDHVSSS+NDHFSSS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDHIIS(KPROMA,NDHVIIS+NDHFIIS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PDHWLS(KPROMA,YSP_SBD%NLEVS,NDHVWLS+NDHFWLS) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PDHFSS(KPROMA,NDHVFS+NDHFFS) 

!     ------------------------------------------------------------------

REAL(KIND=JPRB) :: ZVDZ0H (KPROMA),ZVDZ0F (KPROMA)
REAL(KIND=JPRB) :: ZIES  (KPROMA),ZISMLT(KPROMA)

REAL(KIND=JPRB) ::  ZLSM(KPROMA)
!     --- DIAGNOSTICS DDH ---
!     IDDHI(KPROMA) : DISTRIBUTION OF INTERNAL AREAS INDEXES
!     ZDHSF(KPROMA) : DISTRIBUTION OF HORIZONTAL MEANS WEIGHTS
!                        --------------------------
!     ZUZGEO, ZVMGEO : GEOGRAPHICAL ZONAL AND MERIDIAN WIND
!                    (INITIALISED IF LHDHKS OR LHDMCI TRUE)

INTEGER(KIND=JPIM) :: IDDHI(KPROMA)
LOGICAL :: LLLAND(KPROMA)
REAL(KIND=JPRB) :: ZCPT1  (KPROMA),ZCPT234(KPROMA)
REAL(KIND=JPRB) :: ZWL1   (KPROMA),ZW234  (KPROMA)
REAL(KIND=JPRB) :: ZDHSF(KPROMA)
REAL(KIND=JPRB) :: ZDHCV(KPROMA,0:NFLEVG,NDHCVSUL)
REAL(KIND=JPRB) :: ZDHCS(KPROMA,NDHCSSU)
REAL(KIND=JPRB) :: ZUZGEO(KPROMA,NFLEVG), ZVMGEO(KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZGHG(KPROMA,NFLEVG,NGHG)
REAL(KIND=JPRB) :: ZCH4S(KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZTRAC(KPROMA,NFLEVG,NTRAC)
REAL(KIND=JPRB) :: ZGRG(KPROMA,NFLEVG,NGRG)
REAL(KIND=JPRB) :: ZAERO(KPROMA,NFLEVG,NACTAERO) 
REAL(KIND=JPRB) :: ZSUMDELP, ZRMGHG, ZRMTRAC , ZRGI
REAL(KIND=JPRB) :: ZIVIMD(KPROMA) 

INTEGER(KIND=JPIM) ::   JL, JLEV, JROF, JSU, JGHG, JTRAC , JGRG, JAERO, JFLX,ICO2,ICH4
INTEGER(KIND=JPIM) ::   IFSVAR_ECMWF , IFSFLX_ECMWF

LOGICAL :: LLDYN, LLPHY
REAL(KIND=JPRB) :: ZHOOK_HANDLE

!     ------------------------------------------------------------------

#include "cpangm.intfb.h"
#include "cpcuddh.intfb.h"
#include "cpedia.intfb.h"
#include "cpphddhe.intfb.h"
!#include "cpqtuv.intfb.h"
#include "cpspe.intfb.h"

!     ------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('POSTPHY',0,ZHOOK_HANDLE)
!     ------------------------------------------------------------------

!*       1.    UPDATE T+1 VARIABLES.
!              ---------------------

!*        1.1   UPDATE SURFACE VARIABLES

CALL CPSPE (&
 & KPROMA,KST,KEND,KLEVS,KLEVXP,KLEVO,& !KPP KLEVO
 & KFLDXP,KFLDXP2,PDTPHY,&
 & PTSAE1 , PTLE1  ,PWSAE1 ,&
 & PISAE1,&
 & PWLE1  ,PSNSE1 ,&
 & PASNE1 ,PRSNE1 ,PTSNE1 ,&
 & PEXTRE1,PXTR2E1,&
 & PUOE1  ,PVOE1  ,PTOE1  ,PSOE1,& !KPP
 & PTSLNU1, PTRENU1,PQLINU1,&
 & PTILINU1,&
 & PWRENU1,PFSNNU1,&
 & PASNU1 ,PRSNU1 ,PTSNU1,&
 & PEXTRP1,PXTRP21,&
 & PUO1  ,PVO1  ,PTO1  ,PSO1 &     !KPP
 & )
!     ------------------------------------------------------------------

!*        3.  DIAGNOSTICS.
!             ------------

!*    3.1   ECMWF SPECIFIC  DIAGNOSTICS

PVDTCGHG(:,:)=0._JPRB
PVDTCTRAC(:,:)=0._JPRB
PVDTCAERO(:,:)=0._JPRB
PVDTCGRG(:,:)=0._JPRB

IF(LEPHYS) THEN

  ! * For a SL2TL (resp. leap-frog scheme) scheme,
  !   the following pointers must ALWAYS match with
  !   quantities at time t (resp t-dt).

! change units from kg/m2/s to m/s
  ZIES(KST:KEND)=PFEVN(KST:KEND)/1.E+03_JPRB
  ZISMLT(KST:KEND)=PFONTE(KST:KEND)/1.E+03_JPRB

  IF(YCH4S%LACTIVE) THEN
  DO JLEV=1,NFLEVG
    DO JROF=1,KPROMA
      ZCH4S(JROF,JLEV)=PGFL(JROF,JLEV,YCH4S%MP)
    ENDDO
  ENDDO
  ENDIF

  DO JGHG=1,NGHG
    DO JLEV=1,NFLEVG
      DO JROF=1,KPROMA
        ZGHG(JROF,JLEV,JGHG)=PGFL(JROF,JLEV,YGHG(JGHG)%MP9)
      ENDDO
    ENDDO
  ENDDO

  DO JTRAC=1,NTRAC
    DO JLEV=1,NFLEVG
      DO JROF=1,KPROMA
        ZTRAC(JROF,JLEV,JTRAC)=PGFL(JROF,JLEV,YTRAC(JTRAC)%MP9)
      ENDDO
    ENDDO
  ENDDO

  DO JGRG=1,NGRG
    DO JLEV=1,NFLEVG
      DO JROF=1,KPROMA
        ZGRG(JROF,JLEV,JGRG)=PGFL(JROF,JLEV,YGRG(JGRG)%MP9)
      ENDDO
    ENDDO
  ENDDO

  DO JAERO=1,NACTAERO
    DO JLEV=1,NFLEVG
      DO JROF=1,KPROMA
        ZAERO(JROF,JLEV,JAERO)=PGFL(JROF,JLEV,YAERO(JAERO)%MP9)
      ENDDO
    ENDDO
  ENDDO

  CALL CPEDIA(KPROMA,KST,KEND,KSTGLO,LDFSTEP,LDMLPP,LDRS6,LRSACC,&
   & PFPLCL ,PFPLCN ,PFPLSL ,PFPLSN,&
   & PFRSO  ,PFRSOD ,PFRTH  ,PFRTHD ,PUVDF  ,PPARF  ,&
   & PCAPE  ,PPARCF ,PTINCF ,PFDIR  ,PCDIR  ,PCBASE ,P0DEGL, PVISIH,&
   & PDIFTS ,PDIFTQ ,PSTRTU ,PSTRTV,&
   & PFCLL  ,PFCLN  ,PTCLS  ,PISUND,&
   & PVDIS  ,PVDISG ,PUSTRG,&
   & PVSTRG ,PRUISS ,PRUISP,&
   & PRE9   ,PRE9F  ,PDELP9,&
   & PTT9,PGFL(1,1,YQ%MP9_PH),PGFL(1,1,YO3%MP9_PH),ZGHG,ZTRAC,ZGRG,ZAERO,&
   & PGFL(1,1,YL%MP9_PH),PGFL(1,1,YR%MP9_PH),&
   & PGFL(1,1,YI%MP9_PH),PGFL(1,1,YS%MP9_PH),PTENQ,&
   & POROG,ZCH4S, &
   & PVDLSP ,PVDCP  ,PVDSF  ,PVDBLD  ,PVDSUND,&
   & PITTRC ,PITSRC ,PISTRC ,PISSRC ,ZIES, ZISMLT, PI10FG, PILSPF, ZIVIMD,&
   & PVTTRC ,PVTSRC ,PVSTRC ,PVSSRC ,PVES, PVSMLT, PV10FG, PV10FG6,PVLSPF,PVVIMD,&
   & PVDSSHF,PVDSLHF,PVDSP  ,PVDMSL,&
   & PVDSSR ,PVDSTR ,PVDSSRD,PVDSTRD,PVDTSR ,PVDTTR,&
   & PVDUVDF,PVDPARF,PVDCAPE,PVDPARCF,PVDTINCF,PVDFDIR,PVDCDIR,&
   & PVCBASE,PV0DEGL,PVVISIH,&
   & PVDEWSS,PVDNSSS,PVDE   ,PVDLGWS,&
   & PVDMGWS,PVDGWD ,PVDMX2T,PVDMN2T,PVDMX2T6,PVDMN2T6,PVDRO,PVDSSRO,PVDSRO,&
   & PVDCSF ,PVDLSSF,&
   & PVDIEWSS,PVDINSSS,PVDISSHF,PVDIE,&
   & PVDTCW ,PVDTCWV,PVDTCLW,PVDTCIW,PVDTCRW,PVDTCSW,PVDTCO3,&
   & PVDTCGHG,PVDTCTRAC,PVDTCGRG,ZVDTCCH4S,PVDTCAERO)  
ENDIF

!*    3.2   ANGULAR MOMENTUM

IF(LDMLPP) THEN
  CALL CPANGM(KPROMA,NFLEVG,KST,KEND,&
   & PUT9,PVT9,PGEMU,PGSQM2,PGESLO,PGECLO,&
   & PRE9,PDELP9,PGAW)  
ENDIF

!     ------------------------------------------------------------------

!*        4.  DDH.
!             ----

!*    4.1 INITIALIZATION

IF ( LSDDH ) THEN
  DO JROF=KST,KEND
    IDDHI(JROF)=NDDHI(JROF+KSTGLO-1)
    ZDHSF(JROF)=HDSF(JROF+KSTGLO-1)
  ENDDO

!        INITIALISATION OF INTERMEDIATE COMPUTATION ARRAYS
!        IN ORDER TO MAKE THE ACCUMULATION EASIER

  DO JSU=1,NDHCVSUL
    DO JROF=KST,KEND
      ZDHCV(JROF,0   ,JSU)=0.0_JPRB
    ENDDO
  ENDDO

!        INITIALISATION IN CASE OF CONTROL OPTION

ENDIF

!*       4.2  COMP. OF PHYS. FIELDS AND SURFACE FLUXES

IF (LSDDH.AND..NOT.LINITER) THEN

!     CALCUL DES VENTS ZONAL ET MERIDIEN VRAIS, GEOGRAPHIQUES
  IF ( LHDHKS .OR. LHDMCI .OR. LHDENT ) THEN
    DO JLEV = 1, NFLEVG
      DO JROF=KST,KEND
        ZUZGEO(JROF,JLEV) = PGNORDM(JROF)*PUT9(JROF,JLEV)-&
         & PGNORDL(JROF)*PVT9(JROF,JLEV)  
        ZVMGEO(JROF,JLEV) = PGNORDL(JROF)*PUT9(JROF,JLEV)+&
         & PGNORDM(JROF)*PVT9(JROF,JLEV)  
      ENDDO
    ENDDO
  ENDIF

  DO JL=KST,KEND
    ZVDZ0F(JL) = PVDZ0F(JL) /RG
    ZVDZ0H(JL) = EXP(PVDLZ0H(JL))
    LLLAND(JL) = PVFLSM(JL) > 0.5_JPRB
  ENDDO
  DO JL=KST,KEND
    ZCPT1(JL)  =PENES(JL,1)
    ZCPT234(JL)=PENES(JL,2)+PENES(JL,3)+PENES(JL,4)
    ZWL1(JL)   =PQLINU0(JL,1)+PWRENU0(JL)
    ZW234(JL)  =PQLINU0(JL,2)+PQLINU0(JL,3)+PQLINU0(JL,4)
  ENDDO
  LLDYN=.FALSE.
  LLPHY=.TRUE.

!cj begin change for new sfc DDH

  DO JROF=KST,KEND

! determine land-sea mask and

    IF(PVFLSM(JROF) > 0.5_JPRB) THEN
      ZLSM(JROF)=1.0_JPRB
    ELSE
      ZLSM(JROF)=0.0_JPRB
    ENDIF

! fill free-style array with appropriate variables

! 2m temperature
    PDHFSS(JROF,1)=PTCLS(JROF)
! 2m specific humidity
    PDHFSS(JROF,2)=PQCLS(JROF)
! 10m wind components
    PDHFSS(JROF,3)=PUCLS(JROF)
    PDHFSS(JROF,4)=PVCLS(JROF)
! skin temperature
    PDHFSS(JROF,5)=PTRENU0(JROF)
! forecast surface roughness length for momentum and heat
    PDHFSS(JROF,6)=ZVDZ0F(JROF)
    PDHFSS(JROF,7)=ZVDZ0H(JROF)
! forecast albedo
    PDHFSS(JROF,8)=PVDALB(JROF)
! boundary layer height
    PDHFSS(JROF,9)=PVDBLH(JROF)
! land-sea mask and sea-ice fraction
    PDHFSS(JROF,10)=ZLSM(JROF)
    PDHFSS(JROF,11)=PVFCI(JROF)
! wind gusts
    PDHFSS(JROF,12)=PV10FG(JROF)
! Orography
    PDHFSS(JROF,13)=POROG(JROF)
! Total cloud cover
    PDHFSS(JROF,14)=PVTCC(JROF)
! Low cloud cover
    PDHFSS(JROF,15)=PVLCC(JROF)
! Medium cloud cover
    PDHFSS(JROF,16)=PVMCC(JROF)
! High cloud cover
    PDHFSS(JROF,17)=PVHCC(JROF)

! the number of ECMWF permanent free style variables
    IFSVAR_ECMWF=17

! Total column AERO
    NFSVAR_AERO=IFSVAR_ECMWF + 1
    DO JAERO=1,NACTAERO
      PDHFSS(JROF,IFSVAR_ECMWF +  JAERO)=PVDTCAERO(JROF,JAERO)  
    ENDDO
    IFSVAR_ECMWF=IFSVAR_ECMWF + NACTAERO

! Please if you introduce new variables always let the following
! GEMS diagnostics at the end of the free style variables 
! and change the incrementation accordingly

! Total column GHG - Not permanent (conditional variables)
! IF CO2 is run together with CH4 the order in DDH will be
! CO2 first then CH4

    DO JGHG = 1, NGHG
      ICO2=MIN(NGHG,1)
      ICH4=MAX(NGHG,1)
      IF(YGHG(JGHG)%IGRBCODE == 210061) then
        PDHFSS(JROF,IFSVAR_ECMWF+ICO2)=PVDTCGHG(JROF,ICO2)
      ELSEIF(YGHG(JGHG)%IGRBCODE == 210062) then
        PDHFSS(JROF,IFSVAR_ECMWF+ICH4)=PVDTCGHG(JROF,ICH4)
      ENDIF
    ENDDO
    IFSVAR_ECMWF=IFSVAR_ECMWF + NGHG 
! Total column CH4 atmospheric sink - for diagnostic only
    IF(YCH4S%LACTIVE) THEN
        IFSVAR_ECMWF=IFSVAR_ECMWF+1
        PDHFSS(JROF,IFSVAR_ECMWF)=ZVDTCCH4S(JROF)
    ENDIF
! Total column TRAC - Not permanent (conditional variables)
    DO JTRAC =1, NTRAC
!      IF(YTRAC(JTRAC)%IGRBCODE == 210182) THEN
        IFSVAR_ECMWF=IFSVAR_ECMWF+1
        PDHFSS(JROF,IFSVAR_ECMWF)=PVDTCTRAC(JROF,JTRAC)
!      ENDIF
    ENDDO
! Total column GRG - Not permanent (conditional variables)
    DO JGRG =1, NGRG
         PDHFSS(JROF,IFSVAR_ECMWF+JGRG)=PVDTCGRG(JROF,JGRG)
    ENDDO
        IFSVAR_ECMWF=IFSVAR_ECMWF + NGRG

! surface downward shortwave and longwave radiation
    PDHFSS(JROF,NDHVFS+1)=PFRSOD(JROF)
    PDHFSS(JROF,NDHVFS+2)=PFRTHD(JROF)
! sunshine duration
    PDHFSS(JROF,NDHVFS+3)=PISUND(JROF)
! snow evaporation
    PDHFSS(JROF,NDHVFS+4)=PFEVN(JROF)
! snowmelt
    PDHFSS(JROF,NDHVFS+5)=PFONTE(JROF)
! large-scale rainfall
    PDHFSS(JROF,NDHVFS+6)=PFPLSL(JROF,NFLEVG)
! convective rainfall
    PDHFSS(JROF,NDHVFS+7)=PFPLCL(JROF,NFLEVG)
! large-scale snowfall
    PDHFSS(JROF,NDHVFS+8)=PFPLSN(JROF,NFLEVG)
! convective snowfall
    PDHFSS(JROF,NDHVFS+9)=PFPLCN(JROF,NFLEVG)
! surface sensible heat flux
    PDHFSS(JROF,NDHVFS+10)=PDIFTS(JROF,NFLEVG)
! surface latent heat flux
    PDHFSS(JROF,NDHVFS+11)=PFCLL(JROF)+PFCLN(JROF)
! surface solar radiation
    PDHFSS(JROF,NDHVFS+12)=PFRSO (JROF,NFLEVG)
! surface thermal radiation
    PDHFSS(JROF,NDHVFS+13)=PFRTH (JROF,NFLEVG)
! surface evaporation
    PDHFSS(JROF,NDHVFS+14)=PDIFTQ(JROF,NFLEVG)
! total runoff
    PDHFSS(JROF,NDHVFS+15)=PRUISS(JROF) + PRUISP(JROF)
! surface solar radiation, clear-sky
    PDHFSS(JROF,NDHVFS+16)=PISSRC(JROF)
! surface thermal radiation, clear-sky
    PDHFSS(JROF,NDHVFS+17)=PISTRC(JROF)
! Large-scale precipitation fraction
    PDHFSS(JROF,NDHVFS+18)=PILSPF(JROF)
! surface UV flux
    PDHFSS(JROF,NDHVFS+19)=PUVDF(JROF)
! surface Photosynth.Active Radiation
    PDHFSS(JROF,NDHVFS+20)=PPARF(JROF)
! convective available potential energy
    PDHFSS(JROF,NDHVFS+21)=PCAPE(JROF)
! surface Photosynth.Active Radiation - Clear Sky
    PDHFSS(JROF,NDHVFS+22)=PPARCF(JROF)
! TOA incident solar radiation
    PDHFSS(JROF,NDHVFS+23)=PTINCF(JROF)
! vertically integr. mass divergence
    PDHFSS(JROF,NDHVFS+24)=ZIVIMD(JROF)
! TOA SW radiation
    PDHFSS(JROF,NDHVFS+25)=PITSRC(JROF)
! TOA LW radiation
    PDHFSS(JROF,NDHVFS+26)=PITTRC(JROF)
! Surface direct SW radiation - total sky
    PDHFSS(JROF,NDHVFS+27)=PFDIR(JROF)
! Surface direct SW radiation - clear-sky
    PDHFSS(JROF,NDHVFS+28)=PCDIR(JROF)
! Cloud base level
    PDHFSS(JROF,NDHVFS+29)=PCBASE(JROF)
! zero deg level
    PDHFSS(JROF,NDHVFS+30)=P0DEGL(JROF)
! Horizontal visibility
    PDHFSS(JROF,NDHVFS+31)=PVISIH(JROF)


! the number of ECMWF permanent free style fluxes
    IFSFLX_ECMWF=31

! Aerosols: fluxes from physical processes
    IF (NACTAERO > 0) THEN
      NFSFLX_AERO=IFSFLX_ECMWF + 1
      DO JAERO=1,NACTAERO
        DO JFLX=1,7
          PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF + (JAERO-1)*7 + JFLX)= &
           & PAERODDF(JROF,JAERO,JFLX)
        ENDDO
      ENDDO
      IFSFLX_ECMWF=IFSFLX_ECMWF+NACTAERO*7
    ENDIF

! Please if you introduce new fluxes always let the following
! GEMS diagnostics at the end of the free style fluxes
! and change the incrementation accordingly

    IF(LCO2SFC) THEN
! CO2 surface flux - ocean  - Not permanent (conditional flux)
      IF(PVDCO2O(JROF) <= -9000_JPRB) THEN
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF+1)=0._JPRB
      ELSE
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF+1)=PVDCO2O(JROF)
      ENDIF
! CO2 surface flux - biosphere -  Not permanent (conditional flux)
      IF(PVDCO2B(JROF) <= -9000_JPRB) THEN
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF+2)=0._JPRB
      ELSE
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF+2)=PVDCO2B(JROF)
      ENDIF
! CO2 surface flux - anthropogenic emissions - Not permanent (conditional flux)
      IF(PVDCO2A(JROF) <= -9000_JPRB) THEN
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF+3)=0._JPRB
      ELSE
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF+3)=PVDCO2A(JROF)
      ENDIF
      IFSFLX_ECMWF=IFSFLX_ECMWF+3
! CO2 surface flux - fire emissions -  Not permanent (conditional flux)
      IF(LFIRE) THEN
        IF(PVDCO2F(JROF) <= -9000_JPRB) THEN
          PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF+1)=0._JPRB
        ELSE
          PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF+1)=-1._JPRB*PVDCO2F(JROF)
        ENDIF
        IFSFLX_ECMWF=IFSFLX_ECMWF+1
      ENDIF
    ENDIF
    IF(LCH4SFC) THEN
! CH4 surface fluxes -  Not permanent (conditional flux) 
      IF(PVDCH4AG(JROF) <= -9000_JPRB) THEN
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF)=0._JPRB
      ELSE
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF)=PVDCH4AG(JROF)
      ENDIF
      IFSFLX_ECMWF=IFSFLX_ECMWF+1
! CH4 surface flux - fire emissions -  Not permanent (conditional flux)
      IF(LFIRE) THEN
        IF(PVDCH4F(JROF) <= -9000_JPRB) THEN
          PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF)=0._JPRB
        ELSE
          PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF)=-1._JPRB*PVDCH4F(JROF)
        ENDIF
        IFSFLX_ECMWF=IFSFLX_ECMWF+1
      ENDIF
    ENDIF
    IF(LSF6SFC) THEN
! SF6 surface flux - anthropogenic emissions - Not permanent (conditional flux)
      IFSFLX_ECMWF=IFSFLX_ECMWF+1
      IF(PVDSF6(JROF) <= -9000_JPRB) THEN
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF)=0._JPRB
      ELSE
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF)=PVDSF6(JROF)
      ENDIF
    ENDIF

     DO JTRAC=1,NTRAC
! TRAC  surface flux  Not permanent (conditional flux)
      IFSFLX_ECMWF=IFSFLX_ECMWF+1
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF)=PVDGFLF(JROF,NGRG+JTRAC)
     ENDDO
    IF(LGRGSFC) THEN
     DO JGRG=1,NGRG
! GRG surface flux  Not permanent (conditional flux)
      IFSFLX_ECMWF=IFSFLX_ECMWF+1
        PDHFSS(JROF,NDHVFS+IFSFLX_ECMWF)=PVDGFLF(JROF,JGRG)
     ENDDO
    ENDIF

  ENDDO
!print 9421,(PDHFSS(JROF,NDHVFS+19),JROF=KST,KEND)
  9421 format(1x,'PostphyD UVBF ',15E10.3)
!print 9422,(PDHFSS(JROF,NDHVFS+20),JROF=KST,KEND)
  9422 format(1x,'PostphyD PARF ',15E10.3)
!print 9423,(PDHFSS(JROF,NDHVFS+21),JROF=KST,KEND)
  9423 format(1x,'PostphyD CAPE ',15E10.3)
!print 9424,(PDHFSS(JROF,NDHVFS+22),JROF=KST,KEND)
  9424 format(1x,'PostphyD PARCF ',15E10.3)
!print 9425,(PDHFSS(JROF,NDHVFS+23),JROF=KST,KEND)
!  9425 format(1x,'PostphyD TINCF ',15E10.3)
!print 9426,(PDHFSS(JROF,NDHVFS+24),JROF=KST,KEND)
!  9426 format(1x,'PostphyD VIMDF ',15E10.3)
!print 9427,(PDHFSS(JROF,NDHVFS+25),JROF=KST,KEND)
!  9427 format(1x,'PostphyD TSRC ',15E10.3)
!print 9428,(PDHFSS(JROF,NDHVFS+26),JROF=KST,KEND)
!  9428 format(1x,'PostphyD TTRC ',15E10.3)
!print 9426,(PDHFSS(JROF,NDHVFS+27),JROF=KST,KEND)
!  9426 format(1x,'PostphyD FDIR ',15E10.3)
!print 9426,(PDHFSS(JROF,NDHVFS+28),JROF=KST,KEND)
!  9426 format(1x,'PostphyD CDIR ',15E10.3)
!print 9429,(PDHFSS(JROF,NDHVFS+29),JROF=KST,KEND)
!  9429 format(1x,'PostphyD CBASE ',15E10.3)
!print 9430,(PDHFSS(JROF,NDHVFS+30),JROF=KST,KEND)
!  9430 format(1x,'PostphyD 0DEGL ',15E10.3)
!print 9431,(PDHFSS(JROF,NDHVFS+31),JROF=KST,KEND)
!  9431 format(1x,'PostphyD VISIH ',15E10.3)


  CALL CPPHDDHE(KPROMA,KST,KEND,NFLEVG,&
   & IDDHI  ,ZDHSF  ,PGNORDL,PGNORDM,ZUZGEO ,ZVMGEO ,&
   & PGEMU  ,PGSQM2 ,PGELAM ,ZLSM   ,PVFCI  ,PRSAH,&
   & PDIFCQ ,PDIFCS ,PDIFTQ ,PDIFTS ,PFCQNG ,&
   & PFPLCL ,PFPLCN ,PFPLSL ,PFPLSN ,&
   & PFRSO  ,PFRTH  ,&
   & PFHPCL ,PFHPCN ,PFHPSL ,PFHPSN ,&
   & PSTRCU ,PSTRCV ,PSTRDU ,PSTRDV ,PSTRTU ,PSTRTV ,&
   & PFCQLNG,PFCQNNG,&
   & PFCCQL ,PFCCQN ,PFCSQL ,PFCSQN ,&
   & PDHTLS ,PDHTSS ,PDHTTS ,PDHTIS ,&
   & PDHSSS ,PDHIIS ,PDHWLS ,PDHFSS ,&
   & ZDHCV  ,ZDHCS)  

!*    4.3   STORE/ACCUM. IN HORIZONTAL MEAN ARRAYS

  CALL CPCUDDH (KPROMA,KST,KEND,IDDHI,ZDHSF,ZDHCV,ZDHCS,LLDYN,LLPHY,NDHCVSUL)
ENDIF

!* CHANGE GHG TOTAL COLUMN UNIT (kg/m2-->ppm for CO2 and ppb for CH4) (integral --> average)

IF(NGHG > 0) THEN
  ZRGI=1.0_JPRB/RG
  DO JL=KST,KEND
    ZSUMDELP=0.0_JPRB
    DO JLEV=1,NFLEVG
      ZSUMDELP=ZSUMDELP+PDELP9(JL,JLEV)*ZRGI
    ENDDO
    DO JGHG=1,NGHG
      IF(YGHG(JGHG)%IGRBCODE == NGRBGHG(1)) ZRMGHG=RMCO2
      IF(YGHG(JGHG)%IGRBCODE == NGRBGHG(2)) ZRMGHG=RMCH4/1.E3_JPRB
      IF(YGHG(JGHG)%IGRBCODE == NGRBGHG(3)) ZRMGHG=RMN2O
      PVDTCGHG(JL,JGHG)=PVDTCGHG(JL,JGHG)/ZSUMDELP*1.E6_JPRB*RMD/ZRMGHG
    ENDDO
  ENDDO
ENDIF

!* CHANGE SF6 TOTAL COLUMN UNIT (kg/m2-->ppt) (integral --> average)
! UNIT UNCHANGED FOR RADON

IF(NTRAC > 0) THEN
  ZRGI=1.0_JPRB/RG
  DO JL=KST,KEND
    ZSUMDELP=0.0_JPRB
    DO JLEV=1,NFLEVG
      ZSUMDELP=ZSUMDELP+PDELP9(JL,JLEV)*ZRGI
    ENDDO
    DO JTRAC=1,NTRAC
      IF(YTRAC(JTRAC)%IGRBCODE == 210182) THEN
        ZRMTRAC=RMSF6
        PVDTCTRAC(JL,JTRAC)=PVDTCTRAC(JL,JTRAC)/ZSUMDELP*1.E12_JPRB*RMD/ZRMTRAC
      ENDIF
    ENDDO
  ENDDO
ENDIF

!     ------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('POSTPHY',1,ZHOOK_HANDLE)
END SUBROUTINE POSTPHY
