INTERFACE
SUBROUTINE ELASCAWAD(&
 & KPROMB,KST,KPROF,KFLEV,&
 & KDLUN,KDLUX,&
 & KFLDN,KWIS,KHOR,&
 & LDSLHD,LDSLHDQUAD,&
 & PLON,PLAT,PLEV,PKAPPA,&
 & PLON5,PLAT5,PLEV5,PKAPPA5,&
 & PVETAF,KVAUT,&
 & PVCUICO,PVSLD,PVSLDW,KRLEVX,PVRLEVX,&
 & PDLAT,PCLA,PCLASLD,PDLO,PCLO,PCLOSLD,&
 & PDVER,PVINTW,PVINTWSLD) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLASCAW, ONLY : KPDUP
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KRLEVX
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KDLUN
INTEGER(KIND=JPIM),INTENT(IN) :: KDLUX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KWIS
INTEGER(KIND=JPIM),INTENT(IN) :: KHOR
LOGICAL ,INTENT(IN) :: LDSLHD
LOGICAL ,INTENT(IN) :: LDSLHDQUAD
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKAPPA(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVETAF(0:KFLEV+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KVAUT(0:KRLEVX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCUICO(4,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSLD(3,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSLDW(3,3,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLEVX
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(KPROMB,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO(KPROMB,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD(KPROMB,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD(KPROMB,KFLEV,3)
END SUBROUTINE ELASCAWAD
END INTERFACE
