!*** Note: make sure that the variable to be redefined is in UPPERCASE
!      and MAKE SURE THAT THE REDEFINITION (o_(it)%...) IS IN lowercase !!
!    If you want to know what is what, please look at odb/cma2odb/initmdb.F90
#define CACTIVERETR o_(it)%cactiveretr
#define LACTIVERETR o_(it)%lactiveretr
!***  Observational array lengths
#define ALLOCATED_SATPRED o_(it)%allocated_satpred
#define NROWS_ROBHDR o_(it)%nrows_robhdr
#define NCOLS_ROBHDR o_(it)%ncols_robhdr
#define NROWS_SATPRED o_(it)%nrows_satpred
#define NCOLS_SATPRED o_(it)%ncols_satpred
#define NROWS_SATBODY o_(it)%nrows_satbody
#define NCOLS_SATBODY o_(it)%ncols_satbody
#define NROWS_SATHDR o_(it)%nrows_sathdr
#define NCOLS_SATHDR o_(it)%ncols_sathdr
#define NROWS_ROBODY o_(it)%nrows_robody
#define NCOLS_ROBODY o_(it)%ncols_robody
#define NROWS_ROBSU o_(it)%nrows_robsu
#define NCOLS_ROBSU o_(it)%ncols_robsu
#define NROWS_ROBDDR o_(it)%nrows_robddr
#define NCOLS_ROBDDR o_(it)%ncols_robddr
!*** Observational arrays and link arrays
#define ROBHDR o_(it)%robhdr
#define SATPRED o_(it)%satpred
#define SATBODY o_(it)%satbody
#define SATHDR o_(it)%sathdr
#define ROBODY o_(it)%robody
#define ROBSU o_(it)%robsu
#define MLNKH2B o_(it)%mlnkh2b
#define MBODYJOBS o_(it)%mbodyjobs
#define ROBDDR o_(it)%robddr

!*** auxiliary ROBAUX<n>, up to JPMAX_AUX_CASES
!NB: first, the definition of ROBAUX was the following:
!#define ROBAUX(n) o_(it)%iml(n)%robaux
!but it causes compilation problems on NEC SX8R/SX9 ...
#define O_IT_IML(m) o_(it)%iml(m)
#define ROBAUX(n) O_IT_IML(n)%robaux
#define ROBAUX1 ROBAUX(1)
#define ROBAUX2 ROBAUX(2)
#define ROBAUX3 ROBAUX(3)
#define ROBAUX4 ROBAUX(4)
#define ROBAUX5 ROBAUX(5)

#define NROWS_ROBAUX o_(it)%nrows_robaux
#define NCOLS_ROBAUX o_(it)%ncols_robaux

!*** Dynamic MDB-pointers to address obs. array columns

! Aeolus_hdr, scalars
#define MDB_TRACK_AT_AEOLUS_HDR            o_(it)%mdb_track_at_aeolus_hdr         
#define MDB_CELLNO_AT_AEOLUS_HDR	   o_(it)%mdb_cellno_at_aeolus_hdr        
#define MDB_PRODFLAG_AT_AEOLUS_HDR	   o_(it)%mdb_prodflag_at_aeolus_hdr      
#define MDB_AZIMUTH_AT_AEOLUS_HDR	   o_(it)%mdb_azimuth_at_aeolus_hdr       
!
#define MDB_AEO_HDRFLAG_AT_AEOLUS_HDR                 o_(it)%mdb_aeo_hdrflag_at_aeolus_hdr
#define MDB_GEOID_SEPRTN_AT_AEOLUS_HDR o_(it)%mdb_geoid_seprtn_at_aeolus_hdr

#define MDB_MIE_GWDHLS_AT_AEOLUS_HDR   o_(it)%mdb_mie_gwdhls_at_aeolus_hdr
#define MDB_MIE_GWDHLSWT_AT_AEOLUS_HDR o_(it)%mdb_mie_gwdhlswt_at_aeolus_hdr
#define MDB_RAY_GWDHLS_AT_AEOLUS_HDR   o_(it)%mdb_ray_gwdhls_at_aeolus_hdr
#define MDB_RAY_GWDHLSWT_AT_AEOLUS_HDR o_(it)%mdb_ray_gwdhlswt_at_aeolus_hdr

#define MDB_LASER_WAVLEN_AT_AEOLUS_HDR o_(it)%mdb_laser_wavlen_at_aeolus_hdr

#define MDB_MIE_CAL_VALID_AT_AEOLUS_HDR                o_(it)%mdb_mie_cal_valid_at_aeolus_hdr

#define MDB_MIE_MSMNSENS_AT_AEOLUS_HDR o_(it)%mdb_mie_msmnsens_at_aeolus_hdr
#define MDB_MIE_MSZRFREQ_AT_AEOLUS_HDR o_(it)%mdb_mie_mszrfreq_at_aeolus_hdr
#define MDB_MIE_MSRSPESD_AT_AEOLUS_HDR o_(it)%mdb_mie_msrspesd_at_aeolus_hdr
#define MDB_MIE_RPMNSENS_AT_AEOLUS_HDR o_(it)%mdb_mie_rpmnsens_at_aeolus_hdr

#define MDB_RAY_CAL_VALID_AT_AEOLUS_HDR                o_(it)%mdb_ray_cal_valid_at_aeolus_hdr

#define MDB_RAY_MSMNSENS_AT_AEOLUS_HDR o_(it)%mdb_ray_msmnsens_at_aeolus_hdr
#define MDB_RAY_MSZRFREQ_AT_AEOLUS_HDR o_(it)%mdb_ray_mszrfreq_at_aeolus_hdr
#define MDB_RAY_MSRSPESD_AT_AEOLUS_HDR o_(it)%mdb_ray_msrspesd_at_aeolus_hdr
#define MDB_RAY_RPMNSENS_AT_AEOLUS_HDR o_(it)%mdb_ray_rpmnsens_at_aeolus_hdr

#define MDB_DEM_INT_LAT_AT_AEOLUS_HDR o_(it)%mdb_dem_int_lat_at_aeolus_hdr
#define MDB_DEM_INT_LON_AT_AEOLUS_HDR o_(it)%mdb_dem_int_lon_at_aeolus_hdr
#define MDB_DEM_INT_ALT_AT_AEOLUS_HDR o_(it)%mdb_dem_int_alt_at_aeolus_hdr

! Aeolus_hdr, vectors
#define MDB_PRODUCTNAME_AT_AEOLUS_HDR  o_(it)%mdb_productname_at_aeolus_hdr
#define MDB_MIE_ERRQUANT_AT_AEOLUS_HDR o_(it)%mdb_mie_errquant_at_aeolus_hdr
#define MDB_RAY_ERRQUANT_AT_AEOLUS_HDR o_(it)%mdb_ray_errquant_at_aeolus_hdr
#define MDB_TRIPOD_CORRN_AT_AEOLUS_HDR o_(it)%mdb_tripod_corrn_at_aeolus_hdr

! Aeolus_hdr, links
!					 
#define MLNK_SAT2AEOLUS_HDR		   o_(it)%mlnk_sat2aeolus_hdr             
#define MLNK_AEOLUS_HDR2AEOLUS_HDR_CAL     o_(it)%mlnk_aeolus_hdr2aeolus_hdr_cal
#define MLNK_AEOLUS_HDR2AEOLUS_1B	   o_(it)%mlnk_aeolus_hdr2aeolus_1b       
#define MLNK_AEOLUS_HDR2AEOLUS_AUXMET	   o_(it)%mlnk_aeolus_hdr2aeolus_auxmet   
#define MLNK_AEOLUS_HDR2AEOLUS_2B	   o_(it)%mlnk_aeolus_hdr2aeolus_2b       
					                                  
! Aeolus_hdr_calib, scalars			 
! Not yet implemented.

! Aeolus_1b, scalars			 
#define MDB_AZIMUTH_AT_AEOLUS_1B	   o_(it)%mdb_azimuth_at_aeolus_1b        
#define MDB_CHANNEL_AT_AEOLUS_1B	   o_(it)%mdb_channel_at_aeolus_1b        
#define MDB_AEOLUS_BIN1B_AT_AEOLUS_1B	   o_(it)%mdb_aeolus_bin1b_at_aeolus_1b   
#define MDB_AEOLUS_MEAS_AT_AEOLUS_1B	   o_(it)%mdb_aeolus_meas_at_aeolus_1b    
#define MDB_LAT_AT_AEOLUS_1B		   o_(it)%mdb_lat_at_aeolus_1b            
#define MDB_LON_AT_AEOLUS_1B		   o_(it)%mdb_lon_at_aeolus_1b            
#define MDB_ALTITUDE_AT_AEOLUS_1B	   o_(it)%mdb_altitude_at_aeolus_1b            
#define MDB_DOPPLER_SHIFT_AT_AEOLUS_1B	   o_(it)%mdb_doppler_shift_at_aeolus_1b  
#define MDB_AOCS_LOS_VELOC_AT_AEOLUS_1B   o_(it)%mdb_aocs_los_veloc_at_aeolus_1b  
#define MDB_SCAT_RATIO_AT_AEOLUS_1B       o_(it)%mdb_scat_ratio_at_aeolus_1b  
#define MDB_RAYA_REFPULSE_AT_AEOLUS_1B    o_(it)%mdb_raya_refpulse_at_aeolus_1b  
#define MDB_RAYB_REFPULSE_AT_AEOLUS_1B    o_(it)%mdb_rayb_refpulse_at_aeolus_1b  
#define MDB_MIE_USEFULSIG_AT_AEOLUS_1B    o_(it)%mdb_mie_usefulsig_at_aeolus_1b  
#define MDB_RAYA_USEFULSIG_AT_AEOLUS_1B   o_(it)%mdb_raya_usefulsig_at_aeolus_1b  
#define MDB_RAYB_USEFULSIG_AT_AEOLUS_1B   o_(it)%mdb_rayb_usefulsig_at_aeolus_1b  
#define MDB_MSBININVALID_AT_AEOLUS_1B     o_(it)%mdb_msbininvalid_at_aeolus_1b  
#define MDB_MIE_SNR_AT_AEOLUS_1B          o_(it)%mdb_mie_snr_at_aeolus_1b  
#define MDB_RAYA_SNR_AT_AEOLUS_1B         o_(it)%mdb_raya_snr_at_aeolus_1b  
#define MDB_RAYB_SNR_AT_AEOLUS_1B         o_(it)%mdb_rayb_snr_at_aeolus_1b  
					                                  
! Aeolus_1b, vectors
#define MDB_MIE_REF_PULSE_AT_AEOLUS_1B o_(it)%mdb_mie_ref_pulse_at_aeolus_1b
#define MDB_MIE_MEAS_DATA_AT_AEOLUS_1B o_(it)%mdb_mie_meas_data_at_aeolus_1b
					                                  
! Aeolus_auxmet, all scalars 
#define MDB_LAT_AT_AEOLUS_AUXMET	   o_(it)%mdb_lat_at_aeolus_auxmet        
#define MDB_LON_AT_AEOLUS_AUXMET	   o_(it)%mdb_lon_at_aeolus_auxmet        
#define MDB_LEV_AT_AEOLUS_AUXMET	   o_(it)%mdb_lev_at_aeolus_auxmet        
#define MDB_PTOP_AT_AEOLUS_AUXMET	   o_(it)%mdb_ptop_at_aeolus_auxmet         
#define MDB_PNOM_AT_AEOLUS_AUXMET	   o_(it)%mdb_pnom_at_aeolus_auxmet         
#define MDB_ZTOP_AT_AEOLUS_AUXMET	   o_(it)%mdb_ztop_at_aeolus_auxmet         
#define MDB_ZNOM_AT_AEOLUS_AUXMET	   o_(it)%mdb_znom_at_aeolus_auxmet         
#define MDB_U_AT_AEOLUS_AUXMET	           o_(it)%mdb_u_at_aeolus_auxmet        
#define MDB_V_AT_AEOLUS_AUXMET	           o_(it)%mdb_v_at_aeolus_auxmet        
!					 
#define MDB_T_AT_AEOLUS_AUXMET		   o_(it)%mdb_t_at_aeolus_auxmet          
#define MDB_RH_AT_AEOLUS_AUXMET		   o_(it)%mdb_rh_at_aeolus_auxmet         
#define MDB_Q_AT_AEOLUS_AUXMET		   o_(it)%mdb_q_at_aeolus_auxmet          
#define MDB_CC_AT_AEOLUS_AUXMET		   o_(it)%mdb_cc_at_aeolus_auxmet          
#define MDB_CLWC_AT_AEOLUS_AUXMET	   o_(it)%mdb_clwc_at_aeolus_auxmet          
#define MDB_CIWC_AT_AEOLUS_AUXMET	   o_(it)%mdb_ciwc_at_aeolus_auxmet         
!
#define MDB_ERROR_T_AT_AEOLUS_AUXMET	   o_(it)%mdb_error_t_at_aeolus_auxmet          
#define MDB_ERROR_RH_AT_AEOLUS_AUXMET	   o_(it)%mdb_error_rh_at_aeolus_auxmet         
#define MDB_ERROR_P_AT_AEOLUS_AUXMET	   o_(it)%mdb_error_p_at_aeolus_auxmet          

! Aeolus_2b, scalars
#define MDB_AZIMUTH_AT_AEOLUS_2B           o_(it)%mdb_azimuth_at_aeolus_2b       
#define MDB_CHANNEL_AT_AEOLUS_2B           o_(it)%mdb_channel_at_aeolus_2b       
#define MDB_BIN2B_AT_AEOLUS_2B             o_(it)%mdb_bin2b_at_aeolus_2b  
#define MDB_HLOS_METHOD_AT_AEOLUS_2B       o_(it)%mdb_hlos_method_at_aeolus_2b   
#define MDB_COG_LAT_AT_AEOLUS_2B           o_(it)%mdb_cog_lat_at_aeolus_2b         
#define MDB_COG_LON_AT_AEOLUS_2B           o_(it)%mdb_cog_lon_at_aeolus_2b         
#define MDB_COG_ZBASE_AT_AEOLUS_2B         o_(it)%mdb_cog_zbase_at_aeolus_2b     
#define MDB_COG_ZTOP_AT_AEOLUS_2B          o_(it)%mdb_cog_ztop_at_aeolus_2b      
#define MDB_HLOS_AT_AEOLUS_2B              o_(it)%mdb_hlos_at_aeolus_2b          
#define MDB_HLOS_ERR_AT_AEOLUS_2B          o_(it)%mdb_hlos_err_at_aeolus_2b      


! enkf mdb pointers
#define MDB_MEMBER_AT_ENKF               o_(it)%mdb_member_at_enkf
#define MDB_HPRIOR_AT_ENKF               o_(it)%mdb_hprior_at_enkf

#define MDB_ANDATE_AT_DESC o_(it)%mdb_andate_at_desc
#define MDB_ANTIME_AT_DESC o_(it)%mdb_antime_at_desc
#define MDB_INIDATE_AT_DESC o_(it)%mdb_inidate_at_desc
#define MDB_INITIME_AT_DESC o_(it)%mdb_initime_at_desc
#define MDB_EXPVER_AT_DESC o_(it)%mdb_expver_at_desc
#define MDB_CLASS_AT_DESC o_(it)%mdb_class_at_desc
#define MDB_STREAM_AT_DESC o_(it)%mdb_stream_at_desc
#define MDB_TYPE_AT_DESC o_(it)%mdb_type_at_desc
#define MDBONM o_(it)%mdbonm
#define MDBOTP o_(it)%mdbotp
#define MDBOCH o_(it)%mdboch
#define MDBDAT o_(it)%mdbdat
#define MDBETM o_(it)%mdbetm
#define MDBRFL o_(it)%mdbrfl
#define MDBRST o_(it)%mdbrst
#define MDBREV1 o_(it)%mdbrev1
#define MDBRBLE o_(it)%mdbrble
#define MDBBOX o_(it)%mdbbox
#define MDBSTD o_(it)%mdbstd
#define MDBSID o_(it)%mdbsid
#define MDBLAT o_(it)%mdblat
#define MDBLON o_(it)%mdblon
#define MDBALT o_(it)%mdbalt
#define MDBTLA o_(it)%mdbtla
#define MDBTLO o_(it)%mdbtlo
#define MDBREV2 o_(it)%mdbrev2
!-- Due to the faster MAPVARDB, a column name must be mapped only once to a MDB-pointer
#define MDBHOANS o_(it)%mdbhoans
#define MDBHOAND o_(it)%mdbhoans
#define MDBHOANT o_(it)%mdbhoans
#define MDBHOANP o_(it)%mdbhoans
!define MDBHOAND o_(it)%mdbhoand
!define MDBHOANT o_(it)%mdbhoant
!define MDBHOANP o_(it)%mdbhoanp
!-- Due to the faster MAPVARDB, a column name must be mapped only once to a MDB-pointer
#define MDBHOBAS o_(it)%mdbhobas
#define MDBHOBAD o_(it)%mdbhobas
#define MDBHOBAT o_(it)%mdbhobas
#define MDBHOBAP o_(it)%mdbhobas
!define MDBHOBAD o_(it)%mdbhobad
!define MDBHOBAT o_(it)%mdbhobat
!define MDBHOBAP o_(it)%mdbhobap
#define MDBSBCMM o_(it)%mdbsbcmm
#define MDBSBIUP o_(it)%mdbsbiup
#define MDBSBDPT o_(it)%mdbsbdpt
#define MDBSBQI1 o_(it)%mdbsbqi1
#define MDBSBQI2 o_(it)%mdbsbqi2
#define MDBSBQI3 o_(it)%mdbsbqi3
#define MDB_TB_AT_SATOB o_(it)%mdb_tb_at_satob
#define MDB_T_AT_SATOB o_(it)%mdb_t_at_satob 
#define MDB_CHAN_FREQ_AT_SATOB o_(it)%mdb_chan_freq_at_satob
#define MDB_SHEAR_AT_SATOB o_(it)%mdb_shear_at_satob 
#define MDB_T200_AT_SATOB o_(it)%mdb_t200_at_satob 
#define MDB_T500_AT_SATOB o_(it)%mdb_t500_at_satob
#define MDB_TOP_MEAN_T_AT_SATOB o_(it)%mdb_top_mean_t_at_satob
#define MDB_TOP_WV_AT_SATOB o_(it)%mdb_top_wv_at_satob
#define MDB_DT_BY_DP_AT_SATOB o_(it)%mdb_dt_by_dp_at_satob
#define MDB_P_BEST_AT_SATOB o_(it)%mdb_p_best_at_satob
#define MDB_U_BEST_AT_SATOB o_(it)%mdb_u_best_at_satob
#define MDB_V_BEST_AT_SATOB o_(it)%mdb_v_best_at_satob
#define MDB_P_OLD_AT_SATOB o_(it)%mdb_p_old_at_satob
#define MDB_U_OLD_AT_SATOB o_(it)%mdb_u_old_at_satob
#define MDB_V_OLD_AT_SATOB o_(it)%mdb_v_old_at_satob
#define MDB_WEIGHT_AT_SATOB o_(it)%mdb_weight_at_satob
#define MDBSSIA o_(it)%mdbssia
#define MDB1BCP3A o_(it)%mdb1bcp3a
#define MDB1BCP5A o_(it)%mdb1bcp5a
#define MDB1BCP9A o_(it)%mdb1bcp9a
#define MDB1BCP10A o_(it)%mdb1bcp10a
#define MDB1BCP11A o_(it)%mdb1bcp11a
#define MDB1BCP12A o_(it)%mdb1bcp12a
#define MDB1BCP13A o_(it)%mdb1bcp13a
#define MDB1BCP14A o_(it)%mdb1bcp14a
#define MDB1BCP15A o_(it)%mdb1bcp15a
#define MDB1BCP16A o_(it)%mdb1bcp16a
#define MDB1BCPTS1 o_(it)%mdb1bcpts1
#define MDBSCSAT o_(it)%mdbscsat
#define MDBSCCNO o_(it)%mdbsccno
#define MDBSCPFL o_(it)%mdbscpfl
#define MDB1DNIT o_(it)%mdb1dnit
#define MDB1DNIS o_(it)%mdb1dnis
#define MDB1DEPS o_(it)%mdb1deps
#define MDB1DFIN o_(it)%mdb1dfin
#define MDB1DFIM o_(it)%mdb1dfim
#define MDB1BPS o_(it)%mdb1bps
#define MDB1BSTS o_(it)%mdb1bsts
#define MDB1BSUS o_(it)%mdb1bsus
#define MDB1BSVS o_(it)%mdb1bsvs
#define MDB1DVPS o_(it)%mdb1dvps
#define MDB1DVBT o_(it)%mdb1dvbt
#define MDB1DVAT o_(it)%mdb1dvat
#define MDB1DVBQ o_(it)%mdb1dvbq
#define MDB1DVAQ o_(it)%mdb1dvaq
#define MDB_PROCID_AT_INDEX o_(it)%mdb_procid_at_index
#define MDB_TARGET_AT_INDEX o_(it)%mdb_target_at_index
#define MDB_DISTRIBID_AT_HDR o_(it)%mdb_distribid_at_hdr
#define MDB_DISTRIBTYPE_AT_HDR o_(it)%mdb_distribtype_at_hdr
#define MDB_KSET_AT_INDEX o_(it)%mdb_kset_at_index
#define MDB_TSLOT_AT_INDEX o_(it)%mdb_tslot_at_index
#define MDB_ABNOB_AT_INDEX o_(it)%mdb_abnob_at_index
#define MDB_MAPOMM_AT_INDEX o_(it)%mdb_mapomm_at_index
!*AF removed this column #define MDB_IDENT_AT_HDR o_(it)%mdb_ident_at_hdr
#define MLNK_INDEX2HDR o_(it)%mlnk_index2hdr
#define MLNK_HDR2BODY o_(it)%mlnk_hdr2body
#define MLNK_HDR2UPDATE o_(it)%mlnk_hdr2update
#define MLNK_HDR2ENKF o_(it)%mlnk_hdr2enkf
#define MLNK_HDR2ERRSTAT o_(it)%mlnk_hdr2errstat
#define MLNK_HDR2SAT o_(it)%mlnk_hdr2sat
#define MLNK_SAT2ATOVS o_(it)%mlnk_sat2atovs
#define MLNK_SAT2LIMB o_(it)%mlnk_sat2limb
#define MLNK_SAT2REO3 o_(it)%mlnk_sat2reo3
#define MLNK_SAT2SMOS o_(it)%mlnk_sat2smos
#define MLNK_SAT2SSMI o_(it)%mlnk_sat2ssmi
#define MLNK_SAT2SCATT o_(it)%mlnk_sat2scatt
#define MLNK_SAT2SATOB o_(it)%mlnk_sat2satob
#define MLNK_SAT2RADAR_STATION o_(it)%mlnk_sat2radar_station
#define MLNK_SAT2RADAR o_(it)%mlnk_sat2radar
#define MLNK_ATOVS2ATOVS_PRED o_(it)%mlnk_atovs2atovs_pred
#define MLNK_ATOVS2ATOVS_BODY o_(it)%mlnk_atovs2atovs_body
#define MLNK_SSMI2SSMI_BODY o_(it)%mlnk_ssmi2ssmi_body
#define MLNK_SCATT2SCATT_BODY o_(it)%mlnk_scatt2scatt_body
#define MLNK_RADAR2RADAR_BODY o_(it)%mlnk_radar2radar_body
!*AF new tables 
#define MLNK_RADIANCE2SURFEMISS o_(it)%mlnk_radiance2surfemiss
#define MLNK_RADIANCE2ALLSKY o_(it)%mlnk_radiance2allsky
#define MLNK_ALLSKY2ALLSKY_BODY o_(it)%mlnk_allsky2allsky_body
#define MLNK_SURFEMISS2SURFEMISS_BODY o_(it)%mlnk_surfemiss2surfemiss_body
#define MLNK_HDR2AUXILIARY o_(it)%mlnk_hdr2auxiliary
#define MLNK_AUXILIARY2AUXILIARY_BODY o_(it)%mlnk_auxiliary2auxiliary_body
#define MLNK_RADIANCE2CO2_SINK o_(it)%mlnk_radiance2co2_sink
#define MLNK_RADIANCE2CLOUD_SINK o_(it)%mlnk_radiance2cloud_sink
#define MLNK_RADIANCE2IASI o_(it)%mlnk_radiance2iasi
#define MLNK_HDR2MODSURF o_(it)%mlnk_hdr2modsurf
#define MLNK_SAT2RADIANCE o_(it)%mlnk_sat2radiance
!*AF END
#define MDBVNM o_(it)%mdbvnm
#define MDBVCO o_(it)%mdbvco
#define MDBRDFL o_(it)%mdbrdfl
#define MDBFLG o_(it)%mdbflg
#define MDBDSTA o_(it)%mdbdsta
#define MDBDEV1 o_(it)%mdbdev1
#define MDBDBLE o_(it)%mdbdble
#define MDBESQN o_(it)%mdbesqn
#define MDBPPP o_(it)%mdbppp
#define MDBPRL o_(it)%mdbprl
#define MDBVAR o_(it)%mdbvar
#define MDBASO o_(it)%mdbaso
#define MDBFSO o_(it)%mdbfso
#define MDBOMN o_(it)%mdbomn
#define MDBOMF o_(it)%mdbomf
#define MDBFOE o_(it)%mdbfoe
#define MDBOER o_(it)%mdboer
#define MDBRER o_(it)%mdbrer
#define MDBPER o_(it)%mdbper
#define MDBFGE o_(it)%mdbfge
#define MDB_OBSCOREV_AT_ERRSTAT o_(it)%mdb_obscorev_at_errstat
#define MDB_OBSCORMASK_AT_ERRSTAT o_(it)%mdb_obscormask_at_errstat
#define MDB_QC_A o_(it)%mdb_qc_a
#define MDB_QC_L o_(it)%mdb_qc_l
#define MDB_QC_PGE o_(it)%mdb_qc_pge
#define MDBIOM0 o_(it)%mdbiom0
#define MDBIFC1 o_(it)%mdbifc1
#define MDBIFC2 o_(it)%mdbifc2
#define MDBIOMN o_(it)%mdbiomn
#define MDBRBVC o_(it)%mdbrbvc
#define MDBRBPIO o_(it)%mdbrbpio
#define MDBRBOE o_(it)%mdbrboe
#define MDBDEV2 o_(it)%mdbdev2
#define MDBSYPC o_(it)%mdbsypc
!-- Due to the faster MAPVARDB, a column name must be mapped only once to a MDB-pointer
#define MDBTELID o_(it)%mdbtelid
#define MDBPILID o_(it)%mdbtelid
!define MDBPILID o_(it)%mdbpilid
!-- Due to the faster MAPVARDB, a column name must be mapped only once to a MDB-pointer
#define MDBTORB o_(it)%mdbtorb
#define MDBTORBA o_(it)%mdbtorb
#define MDBSSRB o_(it)%mdbtorb
!define MDBTORBA o_(it)%mdbtorba
!define MDBSSRB o_(it)%mdbssrb
#define MDBS1DVC o_(it)%mdbs1dvc
#define MDBSSCCF o_(it)%mdbssccf
#define MDBSSCBW o_(it)%mdbsscbw
#define MDBSSANP o_(it)%mdbssanp
#define MDBSCBAA o_(it)%mdbscbaa
#define MDBSCBIA o_(it)%mdbscbia
#define MDBSCKP o_(it)%mdbsckp
#define MDBSCRES o_(it)%mdbscres
#define MDBSCDIS o_(it)%mdbscdis
#define MDBSCKPQ o_(it)%mdbsckpq
#define MDBSCS0Q o_(it)%mdbscs0q
#define MDBSCSM o_(it)%mdbscsm
#define MDBSCSMS o_(it)%mdbscsms
#define MDBSCSMC o_(it)%mdbscsmc
#define MDBSCSMP o_(it)%mdbscsmp
#define MDBSCLFR o_(it)%mdbsclfr
#define MDBSCSMW o_(it)%mdbscsmw
#define MDBSCSMT o_(it)%mdbscsmt
#define MDB_SATID_AT_SAT o_(it)%mdb_satid_at_sat
#define MDB_SATINST_AT_SAT o_(it)%mdb_satinst_at_sat
#define MDB_GEN_CENTRE_AT_SAT o_(it)%mdb_gen_centre_at_sat
#define MDB_GEN_SUBCENTRE_AT_SAT o_(it)%mdb_gen_subcentre_at_sat
#define MDB_DATASTREAM_AT_SAT o_(it)%mdb_datastream_at_sat
#define MDB_CLDPTOP1_AT_ATOVS o_(it)%mdb_cldptop1_at_atovs
#define MDB_CLDNE1_AT_ATOVS o_(it)%mdb_cldne1_at_atovs
#define MDB_CLDPTOP2_AT_ATOVS o_(it)%mdb_cldptop2_at_atovs
#define MDB_CLDNE2_AT_ATOVS o_(it)%mdb_cldne2_at_atovs
#define MDB_CLDPTOP3_AT_ATOVS o_(it)%mdb_cldptop3_at_atovs
#define MDB_CLDNE3_AT_ATOVS o_(it)%mdb_cldne3_at_atovs
#define   MDBRO3IT  o_(it)%mdbro3it 
#define   MDBRO3PT  o_(it)%mdbro3pt 
#define  MDBRO3LA1  o_(it)%mdbro3la1 
#define  MDBRO3LO1  o_(it)%mdbro3lo1 
#define  MDBRO3LA2  o_(it)%mdbro3la2 
#define  MDBRO3LO2  o_(it)%mdbro3lo2 
#define  MDBRO3LA3  o_(it)%mdbro3la3 
#define  MDBRO3LO3  o_(it)%mdbro3lo3 
#define  MDBRO3LA4  o_(it)%mdbro3la4 
#define  MDBRO3LO4  o_(it)%mdbro3lo4 
#define  MDBRO3SOE  o_(it)%mdbro3soe 
#define  MDBRO3FOV  o_(it)%mdbro3fov 
#define  MDBRO3CLC  o_(it)%mdbro3clc 
#define   MDBRO3CP  o_(it)%mdbro3cp 
#define   MDBRO3QR  o_(it)%mdbro3qr 
#define   MDBRO3NL  o_(it)%mdbro3nl
#define MDBAERSII   o_(it)%mdbaersii
#define MDBAERSTF   o_(it)%mdbaerstf
#define MDB_SOURCE_AT_DESC    o_(it)%mdb_source_at_desc   
#define MDB_VERSION_AT_DESC   o_(it)%mdb_version_at_desc  
#define MDB_ACL_AT_DESC       o_(it)%mdb_acl_at_desc      
#define MDB_CREADATE_AT_DESC  o_(it)%mdb_creadate_at_desc 
#define MDB_CREATIME_AT_DESC  o_(it)%mdb_creatime_at_desc 
#define MDB_CREABY_AT_DESC    o_(it)%mdb_creaby_at_desc   
#define MDB_MODDATE_AT_DESC   o_(it)%mdb_moddate_at_desc  
#define MDB_MODTIME_AT_DESC   o_(it)%mdb_modtime_at_desc  
#define MDB_MODBY_AT_DESC     o_(it)%mdb_modby_at_desc    
#define MDB_FULLDESC_AT_DESC  o_(it)%mdb_fulldesc_at_desc
#define MLNK_DESC2HDR         o_(it)%mlnk_desc2hdr
#define MLNK_HDR2BUFR         o_(it)%mlnk_hdr2bufr
#define MDB_SUBCLASS_AT_HDR   o_(it)%mdb_subclass_at_hdr 
#define MDB_RDBTYPE_AT_HDR    o_(it)%mdb_rdbtype_at_hdr  
#define MDB_SUBTYPE_AT_HDR    o_(it)%mdb_subtype_at_hdr  
#define MDB_BUFRTYPE_AT_HDR   o_(it)%mdb_bufrtype_at_hdr 
#define MDB_GROUPID_AT_HDR    o_(it)%mdb_groupid_at_hdr
#define MDB_REPORTYPE_AT_HDR  o_(it)%mdb_reportype_at_hdr
#define MDB_FLAG_AT_HDR       o_(it)%mdb_flag_at_hdr     
#define MDB_NUMLEV_AT_HDR     o_(it)%mdb_numlev_at_hdr   
#define MDB_NUMACTIVEB_AT_HDR o_(it)%mdb_numactiveb_at_hdr   
#define MDB_DUPLSEQNO_AT_HDR  o_(it)%mdb_duplseqno_at_hdr
#define MDB_MSG_AT_BUFR       o_(it)%mdb_msg_at_bufr     
#define MDB_THINBOX_AT_HDR    o_(it)%mdb_thinbox_at_hdr  
#define MDB_MSEC_AT_HDR       o_(it)%mdb_msec_at_hdr     
#define MLNK_HDR2INBUFR       o_(it)%mlnk_hdr2inbufr
#define MDB_MSG_AT_INBUFR     o_(it)%mdb_msg_at_inbufr   
#define MLNK_HDR2OUTBUFR      o_(it)%mlnk_hdr2outbufr
#define MDB_MSG_AT_OUTBUFR    o_(it)%mdb_msg_at_outbufr  
!*** New items added due to direct BUFR2ODB conversion
#define MDB_STATION_TYPE_AT_HDR      o_(it)%mdb_station_type_at_hdr
#define MDB_SONDE_TYPE_AT_HDR        o_(it)%mdb_sonde_type_at_hdr
#define MDB_MPC_AT_SCATT_BODY        o_(it)%mdb_mpc_at_scatt_body
#define MDB_WVC_QF            o_(it)%mdb_wvc_qf
#define MDB_NRETR_AMB         o_(it)%mdb_nretr_amb
#define MDB_SUBSETNO_AT_HDR          o_(it)%mdb_subsetno_at_hdr
#define MDB_FLIGHT_PHASE_AT_HDR o_(it)%mdb_flight_phase_at_hdr
!*** New items added due to Poolmasking
#define MLNK_DESC2POOLMASK        o_(it)%mlnk_desc2poolmask
#define MDB_POOLNO_AT_POOLMASK    o_(it)%mdb_poolno_at_poolmask
#define MDB_OBSTYPE_AT_POOLMASK   o_(it)%mdb_obstype_at_poolmask
#define MDB_CODETYPE_AT_POOLMASK  o_(it)%mdb_codetype_at_poolmask
#define MDB_SENSOR_AT_POOLMASK    o_(it)%mdb_sensor_at_poolmask
#define MDB_TSLOT_AT_POOLMASK     o_(it)%mdb_tslot_at_poolmask
#define MDB_SUBTYPE_AT_POOLMASK   o_(it)%mdb_subtype_at_poolmask
#define MDB_BUFRTYPE_AT_POOLMASK  o_(it)%mdb_bufrtype_at_poolmask
#define MDB_HDR_COUNT_AT_POOLMASK     o_(it)%mdb_hdr_count_at_poolmask
#define MDB_BODY_COUNT_AT_POOLMASK    o_(it)%mdb_body_count_at_poolmask
#define MDB_MAX_BODYLEN_AT_POOLMASK   o_(it)%mdb_max_bodylen_at_poolmask
!*** New items added due to introduction of 'timeslot_index'-table
#define MDB_TIMESLOT_AT_TIMESLOT_INDEX   o_(it)%mdb_timeslot_at_timeslot_index
#define MDB_ENDDATE_AT_TIMESLOT_INDEX   o_(it)%mdb_enddate_at_timeslot_index
#define MDB_ENDTIME_AT_TIMESLOT_INDEX   o_(it)%mdb_endtime_at_timeslot_index
#define MLNK_DESC2TIMESLOT_INDEX         o_(it)%mlnk_desc2timeslot_index
#define MLNK_TIMESLOT_INDEX2INDEX        o_(it)%mlnk_timeslot_index2index
!*** Commonly needed subwords/members of 'obschar.*@hdr'
!    Please make sure that their length does not exceed 31 chars !
!#define MDB_OBSCHAR_D_CODETYPE_AT_HDR   o_(it)%mdb_obschar_d_codetype_at_hdr
!#define MDB_OBSCHAR_D_INSTYPE_AT_HDR    o_(it)%mdb_obschar_d_instype_at_hdr
!#define MDB_OBSCHAR_D_RETRTYPE_AT_HDR   o_(it)%mdb_obschar_d_retrtype_at_hdr
!#define MDB_OBSCHAR_D_DATAGROUP_AT_HDR  o_(it)%mdb_obschar_d_datagroup_at_hdr
!*** OBSCHAR is replaced by 4 new entries
#define MDB_CODETYPE_AT_HDR   o_(it)%mdb_codetype_at_hdr
#define MDB_INSTTYPE_AT_HDR   o_(it)%mdb_insttype_at_hdr
#define MDB_RETRTYPE_AT_HDR   o_(it)%mdb_retrtype_at_hdr
#define MDB_AREATYPE_AT_HDR   o_(it)%mdb_areatype_at_hdr
!*** Additional @satob entries requested by Niels Bormann  [20/11/2001]
#define MDB_SEGMENT_SIZE_X_AT_SATOB     o_(it)%mdb_segment_size_x_at_satob
#define MDB_SEGMENT_SIZE_Y_AT_SATOB     o_(it)%mdb_segment_size_y_at_satob
!*** Additional @satob entry requested by Iliana Stoyanova Genkova [22/10/2009]
#define MDB_HEIGHT_ASSIGNMENT_METHOD_AT_SATOB   o_(it)%mdb_height_assignment_method_at_satob
#define MDB_TRACER_CORRELATION_METHOD_AT_SATOB  o_(it)%mdb_tracer_correlation_method_at_satob
#define MDB_LAND_SEA_AT_SATOB   o_(it)%mdb_land_sea_at_satob
!*** New item(s)
#define MDB_ZONE_AT_HDR                 o_(it)%mdb_zone_at_hdr
#define MDB_SATINST_AT_HDR      o_(it)%mdb_satinst_at_hdr 
#define MDB_SATINST_AT_POOLMASK o_(it)%mdb_satinst_at_poolmask
#define MDB_REPORT_DESCRIPTION_AT_HDR      o_(it)%mdb_report_description_at_hdr
!*** New @body & @atovs entries proposed by Christina Koepken [26/11/2002]
#define MDB_CLD_FG_DEPAR_AT_BODY o_(it)%mdb_cld_fg_depar_at_body
#define MDB_SURFEMISS_AT_BODY    o_(it)%mdb_surfemiss_at_body
#define MDB_CSR_PCLEAR_AT_BODY   o_(it)%mdb_csr_pclear_at_body
#define MDB_CSR_PCLOUDY_AT_BODY  o_(it)%mdb_csr_pcloudy_at_body
!*** New @desc & @hdr entries pushed in by Sami Saarinen [17/02/2004]
#define MDB_MXUP_TRAJ_AT_DESC    o_(it)%mdb_mxup_traj_at_desc
#define MDB_NUMTSL_AT_DESC       o_(it)%mdb_numtsl_at_desc
#define MDB_SOURCE_AT_HDR        o_(it)%mdb_source_at_hdr
!*** New items added for storing thinning keys
#define MDB_THINNINGKEY_AT_HDR        o_(it)%mdb_thinningkey_at_hdr
#define MDB_THINNINGTIMEKEY_AT_HDR        o_(it)%mdb_thinningtimekey_at_hdr
!*** VarBC-related @body entries by Dick Dee [23/10/2007]
#define MDB_BIASCTRL_AT_BODY     o_(it)%mdb_biasctrl_at_body
#define MDB_VARBC_IX_AT_BODY     o_(it)%mdb_varbc_ix_at_body
!*** Table @satem removed and items moved into @hdr with different names
!    (for old SATEM) by Sami Saarinen [26/6/2003]
#define MDB_SATEM_DATAPROC_AT_HDR         o_(it)%mdb_satem_dataproc_at_hdr
#define MDB_SATEM_INSTDATA_AT_HDR         o_(it)%mdb_satem_instdata_at_hdr
!*** MDB_AUX1_AT_BODY obsolete (except PREODB)
!    Elsewhere replaced by (vector) of MDB_AUX_AT_BODY [23/1/04 SS]
#define MDB_AUX_AT_BODY o_(it)%mdb_aux_at_body
#define MDB_AUX1_AT_BODY o_(it)%mdb_aux1_at_body
!*** latlon_rad@desc added to flag whether (lat,lon) are in radians or not [23/1/04 SS]
#define MDB_LATLON_RAD_AT_DESC    o_(it)%mdb_latlon_rad_at_desc
!*** SSM/I reorganization (Peter Bauer/Sami Saarinen) [11/3/04]
#define MDB_PREC_ST_AT_SSMI o_(it)%mdb_prec_st_at_ssmi
#define MDB_PREC_CV_AT_SSMI o_(it)%mdb_prec_cv_at_ssmi
#define MDB_RAIN_AT_SSMI_BODY o_(it)%mdb_rain_at_ssmi_body
#define MDB_SNOW_AT_SSMI_BODY o_(it)%mdb_snow_at_ssmi_body
#define MDB_CLW_AT_SSMI_BODY o_(it)%mdb_clw_at_ssmi_body
#define MDB_CIW_AT_SSMI_BODY o_(it)%mdb_ciw_at_ssmi_body
#define MDB_CC_AT_SSMI_BODY o_(it)%mdb_cc_at_ssmi_body
#define MDB1D_COST o_(it)%mdb1d_cost
#define MDB1D_SFC_RAIN_3D_FG o_(it)%mdb1d_sfc_rain_3d_fg
#define MDB1D_SFC_SNOW_3D_FG o_(it)%mdb1d_sfc_snow_3d_fg
#define MDB1D_SFC_RAIN_3D_AN o_(it)%mdb1d_sfc_rain_3d_an
#define MDB1D_SFC_SNOW_3D_AN o_(it)%mdb1d_sfc_snow_3d_an
#define MDB1D_RWP o_(it)%mdb1d_rwp
#define MDB1D_SWP o_(it)%mdb1d_swp
#define MDB1D_CWP o_(it)%mdb1d_cwp
#define MDB1D_IWP o_(it)%mdb1d_iwp
#define MDB_RAD_FG_3D_AT_SSMI_BODY o_(it)%mdb_rad_fg_3d_at_ssmi_body
#define MDB_RAD_4DAN_AT_SSMI_BODY o_(it)%mdb_rad_4dan_at_ssmi_body
#define MDB_RAD_OBS_AT_SSMI_BODY o_(it)%mdb_rad_obs_at_ssmi_body
#define MDB1BPWS o_(it)%mdb1bpws
#define MDB1DREP o_(it)%mdb1drep
#define MDB1BPWS o_(it)%mdb1bpws
#define MDB_RAD_FG_DEPAR_AT_SSMI_BODY o_(it)%mdb_rad_fg_depar_at_ssmi_body
#define MDB_RAD_AN_DEPAR_AT_SSMI_BODY o_(it)%mdb_rad_an_depar_at_ssmi_body
#define MDB_RAD_OBS_ERR_AT_SSMI_BODY o_(it)%mdb_rad_obs_err_at_ssmi_body
#define MDB_RAD_BIAS_AT_SSMI_BODY o_(it)%mdb_rad_bias_at_ssmi_body
!*** checksum@hdr-word added to get over reproducibility problems for good [18/3/04 SS]
#define MDB_CHECKSUM_AT_HDR o_(it)%mdb_checksum_at_hdr
#define MDB_ANAPROP_AT_RADAR_BODY o_(it)%mdb_anaprop_at_radar_body
#define MDB_ANTENHT_AT_RADAR_STATION o_(it)%mdb_antenht_at_radar_station
#define MDB_BEAMWIDTH_AT_RADAR_STATION o_(it)%mdb_beamwidth_at_radar_station
#define MDB_DISTANCE_AT_RADAR_BODY o_(it)%mdb_distance_at_radar_body
#define MDB_ELEVATION_AT_RADAR_BODY o_(it)%mdb_elevation_at_radar_body
#define MDB_FAILURE_1DV_AT_RADAR o_(it)%mdb_failure_1dv_at_radar
#define MDB_FLGDYN_AT_RADAR_BODY o_(it)%mdb_flgdyn_at_radar_body
#define MDB_FREQUENCY_AT_RADAR_STATION o_(it)%mdb_frequency_at_radar_station
#define MDB_IDENT_AT_RADAR_STATION o_(it)%mdb_ident_at_radar_station
#define MDB_ITERNOCONV_1DV_AT_RADAR o_(it)%mdb_iternoconv_1dv_at_radar
#define MDB_LAT_AT_RADAR_STATION o_(it)%mdb_lat_at_radar_station
#define MDB_LON_AT_RADAR_STATION o_(it)%mdb_lon_at_radar_station
#define MDB_POLARISATION_AT_RADAR_BODY o_(it)%mdb_polarisation_at_radar_body
#define MDB_AZIMUTH_AT_RADAR_BODY o_(it)%mdb_azimuth_at_radar_body
#define MDB_PRESS_AT_RADAR_BODY o_(it)%mdb_press_at_radar_body
#define MDB_Q1_AT_RADAR_BODY o_(it)%mdb_q1_at_radar_body
#define MDB_Q2_AT_RADAR_BODY o_(it)%mdb_q2_at_radar_body
#define MDB_Q_1DV_AT_RADAR_BODY o_(it)%mdb_q_1dv_at_radar_body
#define MDB_REFLCOST_AT_RADAR_BODY o_(it)%mdb_reflcost_at_radar_body
#define MDB_STALT_AT_RADAR_STATION o_(it)%mdb_stalt_at_radar_station
#define MDB_TEMP1_AT_RADAR_BODY o_(it)%mdb_temp1_at_radar_body
#define MDB_TEMP2_AT_RADAR_BODY o_(it)%mdb_temp2_at_radar_body
#define MDB_TEMP_1DV_AT_RADAR_BODY o_(it)%mdb_temp_1dv_at_radar_body
#define MDB_TIME_AT_RADAR_BODY o_(it)%mdb_time_at_radar_body
#define MDB_TYPE_AT_RADAR_STATION o_(it)%mdb_type_at_radar_station
#define MDB1DREP o_(it)%mdb1drep
#define MDB_RAD_FG_DEPAR_AT_SSMI_BODY o_(it)%mdb_rad_fg_depar_at_ssmi_body
#define MDB_RAD_AN_DEPAR_AT_SSMI_BODY o_(it)%mdb_rad_an_depar_at_ssmi_body
#define MDB_RAD_OBS_ERR_AT_SSMI_BODY o_(it)%mdb_rad_obs_err_at_ssmi_body
#define MDB_RAD_BIAS_AT_SSMI_BODY o_(it)%mdb_rad_bias_at_ssmi_body
!*** checksum@hdr-word added to get over reproducibility problems for good [18/3/04 SS]
#define MDB_CHECKSUM_AT_HDR o_(it)%mdb_checksum_at_hdr
!*AF For GNSSRO TABLES
#define MDB_OBS_TVALUE_AT_ROBODY       o_(it)%mdb_obs_tvalue_at_robody
#define MDB_OBS_ZVALUE_AT_ROBODY       o_(it)%mdb_obs_zvalue_at_robody
#define MDB_BG_TVALUE_AT_ROBODY        o_(it)%mdb_bg_tvalue_at_robody
#define MDB_OBS_DNDZ_AT_ROBODY         o_(it)%mdb_obs_dndz_at_robody
#define MDB_OBS_REFRACTIVITY_AT_ROBODY o_(it)%mdb_obs_refractivity_at_robody
#define MDB_BG_DNDZ_AT_ROBODY          o_(it)%mdb_bg_dndz_at_robody
#define MDB_BG_REFRACTIVITY_AT_ROBODY  o_(it)%mdb_bg_refractivity_at_robody
#define MDB_BG_LAYERNO_AT_ROBODY       o_(it)%mdb_bg_layerno_at_robody

#define MDB_GP_DIST o_(it)%mdb_gp_dist  
#define MDB_GP_NUMBER o_(it)%mdb_gp_number 
!*** New item added for radio occultation SBH [27/10/2004]
#define MDBRADCURV                        o_(it)%mdbradcurv
!*** New item added for limb measurements SBH [27/10/2004]
#define MDB_LIMB_AZIMUTH o_(it)%mdb_limb_azimuth
!*** New item added for radio occulation SBH [21/01/2006]
#define MDB_UNDULATION o_(it)%mdb_undulation
!*** New items for radar table
#define MDB_QMOD_AT_RADAR o_(it)%mdb_qmod_at_radar
#define MDB_ZSIMP_AT_RADAR o_(it)%mdb_zsimp_at_radar
!*** New items for limb table
#define MDB_NTAN_AT_LIMB o_(it)%mdb_ntan_at_limb
#define MDB_ZTAN_AT_LIMB o_(it)%mdb_ztan_at_limb
#define MDB_PTAN_AT_LIMB o_(it)%mdb_ptan_at_limb
#define MDB_THTAN_AT_LIMB o_(it)%mdb_thtan_at_limb
#define MDB_CLOUD_INDEX_AT_LIMB o_(it)%mdb_cloud_index_at_limb
#define MDB_WINDOW_RAD_AT_LIMB o_(it)%mdb_window_rad_at_limb
!*** New @atovs entries proposed by Thomas Auligne [03/02/2005]
#define MDB_CLDCOVER_AT_ATOVS o_(it)%mdb_cldcover_at_atovs
!*** New @atovs entries proposed by Andrew Collard [29/09/2008]
#define MDB_AVHRR_NUM_CLUSTERS_AT_IASI o_(it)%mdb_avhrr_num_clusters_at_iasi
#define MDB_AVHRR_MAX_CLUSTER_AT_IASI o_(it)%mdb_avhrr_max_cluster_at_iasi
#define MDB_AVHRR_MEAN_IR_AT_IASI o_(it)%mdb_avhrr_mean_ir_at_iasi
#define MDB_AVHRR_STDDEV_IR_AT_IASI o_(it)%mdb_avhrr_stddev_ir_at_iasi
#define MDB_AVHRR_MEAN_VIS_AT_IASI o_(it)%mdb_avhrr_mean_vis_at_iasi
#define MDB_AVHRR_STDDEV_VIS_AT_IASI o_(it)%mdb_avhrr_stddev_vis_at_iasi
#define MDB_AVHRR_COLD_CLUSTER_AT_IASI o_(it)%mdb_avhrr_cold_cluster_at_iasi
#define MDB_AVHRR_WARM_CLUSTER_AT_IASI o_(it)%mdb_avhrr_warm_cluster_at_iasi
#define MDB_AVHRR_LARG_CLUSTER_AT_IASI o_(it)%mdb_avhrr_larg_cluster_at_iasi
#define MDB_PROVIDER_QC_AT_IASI o_(it)%mdb_provider_qc_at_iasi

!*** New items for CO2 sink variable by Richard Engelen [09/06/2004]

#define MDB_CO2BG_S_AT_CO2_SINK        o_(it)%mdb_co2bg_s_at_co2_sink
#define MDB_CO2ER_S_AT_CO2_SINK        o_(it)%mdb_co2er_s_at_co2_sink
#define MDB_CO2ANER_S_AT_CO2_SINK      o_(it)%mdb_co2aner_s_at_co2_sink
#define MDB_CO2INC_S_AT_CO2_SINK       o_(it)%mdb_co2inc_s_at_co2_sink
#define MDB_CO2_S_AT_CO2_SINK          o_(it)%mdb_co2_s_at_co2_sink
#define MDB_CO2BG_T_AT_CO2_SINK        o_(it)%mdb_co2bg_t_at_co2_sink
#define MDB_CO2ER_T_AT_CO2_SINK        o_(it)%mdb_co2er_t_at_co2_sink
#define MDB_CO2ANER_T_AT_CO2_SINK      o_(it)%mdb_co2aner_t_at_co2_sink
#define MDB_CO2INC_T_AT_CO2_SINK       o_(it)%mdb_co2inc_t_at_co2_sink
#define MDB_CO2_T_AT_CO2_SINK          o_(it)%mdb_co2_t_at_co2_sink
#define MDB_TROPO_AT_CO2_SINK          o_(it)%mdb_tropo_at_co2_sink

!*** New items for cloud  sink variable from Tony Mc

#define MDB_CTOPBG_AT_CLOUD_SINK        o_(it)%mdb_ctopbg_at_cloud_sink
#define MDB_CTOPER_AT_CLOUD_SINK        o_(it)%mdb_ctoper_at_cloud_sink
#define MDB_CTOPINC_AT_CLOUD_SINK       o_(it)%mdb_ctopinc_at_cloud_sink
#define MDB_CTOP_AT_CLOUD_SINK          o_(it)%mdb_ctop_at_cloud_sink
#define MDB_CAMTBG_AT_CLOUD_SINK        o_(it)%mdb_camtbg_at_cloud_sink
#define MDB_CAMTER_AT_CLOUD_SINK        o_(it)%mdb_camter_at_cloud_sink
#define MDB_CAMTINC_AT_CLOUD_SINK       o_(it)%mdb_camtinc_at_cloud_sink
#define MDB_CAMT_AT_CLOUD_SINK          o_(it)%mdb_camt_at_cloud_sink

!*** Ensemble Data Assimilation (enda) by Sami Saarinen [26/08/2005]
#define MDB_ENDA_MEMBER_AT_DESC        o_(it)%mdb_enda_member_at_desc
#define MDB_ENDA_COUNT_AT_HDR          o_(it)%mdb_enda_count_at_hdr
#define MDB_ENDA_COUNT_AT_BODY         o_(it)%mdb_enda_count_at_body
!*** New @body entries proposed by Richard Engelen [07/07/2006]
#define MDB_TAUSFC_AT_BODY     o_(it)%mdb_tausfc_at_body
!*** Averaging kernels for reo3 data by Antje Dethof [20/02/2006]
#define MDB_NAK_AT_REO3_BODY o_(it)%mdb_nak_at_reo3_body
#define MDB_PAK_AT_REO3_BODY o_(it)%mdb_pak_at_reo3_body
#define MDB_WAK_AT_REO3_BODY o_(it)%mdb_wak_at_reo3_body
#define MLNK_REO32REO3_BODY  o_(it)%mlnk_reo32reo3_body
!** Yannick [22/02/2008] part of the update[] tables
#define MDB_OBS_DIAGS o_(it)%mdb_obs_diags
!*** Changes due to BoM/MetOffice -compatibility (by SS, from their odb_CY32R2.039.tgz around 21-Nov-2007)
#define MDB_DD_BEST_AT_SATOB            o_(it)%mdb_dd_best_at_satob
#define MDB_FF_BEST_AT_SATOB            o_(it)%mdb_ff_best_at_satob
#define MDB_SEL_WND_INDX_AT_SCATT_BODY  o_(it)%mdb_sel_wnd_indx_at_scatt_body
#define MDB_PRCP_PROB_AT_SCATT_BODY     o_(it)%mdb_prcp_prob_at_scatt_body
!*** New entry to errstat table for extended GEMS reo3 bufr by A. Dethof [05/03/2007]
#define MDB_RETRSOURCE_AT_REO3  o_(it)%mdb_retrsource_at_reo3
!*** New entry to hdr table for extended GEMS reo3 bufr by A. Dethof [05/03/2007]
#define MDBOERAK  o_(it)%mdb_obs_ak_error_at_errstat
!*** New entry to reo3 table for Sciamachy CH4 correction factor by R. Engelen [11/02/2008]
#define  MDB_CH4COR_AT_REO3  o_(it)%mdb_ch4cor_at_reo3
!*** New @atovs_body entries proposed by Fatima Karbou [16/04/2007]
#define MDB_MWEMIS_ATLAS1   o_(it)%mdb_mwemis_atlas1
#define MDB_MWEMIS_ATLAS2   o_(it)%mdb_mwemis_atlas2
#define MDB_MWEMIS_ATLAS3   o_(it)%mdb_mwemis_atlas3
#define MDB_MWEMIS_ATLAS4   o_(it)%mdb_mwemis_atlas4
#define MDB_MWEMIS_SAT1     o_(it)%mdb_mwemis_sat1
#define MDB_MWEMIS_SAT2     o_(it)%mdb_mwemis_sat2
#define MDB_MWSKIN1         o_(it)%mdb_mwskin1
#define MDB_MWSKIN2         o_(it)%mdb_mwskin2
#define MDB_MWATMO_TRANS    o_(it)%mdb_mwatmo_trans

!*** Add prior to averaging kernels for reo3 data by Richard Engelen [22/10/2008]
#define MDB_APAK_AT_REO3_BODY o_(it)%mdb_apak_at_reo3_body
#define MDB_sfc_height_AT_REO3  o_(it)%mdb_sfc_height_at_reo3
!*** New @atovs entries with model cloud water Blazej Krzeminski [07/08/2008]
#define MDB_CLW_AT_ATOVS    o_(it)%mdb_clw_at_atovs
#define MDB_CIW_AT_ATOVS    o_(it)%mdb_ciw_at_atovs
!*** New entry to body table for layer number by R. Dragani [04/02/2009]
#define MDB_NLAYER_AT_BODY     o_(it)%mdb_nlayer_at_body
!*** AF [31/10/2008] new entry in hdr to keep a copy of seqno (subwindows --> Yannick)
#define MDB_SUBSEQNO_AT_HDR o_(it)%mdb_subseqno_at_hdr
!*** New @smos entries proposed by J. Munoz Sabater [11/2009]
#define MDB_TB_FLAG_SMOS o_(it)%mdb_tb_flag_smos
#define MDB_TB_ANG_SMOS  o_(it)%mdb_tb_ang_smos
#define MDB_POLARISATION_AT_SMOS o_(it)%mdb_polarisation_at_smos

!*** AF [07/04/2010] New entries in sat
#define MDB_ZENITH_AT_SAT        o_(it)%mdb_zenith_at_sat
#define MDB_AZIMUTH_AT_SAT       o_(it)%mdb_azimuth_at_sat
#define MDB_SOLAR_ZENITH_AT_SAT  o_(it)%mdb_solar_zenith_at_sat
#define MDB_SOLAR_AZIMUTH_AT_SAT o_(it)%mdb_solar_azimuth_at_sat
!
!*** AF [07/04/2010]  New entries in allsky
#define MDB_FG_RAIN_RATE         o_(it)%mdb_fg_rain_rate
#define MDB_FG_SNOW_RATE         o_(it)%mdb_fg_snow_rate
#define MDB_FG_TCWV              o_(it)%mdb_fg_tcwv
#define MDB_FG_CWP               o_(it)%mdb_fg_cwp
#define MDB_FG_IWP               o_(it)%mdb_fg_iwp
#define MDB_FG_RWP               o_(it)%mdb_fg_rwp
#define MDB_FG_SWP               o_(it)%mdb_fg_swp
#define MDB_FG_RTTOV_CLD_FRAC    o_(it)%mdb_fg_rttov_cld_frac

#define MDB_AN_RAIN_RATE         o_(it)%mdb_an_rain_rate
#define MDB_AN_SNOW_RATE         o_(it)%mdb_an_snow_rate
#define MDB_AN_TCWV              o_(it)%mdb_an_tcwv
#define MDB_AN_CWP               o_(it)%mdb_an_cwp
#define MDB_AN_IWP               o_(it)%mdb_an_iwp
#define MDB_AN_RWP               o_(it)%mdb_an_rwp
#define MDB_AN_SWP               o_(it)%mdb_an_swp
#define MDB_AN_RTTOV_CLD_FRAC    o_(it)%mdb_an_rttov_cld_frac

#define MDB_GNORM_10MWIND        o_(it)%mdb_gnorm_10mwind
#define MDB_GNORM_SKINTEMP       o_(it)%mdb_gnorm_skintemp
#define MDB_GNORM_TEMP           o_(it)%mdb_gnorm_temp
#define MDB_GNORM_Q              o_(it)%mdb_gnorm_q
#define MDB_GNORM_RAINFLUX       o_(it)%mdb_gnorm_rainflux
#define MDB_GNORM_SNOWFLUX       o_(it)%mdb_gnorm_snowflux
#define MDB_GNORM_CLW            o_(it)%mdb_gnorm_clw
#define MDB_GNORM_CIW            o_(it)%mdb_gnorm_ciw
#define MDB_GNORM_CC             o_(it)%mdb_gnorm_cc
#define MDB_OB_P19               o_(it)%mdb_ob_p19
#define MDB_FG_P19               o_(it)%mdb_fg_p19
#define MDB_AN_P19               o_(it)%mdb_an_p19
#define MDB_OB_P37               o_(it)%mdb_ob_p37
#define MDB_FG_P37               o_(it)%mdb_fg_p37
#define MDB_AN_P37               o_(it)%mdb_an_p37
#define MDB_REPORT_TBCLOUD       o_(it)%mdb_report_tbcloud
#define MDB_TBVALUE              o_(it)%mdb_tbvalue
#define MDB_TBVALUETL            o_(it)%mdb_tbvaluetl
#define MDB_TBVALUEAD            o_(it)%mdb_tbvaluead
#define MDB_DATUM_TBFLAG         o_(it)%mdb_datum_tbflag

!*AF modsurf table
#define MDB_ALBEDO               o_(it)%mdb_albedo
#define MDB_LSM                  o_(it)%mdb_lsm
#define MDB_OROGRAPHY            o_(it)%mdb_orography
#define MDB_SNOW_DEPTH           o_(it)%mdb_snow_depth
#define MDB_T2M                  o_(it)%mdb_t2m
#define MDB_WINDSPEED10M         o_(it)%mdb_windspeed10m

!*AF auxiliary table
#define MDB_AUX_AT_AUXILIARY o_(it)%mdb_aux_at_auxiliary
#define MDB_AUX_AT_AUXILIARY_BODY o_(it)%mdb_aux_at_auxiliary_body
!*AF new entry for MF
#define MDB_LIKELIHOOD_AT_SCATT_BODY        o_(it)%mdb_likelihood_at_scatt_body
!*AF new columns in radiance table
#define MDB_SCANLINE_AT_RADIANCE        o_(it)%mdb_scanline_at_radiance
#define MDB_SCANPOS_AT_RADIANCE        o_(it)%mdb_scanpos_at_radiance
#define MDB_ORBIT_AT_RADIANCE        o_(it)%mdb_orbit_at_radiance
#define MDB_TYPESURF_AT_RADIANCE        o_(it)%mdb_typesurf_at_radiance

#define MDB_TBVALUE_SMOS  o_(it)%mdb_tbvalue_smos

!*** New @body entries proposed by Tony McNally [29/11/2002] TO BE CLEANED FOR AIRS AND IASI ONLY
#define MDB_RANK_CLD_AT_BODY     o_(it)%mdb_rank_cld_at_body

