!*
!     ------------------------------------------------------------------
#ifdef DOC

!     AVIS AUX GENS DE LA PHYSIQUE :
!     WARNING TO PHYSICS PEOPLE    :
!     CA COMMENCE A URGER D' AVOIR L'ADJOINT DE LA PHYSIQUE  !
!     THE ADJOINT OF PHYSICS STARTS TO BE DESPERATELY NEEDED !
!     JE VEUX BIEN EN FAIRE UN CHOUIA MAIS C'EST BIEN POUR
!     VOUS FAIRE PLAISIR.
!     I ACCEPT TO CODE A SMALL CHOUIA BUT IT IS REALLY TO
!     PLEASE YOU

!     CE CHOUIA FAIT EFFECTIVEMENT PLAISIR!
!     I ENJOYED REALLY THIS CHOUIA!
!     ------------------------------------------------------------------
#endif
!     FUNCTION FOR COMPUTATION OF Es (adjoint)
!         INPUT : PTARA = TEMPERATURE
!                 PDELARA = 0 for water
!                           1 for ice(snow)
REAL(KIND=JPRB) :: FOEWAD
REAL(KIND=JPRB) :: PTARA,PTARG5,PDELARA
FOEWAD(PTARA,PTARG5,PDELARA ) = FOEW( PTARG5,PDELARA) *&
     &( ( RBETW+PDELARA*RBETD ) / PTARG5**2 &
      &-( RGAMW+PDELARA*RGAMD ) /PTARG5) * PTARA


!     FUNCTION FOR SATURATED SPECIFIC HUMIDITY (adjoint)
!        INPUT : PESPFAA = FOEW DIVIDED BY PRESSURE
!              : PESPFAR5 = TRAJECTORY FOR THE SAME
REAL(KIND=JPRB) :: FOQSAD1,FOQSAD2
REAL(KIND=JPRB) :: PESPFAA,PESPFAR5
FOQSAD1(PESPFAR,PESPFAR5)=((1.0_JPRB+RETV)/&
      &(1.0_JPRB+RETV*(1.0_JPRB-PESPFAR5))**2)*PESPFAR

FOQSAD2(PESPFAR,PESPFAR5)=PESPFAR

!     FUNCTION FOR COMPUTATION OF LATENT HEAT (adjoint)
!        INPUT : PTARA = TEMPERATURE
!                PDELARA = 0 if it is for water
!                          1 if it is for ice (snow)
REAL(KIND=JPRB) :: FOLHAD
FOLHAD( PTARA,PDELARA ) =  RV * (&
  &- ( RGAMW+PDELARA*RGAMD ) * PTARA )


!     FUNCTION FOR COMPUTATION OF DERIVATION OF NATURAL LOGARITH
!     OF Es (adjoint)
!        INPUT : PTARA = TEMPERATURE
!                PDELARA = 0 if it is for water
!                          1 if it is for ice(snow)
REAL(KIND=JPRB) :: FODLEWAD
FODLEWAD( PTARA,PTARG5,PDELARA ) =&
      &((RGAMW+PDELARA*RGAMD)*PTARG5 &
    &- 2*(RBETW+PDELARA*RBETD))*PTARA &
    &/ (PTARG5**3)

!     FUNCTION FOR DERIVATION OF SATURATED SPECIFIC HUMIDITY(adjoint)
!        INPUT : PQSFARA = FOQS
!                PESPFAA = FOEW DIVIDED BY PRESSURE
!                PDLEFAR = FODLEW.
REAL(KIND=JPRB) :: FODQSAD1,FODQSAD2,FODQSAD3
REAL(KIND=JPRB) :: PQSFARA,PQSFARG5,PDLEFAR5
FODQSAD1(PQSFARA,PQSFARG5,PESPFAR5,PDLEFAR5)=&
    &(1.0_JPRB-2*PQSFARG5)*PDLEFAR5*PQSFARA &
    &/(1.0_JPRB-PESPFAR5)

FODQSAD2(PQSFARG5,PESPFAA,PESPFAR5,PDLEFAR5)=&
    &(PQSFARG5-PQSFARG5**2)*PDLEFAR5*PESPFAA &
    &/((1.0_JPRB-PESPFAR5)**2)

FODQSAD3(PQSFARG5,PESPFAR5,PDLEFAR,PDLEFAR5)=&
    &(PQSFARG5-PQSFARG5**2)*PDLEFAR &
    &/(1.0_JPRB-PESPFAR5)
!   ------------------------------------------------------------------


