INTERFACE
SUBROUTINE ACRADIN(KIDIA,KFDIA,KLON,KGL1,KGL2,KTDIA,KLEV,&
 & KMODE , KFLUX , KRAD,&
 & PALBD , PALBP , PAPRS , PAPRSF, PCCO2 , PNEB,&
 & PQO3 , PAER,&
 & PDELP , PEMIS , PMU0 , PQ , PQSAT,&
 & PQICE , PQLI , PLSM , PT , PTS,&
 & PEMTD , PEMTU , PTRSO,&
 & PFRTHC, PFRTH , PFRSOC, PFRSO,PSFSWDIR,PSFSWDIF,&
 & PFSDNN, PFSDNV, PCTRSO, PCEMTR, PTRSOD,&
 & PPIZA_DST,PCGA_DST,PTAUREL_DST,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NSW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
INTEGER(KIND=JPIM) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM) :: KFLUX
INTEGER(KIND=JPIM) :: KRAD
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(IN) :: PNEB(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,KLEV,6)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQICE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PPIZA_DST(KLON,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PCGA_DST(KLON,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUREL_DST(KLON,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMTD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMTU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRSO(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHC(KLON,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOC(KLON,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSO(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSFSWDIR(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSFSWDIF(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFSDNN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFSDNV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCTRSO(KLON,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCEMTR(KLON,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRSOD(KLON)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACRADIN
END INTERFACE
