INTERFACE
SUBROUTINE APLPAR ( KIDIA , KFDIA , KLON ,&
 & KTDIA , KLEV , KGL1 , KGL2 , KSTGLO ,&
 & KVCLIS , KVCLIV , KSTEP ,&
 & KSGST , KCSS ,&
 & KBL , KGPCOMP,&
 & PAPHI , PAPRS , PAPHIF , PAPRSF , PALPH , PARG , PD2 ,&
 & PDELP , PIVEG , PLAI , PLNPR , PRDELP , PRSMIN , PSAB ,&
 & PGZ0HF , PAESEA , PAELAN , PAESOO , PAEDES , PAESUL , PAEVOL , PRCORI ,&
 & PU , PV , PT , PQ , PQI , PQL ,&
 & PS , PRR , PTKE , PSDSAT , PCVV ,&
 & PO3 , PVORT0 ,&
 & PCP , PCVGQ , PR , PKOZO ,&
 & PFPLCH , PFPLSH ,&
 & PDDAL , PDDOM , PENTCH , PUDAL , PUDOM , PUNEBH, PEVEL0,&
 & PTCCH , PSCCH , PBCCH , PFHPS ,&
 & PPBLH ,&
 & PGPAR ,&
 & PSNS , PALBNS , PRHONS ,&
 & PTP , PTS , PWL , PWP , PWPI , PWS , PWSI ,&
 & PHV , PVERVEL,&
 & PEMTD , PEMTU , PTRSO , PCLON ,&
 & PSLON , PALV , PALBF , PALBSF , PEMISF , PGETRL ,&
 & PLSM , PVEG0 ,&
 & PGZ0F , PGZ0RLF, PVRLAN ,&
 & PVRLDI , PVO3ABC, PVRMOON, PMU0 , PMU0LU , PMU0M , PGAW, PGELAM ,&
 & PGEMU , PGM , POMPAC , PAC , PCOR , PMMU0 , PDHSF ,&
 & PRAB3C , PRAB3N , PRAB4C , PRAB4N , PRAB6C , PRAB6N ,&
 & PRAT1C , PRAT1N , PRAT2C , PRAT2N , PRAT3C , PRAT3N ,&
 & PRAT4C , PRAT4N , PRAT5C , PRAT5N,&
 & POROG ,&
 & PDIFCQ , PDIFCQI, PDIFCQL, PDIFCS , PDIFTQ , PDIFTQI, PDIFTQL,&
 & PDIFTS , PFCCQL , PFCCQN , PFCSQL , PFCSQN , PFCQVNG , PFCQING,&
 & PFCQLNG, PFCQRNG, PFCQSNG,&
 & PFPLCL , PFPLCN , PFPLSL , PFPLSN , PFRSO , PFRSOC ,&
 & PFRTH , PFRTHC , PSTRCU , PSTRCV , PSTRDU , PSTRDV , PSTRTU ,&
 & PSTRTV , PSTRMU , PSTRMV , PFRMH , PFRMQ ,&
 & PFCHOZ , PCPS , PLHS ,&
 & PRS , PLH , PLSCPE , PNEB , PQICE , PQLI , PQSAT ,&
 & PQW , PRH , PTW , PALB , PCD , PCDN , PCH ,&
 & PC1 , PC2 , PCT , PEMIS , PFCHSP , PFCLL , PFCLN ,&
 & PFCS , PFEVI , PFEVL , PFEVN , PFEVV , PFTR , PFLWSP ,&
 & PFONTE , PALBH ,&
 & PFGEL , PFGELS , PFRSODS, PFRSOPS, PFRSOPT, PFRSOLU, PFRTHDS,&
 & PFPFPSL, PFPFPSN, PFPFPCL, PFPFPCN, PFPEVPSL,PFPEVPSN,PFPEVPCL,&
 & PFPEVPCN,PFTKE , PGZ0 , PGZ0H , PNEIJ , PVEG , PQS ,&
 & PQSATS , PRUISL , PRUISP , PRUISS , PUCLS , PVCLS , PTCLS ,&
 & PQCLS , PRHCLS , PCLCT , PCLCH , PCLCM , PCLCL , PCLCC ,&
 & PCAPE , KCLPH , PCLPH , PUGST , PVGST ,&
 & PTENDPTKE,&
 & PDERNSHF,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NAER ,NMODE ,NRADFR ,NSW ,&
 & NOZOCL 
USE YOMCST , ONLY : RG ,RV ,&
 & RCPV ,RETV ,RCW ,RCS ,RLVTT ,&
 & RLSTT ,RTT ,RALPW ,RBETW ,RGAMW ,&
 & RALPS ,RBETS ,RGAMS ,RALPD ,RBETD ,&
 & RGAMD ,RCPD ,RATM ,RKAPPA 
USE YOMARAR ,ONLY : NGPAR ,MRAIN ,MSNOW ,MGZ0 ,&
 & MGZ0H ,MVEMIS ,MVQS ,MVTS ,&
 & MALBDIR ,MALBSCA ,XSW_BANDS,NSWB_MNH ,&
 & MSWDIR ,MSWDIF 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KBL
INTEGER(KIND=JPIM),INTENT(IN) :: KGPCOMP
INTEGER(KIND=JPIM),INTENT(IN) :: KVCLIS
INTEGER(KIND=JPIM),INTENT(IN) :: KSGST
INTEGER(KIND=JPIM),INTENT(IN) :: KCSS
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
INTEGER(KIND=JPIM),INTENT(IN) :: KVCLIV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PARG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PD2(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PIVEG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSMIN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSAB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0HF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAESEA(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAELAN(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAESOO(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAEDES(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAESUL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAEVOL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORT0(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVGQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL0(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKOZO(KLON,KLEV,KVCLIS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSCCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBCCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPBLH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFHPS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSNS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGPAR(KLON,NGPAR+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRHONS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWPI(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSI(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBSF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMISF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGETRL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEG0(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0RLF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLAN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLDI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVO3ABC(KLON,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVRMOON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0LU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0M(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: POMPAC(KLON,0:KLEV,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAC(KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHSF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB3C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB3N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB4C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB4N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB6C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAB6N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT1C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT1N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT2C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT2N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT3C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT3N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT4C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT4N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT5C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAT5N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQVNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQING(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQLNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQRNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQSNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSO(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOC(KLON,0:1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTH(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHC(KLON,0:1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRMH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRMQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHOZ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTKE(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLHS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLSCPE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEB(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQICE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDDAL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDDOM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PENTCH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUDAL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUDOM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUNEBH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCD(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCDN(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PC1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PC2(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHSP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLL(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLN(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCS(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVI(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVL(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVN(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTR(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLWSP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFONTE(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALBH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGEL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGELS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSODS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOPS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOPT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOLU(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHDS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0H(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEIJ(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVEG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSATS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRUISL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRUISP(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRUISS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQCLS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRHCLS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCM(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCAPE(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCLPH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLPH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUGST(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVGST(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDPTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDERNSHF(KLON)
CHARACTER(LEN=6) ,INTENT(IN) :: CDLOCK
REAL(KIND=JPRB) :: ZLH(KLON,KLEV)
REAL(KIND=JPRB) :: ZLSCPE(KLON,KLEV)
REAL(KIND=JPRB) :: ZQSAT(KLON,KLEV)
REAL(KIND=JPRB) :: ZQW(KLON,KLEV)
REAL(KIND=JPRB) :: ZRH(KLON,KLEV)
REAL(KIND=JPRB) :: ZTW(KLON,KLEV)
END SUBROUTINE APLPAR
END INTERFACE
