INTERFACE
subroutine CONGRAD (YD_PX,YD_PGRAD,YD_PLANC1,preduc,pkappa,kmaxit,kmaxevecs,&
 & kminit,pgolubu_inv,pgolubl_inv,pgolubu_log,pgolubl_log,&
 & YDCGLWK,pwork,&
 & ldevecs,ldsolve,LD_LGOLUB,LD_INFO_CONVERGENCE) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS, ONLY : CONTROL_VECTOR, ALLOCATE_CTLVEC, DEALLOCATE_CTLVEC, DOT_PRODUCT,&
 & ASSIGNMENT(=) 
TYPE(CONTROL_VECTOR),INTENT(INOUT) :: YD_PX
TYPE(CONTROL_VECTOR),INTENT(INOUT) :: YD_PGRAD
TYPE(CONTROL_VECTOR),INTENT(IN) :: YD_PLANC1
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREDUC
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMAXIT
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMAXEVECS
INTEGER(KIND=JPIM),INTENT(IN) :: KMINIT
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGOLUBU_INV
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGOLUBL_INV
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGOLUBU_LOG
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGOLUBL_LOG
LOGICAL ,INTENT(IN) :: LDEVECS
LOGICAL ,INTENT(IN) :: LDSOLVE
LOGICAL ,INTENT(IN) :: LD_LGOLUB
LOGICAL ,INTENT(IN) :: LD_INFO_CONVERGENCE
TYPE(CONTROL_VECTOR),INTENT(INOUT) :: YDCGLWK(kmaxit+1)
REAL(KIND=JPRB), INTENT(OUT) :: pwork(kmaxit+1,4)
end subroutine CONGRAD
END INTERFACE
