INTERFACE
SUBROUTINE CPPFTTCDIR(KGL1,KGL2,KOFF,&
 & PBASCO,PBASSI,&
 & PRAB3C,PRAB4C,PRAB6C,PRAB3N,PRAB4N,PRAB6N,&
 & PRAT1C,PRAT2C,PRAT3C,PRAT4C,PRAT5C,&
 & PRAT1N,PRAT2N,PRAT3N,PRAT4N,PRAT5N,&
 & PCOR,PAC,&
 & PFORAB3C,PFORAB4C,PFORAB6C,PFORAB3N,PFORAB4N,PFORAB6N,&
 & PFORAT1C,PFORAT2C,PFORAT3C,PFORAT4C,PFORAT5C,&
 & PFORAT1N,PFORAT2N,PFORAT3N,PFORAT4N,PFORAT5N,&
 & PFOCOR,PFOAC) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NTCMAX ,NPROMM ,NFLEVG ,NDLSUR&
 & ,NDLUNL ,NDLUXL ,NDLUXG ,NDGLG 
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
INTEGER(KIND=JPIM),INTENT(IN) :: KOFF
REAL(KIND=JPRB) ,INTENT(IN) :: PBASCO(NTCMAX,NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PBASSI(NTCMAX,NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB3C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB4C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB6C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB3N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB4N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB6N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT1C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT2C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT3C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT4C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT5C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT1N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT2N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT3N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT4N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT5N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOR(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PAC(NPROMM,(NFLEVG+1)*(NFLEVG+1))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAB3C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAB4C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAB6C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAB3N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAB4N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAB6N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT1C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT2C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT3C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT4C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT5C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT1N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT2N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT3N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT4N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFORAT5N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFOCOR(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFOAC((NFLEVG+1)*(NFLEVG+1),0:2*NTCMAX,KGL1:KGL2)
END SUBROUTINE CPPFTTCDIR
END INTERFACE
