INTERFACE
SUBROUTINE CPPFTTCINV(KGL1,KGL2,KOFF,&
 & PBASCO,PBASSI,&
 & PFORAB3C,PFORAB4C,PFORAB6C,PFORAB3N,PFORAB4N,PFORAB6N,&
 & PFORAT1C,PFORAT2C,PFORAT3C,PFORAT4C,PFORAT5C,&
 & PFORAT1N,PFORAT2N,PFORAT3N,PFORAT4N,PFORAT5N,&
 & PFOCOR,PFOAC,&
 & PRAB3C,PRAB4C,PRAB6C,PRAB3N,PRAB4N,PRAB6N,&
 & PRAT1C,PRAT2C,PRAT3C,PRAT4C,PRAT5C,&
 & PRAT1N,PRAT2N,PRAT3N,PRAT4N,PRAT5N,&
 & PCOR,PAC) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NTCMAX ,NPROMM ,NFLEVG ,NDLSUR ,NDLON ,NDGLG
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
INTEGER(KIND=JPIM),INTENT(IN) :: KOFF
REAL(KIND=JPRB) ,INTENT(IN) :: PBASCO(NTCMAX,NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PBASSI(NTCMAX,NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAB3C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAB4C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAB6C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAB3N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAB4N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAB6N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT1C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT2C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT3C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT4C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT5C(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT1N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT2N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT3N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT4N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORAT5N(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFOCOR(NFLEVG,0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFOAC((NFLEVG+1)*(NFLEVG+1),0:2*NTCMAX,KGL1:KGL2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAB3C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAB4C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAB6C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAB3N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAB4N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAB6N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT1C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT2C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT3C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT4C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT5C(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT1N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT2N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT3N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT4N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAT5N(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOR(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAC(NPROMM,(NFLEVG+1)*(NFLEVG+1))
END SUBROUTINE CPPFTTCINV
END INTERFACE
