INTERFACE
SUBROUTINE CUCTRACERAD&
 & ( KIDIA, KFDIA, KLON, KLEV, KTRAC,&
 & KCTOP, KDTOP,&
 & LDCUM, LDDRAF, PTSPHY,&
 & PAPH5, PMFU5, PMFD5,&
 & PUDRATE5, PDDRATE5,&
 & PDMFUP5, PDMFDP5,&
 & PCEN5, PTENC5, PSCAV5,&
 & PAPH, PMFU, PMFD,&
 & PUDRATE, PDDRATE,&
 & PDMFUP, PDMFDP,&
 & PCEN, PTENC ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KDTOP(KLON)
LOGICAL ,INTENT(IN) :: LDCUM(KLON)
LOGICAL ,INTENT(IN) :: LDDRAF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUDRATE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDDRATE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDMFUP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDMFDP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCEN5(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PSCAV5(KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC5(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUDRATE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDDRATE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFUP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCEN(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
END SUBROUTINE CUCTRACERAD
END INTERFACE
