INTERFACE
SUBROUTINE CUDDRAFN&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & LDDRAF,&
 & PTENH, PQENH,&
 & PGEO, PGEOH, PAPH, PRFL,&
 & PTD, PQD, PMFU,&
 & PMFD, PMFDS, PMFDQ, PDMFDP,&
 & PDMFDE, PMFDDE_RATE, PKINED ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
LOGICAL ,INTENT(IN) :: LDDRAF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRFL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFDDE_RATE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKINED(KLON,KLEV)
END SUBROUTINE CUDDRAFN
END INTERFACE
