INTERFACE
SUBROUTINE CUDLFSNTL&
 & (KIDIA, KFDIA, KLON, KLEV,&
 & KCBOT, KCTOP, LDCUM,&
 & PTENH5, PQENH5,&
 & PTEN5, PQSEN5, PGEO5,&
 & PGEOH5, PAPH5, PTU5, PQU5,&
 & PMFUB5, PRFL5,&
 & PTD5, PQD5,&
 & PMFD5, PMFDS5, PMFDQ5, PDMFDP5,&
 & KDTOP, LDDRAF ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCTOP(KLON)
LOGICAL ,INTENT(IN) :: LDCUM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFUB5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRFL5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFDS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFDQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFDP5(KLON,KLEV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KDTOP(KLON)
LOGICAL ,INTENT(OUT) :: LDDRAF(KLON)
END SUBROUTINE CUDLFSNTL
END INTERFACE
