INTERFACE
SUBROUTINE CUDTDQN&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & KTOPM2, KTYPE, KCTOP, KDTOP, LDCUM, LDDRAF, PTSPHY,&
 & PAPH, PGEOH, PGEO,&
 & PTEN, PTENH, PQEN, PQENH, PQSEN,&
 & PLGLAC, PLUDE, PMFU, PMFD,&
 & PMFUS, PMFDS, PMFUQ, PMFDQ,&
 & PMFUL, PDMFUP, PDPMEL,&
 & PTENT, PTENQ, PENTH ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTOPM2
INTEGER(KIND=JPIM),INTENT(IN) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KDTOP(KLON)
LOGICAL ,INTENT(INOUT) :: LDCUM(KLON)
LOGICAL ,INTENT(IN) :: LDDRAF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLGLAC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFUS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFDS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFUQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFDQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFUL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDMFUP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDPMEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PENTH(KLON,KLEV)
END SUBROUTINE CUDTDQN
END INTERFACE
