INTERFACE
SUBROUTINE CUDTDQNAD&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & KTOPM2, KTYPE, KCBOT, KCTOP, KDTOP,&
 & PTSPHY, LDCUM, LDDRAF,&
 & PAPH5, PGEOH5, PGEO5,&
 & PTEN5, PTENH5, PQEN5, PQENH5, PQSEN5,&
 & PLGLAC5, PLUDE5,&
 & PMFUS5, PMFDS5, PMFUQ5, PMFDQ5,&
 & PMFUL5, PDMFUP5, PDPMEL5,&
 & PTENT5, PTENQ5, PENTH5,&
 & PMFU5, PMFD5,&
 & PDMFEN5, PDMFDE5,&
 & PGEOH, PGEO,&
 & PTEN, PTENH, PQEN, PQENH, PQSEN,&
 & PTENT, PTENQ ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTOPM2
INTEGER(KIND=JPIM),INTENT(IN) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KDTOP(KLON)
LOGICAL ,INTENT(INOUT) :: LDCUM(KLON)
LOGICAL ,INTENT(IN) :: LDDRAF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLGLAC5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFUS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFDS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFUQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFDQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFUL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDMFUP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDPMEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PENTH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDMFEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDMFDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENQ(KLON,KLEV)
END SUBROUTINE CUDTDQNAD
END INTERFACE
