INTERFACE
SUBROUTINE CUFLX2AD&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & PTSPHY,&
 & PTEN5, PQEN5, PQSEN5, PTENH5, PQENH5,&
 & PAPH5, PAP5, LDLAND, LDCUM,&
 & KCBOT, KCTOP, KDTOP, KTOPM2,&
 & KTYPE, LDDRAF,&
 & PMFU5, PMFD5, PMFUS5, PMFDS5,&
 & PMFUQ5, PMFDQ5, PMFUL5, PLUDE5,&
 & PDMFUP5, PDMFDP5, PDPMEL5, PLGLAC5,&
 & PMFLXR5, PMFLXS5, PRAIN5,&
 & PTEN, PQEN, PQSEN, PTENH, PQENH,&
 & PAPH, PAP,&
 & PMFU, PMFD, PMFUS, PMFDS,&
 & PMFUQ, PMFDQ, PMFUL, PLUDE,&
 & PDMFUP, PDMFDP, PDPMEL, PLGLAC,&
 & PMFLXR, PMFLXS, PRAIN ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP5(KLON,KLEV)
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
LOGICAL ,INTENT(IN) :: LDCUM(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KDTOP(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KTOPM2
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTYPE(KLON)
LOGICAL ,INTENT(INOUT) :: LDDRAF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFUP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFDP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDPMEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLGLAC5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXR5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAIN5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFUP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDPMEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLGLAC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXR(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAIN(KLON)
END SUBROUTINE CUFLX2AD
END INTERFACE
