INTERFACE
SUBROUTINE EC_PHYS(CDCONF,KPROMA,KSMAX,KGPLAT,&
 & KBL,KNUMB,KSTGLO,PB2,&
 & PUT9,PVT9,PTT9,PSPT9,&
 & PGMVT1,PGMVT1S,PGFLT1,PGFL,PGFLSLP,&
 & PSP_SB,PSP_SG,PSP_RR,PSP_EP,PSP_X2,&
 & PSD_VF,PSD_VN,PSD_VD,PSD_WS,PSD_WW,PSD_XA,PSD_X2,&
 & PSP_OM,PSD_V2,PSD_V3,&
 & PEMTD,PTRSW,PEMTC,PTRSC,PTAUAER,&
 & PSRSWD,PSRSWDCS,PEDRO,&
 & PSRSWPAR,PSRSWUVB,PSRSWPARC,PSRSWTINC,PSRFDIR,PSRCDIR,&
 & PGEMU,PGELAM,PGELAT,PGESLO,PGECLO,POROG,&
 & PGNORDL,PGNORDM,PGSQM2,PGAW,&
 & PSTOPHU,PSTOPHV,PSTOPHT,PSTOPHQ,&
 & PSTOPHCA,PCUCONVCA,PNLCONVCA,PCAPECONVCA,&
 & PPBUP9, PPBVP9, PPBTP9,PPBGFLP9,&
 & PGP2DSDT,&
 & PSTREAM, PTEMP, PVELPOT, PTOTDISS, PTOTDISS_SMOOTH,&
 & PVORT, PVORTGRADY,PVORTGRADX,&
 & PFORCEU,PFORCEV,PFORCET,PFORCEQ,PEXTRADYN,&
 & PSAVTEND,&
 & LDRAIN_LB, KHLPRDY, KT ,&
 & PMWAVE_OBS_BUF,PMWAVE_ZEN_BUF,PMWAVE_AZI_BUF,PMWAVE_TB_BUF,PMWAVE_OERR_BUF,&
 & PMWAVE_PERS1_BUF,&
 & PMWAVE_DIAG_BUF,PMWAVE_P19_BUF,PMWAVE_P37_BUF,PMWAVE_GNORM_BUF,&
 & KMWAVE_BUF,&
 & PSMOS_OBS_BUF,PSMOS_TB_BUF,PSMOS_ANGLE,&
 & KSMOS_BUF,&
 & DPTENQ0, DPTENQ1 ,&
 & PEMTD2, PTRSW2, PEMTC2, PTRSC2 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMDLR
USE YOMSLPHY , ONLY : LSLPHY ,NVTEND
USE YOMGEM , ONLY : VBH ,VAH ,VC ,VDELB ,NGPTOT
USE YOMSC2 , ONLY : NFLDSLB2
USE YOMDPHY , ONLY : NTILES ,NVEXTRDYN ,&
 & NVCLIS ,NCSI , NCSNEC ,NCOM 
USE YOMMDDH , ONLY : NDHVTLS ,NDHFTLS ,NDHVTSS ,NDHFTSS ,&
 & NDHVTTS ,NDHFTTS ,NDHVTIS ,NDHFTIS ,NDHVSSS ,&
 & NDHFSSS ,NDHVIIS ,NDHFIIS ,NDHVWLS ,NDHFWLS ,&
 & NDHVFS ,NDHFFS 
USE SURFACE_FIELDS_MIX , ONLY : GPPOPER,&
 & YSP_SBD, YSP_SB, YSP_SGD, YSP_SG,&
 & YSP_RRD, YSP_RR, YSD_WSD, YSD_WS, YSP_EPD,&
 & YSP_X2D, YSD_VDD, YSD_VD, YSD_VFD, YSD_VF,&
 & YSD_VND, YSD_VN, YSD_WWD, YSD_WW, YSD_XAD, YSD_X2D,&
 & YSP_OMD, YSP_OM, YSD_V2D, YSD_V2, YSD_V3D, YSD_V3 
USE YOM_YGFL , ONLY : YGFL, YQ, YO3, YL, YI, YA, NGHG, NGRG, NGRG_CPLO4, NTRAC, NACTAERO
USE YOMGMV , ONLY : YT1
USE PARONEDVAR , ONLY : NMAX_CHANNELS
USE YOMONEDVAR, ONLY : STREAM1D_NUM, STREAM1D_MODE, STREAM1D_ACTIVE
USE YOM_PTR_SSMI ,ONLY : MFLDS_1D,&
 & M_P0,M_T0,M_U10_FG,M_V10_FG,M_PS_FG,M_PC_FG,M_PS_AN,M_PC_AN,&
 & M_WV_FG,M_WV_AN,M_ER_FG,M_ER_AN,M_U10_AN,M_V10_AN,&
 & M_CO_AN,&
 & MFLDS_1DDIAG,&
 & MFLDS_2DLEV,&
 & M_P_FG,&
 & M_T_FG,M_Q_FG,M_R_FG,M_S_FG,M_W_FG,M_I_FG,M_C_FG,&
 & M_T_AN,M_Q_AN,M_R_AN,M_S_AN,M_W_AN,M_I_AN,M_C_AN,&
 & MFLDS_2DCHAN,&
 & M_TB_OB,M_TB_ER,M_TB_FG,M_TB_AN,M_TB_BI,M_TB_3D,&
 & LERAIN_ACTIVE 
USE YOMRAIN_LB, ONLY : CLPROC, JPHLP, ICOPROCS
USE YOMMWAVE, ONLY : LEMWAVE_ACTIVE, N_SATSENS, NMWAVE_DIAG, NMWAVE_GNRM, MWAVE_RAD_TYPE,&
 & MWAVE_ID, MWAVE_NO_OBS, NMWAVE_P 
USE PARMWAVE, ONLY : NMAX_CHAN, IODB_MWAVE_P_OBS
USE YOMSMOS, ONLY : LESMOS_ACTIVE, SMOS_TB_TYPE, SMOS_NO_OBS, NPOL_MAX
USE YOMSPSDT , ONLY : YGPSDT
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KGPLAT(KPROMA)
INTEGER(KIND=JPIM),INTENT(IN) :: KBL
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(KPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT9(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(KPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVT1S(KPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(KPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(KPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLSLP(KPROMA,NFLEVG,YGFL%NDIMSLP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SB(NPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SG(NPROMA,YSP_SGD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(NPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_EP(NPROMA,YSP_EPD%NLEVS,YSP_EPD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_X2(NPROMA,YSP_X2D%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VF(NPROMA,YSD_VFD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VN(NPROMA,YSD_VND%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VD(NPROMA,YSD_VDD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_WS(NPROMA,YSD_WSD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_WW(NPROMA,YSD_WWD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_XA(NPROMA,YSD_XAD%NLEVS,YSD_XAD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_X2(NPROMA,YSD_X2D%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_OM(NPROMA,YSP_OMD%NLEVS,YSP_OMD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_V2(NPROMA,YSD_V2D%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_V3(NPROMA,YSD_V3D%NLEVS,YSD_V3D%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSW(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMTC(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSC(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAUAER(KPROMA,1:NFLEVG,6)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWD(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWDCS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEDRO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWPAR(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWUVB(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWPARC(KPROMA), PSRSWTINC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRFDIR(KPROMA) , PSRCDIR(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAW(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHV(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHQ(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHCA(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCUCONVCA(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNLCONVCA(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCAPECONVCA(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBUP9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBVP9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBTP9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBGFLP9(KPROMA,NFLEVG,YGFL%NUMFLDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGP2DSDT(KPROMA,YGPSDT%NG2D )
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEU(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEV(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCET(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEQ(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXTRADYN(KPROMA,NFLEVG,NVEXTRDYN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSAVTEND (KPROMA,NFLEVG,NVTEND)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTREAM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTEMP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVELPOT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOTDISS_SMOOTH(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOTDISS(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORTGRADX(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORTGRADY(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_OBS_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_ZEN_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_AZI_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_TB_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_OERR_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_PERS1_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_DIAG_BUF(NGPTOT,NMWAVE_DIAG,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_P19_BUF(NGPTOT,NMWAVE_P,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_P37_BUF(NGPTOT,NMWAVE_P,N_SATSENS)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMWAVE_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_GNORM_BUF(NGPTOT,NMWAVE_GNRM,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSMOS_OBS_BUF(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PSMOS_ANGLE(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSMOS_TB_BUF(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: DPTENQ0(KPROMA,NFLEVG,4),DPTENQ1(KPROMA,NFLEVG,4)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSMOS_BUF(NGPTOT,0:NPOL_MAX-1)
LOGICAL ,INTENT(IN) :: LDRAIN_LB
INTEGER(KIND=JPIM),INTENT(IN) :: KHLPRDY(JPHLP+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KT
REAL(KIND=JPRB), INTENT(IN) :: PEMTD2(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB), INTENT(IN) :: PTRSW2(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB), INTENT(IN) :: PEMTC2(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB), INTENT(IN) :: PTRSC2(KPROMA,1:NFLEVG+1)
END SUBROUTINE EC_PHYS
END INTERFACE
