INTERFACE
SUBROUTINE EC_PHYSG(CDCONF,KPROMA,KPROMA_PHYS,KSMAX,KSMAX_PHYS,&
 & KGPTOT,KGPTOT_PHYS,KGPLAT,&
 & PB2,&
 & PGMV,PGMVS,&
 & PGMVT1,PGMVT1S,PGFLT1,&
 & PGFL,PGFLSLP,&
 & PSP_SB,PSP_SG,PSP_RR,&
 & PSP_EP,PSP_X2,&
 & PSD_VF,PSD_VN,PSD_VD,&
 & PSD_WS,PSD_WW,&
 & PSD_XA,PSD_X2,&
 & PSP_OM,PSD_V2,PSD_V3,&
 & PEMTD,PTRSW,PEMTC,PTRSC,PTAUAER,&
 & PSRSWD,PSRSWDCS,PEDRO,&
 & PSRSWPAR,PSRSWUVB,PSRSWPARC,PSRSWTINC,PSRFDIR,PSRCDIR,&
 & PGEMU,&
 & PGELAM,PGELAT,PGESLO,PGECLO,PGM,&
 & POROG,&
 & PGNORDL,PGNORDM,&
 & PGSQM2,PCOLON,PSILON,&
 & PRINDX,PRINDY,PGAW,&
 & PSTOPHU,PSTOPHV,&
 & PSTOPHT,PSTOPHQ,&
 & PSTOPHCA,PCUCONVCA,PNLCONVCA,PCAPECONVCA,&
 & PPBUP9, PPBVP9,&
 & PPBTP9,PPBGFLP9,&
 & PGP2DSDT,&
 & PSTREAM,PTEMP, PVELPOT, PTOTDISS, PTOTDISS_SMOOTH,&
 & PVORTGRAD,&
 & PFORCEU,PFORCEV,&
 & PFORCET,PFORCEQ,&
 & PEXTRADYN,PSAVTEND,&
 & LDRAIN_LB,KHLPRDY,KT,&
 & PMWAVE_OBS_BUF,PMWAVE_ZEN_BUF,PMWAVE_AZI_BUF,PMWAVE_TB_BUF,PMWAVE_OERR_BUF,&
 & PMWAVE_PERS1_BUF,&
 & PMWAVE_DIAG_BUF,PMWAVE_P19_BUF,PMWAVE_P37_BUF,PMWAVE_GNORM_BUF,&
 & KMWAVE_BUF,&
 & PSMOS_OBS_BUF,PSMOS_TB_BUF,PSMOS_ANGLE,&
 & KSMOS_BUF,  DPTENQ0, DPTENQ1 ,&
 & ZEMTD2, ZTRSW2, ZEMTC2, ZTRSC2 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMSLPHY , ONLY : LSLPHY ,NVTEND
USE YOMDIM , ONLY : NFLEVG ,NDGSAG ,NDGENG, NDGSAL, NDGENL,&
 & NDGLG, NGPBLKS 
USE YOM_YGFL , ONLY : YGFL, YQ, YO3, YL, YI, YA
USE YOMGEM , ONLY : NGPTOT, NLOENG
USE YOMDPHY , ONLY : NVEXTRDYN
USE YOMSC2 , ONLY : NFLDSLB2
USE YOMGMV , ONLY : YPH9,YT1,NDIMGMV,NDIMGMVS
USE SURFACE_FIELDS_MIX , ONLY : YSP_SBD, YSP_SB, YSP_SGD, YSP_SG,&
 & YSP_RRD, YSP_RR, YSD_WSD, YSD_WS, YSP_EPD,&
 & YSP_X2D, YSD_VDD, YSD_VD, YSD_VFD, YSD_VF,&
 & YSD_VND, YSD_VN, YSD_WWD, YSD_WW, YSD_XAD, YSD_X2D,&
 & YSP_OMD, YSP_OM, YSD_V2D, YSD_V2, YSD_V3D, YSD_V3 
USE YOMMWAVE , ONLY : N_SATSENS, NMWAVE_DIAG, NMWAVE_GNRM, NMWAVE_P
USE PARMWAVE , ONLY : NMAX_CHAN
USE YOMSMOS , ONLY : NPOL_MAX
USE YOMSPSDT , ONLY : YGPSDT
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA_PHYS
INTEGER(KIND=JPIM),INTENT(IN) :: KSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KSMAX_PHYS
INTEGER(KIND=JPIM),INTENT(IN) :: KGPTOT
INTEGER(KIND=JPIM),INTENT(IN) :: KGPTOT_PHYS
INTEGER(KIND=JPIM),INTENT(IN) :: KGPLAT(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(KPROMA,NFLDSLB2,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV(KPROMA,NFLEVG,NDIMGMV,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVS(KPROMA,NDIMGMVS,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(KPROMA,NFLEVG,YT1%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVT1S(KPROMA,YT1%NDIMS,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(KPROMA,NFLEVG,YGFL%NDIM1,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(KPROMA,NFLEVG,YGFL%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLSLP(KPROMA,NFLEVG,YGFL%NDIMSLP,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SB(KPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SG(KPROMA,YSP_SGD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(KPROMA,YSP_RRD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_EP(KPROMA,YSP_EPD%NLEVS,YSP_EPD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_X2(KPROMA,YSP_X2D%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSD_VF(KPROMA,YSD_VFD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VN(KPROMA,YSD_VND%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VD(KPROMA,YSD_VDD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_WS(KPROMA,YSD_WSD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_WW(KPROMA,YSD_WWD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_XA(KPROMA,YSD_XAD%NLEVS,YSD_XAD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_X2(KPROMA,YSD_X2D%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_OM(KPROMA,YSP_OMD%NLEVS,YSP_OMD%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_V2(KPROMA,YSD_V2D%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_V3(KPROMA,YSD_V3D%NLEVS,YSD_V3D%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(KPROMA,NFLEVG+1,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSW(KPROMA,NFLEVG+1,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMTC(KPROMA,NFLEVG+1,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSC(KPROMA,NFLEVG+1,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAUAER(KPROMA,NFLEVG,6,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWD(KPROMA,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWDCS(KPROMA,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEDRO(KPROMA,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWPAR(KPROMA,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWUVB(KPROMA,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWPARC(KPROMA,NGPBLKS),PSRSWTINC(KPROMA,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRFDIR(KPROMA,NGPBLKS) ,PSRCDIR(KPROMA,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KGPTOT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PRINDX(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PRINDY(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAW(KGPTOT_PHYS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHU(KGPTOT)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHV(KGPTOT)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHT(KGPTOT)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHQ(KGPTOT)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHCA(KGPTOT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCUCONVCA(KGPTOT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNLCONVCA(KGPTOT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCAPECONVCA(KGPTOT)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBUP9(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBVP9(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBTP9(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBGFLP9(KPROMA,NFLEVG,YGFL%NUMFLDS,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGP2DSDT(KPROMA,YGPSDT%NG2D,NGPBLKS )
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEU(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEV(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCET(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEQ(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXTRADYN(KPROMA,NFLEVG,NVEXTRDYN,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSAVTEND (KPROMA,NFLEVG,NVTEND,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTREAM(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTEMP(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVELPOT(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOTDISS(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOTDISS_SMOOTH(KPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORTGRAD(KPROMA,3*NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_OBS_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_ZEN_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_AZI_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_TB_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_OERR_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_PERS1_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_DIAG_BUF(NGPTOT,NMWAVE_DIAG,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_P19_BUF(NGPTOT,NMWAVE_P,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_P37_BUF(NGPTOT,NMWAVE_P,N_SATSENS)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMWAVE_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_GNORM_BUF(NGPTOT,NMWAVE_GNRM,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSMOS_OBS_BUF(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PSMOS_ANGLE(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSMOS_TB_BUF(NGPTOT,0:NPOL_MAX-1)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSMOS_BUF(NGPTOT,0:NPOL_MAX-1)
LOGICAL,INTENT(IN) :: LDRAIN_LB
INTEGER(KIND=JPIM),INTENT(IN) :: KHLPRDY(:)
INTEGER(KIND=JPIM),INTENT(IN) :: KT
REAL(KIND=JPRB) ,INTENT(OUT) :: DPTENQ0(KPROMA,NFLEVG,4),DPTENQ1(KPROMA,NFLEVG,4)
REAL(KIND=JPRB), ALLOCATABLE ,INTENT(IN) :: ZEMTD2(:,:,:)
REAL(KIND=JPRB), ALLOCATABLE ,INTENT(IN) :: ZTRSW2(:,:,:)
REAL(KIND=JPRB), ALLOCATABLE ,INTENT(IN) :: ZEMTC2(:,:,:)
REAL(KIND=JPRB), ALLOCATABLE ,INTENT(IN) :: ZTRSC2(:,:,:)
END SUBROUTINE EC_PHYSG
END INTERFACE
