INTERFACE
SUBROUTINE GPCTY(LDVERCOR,KPROMA,KPROMVC,KD,KF,KFLEV,PVDELB,PVBH,&
 & PU,PV,PD,PEVT,LDRUBC,&
 & PDELP,PRDELP,PLNPR,PALPH,PRTGR,PSPL,PSPM,&
 & PVCRSSAF,PVCRSSAH,PVCASRSF,PVCASRSH,PVCRSSAFL,PVCRSSAFM,&
 & PEVEL,PVVEL,PSDIV,PSDVBC,PDIVDP,PRPREF,&
 & LDRWSDLR,PRDLR) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PAR_RDLR , ONLY : JP_ASRF ,JP_RSAFL ,JP_RSAFM ,JP_DIMR
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMVC
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
LOGICAL ,INTENT(IN) :: LDVERCOR
INTEGER(KIND=JPIM),INTENT(IN) :: KD
INTEGER(KIND=JPIM),INTENT(IN) :: KF
REAL(KIND=JPRB) ,INTENT(IN) :: PVDELB(KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVBH(0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PD(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVT(KPROMA)
LOGICAL ,INTENT(IN) :: LDRUBC
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAF(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAH(KPROMVC,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRSF(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRSH(KPROMVC,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAFL(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAFM(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEVEL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVVEL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDIV(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDVBC(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIVDP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPREF(KPROMA,KFLEV)
LOGICAL,OPTIONAL ,INTENT(IN) :: LDRWSDLR
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PRDLR(KPROMA,0:KFLEV,JP_DIMR)
END SUBROUTINE GPCTY
END INTERFACE
