INTERFACE
SUBROUTINE gpscalc_alphaRKm2ad(kobs,&
 & klev,&
 & khoriz,&
 & ksplit,&
 & pdsep,&
 & pa,&
 & prefrac,&
 & prefrac_hat,&
 & pradius,&
 & pradius_hat,&
 & pnr,&
 & pnr_hat,&
 & proc,&
 & pz_2d,&
 & pa_path_hat,&
 & palpha_hat) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: kobs
INTEGER(KIND=JPIM), INTENT(IN) :: klev
INTEGER(KIND=JPIM), INTENT(IN) :: khoriz
INTEGER(KIND=JPIM), INTENT(IN) :: ksplit
REAL(KIND=JPRB), INTENT(IN) :: pdsep
REAL(KIND=JPRB), INTENT(IN) :: pa(kobs)
REAL(KIND=JPRB), INTENT(IN) :: prefrac(klev,khoriz)
REAL(KIND=JPRB), INTENT(INOUT) :: prefrac_hat(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pradius(klev,khoriz)
REAL(KIND=JPRB), INTENT(INOUT) :: pradius_hat(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pnr(klev,khoriz)
REAL(KIND=JPRB), INTENT(INOUT) :: pnr_hat(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: proc
REAL(KIND=JPRB), INTENT(IN) :: pz_2d
REAL(KIND=JPRB), INTENT(INOUT) :: pa_path_hat(kobs,2)
REAL(KIND=JPRB), INTENT(INOUT) :: palpha_hat(kobs)
END SUBROUTINE gpscalc_alphaRKm2ad
END INTERFACE
