INTERFACE
SUBROUTINE GWDRAG_WMS(KIDIA, KFDIA, KLON, KLEV, PTSTEP,&
 & PTM1 , PUM1, PVM1, PAPM1, PAPHM1, PGEO1 ,&
 & PGELAT, PPRECIP,&
 & PTENU, PTENV, PFLUXU, PFLUXV, PNOGWDU, &
 & PNOGWDV, PNOGWDT) 
USE PARKIND1, ONLY : JPIM, JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
REAL(KIND=JPRB),INTENT(IN) :: PTSTEP
REAL(KIND=JPRB),INTENT(IN) :: PUM1(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PVM1(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PAPM1(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PAPHM1(KLON,KLEV+1)
REAL(KIND=JPRB),INTENT(IN) :: PGEO1(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PGELAT(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PPRECIP(KLON)
REAL(KIND=JPRB),INTENT(OUT):: PTENU(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT):: PTENV(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT):: PFLUXU(KLON,KLEV+1)
REAL(KIND=JPRB),INTENT(OUT):: PFLUXV(KLON,KLEV+1)
REAL(KIND=JPRB),INTENT(OUT) :: PNOGWDU(KLON,KLEV) 
REAL(KIND=JPRB),INTENT(OUT) :: PNOGWDV(KLON,KLEV) 
REAL(KIND=JPRB),INTENT(OUT) :: PNOGWDT(KLON,KLEV) 

INTEGER(KIND=JPIM), PARAMETER :: IAZIDIM=4
INTEGER(KIND=JPIM), PARAMETER :: INCDIM=20
END SUBROUTINE GWDRAG_WMS
END INTERFACE
