INTERFACE
SUBROUTINE HLRAD(&
 & KSTEP, KLON, KLEV, KIDIA, KFDIA, PVETAF, PVETAH,&
 & PGELAM, PGEMU, PALB, PEMIS, PTS, PT, PQ,&
 & PQL, PQI, PAPRSF, PAPRS, PLSM, PDELP, PA,&
 & PMU0, PFRTHDS, PFRSOFS, PFRSODS, PFRTH, PFRSO, PTENDT&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB),INTENT(IN) :: PVETAH(0:KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PVETAF(KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PGELAM(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PALB(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PQL(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PQI(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PA(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB),INTENT(INOUT) :: PFRTHDS(KLON)
REAL(KIND=JPRB),INTENT(OUT) :: PFRSOFS(KLON)
REAL(KIND=JPRB),INTENT(OUT) :: PFRSODS(KLON)
REAL(KIND=JPRB),INTENT(OUT) :: PFRTH(KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PFRSO(KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(INOUT) :: PTENDT(KLON,KLEV)
END SUBROUTINE HLRAD
END INTERFACE
