INTERFACE
SUBROUTINE HLRADIA ( khor , klev , kstart , kstop , phybf ,&
 & phybh , psa , pscos , palbedo , pemsurf ,&
 & pfrland , ptsk , pt , pq , pclq ,&
 & pcice , pf , ph , pdpf , ptotcov ,&
 & ldstat , psalbcor,&
 & pstrad , pstdrad , pstclo , pstdclo , pslwdn ,&
 & psswdf ,&
 & psswdn , pslwnet , psswnet , ptswdn , ptlwnet ,&
 & ptswnet , plwnet , pswnet , pdtdt ) 
USE PARKIND1 ,ONLY : JPIM , JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: khor
INTEGER(KIND=JPIM), INTENT(IN) :: klev
INTEGER(KIND=JPIM), INTENT(IN) :: kstart
INTEGER(KIND=JPIM), INTENT(IN) :: kstop
REAL(KIND=JPRB), INTENT(IN) :: phybf(klev)
REAL(KIND=JPRB), INTENT(IN) :: phybh(klev+1)
REAL(KIND=JPRB), INTENT(IN) :: psa
REAL(KIND=JPRB), INTENT(IN) :: pscos(khor)
REAL(KIND=JPRB), INTENT(IN) :: palbedo(khor)
REAL(KIND=JPRB), INTENT(IN) :: pemsurf(khor)
REAL(KIND=JPRB), INTENT(IN) :: pfrland(khor)
REAL(KIND=JPRB), INTENT(IN) :: ptsk(khor)
REAL(KIND=JPRB), INTENT(IN) :: pt(khor,klev)
REAL(KIND=JPRB), INTENT(IN) :: pq(khor,klev)
REAL(KIND=JPRB), INTENT(IN) :: pclq(khor,klev)
REAL(KIND=JPRB), INTENT(IN) :: pcice(khor,klev)
REAL(KIND=JPRB), INTENT(IN) :: pf(khor,klev)
REAL(KIND=JPRB), INTENT(IN) :: ph(khor,klev+1)
REAL(KIND=JPRB), INTENT(IN) :: pdpf(khor,klev)
REAL(KIND=JPRB), INTENT(IN) :: ptotcov(khor,klev)
REAL(KIND=JPRB), INTENT(IN) :: psalbcor(khor)
LOGICAL, INTENT(IN) :: ldstat
REAL(KIND=JPRB), INTENT(INOUT) :: pstrad(klev)
REAL(KIND=JPRB), INTENT(INOUT) :: pstdrad(klev)
REAL(KIND=JPRB), INTENT(INOUT) :: pstclo(klev)
REAL(KIND=JPRB), INTENT(INOUT) :: pstdclo(klev)
REAL(KIND=JPRB), INTENT(INOUT) :: pslwdn(khor)
REAL(KIND=JPRB), INTENT(INOUT) :: psswdn(khor)
REAL(KIND=JPRB), INTENT(INOUT) :: psswdf(khor)
REAL(KIND=JPRB), INTENT(OUT) :: pslwnet(khor)
REAL(KIND=JPRB), INTENT(OUT) :: psswnet(khor)
REAL(KIND=JPRB), INTENT(OUT) :: ptswdn(khor)
REAL(KIND=JPRB), INTENT(OUT) :: ptlwnet(khor)
REAL(KIND=JPRB), INTENT(OUT) :: ptswnet(khor)
REAL(KIND=JPRB), INTENT(OUT) :: plwnet(khor,klev+1)
REAL(KIND=JPRB), INTENT(OUT) :: pswnet(khor,klev+1)
REAL(KIND=JPRB), INTENT(OUT) :: pdtdt(khor,klev)
END SUBROUTINE HLRADIA
END INTERFACE
