INTERFACE
subroutine hlstraco(&
 & kcall, khor, klev,&
 & kstart, kstop, kstep,&
 & pdtime, ldstat,&
 & pu, pv, pt,&
 & pq, pcw, pcice,&
 & pqampli, ptke,&
 & ptotcov, pomf, pfrland,&
 & pdqdtin, pdcwdin, pdicedin,&
 & pdtdtin, pf, phalf,&
 & ptendt, ptendq, ptendql,&
 & ptendqi,&
 & pdiftq, pdiftql, pdiftqn,&
 & pdifts, pdifcq, pdifcql,&
 & pdifcqn, pdifcs, pfccql,&
 & pfccqn, pfcsql, pfcsqn,&
 & pfplcl, pfplcn, pfplsl,&
 & pfplsn,&
 & cdlock ) 
use parkind1 ,only : jpim, jprb
integer(kind=jpim),intent(in) :: kcall
integer(kind=jpim),intent(in) :: khor
integer(kind=jpim),intent(in) :: klev
integer(kind=jpim),intent(in) :: kstart
integer(kind=jpim),intent(in) :: kstop
integer(kind=jpim),intent(in) :: kstep
real(kind=jprb), intent(in) :: pdtime
logical, intent(in) :: ldstat
real(kind=jprb), intent(in) :: pu(khor,klev)
real(kind=jprb), intent(in) :: pv(khor,klev)
real(kind=jprb), intent(in) :: pt(khor,klev)
real(kind=jprb), intent(in) :: pq(khor,klev)
real(kind=jprb), intent(inout) :: pcw(khor,klev)
real(kind=jprb), intent(inout) :: pcice(khor,klev)
real(kind=jprb), intent(inout) :: pqampli(khor,klev)
real(kind=jprb), intent(inout) :: ptke(khor,klev)
real(kind=jprb), intent(inout) :: ptotcov(khor,klev)
real(kind=jprb), intent(in) :: pomf(khor,klev)
real(kind=jprb), intent(in) :: pfrland(khor)
real(kind=jprb), intent(inout) :: pdqdtin(khor,klev)
real(kind=jprb), intent(inout) :: pdcwdin(khor,klev)
real(kind=jprb), intent(inout) :: pdicedin(khor,klev)
real(kind=jprb), intent(inout) :: pdtdtin(khor,klev)
real(kind=jprb), intent(in) :: pf(khor,klev)
real(kind=jprb), intent(in) :: phalf(khor,0:klev)
real(kind=jprb), intent(inout) :: ptendt(khor,klev)
real(kind=jprb), intent(inout) :: ptendq(khor,klev)
real(kind=jprb), intent(inout) :: ptendql(khor,klev)
real(kind=jprb), intent(inout) :: ptendqi(khor,klev)
real(kind=jprb), intent(inout) :: pdiftq(khor,0:klev)
real(kind=jprb), intent(inout) :: pdiftql(khor,0:klev)
real(kind=jprb), intent(inout) :: pdiftqn(khor,0:klev)
real(kind=jprb), intent(inout) :: pdifts(khor,0:klev)
real(kind=jprb), intent(inout) :: pdifcq(khor,0:klev)
real(kind=jprb), intent(inout) :: pdifcql(khor,0:klev)
real(kind=jprb), intent(inout) :: pdifcqn(khor,0:klev)
real(kind=jprb), intent(inout) :: pdifcs(khor,0:klev)
real(kind=jprb), intent(inout) :: pfccql(khor,0:klev)
real(kind=jprb), intent(inout) :: pfccqn(khor,0:klev)
real(kind=jprb), intent(inout) :: pfcsql(khor,0:klev)
real(kind=jprb), intent(inout) :: pfcsqn(khor,0:klev)
real(kind=jprb), intent(inout) :: pfplcl(khor,0:klev)
real(kind=jprb), intent(inout) :: pfplcn(khor,0:klev)
real(kind=jprb), intent(inout) :: pfplsl(khor,0:klev)
real(kind=jprb), intent(inout) :: pfplsn(khor,0:klev)
character(len=8) ,intent(in) :: cdlock
end subroutine hlstraco
END INTERFACE
