INTERFACE
SUBROUTINE INTERP_OBSAD(KMASK,PGRID,PLAT,PLON,PSLOT,POBS,KNOBS,KNLEVS,KNVARS,PPRES)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMCOSJO , ONLY : OBSCOR_P_UPPER, OBSCOR_P_LOWER, OBSCOR_AUTO_COR,&
 & OBSCOR_GRID_DEF, NACTIM_START, NACTIM_END 
INTEGER(KIND=JPIM),INTENT(IN) :: KMASK
INTEGER(KIND=JPIM),INTENT(IN) :: KNOBS
INTEGER(KIND=JPIM),INTENT(IN) :: KNLEVS
INTEGER(KIND=JPIM),INTENT(IN) :: KNVARS
REAL(KIND=JPRB) ,INTENT(OUT) :: PGRID(:,:,:)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(KNOBS)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(KNOBS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLOT(KNOBS)
REAL(KIND=JPRB) ,OPTIONAL,INTENT(IN) :: PPRES(KNOBS)
REAL(KIND=JPRB) ,INTENT(IN) :: POBS(KNVARS*KNOBS)
END SUBROUTINE INTERP_OBSAD
END INTERFACE
