INTERFACE
SUBROUTINE LAPINEA5(KST,KPROF,LD_AD,&
 & PCOLON,PSILON,PGM,PGEMU,PGSQM2,PGECLO,PGESLO,PGNORDL,PGNORDM,PINDX,PINDY,&
 & PB15,PB2,&
 & PLON5,PLAT5,PR5,PS5,&
 & PUF5,PVF5,&
 & KL0,KLH0,PDLO5,PCLO5,PCLOSLD5,&
 & PDLAT5,PCLA5,PCLASLD5,PDVER5,PVINTW5,PVINTWSLD5,&
 & PCOSCO5,PSINCO5,PCOPHI5,PSINLA5,&
 & PLEV5,POUT5,KDEP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGSAG ,NDGSAL ,NDGENG ,NDGENL ,NDGUNG ,&
 & NDGUXG ,NDLUNG ,NDLUXG ,NFLEVG ,NDGSAH ,&
 & NDGENH ,NRLEVX ,NPROMA ,NFLSA ,NFLEN 
USE YOMDYN , ONLY : NITMP ,VETAON ,VETAOX ,LSETTLST ,LELTRA ,LADVF
USE YOMSC2 , ONLY : NSLWIDE ,NFLDSLB15,NFLDSLB2
USE YOMMP , ONLY : NSLOFF ,NFRSTLOFF,NASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LD_AD
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PS5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF5(NPROMA,NFLEVG,NITMP-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF5(NPROMA,NFLEVG,NITMP-1)
INTEGER(KIND=JPIM),INTENT(OUT) :: KL0(NPROMA,NFLEVG,0:3,NITMP)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO5(NPROMA,NFLEVG,0:3,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLO5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOSLD5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLA5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLASLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVER5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTW5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWSLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOPHI5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLA5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLEV5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: POUT5(NPROMA,NFLEVG,NITMP)
INTEGER(KIND=JPIM),INTENT(OUT) :: KDEP(NPROMA,NFLEVG)
END SUBROUTINE LAPINEA5
END INTERFACE
