INTERFACE
SUBROUTINE LASCAW(&
 & KPROMA,KPROMB,KST,KPROF,KSLEV,KFLEV,KGLN,KGLX,&
 & KFLDN,KSTABUF,KWIS,KHOR,KHVI,&
 & LDSLHD,LDSLHDQUAD,&
 & P4JP,PIS2,PLSDEPI,PLATI,&
 & PIPI0,PIPI1,PIPI2,PSLD1,PSLD2,PSLD3,PSLDW,&
 & PLON,PLAT,PLEV,&
 & PVETAF,PVETAH,KVAUT,&
 & PVCUICO,PVSLD,PVSLDW,KRLEVX,PVRLEVX,PKAPPA,&
 & PDLAT,PCLA,PCLASLD,PDLO,PCLO,PCLOSLD,&
 & KL0,KLH0,KLEV,&
 & PDVER,PVINTW,PVINTWSLD,PVINTWS,&
 & PVDERW,PHVW&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLASCAW, ONLY : KPDUP
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(KGLN:KGLX)
INTEGER(KIND=JPIM),INTENT(IN) :: KWIS
INTEGER(KIND=JPIM),INTENT(IN) :: KHOR
INTEGER(KIND=JPIM),INTENT(IN) :: KHVI
LOGICAL ,INTENT(IN) :: LDSLHD
LOGICAL ,INTENT(IN) :: LDSLHDQUAD
INTEGER(KIND=JPIM),INTENT(IN) :: KRLEVX
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD3(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLDW(3,3,KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(KPROMB,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(KPROMB,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV(KPROMB,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVETAF(0:KFLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVETAH(0:KFLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KVAUT(0:KRLEVX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCUICO(4,0:KFLEV-KSLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSLD(3,0:KFLEV-KSLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSLDW(3,3,0:KFLEV-KSLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLEVX
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT(KPROMB,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLA(KPROMB,KSLEV:KFLEV+KSLEV-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLASLD(KPROMB,KSLEV:KFLEV+KSLEV-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO(KPROMB,KSLEV:KFLEV+KSLEV-1,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLO(KPROMB,KSLEV:KFLEV+KSLEV-1,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOSLD(KPROMB,KSLEV:KFLEV+KSLEV-1,3,2)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KL0(KPROMB,KSLEV:KFLEV+KSLEV-1,0:3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLH0(KPROMB,KSLEV:KFLEV+KSLEV-1,0:3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLEV(KPROMB,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVER(KPROMB,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTW(KPROMB,KSLEV:KFLEV+KSLEV-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWSLD(KPROMB,KSLEV:KFLEV+KSLEV-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWS(KPROMB,KSLEV:KFLEV+KSLEV-1,1:4)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDERW(KPROMB,KSLEV:KFLEV+KSLEV-1,2*KHVI,2*KHVI)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHVW(KPROMB,KSLEV:KFLEV+KSLEV-1,4*KHVI)
END SUBROUTINE LASCAW
END INTERFACE
