INTERFACE
SUBROUTINE LATTEX(&
 & KST,KPROF,PDTS2,PBT,PBDT,PESGP,PESGM,&
 & PGNORDL,PGNORDM,PRCORI,PRCORIC,POMVRL,POMVRM,POROG,POROGL,POROGM,&
 & PVCRSSA0F,PVCASRS0F,PVCRSSA9F,PRDLR0,PRDLR9,PVCW0F,PWDLW0F,&
 & PGAGT0L,PGAGT0M,PTOD0,PSPDS0,PLPD0,PDPD0,&
 & PGAGT9L,PGAGT9M,PTOD9,PSPDS9,PLPD9,PDPD9,&
 & PSGRTL,PSGRTM,PKAP,PVVEL,PRDELP,PEVEL,P3DIVG,PTNDPD,PTNDVD,PTNDGW,&
 & PNHXT0,PGWT0,PNHXT9,PGWT9,PGFL,&
 & PGMV,PGMVT1,PB1,&
 & PB2) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NPROMVC ,NPROMDLW ,NPROMDLR ,NPROMNH ,&
 & NFLEVG ,NFLSA ,NFLEN 
USE YOMGMV , ONLY : NDIMGMV ,YT0 ,YT1 ,YT9
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
USE YOM_YGFL , ONLY : YGFL ,YGFLC,YCVGQ,YQ
USE PAR_RDLR , ONLY : JP_ASRF ,JP_RSAF ,JP_DIMR0 ,JP_DIMR9
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS2
REAL(KIND=JPRB) ,INTENT(IN) :: PBT
REAL(KIND=JPRB) ,INTENT(IN) :: PBDT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PESGM
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORIC(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POMVRL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POMVRM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSA0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRS0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSA9F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDLR0(NPROMDLR,0:NFLEVG,JP_DIMR0)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDLR9(NPROMDLR,0:NFLEVG,JP_DIMR9)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCW0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWDLW0F(NPROMDLW,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOD0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPDS0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLPD0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDPD0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT9L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT9M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOD9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPDS9(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLPD9(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDPD9(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P3DIVG(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTNDPD(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTNDVD(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTNDGW(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHXT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGWT0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHXT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGWT9(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
END SUBROUTINE LATTEX
END INTERFACE
