INTERFACE
SUBROUTINE LATTEXAD(KST,KPROF,PDTS2,PBT,PBDT,PESGP,PESGM,&
 & PRCORI,POROG,POROGL,POROGM,&
 & PGAGT0L,PGAGT0M,PTOD0,PSGRTL,PSGRTM,PKAP,PVVEL,PRDELP,PEVEL,&
 & PGFL,PGMV,PGMVT1,PB1,PB2,&
 & PKAP5,PVVEL5,PRDELP5,PEVEL5,PGMV5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NFLEVG ,NFLSA ,NFLEN
USE YOMGMV , ONLY : NDIMGMV ,YT0 ,YT1 ,YT9 ,YT5
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
USE YOM_YGFL , ONLY : YGFL ,YGFLC
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS2
REAL(KIND=JPRB) ,INTENT(IN) :: PBT
REAL(KIND=JPRB) ,INTENT(IN) :: PBDT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PESGM
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOD0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKAP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVVEL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVEL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV5(NPROMA,NFLEVG,YT5%NDIM)
END SUBROUTINE LATTEXAD
END INTERFACE
