INTERFACE
SUBROUTINE LWBVAD&
 & ( KIDIA, KFDIA, KLON , KLEV , KMODE, KTRAER,&
 & PDT05 , PEMIS5, PEMIW5,&
 & PTL5 , PTAVE5,&
 & PEMIT5, PFLUC5,&
 & PABCU5, PBINT5, PBSUI5, PCNTRB5,&
 & PB5, PBSUR5, PBTOP5, PDBSL5,&
 & PGA, PGB, PGASUR, PGBSUR, PGATOP, PGBTOP,&
 & PADJD5, PADJU5, PDBDT5, PDISD5, PDISU5, PDWFSU5,&
 & PCOND5 , PTTPA5 , PTTPB5 , PTTA5 , PTTB5 ,&
 & PZZA5 , PZZB5 , PXNA5 , PXNB5 , PXDIVA5,&
 & PXDIVB5 , PZZA15 , PZZB15 , PXNA15, PXNB15 ,&
 & PXDIVA15, PXDIVB15, PTTPA15, PTTPB15,&
 & PDT0 , PEMIS , PEMIW ,&
 & PTL , PTAVE ,&
 & PEMIT , PFLUC ,&
 & PABCU , PBINT , PBSUI , PCNTRB&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOELW , ONLY : NSIL ,NIPD ,NUA
USE YOELWRAD , ONLY : NPROMALW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAER
REAL(KIND=JPRB) ,INTENT(IN) :: PDT05(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMIT5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLUC5(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PABCU5(KLON,NUA,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBINT5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBSUI5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCNTRB5(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDT0(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLUC(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PABCU(KLON,NUA,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBINT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBSUI(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCNTRB(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB5(KLON,NSIL,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBSUR5(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBTOP5(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDBSL5(KLON,NSIL,KLEV*2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGA(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGB(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGASUR(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGBSUR(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGATOP(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGBTOP(KLON,NIPD,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PADJD5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PADJU5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDBDT5(KLON,NSIL,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDWFSU5(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDISD5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDISU5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOND5(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTPA5(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTPB5(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTA5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTB5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZZA5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZZB5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNA5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNB5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDIVA5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDIVB5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZZA15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZZB15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNA15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNB15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDIVA15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDIVB15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTPA15(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTPB15(KLON,KLEV+1)
END SUBROUTINE LWBVAD
END INTERFACE
