INTERFACE
SUBROUTINE LWTL&
 & ( KIDIA, KFDIA , KLON , KLEV , KMODE, KTOPC,&
 & PCCO2 , PVIEW ,&
 & PCLFR5, PCLDLD5, PCLDLU5,&
 & PDP5 , PDT05 , PEMIS5 , PEMIW5,&
 & PPMB5 , PQOF5 , PTL5 ,&
 & PAER5 , PTAVE5 , PWV5 ,&
 & PEMIT5, PFLUX5 , PFLUC5 ,&
 & PCLFR , PCLDLD , PCLDLU ,&
 & PDP , PDT0 , PEMIS , PEMIW ,&
 & PPMB , PQOF , PTL ,&
 & PAER , PTAVE , PWV ,&
 & PEMIT , PFLUX , PFLUC&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOELW , ONLY : NUA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM),INTENT(IN) :: KTOPC
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(IN) :: PVIEW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDLD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDT05(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PPMB5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PQOF5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER5(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWV5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIT5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLUX5(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLUC5(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDLD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDT0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PPMB(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PQOF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLUX(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLUC(KLON,2,KLEV+1)
END SUBROUTINE LWTL
END INTERFACE
