INTERFACE
SUBROUTINE LWVDR&
 & ( KIDIA, KFDIA, KLON , KLEV , KTRAER,&
 & PABCU, PDBDT,&
 & PGA , PGB,&
 & PCNTRB, PDISD, PDISU, PDWFSU,&
 & PCOND , PTTPA , PTTPB , PTTA , PTTB ,&
 & PZZA , PZZB , PXNA , PXNB , PXDIVA,&
 & PXDIVB , PZZA1 , PZZB1 , PXNA1, PXNB1 ,&
 & PXDIVA1, PXDIVB1, PTTPA1, PTTPB1&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOELW , ONLY : NSIL ,NIPD ,NUA ,NG1P1
USE YOELWRAD , ONLY : NPROMALW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAER
REAL(KIND=JPRB) ,INTENT(IN) :: PABCU(KLON,NUA,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDBDT(KLON,NSIL,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGA(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGB(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCNTRB(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDISD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDISU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDWFSU(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOND(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPA(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPB(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVA(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVB(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZZB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXNB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVA1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDIVB1(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPA1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTTPB1(KLON,KLEV+1)
END SUBROUTINE LWVDR
END INTERFACE
