INTERFACE
SUBROUTINE LWVDRAD&
 & ( KIDIA, KFDIA, KLON , KLEV , KTRAER,&
 & PGA , PGB ,&
 & PABCU5 , PDBDT5 ,&
 & PCNTRB5, PDISD5 , PDISU5, PDWFSU5,&
 & PCOND5 , PTTPA5 , PTTPB5 , PTTA5 , PTTB5 ,&
 & PZZA5 , PZZB5 , PXNA5 , PXNB5 , PXDIVA5,&
 & PXDIVB5 , PZZA15 , PZZB15 , PXNA15, PXNB15 ,&
 & PXDIVA15, PXDIVB15, PTTPA15, PTTPB15,&
 & PABCU , PDBDT ,&
 & PCNTRB , PDISD , PDISU , PDWFSU&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOELW , ONLY : NSIL ,NIPD ,NUA ,NG1P1
USE YOELWRAD , ONLY : NPROMALW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAER
REAL(KIND=JPRB) ,INTENT(IN) :: PGA(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGB(KLON,NIPD,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PABCU5(KLON,NUA,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDBDT5(KLON,NSIL,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCNTRB5(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDISD5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDISU5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDWFSU5(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PABCU(KLON,NUA,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDBDT(KLON,NSIL,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCNTRB(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDISD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDISU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDWFSU(KLON,NSIL)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOND5(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTPA5(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTPB5(NPROMALW,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTA5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTB5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZZA5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZZB5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNA5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNB5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDIVA5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDIVB5(NPROMALW,KTRAER*KLEV,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZZA15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZZB15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNA15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNB15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDIVA15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDIVB15(NPROMALW,KTRAER,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTPA15(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTPB15(KLON,KLEV+1)
END SUBROUTINE LWVDRAD
END INTERFACE
