INTERFACE
SUBROUTINE MCICA_CLD_GENERATOR&
 & ( PZF , PAVG_CF, PAVG_QLW, PAVG_QIW, PAVG_QSW, PGLAT, PGLON,&
 & PRLC_CF, PRLC_CW, PSIGMA_QCW,&
 & KLON , KIDIA , KFDIA , KLEV , KNX_LOC ,&
 & LDPPH , LDMAXRAN ,&
 & PICEWCIN_S, PSNOWCIN_S, PLIQWCIN_S , KNCLDY) 
USE PARKIND1, ONLY : JPIM, JPRB
USE RANDOM_NUMBERS_MIX , ONLY : RANDOMNUMBERSTREAM, UNIFORM_DISTRIBUTION
INTEGER(KIND=JPIM), INTENT(IN) :: KNX_LOC
LOGICAL, INTENT(IN) :: LDPPH, LDMAXRAN
REAL(KIND=JPRB), INTENT(IN) ::&
 & PZF(KLON,KLEV),&
 & PAVG_CF(KLON,KLEV),&
 & PAVG_QLW(KLON,KLEV),&
 & PAVG_QIW(KLON,KLEV),&
 & PAVG_QSW(KLON,KLEV),&
 & PSIGMA_QCW(KLON,KLEV),&
 & PRLC_CF(KLON,KLEV),&
 & PRLC_CW(KLON,KLEV),&
 & PGLAT(KLON),&
 & PGLON(KLON) 
INTEGER(KIND=JPIM), INTENT(IN) ::&
 & KLON,&
 & KIDIA,&
 & KFDIA,&
 & KLEV 
REAL(KIND=JPRB),INTENT(OUT) ::&
 & PICEWCIN_S(KLON,KLEV,KNX_LOC),&
 & PSNOWCIN_S(KLON,KLEV,KNX_LOC),&
 & PLIQWCIN_S(KLON,KLEV,KNX_LOC) 
INTEGER(KIND=JPIM), INTENT(OUT) ::&
 & KNCLDY(KLON) 
INTEGER(KIND=JPIM) ::&
 & IL,&
 & I,&
 & JK,&
 & I_TOP(KLON),&
 & I_BASE(KLON),&
 & IND1,&
 & IND2,&
 & I_LOC(KLON) 
END SUBROUTINE MCICA_CLD_GENERATOR
END INTERFACE
