INTERFACE
SUBROUTINE MTS_PHYS(KIDIA,KFDIA,KLON,KLEV,PGEMU,PGELAM,POROG,PAPRS,PAPRSF,&
 & PLNPR,PALPH,PU,PV,PT,PQ,PQO3,PQLI,PQICE,PNEB,PTS,PLSM,&
 & PUCLS,PVCLS,PTCLS,PQCLS,&
 & PTBMSAT7,PTBMSAT8,PTBMSAT9,PTBGOES11,PTBGOES12,PTBMTSAT1) 
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE YOMDIM , ONLY : NPPM
 USE YOMDIMO , ONLY : NLSAT , NMXTCHU, NPNSAV ,NPNSSV
 USE YOMTVRAD , ONLY : NJPPF ,RADPRE&
 & ,NVALCHAN,NVALCHAN_MTS,O3CLRT&
 & ,SATGRP_TABLE, LRTTOV_INTERPOL 
 INTEGER(KIND=JPIM), INTENT(IN) :: KIDIA
 INTEGER(KIND=JPIM), INTENT(IN) :: KFDIA
 INTEGER(KIND=JPIM), INTENT(IN) :: KLON
 INTEGER(KIND=JPIM), INTENT(IN) :: KLEV
 REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: PTCLS(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: PQCLS(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: PUCLS(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: PVCLS(KLON)
 REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PQO3(KLON,0:KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PQLI(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PQICE(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(IN) :: PNEB(KLON,KLEV)
 REAL(KIND=JPRB) ,INTENT(OUT) :: PTBMSAT7(KLON,2), PTBMSAT8(KLON,8), PTBMSAT9(KLON,8)
 REAL(KIND=JPRB) ,INTENT(OUT) :: PTBGOES11(KLON,4), PTBGOES12(KLON,4), PTBMTSAT1(KLON,4)
END SUBROUTINE MTS_PHYS
END INTERFACE
