INTERFACE
subroutine onedvar_raintb ( kstart, kend,&
 & kassim_mode,&
 & pt ,&
 & pq ,&
 & pten_t ,&
 & pten_q ,&
 & prain ,&
 & psnow ,&
 & pclfr ,&
 & pcllw ,&
 & pcliw ,&
 & pt_2m ,&
 & pq_2m ,&
 & ptd_2m ,&
 & pu_star ,&
 & pv_star ,&
 & pu_10m_fg ,&
 & pv_10m_fg ,&
 & psh_sfc ,&
 & plh_sfc ,&
 & psea_ice ,&
 & pland_sea ,&
 & p_sfc ,&
 & pt_sfc ,&
 & ptb_obs ,&
 & pslat_obs ,&
 & pclon_obs ,&
 & pslon_obs ,&
 & ksat_obs ,&
 & kfov_obs ,&
 & pzen_obs ,&
 & kid_dv ,&
 & kit_dv ,&
 & kis_dv ,&
 & pepsg ,&
 & kim_dv ,&
 & p_fg ,&
 & pt_an ,&
 & pq_an ,&
 & prr_fg ,&
 & prs_fg ,&
 & prl_fg ,&
 & pri_fg ,&
 & prc_fg ,&
 & prr_an ,&
 & prs_an ,&
 & prl_an ,&
 & pri_an ,&
 & prc_an ,&
 & pu_10m_an ,&
 & pv_10m_an ,&
 & prst_fg ,&
 & prco_fg ,&
 & prst_an ,&
 & prco_an ,&
 & ptcwv_fg ,&
 & ptcwv_an ,&
 & ptcwv_fg_er,&
 & ptcwv_an_er,&
 & pco ,&
 & ptb_fg ,&
 & ptb_an ,&
 & ptb_er ,&
 & ptb_bi ,&
 & ptb_fg_3d ,&
 & p1ddiag ) 
use parkind1 , only: jpim, jprb
use yomdim , only: nflevg, nproma
use paronedvar, only: n_max, nmax_channels, n_mode, rq_min
use yom_ptr_ssmi, only: mflds_1ddiag,&
 & m_tcwv_3d, m_rwp_3d, m_swp_3d, m_cwp_3d, m_iwp_3d, m_ra_3d, m_sn_3d,&
 & m_tcwv_fg, m_rwp_fg, m_swp_fg, m_cwp_fg, m_iwp_fg, m_ra_fg, m_sn_fg,&
 & m_tcwv_an, m_rwp_an, m_swp_an, m_cwp_an, m_iwp_an, m_ra_an, m_sn_an 
integer (kind=jpim), intent (in) :: kstart, kend
integer (kind=jpim), intent (in) :: kassim_mode
real (kind=jprb), intent (in), dimension (nproma,nflevg) ::&
 & pt, pq, pten_t, pten_q, prain, psnow, pclfr, pcllw, pcliw 
real (kind=jprb), intent (in), dimension (nproma) ::&
 & pt_2m, pq_2m, ptd_2m, pu_star, pv_star, pu_10m_fg, pv_10m_fg,&
 & psh_sfc, plh_sfc, psea_ice, pland_sea, p_sfc, pt_sfc 
real (kind=jprb), intent (in), dimension (nproma,nmax_channels) ::&
 & ptb_obs 
real (kind=jprb), intent (in), dimension (nproma) ::&
 & pslat_obs, pslon_obs, pclon_obs, pzen_obs 
real (kind=jprb), intent (out), dimension (nproma,nflevg) ::&
 & pt_an ,&
 & pq_an ,&
 & p_fg ,&
 & prr_fg ,&
 & prs_fg ,&
 & prl_fg ,&
 & pri_fg ,&
 & prc_fg ,&
 & prr_an ,&
 & prs_an ,&
 & prl_an ,&
 & pri_an ,&
 & prc_an 
real (kind=jprb), intent (out), dimension (nproma) ::&
 & pu_10m_an ,&
 & pv_10m_an ,&
 & ptcwv_fg ,&
 & ptcwv_an ,&
 & ptcwv_fg_er,&
 & ptcwv_an_er,&
 & prst_fg ,&
 & prco_fg ,&
 & prst_an ,&
 & prco_an ,&
 & pco 
real (kind=jprb), intent (out), dimension (nproma,nmax_channels) ::&
 & ptb_fg ,&
 & ptb_an ,&
 & ptb_er ,&
 & ptb_bi ,&
 & ptb_fg_3d 
real (kind=jprb), intent (out), dimension (nproma, mflds_1ddiag) :: p1ddiag
integer (kind=jpim), intent (out), dimension (nproma) :: kid_dv
integer (kind=jpim), intent (out), dimension (nproma) :: kit_dv, kim_dv, kis_dv
real (kind=jprb), intent (out), dimension (nproma) :: pepsg
integer (kind=jpim), intent ( in), dimension (nproma) :: ksat_obs , kfov_obs
end subroutine onedvar_raintb
END INTERFACE
