INTERFACE
SUBROUTINE ONEDVAR_RAINTB_SND( kstart, kend, kassim_mode, KCOPROC, KT,&
 & pt ,&
 & pq ,&
 & pten_t ,&
 & pten_q ,&
 & prain ,&
 & psnow ,&
 & pclfr ,&
 & pcllw ,&
 & pcliw ,&
 & pt_2m ,&
 & pq_2m ,&
 & ptd_2m ,&
 & pu_star ,&
 & pv_star ,&
 & pu_10m ,&
 & pv_10m ,&
 & psh_sfc ,&
 & plh_sfc ,&
 & psea_ice ,&
 & pland_sea ,&
 & p_sfc ,&
 & pt_sfc ,&
 & ptb_obs ,&
 & pslat_obs ,&
 & pclon_obs ,&
 & pslon_obs ,&
 & ksat_obs ,&
 & kfov_obs ,&
 & pzen_obs ) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE PARONEDVAR, ONLY : NMAX_CHANNELS
integer (kind=jpim), intent (in) :: kstart, kend, kassim_mode, KCOPROC, KT
real (kind=jprb), intent (in), dimension (nproma,nflevg) :: pt ,&
 & pq ,&
 & pten_t ,&
 & pten_q ,&
 & prain ,&
 & psnow ,&
 & pclfr ,&
 & pcllw ,&
 & pcliw 
real (kind=jprb), intent (in), dimension (nproma) :: pt_2m ,&
 & pq_2m ,&
 & ptd_2m ,&
 & pu_star ,&
 & pv_star ,&
 & pu_10m ,&
 & pv_10m ,&
 & psh_sfc ,&
 & plh_sfc ,&
 & psea_ice ,&
 & pland_sea,&
 & p_sfc ,&
 & pt_sfc 
real (kind=jprb), intent (in), dimension (nproma,NMAX_CHANNELS) :: ptb_obs
real (kind=jprb), intent (in), dimension (nproma) :: pslat_obs ,&
 & pslon_obs ,&
 & pclon_obs ,&
 & pzen_obs 
integer (kind=jpim), intent (in), dimension (nproma) :: ksat_obs, kfov_obs
END SUBROUTINE ONEDVAR_RAINTB_SND
END INTERFACE
