INTERFACE
subroutine onedvar_screen ( knumb,&
 & k1d_x ,&
 & k1d_y ,&
 & k1d_z ,&
 & ksat ,&
 & kfov ,&
 & pt ,&
 & pq ,&
 & pten_t ,&
 & pten_q ,&
 & prain ,&
 & psnow ,&
 & pclfr ,&
 & pcllw ,&
 & pcliw ,&
 & pt_2m ,&
 & pq_2m ,&
 & ptd_2m ,&
 & pu_star ,&
 & pv_star ,&
 & pu_10m ,&
 & pv_10m ,&
 & psh_sfc ,&
 & plh_sfc ,&
 & psea_ice ,&
 & pland_sea ,&
 & p_sfc ,&
 & pt_sfc ,&
 & pzen_obs ,&
 & plat_obs ,&
 & plon_obs ,&
 & ptb_obs ,&
 & p_fg ,&
 & ph_fg ,&
 & prr_fg ,&
 & prs_fg ,&
 & prl_fg ,&
 & pri_fg ,&
 & prc_fg ,&
 & prst_fg ,&
 & prco_fg ,&
 & ptcwv_fg ,&
 & ptb_bi ,&
 & ptb_fg ,&
 & ptb_fg_3d ,&
 & ptb_fg_3d_clear,&
 & kid_dv ) 
use parkind1 , only: jpim, jprb
use yomdim , only: nflevg
integer (kind=jpim), intent (in) :: knumb, k1d_x, k1d_y, k1d_z
real (kind=jprb), intent (inout), dimension (nflevg) ::&
 & pt,&
 & pq 
real (kind=jprb), intent (in) , dimension (nflevg) ::&
 & pten_t,&
 & pten_q,&
 & prain,&
 & psnow,&
 & pclfr,&
 & pcllw,&
 & pcliw 
real (kind=jprb), intent (in) ::&
 & pt_2m,&
 & pq_2m,&
 & ptd_2m,&
 & pu_star,&
 & pv_star,&
 & pu_10m,&
 & pv_10m,&
 & psh_sfc,&
 & plh_sfc,&
 & psea_ice,&
 & pland_sea,&
 & p_sfc,&
 & pt_sfc,&
 & pzen_obs,&
 & plat_obs,&
 & plon_obs 
real (kind=jprb), intent (in), dimension (k1d_y) :: ptb_obs
real (kind=jprb), intent (out), dimension (nflevg) ::&
 & p_fg,&
 & prr_fg,&
 & prs_fg,&
 & prl_fg,&
 & pri_fg,&
 & prc_fg 
real (kind=jprb), intent (out), dimension (nflevg+1) :: ph_fg
real (kind=jprb), intent (out) ::&
 & ptcwv_fg,&
 & prst_fg,&
 & prco_fg 
real (kind=jprb), intent (out), dimension (k1d_y) ::&
 & ptb_bi,&
 & ptb_fg,&
 & ptb_fg_3d,&
 & ptb_fg_3d_clear 
integer (kind=jpim), intent (in) :: ksat, kfov
integer (kind=jpim), intent (inout) :: kid_dv
end subroutine onedvar_screen
END INTERFACE
