INTERFACE
SUBROUTINE PREINTS(KDLEN,KLEN,KSET,&
 & PRESH5,&
 & PUF5,PVF5,PTF5,PQF5,PQN5,&
 & PTS5,PSST5,PU05,PV05,PU10N5,PV10N5,PCHN5,&
 & PRF5,&
 & PWS5,PVEG5,PCI5,PWL5,&
 & PSN5,PSLM5,PZ05,&
 & PES5,PCPTGZ5,PWET5,PQS5,PCPTS5,PAPHI5,&
 & PRI5,PBN5,PBM5,PBH5,&
 & PLNPR5,PALPH5,PTCLS5,PHUCLS5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQN5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT),OPTIONAL :: PTCLS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT),OPTIONAL :: PHUCLS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSST5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVEG5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCI5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWL5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSLM5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU10N5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10N5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCHN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZ05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PES5(KDLEN,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCPTGZ5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWET5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCPTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHI5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRI5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBM5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBH5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KDLEN,NFLEVG)
END SUBROUTINE PREINTS
END INTERFACE
