INTERFACE
SUBROUTINE RADINAAD&
 & ( KIDIA , KFDIA , KLON , KLEV , KMODE,&
 & PALBD5, PALBP5, PAPRS5 , PAPRSF5,&
 & PCCNL5, PCCNO5, PCCO25 , PCLFR5,&
 & PGELAM, PCLON, PSLON,&
 & PDP5, PEMIR5, PEMIW5,&
 & PGEMU, PMU0 , PQ5 , PQS5,&
 & PQIWP5, PQLWP5,&
 & PSLM5 , PT5 , PTS5,&
 & PTH5 ,&
 & PALBD , PALBP , PAPRS , PAPRSF,&
 & PCCNL , PCCNO , PCCO2 , PCLFR,&
 & PDP , PEMIR , PEMIW,&
 & PQ , PQS ,&
 & PQIWP , PQLWP,&
 & PT , PTS,&
 & PEMTD , PTRSO,&
 & PTH , PTRSOD&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NAER , NSW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD5(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP5(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNL5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNO5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO25
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON), PCLON(KLON), PSLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIR5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIWP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLWP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBD(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBP(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPRS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNO(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCCO2
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLFR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQIWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSO(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSOD(KLON)
END SUBROUTINE RADINAAD
END INTERFACE
