INTERFACE
SUBROUTINE RADLSWR&
 & ( KIDIA, KFDIA , KLON , KLEV , KBL , KAERO ,&
 & PRII0,&
 & PAER , PAERO , PALBD, PALBP, PGEOH  , PAPH , PAP ,&
 & PCCNL, PCCNO , PGELAM,PGEMU,&
 & PCO2 , PCH4 , PN2O , PNO2 , PC11 , PC12 , PC22 , PCL4 ,&
 & PCLFR, PDP , PEMIS, PEMIW, PLSM , PMU0 , POZON,&
 & PQ , PQIWP , PQSWP, PQLWP, PQRWP ,&
 & PTH , PT , PTS ,&
 & PEMIT, PFCT , PFLT , PFCS , PFLS , PFRSOD,&
 & PSUDU, PUVDF , PPARF, PPARCF, PTINCF,&
 & PFDIR, PCDIR,  &
 & KLEVX, PEXTRA, PEXTR2, &
 & LZEROAERO, &
 & PAODTM,PSSATM, PASFTM, &
 & PCDNC, PICNC, PRE_LIQ, PRE_ICE)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NSW ,NOVLP ,LRRTM ,&
 & LCCNL , LCCNO , LDIFFC , NDECOLAT,&
 & NRADIP , NRADLP , NICEOPT, NLIQOPT, NMINICE,&
 & RCCNLND, RCCNSEA, NMcICA , RMINICE, RRe2De
USE PHY_DIAG_MOD, ONLY : NRAD2D, NRAD3D 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KBL
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KAERO
REAL(KIND=JPRB) ,INTENT(IN) :: PRII0
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAERO(KLON,KLEV,KAERO)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNO(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PN2O(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNO2(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC11(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC12(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC22(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL4(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON), PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POZON(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQRWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMIT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOD(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSUDU(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUVDF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPARF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPARCF(KLON), PTINCF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDIR(KLON) , PCDIR(KLON)
INTEGER(KIND=JPIM), INTENT(IN) :: KLEVX
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEXTRA(KLON,KLEVX,NRAD3D)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEXTR2(KLON,NRAD2D)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PAODTM(KLON,14,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSSATM(KLON,14,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PASFTM(KLON,14,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PCDNC(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PICNC(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PRE_LIQ(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PRE_ICE(KLON,KLEV)
LOGICAL         ,INTENT(IN) :: LZEROAERO

INTEGER(KIND=JPIM), PARAMETER :: ICOLSLW=140, ICOLSSW=112
END SUBROUTINE RADLSWR
END INTERFACE
