INTERFACE
SUBROUTINE RECMWF (KST, KEND, KPROMA, KTDIA , KLEV,&
 & KMODE,&
 & PALBD , PALBP , PAPRS , PAPRSF , PCCO2 , PCLFR,&
 & PQO3 , PAER , PDP , PEMIS , PMU0,&
 & PQ , PQS , PQIWP , PQLWP , PSLM , PT , PTS,&
 & PEMTD , PEMTU , PTRSO,&
 & PTH , PCTRSO, PCEMTR, PTRSOD,&
 & PLWFC, PLWFT, PSWFC, PSWFT, PSFSWDIR, PSFSWDIF,&
 & PFSDNN, PFSDNV,&
 & PPIZA_DST,PCGA_DST,PTAUREL_DST) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NAER, NSW, RCCNLND ,RCCNSEA
USE YOMGEM , ONLY : NGPTOT
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KPROMA,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KPROMA,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQO3(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KPROMA,KLEV,6)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIWP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLWP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PPIZA_DST(KPROMA,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PCGA_DST(KPROMA,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUREL_DST(KPROMA,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMTD(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMTU(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRSO(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTH(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCTRSO(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCEMTR(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRSOD(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLWFC(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLWFT(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSWFC(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSWFT(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSFSWDIR(KPROMA,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSFSWDIF(KPROMA,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFSDNN(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFSDNV(KPROMA)
END SUBROUTINE RECMWF
END INTERFACE
