INTERFACE
SUBROUTINE SWRAD&
 & ( KIDIA , KFDIA , KLON , KLEV , KNU,&
 & PALBD5 , PCG5 , PCLD5 , POMEGA5, PSEC5 , PTAU5,&
 & PCGAZ5 , PPIZAZ5, PRAY15, PRAY25 , PREFZ5, PRJ5 , PRK5,&
 & PRMUE5 , PTAUAZ5, PTRA15, PTRA25,&
 & PRE15 , PRE25 , PTR15 , PTR25 ,&
 & PALBD , PCG , PCLD , POMEGA , PSEC , PTAU,&
 & PCGAZ , PPIZAZ , PRAY1 , PRAY2 , PREFZ , PRJ , PRK,&
 & PRMUE , PTAUAZ , PTRA1 , PTRA2&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NOVLP ,NSW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KNU
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD5(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PCG5(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POMEGA5(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSEC5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAU5(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCGAZ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPIZAZ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAY15(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAY25(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PREFZ5(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRJ5(KLON,6,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRK5(KLON,6,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRMUE5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUAZ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRA15(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRA25(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBD(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCG(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POMEGA(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSEC(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAU(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCGAZ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPIZAZ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAY1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRAY2(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREFZ(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRJ(KLON,6,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRK(KLON,6,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRMUE(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAUAZ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRA1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRA2(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE25(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTR15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTR25(KLON,KLEV)
END SUBROUTINE SWRAD
END INTERFACE
