INTERFACE
SUBROUTINE VDFDIFH(&
 & KIDIA , KFDIA , KLON , KLEV , KDRAFT , KTOP , KTILES,&
 & PTMST , PFSH1D , PFLH1D , LDFLUX1D,PLIT, PMELTSUM,&
 & PFRTI , PSSRFLTI,PSLRFL , PEMIS , PEVAPSNW,&
 & PHLICE , PTLICE , PTLWML ,&
 & PSLM1 , PTM1 , PQM1 , PQTM1 , PAPHM1 ,&
 & PCFH , PCFHTI , PCFQTI , PMFLX , PSLUH , PQTUH ,&
 & PTDIF , PQDIF , PCPTSTI, PQSTI , PCAIRTI, PCSATTI,&
 & PDQSTI , PTSKTI , PTSKRAD, PTSM1M , PTSNOW , PTICE , PSST,&
 & PTHKICE, PSNTICE, &
 & PTSKTIP1,PSLGE , PTE , PQTE,&
 & PJQ , PSSH , PSLH , PSTR , PG0) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KDRAFT
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTOP
REAL(KIND=JPRB) ,INTENT(IN) :: PTMST
REAL(KIND=JPRB) ,INTENT(IN) :: PFSH1D(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFLH1D(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLIT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT)    :: PMELTSUM(KLON)
LOGICAL ,INTENT(IN) :: LDFLUX1D
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PSSRFLTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLRFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVAPSNW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHLICE(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLICE(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLWML(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHM1(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCFH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCFHTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PCFQTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFLX(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLUH(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(IN) :: PQTUH(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTDIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQDIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCPTSTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAIRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PCSATTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PDQSTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSKTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSKRAD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSM1M(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSNOW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTICE(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSST(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTHKICE(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNTICE(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTSKTIP1(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLGE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQTE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PJQ(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSSH(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSLH(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTR(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(OUT) :: PG0(KLON,KTILES)
END SUBROUTINE VDFDIFH
END INTERFACE
