MODULE PARCLIMF

USE PARKIND1, ONLY : JPIM
USE PARCLI,   ONLY : JPNMOS, JPNMOI, JPNFIS, JPNMOF, JPNFIF

IMPLICIT NONE

SAVE

!------------------------------------------------------------------------------
!     JPNCHS : Number of *N108* fields (depending on JPNMOI).
!     JPNCHF : Number of final  fields (depending on JPNMOI).

INTEGER(KIND=JPIM), PARAMETER :: JPNCHS=JPNMOS*JPNMOI+JPNFIS
INTEGER(KIND=JPIM), PARAMETER :: JPNCHF=JPNMOF*JPNMOI+JPNFIF

END MODULE PARCLIMF
