MODULE PARSEKF

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!     N_OBSTIME_MAX : MAXIMUM NUMBER OF OBSERVATION TIMES IN ONE SEKF
!                     ANALYSIS WINDOW
!     N_ANALTIME_MAX: MAXIMUM NUMBER OF ANALYSIS TIMES IN ONE SEKF
!                     ANALYSIS WINDOW
!     N_SOILM_MAX:    MAXIMUM NUMBER OF ANALYSED SOIL LAYERS (MOISTURE)

INTEGER(KIND=JPIM), PARAMETER :: N_OBSTIME_MAX=10
INTEGER(KIND=JPIM), PARAMETER :: N_ANALTIME_MAX=10
INTEGER(KIND=JPIM), PARAMETER :: N_SOILM_MAX=4

!     ------------------------------------------------------------------
END MODULE PARSEKF
