MODULE PARSSMI

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!*    PARSSMI - SSMI PARAMETERS

!        D. VASILJEVIC    ECMWF    19/09/94

!     NAME                    MEANING
!     ----                    -------
!     JPMXSMLI    MAX NUMBER OF SSM/I LINES IN 1 ORBIT
!     JPMXSMEL    MAX NUMBER OF ELEMENTS IN 1 SCANT

INTEGER(KIND=JPIM) :: JPMXSMLI
INTEGER(KIND=JPIM) :: JPMXSMEL
PARAMETER (JPMXSMLI=4000)
PARAMETER (JPMXSMEL=64)

!-----------------------------------------------------------------------

END MODULE PARSSMI
