MODULE PTRXFU

USE PARKIND1  ,ONLY : JPIM    

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------

!*    DIAGNOSTICS DE FLUX INSTANTANES

INTEGER(KIND=JPIM) :: MXTRDU  !   FLUX GWD DE U                                     
INTEGER(KIND=JPIM) :: MXTRDV  !               V                                     
INTEGER(KIND=JPIM) :: MXTRCU  !   FLUX CONVECTIF DE U                               
INTEGER(KIND=JPIM) :: MXTRCV  !                     V                               
INTEGER(KIND=JPIM) :: MXDICQ  !                     Q                               
INTEGER(KIND=JPIM) :: MXDICS  !                     CP.T                            
INTEGER(KIND=JPIM) :: MXTRTU  !   FLUX TURBULENT DE U                               
INTEGER(KIND=JPIM) :: MXTRTV  !                     V                               
INTEGER(KIND=JPIM) :: MXDITQ  !                     Q                               
INTEGER(KIND=JPIM) :: MXDITS  !                     CP.T                            
INTEGER(KIND=JPIM) :: MXPLCL  ! PLUIE CONVECTIVE                                    
INTEGER(KIND=JPIM) :: MXPLSL  ! PLUIE STRATIFORME                                   
INTEGER(KIND=JPIM) :: MXPLCN  ! NEIGE CONVECTIVE                                    
INTEGER(KIND=JPIM) :: MXPLSN  ! NEIGE STRATIFORME                                   
INTEGER(KIND=JPIM) :: MXPLCG  ! GRAUPEL CONVECTIVE                                    
INTEGER(KIND=JPIM) :: MXPLSG  ! GRAUPEL STRATIFORME                                   
INTEGER(KIND=JPIM) :: MXPLCH  ! GRELE CONVECTIVE                                    
INTEGER(KIND=JPIM) :: MXPLSH  ! GRELE STRATIFORME                                   
INTEGER(KIND=JPIM) :: MXRSO   ! FLUX RAYONNEMENT SOLAIRE                            
INTEGER(KIND=JPIM) :: MXRTH   ! FLUX RAYONNEMENT TERRESTRE                          
INTEGER(KIND=JPIM) :: MXNEB   ! NEBULOSITE POUR RAYONNEMENT
INTEGER(KIND=JPIM) :: MXQICE  ! EAU CONDENSEE SOLIDE POUR RAYONNEMENT
INTEGER(KIND=JPIM) :: MXQLI   ! EAU CONDENSEE LIQUIDE POUR RAYONNEMENT
INTEGER(KIND=JPIM) :: MXNEBT  ! NEBULOSITE TOTALE                                   
INTEGER(KIND=JPIM) :: MXUCLS  ! U 10M
INTEGER(KIND=JPIM) :: MXVCLS  ! V 10M
INTEGER(KIND=JPIM) :: MXTCLS  ! T 2M
INTEGER(KIND=JPIM) :: MXQCLS  ! Q 2M
INTEGER(KIND=JPIM) :: MXRHCLS ! HUMIDITE RELATIVE 2M
INTEGER(KIND=JPIM) :: MXTN    ! TEMPERATURE MINIMALE A 2M
INTEGER(KIND=JPIM) :: MXTX    ! TEMPERATURE MAXIMALE A 2M
INTEGER(KIND=JPIM) :: MXHUX   ! HUMIDITE RELATIVE MAXIMALE A 2M
INTEGER(KIND=JPIM) :: MXHUN   ! HUMIDITE RELATIVE MINIMALE A 2M
INTEGER(KIND=JPIM) :: MXNBCON ! CONVECTIVE CLOUDINESS                               
INTEGER(KIND=JPIM) :: MXNBHAU ! HIGH STAGE CLOUDINESS                               
INTEGER(KIND=JPIM) :: MXNBMOY ! MEAN STAGE CLOUDINESS                               
INTEGER(KIND=JPIM) :: MXNBBAS ! LOW  STAGE CLOUDINESS                               
INTEGER(KIND=JPIM) :: MXFONTE ! FLUX DE FONTE DE LA NEIGE                           
INTEGER(KIND=JPIM) :: MXFCHSP ! FLUX DE CHALEUR DANS LE SOL                         
INTEGER(KIND=JPIM) :: MXFLWSP ! FLUX D'EAU DANS LE SOL                              
INTEGER(KIND=JPIM) :: MXFEVL  ! FLUX D'EVAPORATION (EAU)                            
INTEGER(KIND=JPIM) :: MXRUISP ! RUISSELLEMENT DU RESERVOIR PROFOND                  
INTEGER(KIND=JPIM) :: MXRUISS ! RUISSELLEMENT DU RESERVOIR SUPERFICIEL              
INTEGER(KIND=JPIM) :: MXFEVV  ! FLUX D'EVAPOTRANSPIRATION                 (si LSOLV)
INTEGER(KIND=JPIM) :: MXFTR   ! FLUX DE TRANSPIRATION                     (si LSOLV)
INTEGER(KIND=JPIM) :: MXRUISL ! RUISSELLEMENT DU RESERVOIR D'INTERCEPTION (si LSOLV)
INTEGER(KIND=JPIM) :: MXCAPE  ! Convective available potential energy
INTEGER(KIND=JPIM) :: MXMOCON ! Moinsture convergence
INTEGER(KIND=JPIM) :: MXCLPH  ! Height (in meters) of the PBL out of the model
INTEGER(KIND=JPIM) :: MXUGST  ! U-momentum of gusts out of the model
INTEGER(KIND=JPIM) :: MXVGST  ! V-momentum of gusts out of the model
INTEGER(KIND=JPIM) :: MXTHW    ! Theta'w' surface flux

!     -----------------------------------------------------------------
END MODULE PTRXFU
