MODULE QACOBS

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!--------------------------------------------------------------------
!    QACOBS: CANARI OBSERVATION PARAMETERS
!--------------------------------------------------------------------

!     NAME    TYPE     MEANING
!     ----    ----     -------

!     OROLIM   R   MAXIMUM ALTITUDE FOR SURFACE OBS USE
!     ORODIF   R   MAXIMUM ALTITUDE DIFFERENCE BETWEEN OBS AND MODEL
!--------------------------------------------------------------------

REAL(KIND=JPRB) :: OROLIM
REAL(KIND=JPRB) :: ORODIF

!     ------------------------------------------------------------------

END MODULE QACOBS
