MODULE QACTAN

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!-----------------------------------------------------------------------
!    QACTAN : contient les parametres definissant le domaine sur
!    ------   lequel est effectuee l'analyse

!  Auteur        : C. Blondin    09/90
!  Modifications : PhC 03/96      FT 02/98 05/01
!-----------------------------------------------------------------------
!  NCANLI : indice mini de niveau modele du domaine d'analyse
!  NCANLS : indice maxi de niveau modele du domaine d'analyse
!  LANMASK: .T. analyse realisee sur un sous-domaine (horizontalement)
!  ALATNB : northern boundary of analysis area
!  ALATSB : southern boundary of analysis area
!  ALONWB : western boundary of analysis area
!  ALONEB : eastern boundary of analysis area
!-----------------------------------------------------------------------

INTEGER(KIND=JPIM) :: NCANLI, NCANLS

REAL(KIND=JPRB) :: ALATNB, ALATSB, ALONWB, ALONEB

LOGICAL :: LANMASK

END MODULE QACTAN
