MODULE QALOLA

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!****----------------------------------------------------------------
!****   QALOLA : Definition en latitude/longitude des boites d'obs.
!****   ------
!****   Auteur                : Y. Durand                   30/03/89
!****   Derniere modification : Ph. Caille                  19/03/91
!****----------------------------------------------------------------
!***  RLAB   : latitudes des bords nord des boites geographiques
!***  RLOB   : longitudes des bords ouest des boites geographiques
!***-----------------------------------------------------------------
REAL(KIND=JPRB),ALLOCATABLE :: RLAB(:)
REAL(KIND=JPRB),ALLOCATABLE :: RLOB(:)

END MODULE QALOLA
