MODULE YEMBICU

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!  ----------------------------------------------------------------------

!* Define the relaxation coefficients

!     EALFA :  Relaxation coefficients alpha.
!     EALFAL,EALFAM: derivatives of EALFA

!     NEAL,NNAL, NMAL, REPA :  Constants used to compute relaxation
!                                    coefficients.

!     Arrays for relaxation

REAL(KIND=JPRB),ALLOCATABLE:: EALFA(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: EALFAL(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: EALFAM(:,:)

REAL(KIND=JPRB),ALLOCATABLE:: REPA(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NFALFA(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NEAL(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NNAL(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NMAL(:)

!     POINTER statements :

!      containing pointers :

!  ------------------------------------------------------------------
END MODULE YEMBICU
