! Library:phys $Id: yhlcond.F90 4917 2007-02-07 13:05:42Z towil $

module yhlcond

use parkind1 ,only : jprb

implicit none 
save

!     -----------------------------------------------------
!     HIRLAM physics constants for percipitation processes
!     -----------------------------------------------------
!      Variable:    Subroutines: 
!      ---------    -----------
!      hdl:         (suhlcond, hlcondcv, hlcondst)
!      ht273        (suhlcond, hlcondst)
!      he273        (suhlcond)
!      tvirtc       (suhlcond, hlcondcv)
!      stpevp       (suhlcond)
!      u00max       (suhlcond)
!      hu00         (suhlcond)
!      aecon        (suhlcond)
!      conae        (suhlcond)
!      cfreez:      (suhlcond)
!      coales:      (suhlcond, hlprevap)
!      hccu:        (suhlcond, hlprevap)
!      hcunrm:      (suhlcond)
!      hmrcu:       (suhlcond, hlprevap)
!      hmrst:       (suhlcond, hlprevap)
!      htaucu:      (suhlcond)
!      hp0:         (suhlcond)
!      cbfeff:      (suhlcond, hlprevap)
!      hvterm:      (suhlcond)
!      hvsnow:      (suhlcond)
!      hkmelt:      (suhlcond)
!      tanvil:      (suhlcond)
!      hcst:        (suhlcond, hlprevap)
!      pmoist:      (suhlcond)
!      prbice(1750):(hlcloudcv,hlcondcv,hlcondst,suhlcond,hlprevap)
!      bfeff(1750): (suhlcond)
!      hdewi(1750): (suhlcond, hlprevap)
!      hmroft(1750):(suhlcond, hlprevap)
!      dttabl:      (suhlcond, hlcloudcv,hlcondcv,hlcondst,hlprevap)
!      hkevap:      (suhlcond)
!      tcir:        (suhlcond)
!      hkap:        (suhlcond)
!      hdldcp:      (suhlcond)
!      hecdr:       (suhlcond)
!      hldcp:       (suhlcond)
!      coalcu:      (suhlcond)
!      coalst:      (suhlcond)
!      sqvsno:      (suhlcond)
!      heldr:       (suhlcond)
!      elotci:      (suhlcond)
!      asnow:       (suhlcond)
!      bsnow:       (suhlcond)
!      snoref:      (suhlcond)
! =================================================================

real(kind=jprb) ::   hdl     
real(kind=jprb) ::   ht273   
real(kind=jprb) ::   he273   
real(kind=jprb) ::   tvirtc  
real(kind=jprb) ::   stpevp  
real(kind=jprb) ::   u00max  
real(kind=jprb) ::   hu00    
real(kind=jprb) ::   aecon    
real(kind=jprb) ::   conae  
real(kind=jprb) ::   cfreez
real(kind=jprb) ::   coales
real(kind=jprb) ::   hccu
real(kind=jprb) ::   hcunrm
real(kind=jprb) ::   hmrcu
real(kind=jprb) ::   hmrst
real(kind=jprb) ::   htaucu
real(kind=jprb) ::   hp0
real(kind=jprb) ::   cbfeff
real(kind=jprb) ::   hvterm
real(kind=jprb) ::   hvsnow
real(kind=jprb) ::   hkmelt
real(kind=jprb) ::   tanvil
real(kind=jprb) ::   hcst
real(kind=jprb) ::   pmoist
real(kind=jprb) ::   prbice(1750)
real(kind=jprb) ::   bfeff(1750)
real(kind=jprb) ::   hdewi(1750)
real(kind=jprb) ::   hmroft(1750)
real(kind=jprb) ::   dttabl
real(kind=jprb) ::   hkevap
real(kind=jprb) ::   tcir
real(kind=jprb) ::   hkap
real(kind=jprb) ::   hdldcp
real(kind=jprb) ::   hecdr
real(kind=jprb) ::   hldcp
real(kind=jprb) ::   coalcu
real(kind=jprb) ::   coalst
real(kind=jprb) ::   sqvsno
real(kind=jprb) ::   heldr
real(kind=jprb) ::   elotci
real(kind=jprb) ::   asnow
real(kind=jprb) ::   bsnow
real(kind=jprb) ::   snoref

end module yhlcond
