MODULE YOEGWDWMS

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

! ------ TENDENCIES OF NON-OROGRAPHIC GRAVITY WAVE FOR SIMPLIFIED SCHEME

! TGWDWMS  : BUFFER FOR U- AND V-TENDENCIES FROM NON-OROGRAPHIC GWD
!            perturbation in TL/AD
! TGWDWMS5 : BUFFER FOR U- AND V-TENDENCIES FROM NON-OROGRAPHIC GWD 
!            trajectory in TL/AD
! LREGNOGWD: .TRUE. if the regularization for non-orographic GWD is used

REAL(KIND=JPRB),ALLOCATABLE:: TGWDWMS (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TGWDWMS5(:,:,:)

LOGICAL :: LREGWWMS
 
!     --------------------------------------------------------------------

END MODULE YOEGWDWMS
