MODULE YOMDFPB

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Buffer for horizontally post-processed main fields

! NLENHFPB : Core-zone buffer length
! NELENHFP : Extension-zone buffer length
! NSTAHFPB : Start adresses of NFPROMA-sized blocks in Core-zone buffer
! NESTAHFP : Start adresses of NFPROMEL-sized blocks in Extension-zone buffer
! HFPBUF   : Core-zone buffer for
! HEFPBUF  : Extension-zone buffer for

INTEGER(KIND=JPIM) :: NLENHFPB
INTEGER(KIND=JPIM) :: NELENHFP
INTEGER(KIND=JPIM), ALLOCATABLE :: NSTAHFPB(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: NESTAHFP(:)
REAL(KIND=JPRB), ALLOCATABLE :: HFPBUF(:)
REAL(KIND=JPRB), ALLOCATABLE :: HEFPBUF(:)

!     ------------------------------------------------------------------
END MODULE YOMDFPB
