MODULE YOMDIL

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     DESCRIPTION OF THE ROTATION/STRETCHING FOR THE 923 CONFIGURATION

!  SLAPO   :   SINE OF THE LATITUDE OF THE POLE
!  GLAPO   :   COSINE OF THE LATITUDE OF THE POLE
!  SLOPO   :   SINE OF THE LONGITUDE OF THE POLE
!  GLOPO   :   COSINE OF THE LONGITUDE OF THE POLE
!  FACDI   :   STRETCHING FACTOR
!  NPOTYP  :   TYPE OF THE GRID (=NSTTYP)

INTEGER(KIND=JPIM) :: NPOTYP
REAL(KIND=JPRB) :: SLAPO
REAL(KIND=JPRB) :: GLAPO
REAL(KIND=JPRB) :: SLOPO
REAL(KIND=JPRB) :: GLOPO
REAL(KIND=JPRB) :: FACDI
END MODULE YOMDIL
