MODULE YOMERR

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!*     YOMERR - ERROR PARAMETERS

!        D. VASILJEVIC   ECMWF     15/9/94

!     NAME      TYPE                  MEANING
!     ----      ----                  -------
!     LERRTHI     L       THICKNESS ERRORS TO BE ASSIGNED
!     LERRPWC     L       PWC ERRORS TO BE ASSIGNED
!     LHEAREAD    L       HEIGHT ERROR DEPENDENT ON AREA SWITCH
!     LRHERRMO    L       REL. HUM. OBS. ERROR MODELED SWITCH
!     LPERERCO    L       PERSISTENCE ERROR EVALUATIN VIA IFS
!                         ROUTINES SWITCH
!     LFINERCO    L       FINAL OBS. ERROR EVALUATIN VIA IFS
!                         ROUTINES SWITCH
!     ERR_PAOB    R

LOGICAL :: LERRTHI
LOGICAL :: LERRPWC
LOGICAL :: LHEAREAD
LOGICAL :: LRHERRMO
LOGICAL :: LPERERCO
LOGICAL :: LFINERCO
REAL(KIND=JPRB) :: ERR_PAOB

!-----------------------------------------------------------------------

END MODULE YOMERR
