MODULE YOMFPSP

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Full-POS spectral array
!     SPBFP : Spectral coefficients for each field
!     UMEAN : Mean wind - first component (for LAM)
!     VMEAN : Mean wind - second component (for LAM)

REAL(KIND=JPRB),ALLOCATABLE :: SPBFP(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: UMEAN(:)
REAL(KIND=JPRB),ALLOCATABLE :: VMEAN(:)

!     ------------------------------------------------------------------
END MODULE YOMFPSP
