MODULE YOMGPSK

USE GRIDPOINT_BUFFERS_MIX , ONLY : gridpoint_buffer

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Buffers for keeping safe gridpoint fields before post-processing

! GPSUABUF(:)      : buffer for upper air fields
! GPSSUBUF         : buffer for surface fields
! GPSCFBUF(:)      : buffer for cumulated fluxes
! GPSXFBUF(:)      : buffer for instantaneous fluxes

TYPE(gridpoint_buffer) :: GPSUABUF
TYPE(gridpoint_buffer) :: GPSSUBUF
TYPE(gridpoint_buffer) :: GPSCFBUF
TYPE(gridpoint_buffer) :: GPSXFBUF

!      containing pointers

!     ------------------------------------------------------------------
END MODULE YOMGPSK
