MODULE YOMHCP

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
! NHECP     : array containing the hours of Trajectoire Synoptique
!             de Reference corrections to be assimilated.
! LAVALOC   : .true. if the correction is applied locally
! AVAS      : south latitude of the actively applied correction
! AVAN      : north latitude of the actively applied correction
! AVAW      : west longitude of the actively applied correction
! AVAE      : east longitude of the actively applied correction
! AVASL, AVANL, AVAWL, AVAEL : the same variables used locally in time-slots

INTEGER(KIND=JPIM) :: NHECP (0:10)
REAL(KIND=JPRB) :: AVAS (1:10)
REAL(KIND=JPRB) :: AVAN (1:10)
REAL(KIND=JPRB) :: AVAW (1:10)
REAL(KIND=JPRB) :: AVAE (1:10)
REAL(KIND=JPRB) :: AVASL, AVANL, AVAWL, AVAEL
LOGICAL ::  LAVALOC
!     ------------------------------------------------------------------
END MODULE YOMHCP
