MODULE YOMICE
!-----------------------------------------------------------------------
! variables de la namelist NAMICE (interne conf 932)
!   RIPORT
!   RIALPHA
! et
!   NREAOBS : nb obs satellite lues
!   RSATLON : longitude des obs satellite
!   RSATLAT : latitude des obs satellite
!   RSATICE : valeur de glace des obs satellite
!   RFICE   : concentrations interpolees aux pts de grille (global)
!   ROBMASK : masque de presence d'obs pour le champ de glace (1 si obs)
!-----------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

REAL(KIND=JPRB) :: RIPORT, RIALPHA
REAL(KIND=JPRB),ALLOCATABLE :: RSATLON(:), RSATLAT(:), RSATICE(:)
REAL(KIND=JPRB),ALLOCATABLE :: RFICE(:), ROBMASK(:)
INTEGER(KIND=JPIM) :: NREAOBS

!-----------------------------------------------------------------------
END MODULE YOMICE
