MODULE YOMIOMI

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     Defines the warm restart I/O mechanism for minimization

LOGICAL :: LWARM_RD      ! read hessian for warm restart of the minimization
LOGICAL :: LWARM_WR      ! write hessian for future restart of the minimization

! Warm restart of the Hessian estimate:
CHARACTER :: CFVATRA*128 ! filename of the Hessian workfile for warm restart
INTEGER(KIND=JPIM) :: NMUPD    ! number of minimizer updates stored (if .not.linmem)

! Warm restart of the control variable: (see SUVAZX)
LOGICAL :: LREADSP       ! restart spectral arrays from file

!     ------------------------------------------------------------------
END MODULE YOMIOMI
