MODULE YOMLDDH

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
!     LOGIQUE DIAGNOSTIQUES DOMAINES HORIZONTAUX

!     LSDDH   : VRAI SI AU MOINS UN DIAGNOSTIC DDH ACTIF
!     LHDGLB = CALCULS EN VUE DES MOYENNES GLOBALES
!     LHDZON = CALCULS EN VUE DES MOYENNES ZONALES
!     LHDDOP = CALCULS EN VUE DES MOYENNES SUR DOMAINES LIMITES, POINTS
!              ISOLES COMPRIS
!     LHDLFA = TRUE IF OUTPUT ON LFA FILE OTHERWISE PSEUDOGRIB

!     LHDHKS = OPERE SUR MASSES, ENERGIES ET SOL
!     LHDMCI = OPERE SUR MOMENT CINETIQUE
!     LHDENT = OPERE SUR ENTROPIE

!     LHDPRG = CUMUL ET IMPRESSION MOYENNES GLOBALES
!     LHDPRZ = CUMUL ET IMPRESSION MOYENNES ZONALES (1 BANDE: NDHZPR)
!     LHDPRD = CUMUL ET IMPRESSION DOMAINES LIMITES (TOUS DOMAINES)
!     LHDPR = DES IMPRESSIONS SONT DEMANDEES

!     LHDEFG = CUMUL ET ECRITURE FICHIER DES MOYENNES GLOBALES
!     LHDEFZ = CUMUL ET ECRITURE FICHIER DES MOYENNES ZONALES
!     LHDEFD = CUMUL ET ECRITURE FICHIER DOMAINES LIMITES
!     LHDEF = DES ECRITURES DE FICHIERS SONT DEMANDEES

!     LHDLIST = IMPRESSIONS COMPLETES
!            LES INDICATEURS SUIVANTS SONT DE NIVEAU 4 ET PLUS
!            AU PAS DE TEMPS EN COURS (NSTEP):

!     LHDOUFG = "SYNTHESIS" AND WRITE OUT GLOBAL MEAN DDH
!     LHDOUFZ = "SYNTHESIS" AND WRITE OUT ZONAL MEAN DDH
!     LHDOUFD = "SYNTHESIS" AND WRITE OUT LIMITED AREAS DDH
!     LHDOUP = EFFECTUER UNE SYNTHESE ET IMPRESSION

!     LHDFIL = IMPRESS. DE LA LISTE DES ARTICLES DES FICHIERS DE SORTIE.

LOGICAL :: LSDDH
LOGICAL :: LHDGLB
LOGICAL :: LHDZON
LOGICAL :: LHDDOP
LOGICAL :: LHDLFA
LOGICAL :: LHDHKS
LOGICAL :: LHDMCI
LOGICAL :: LHDENT
LOGICAL :: LHDPRG
LOGICAL :: LHDPRZ
LOGICAL :: LHDPRD
LOGICAL :: LHDPR
LOGICAL :: LHDEFG
LOGICAL :: LHDEFZ
LOGICAL :: LHDEFD
LOGICAL :: LHDEF
LOGICAL :: LHDLIST
LOGICAL :: LHDOUFG
LOGICAL :: LHDOUFZ
LOGICAL :: LHDOUFD
LOGICAL :: LHDOUP
LOGICAL :: LHDFIL
LOGICAL :: LONLYVAR
LOGICAL :: LHDORIGP
LOGICAL :: LHDCDPI
LOGICAL :: LFLEXDIA

!     ------------------------------------------------------------------
END MODULE YOMLDDH
