MODULE YOMLFI

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
!**   YOMLFI   **
! Management of contraction, dilatation and rotation matrix files
! Gestion des fichiers pour les matrices de contraction, dilatation, rotation

! NIMES   :  Level for messages
!            Niveau de messagerie attribue au fichier
! NFACTD  :  Factor to enhance I/O on contr./dilat. matrixes
!            Facteur de granularite attribue aux matrices de contraction et
!            dilatation (pour accelerer les E/S)
! NFACTR  :  Factor to enhance I/O on rotation matrix
!            Facteur de granularite attribue a la matrice de rotation
!            (pour accelerer les E/S)

INTEGER(KIND=JPIM) :: NIMES
INTEGER(KIND=JPIM) :: NFACTD
INTEGER(KIND=JPIM) :: NFACTR
!     ------------------------------------------------------------------
END MODULE YOMLFI
