MODULE YOMOMPDIST

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

! ----------------------------------------------------------------------
!*    OpenMP distributed variables (per MPI process)

!     GPP         : Grid point array 

!     LOMPDIST    : .T. distributed arrays (per mpi process) will be
!                 :     allocated higher in the call tree to minimise
!                 :     memory allocation overheads

REAL(KIND=JPRB), ALLOCATABLE :: GPP(:,:,:)

LOGICAL :: LOMPDIST

!     ------------------------------------------------------------------
END MODULE YOMOMPDIST
