MODULE YOMOZO

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!     GRID POINT ARRAYS FOR OZONE: DM-GLOBAL VERSIONS

!     REAL TOZ1D (NFLEVG*NVCLIS*NTOZ1D)
!     REAL TOZ2DG(NFLEVG*NVCLIS*NTOZ2D,NDGSAG:NDGENG)
!     REAL TOZ3DBG(0:NDLSM,NFLEVG*NVCLIS*NTOZ3D,NDGSAG:NDGENG)
REAL(KIND=JPRB),ALLOCATABLE:: TOZ1D(:)
REAL(KIND=JPRB),ALLOCATABLE:: TOZ2DG(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TOZ3DBG(:,:,:)

!     GRID POINT ARRAYS FOR OZONE: DM-LOCAL VERSIONS

REAL(KIND=JPRB),ALLOCATABLE:: TOZ2DL(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TOZ3DBL(:,:)

!     TEECL2: EQUIVALENT CHLORINE CONTENT**2
REAL(KIND=JPRB) ::  TEECL2

!     THE FIELDS FOR OZONE PARAMETERIZATION MAY BE STORED IN A FULL 3D BUFFER
!     OR ONLY IN A LATITUDExLEVEL ARRAY (VALID ONLY IF NSTTYP = 1 )

END MODULE YOMOZO
