MODULE YOMPHYDS

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!     DESCRIPTION OF PHYSICS FIELDS

!     For description of the different extra groups 

!    C.....    - ARPEGE field name for .....
!    N.....GB  - GRIB code for .....
!    .....DF   - default value for .....

INTEGER(KIND=JPIM), PARAMETER :: JPVXP=20
INTEGER(KIND=JPIM), PARAMETER :: JPVXP2=50
INTEGER(KIND=JPIM), PARAMETER :: JPCXP=50
INTEGER(KIND=JPIM), PARAMETER :: JPVEXTR=255
INTEGER(KIND=JPIM), PARAMETER :: JPVXTR2=255

CHARACTER (LEN = 16) ::  CEXTRP(JPCXP,JPVXP)
CHARACTER (LEN = 16) ::  CXTRP2(JPVXP2)
CHARACTER (LEN = 16) ::  CVEXTRA(JPVEXTR)
CHARACTER (LEN = 16) ::  CVEXTR2(JPVXTR2)

INTEGER(KIND=JPIM) :: NEXTRPGB(JPCXP,JPVXP)
INTEGER(KIND=JPIM) :: NXTRP2GB(JPVXP2)
INTEGER(KIND=JPIM) :: NVEXTRAGB(JPVEXTR)
INTEGER(KIND=JPIM) :: NVEXTR2GB(JPVXTR2)

REAL(KIND=JPRB) :: EXTRPDF(JPCXP,JPVXP)
REAL(KIND=JPRB) :: XTRP2DF(JPVXP2)
REAL(KIND=JPRB) :: VEXTRADF(JPVEXTR)
REAL(KIND=JPRB) :: VEXTR2DF(JPVXTR2)

END MODULE YOMPHYDS
