MODULE YOMSLD

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!* -----------------------------------------------------------

!  Control variables for the SL diffusion:
!  variables computed in SUGEM2 or SUEGEO.
!  (the other variables involved in SL diffusion are in YOMDYN).

!* ===========================================================

! SLHDP   :    Factor of the actual model resolution
!              i.e.
!              - for plane geometry:
!                = sqrt( (ELX/NMSMAX)^2 + (ELY/NSMAX)^2 )
!              - for spherical geometry: 
!                = 2 Pi sqrt( a**2 / (NSMAX*(NSMAX+1)) )

! ------------------------------------------------------------

REAL(KIND=JPRB) :: SLHDP 

! ------------------------------------------------------------
END MODULE YOMSLD
