MODULE YOMSRLX

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

! -----------------------------------------------------------------------------

!     SPECTRAL ARRAYS FOR RELAXATION

! XPRLXG: temporal coefficient.

! TRLXTE: coefficient for temperature.
! TRLXDI: coefficient for divergence.
! TRLXVO: coefficient for vorticity.
! TRLXVO: coefficient for specific huumidity.
! TRLXLP: coefficient for log(prehyds).

REAL(KIND=JPRB),ALLOCATABLE:: XPRLXG(:)

REAL(KIND=JPRB),ALLOCATABLE:: TRLXTE(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TRLXDI(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TRLXVO(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TRLXQ(:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TRLXQI(:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TRLXQL(:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TRLXQC(:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: TRLXLP(:,:)

! -----------------------------------------------------------------------------

END MODULE YOMSRLX

