MODULE YOMSTRE

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!*     YOMSTID - SATELLITE ID's

!        D. VASILJEVIC   ECMWF     15/09/94

!     INPUT (BUFR) RETRIEVAL CODES

!     NAME        TYPE                   MEANING
!     ----        ----                   -------
!     RCLEAR        R       CLEAR
!     RPCLOU        R       PARTLY CLOUDY
!     RCLOUD        R       CLOUDY

!     OUTPUT (CMA) RETRIEVAL CODES

!     NAME        TYPE                   MEANING
!     ----        ----                   -------
!     NCLEAR        I       CLEAR
!     NPCLOU        I       PARTLY CLOUDY
!     NCLOUD        I       CLOUDY

REAL(KIND=JPRB) :: RCLEAR
REAL(KIND=JPRB) :: RPCLOU
REAL(KIND=JPRB) :: RCLOUD

!-----------------------------------------------------------------------

INTEGER(KIND=JPIM) :: NCLEAR
INTEGER(KIND=JPIM) :: NPCLOU
INTEGER(KIND=JPIM) :: NCLOUD

!-----------------------------------------------------------------------

END MODULE YOMSTRE
