MODULE YOMTRANS

USE PARKIND1  ,ONLY : JPIM, JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    SPECTRAL TRANSFORMS CONTROL VARIABLES

!     NPROMATR : max. number of fields to be transformed at each call in
!                arpege/ifs inverse transforms
!                = 0 : all fields
!                > 0 : such number of fields
!     NEPROMATR : max. number of fields to be transformed at each call in
!                aladin inverse transforms
!                = 0 : all fields
!                > 0 : such number of fields
!     RDISTR_E  : between 0. and 1. (debault 0.) part of E zone that will
!                 be distributed   
INTEGER(KIND=JPIM) :: NPROMATR
INTEGER(KIND=JPIM) :: NEPROMATR
REAL(KIND=JPRB) :: RDISTR_E 
LOGICAL         :: LMONO_TRANS
!     ------------------------------------------------------------------
END MODULE YOMTRANS
