!*    NAMELIST NAMSCC  - OBSERVATION SCREENING CONTROL PARAMETERS

!        HEIKKI JARVINEN     ECMWF     15/03/1996
!        ELISABETH GERARD    ECMWF     15/01/1999 (Modification)
!            SSM/I wind speed and total column water vapour 
!            have their own thinning parameter.
!        DAVID TAN           ECMWF     25/11/2003 (Modification)
!            Variables for Analysis Ensembles
!        CHRISTOPHE PAYAN    MF        ??/04/2005
!            introduction of NICESEAMASK integer key
!                 =0 : default value
!                 =1 : based on SST
!                 =2 : based on ice-sea concentration
!        HANS HERSBACH       ECMWF     21/02/2007
!                 =3 : based on ice-sea concentration AND SST
!        HANS HERSBACH       ECMWF     15/11/2007
!                 NSCAWSOLMAX: max number of scat ambiguities
!                 LQSCATAZI  : T perform QC on azmith diversity for QuikSCAT
!        PAUL POLI           MF        06/03/2007
!            introduction of thinning parameters for GPSRO
!        CHRISTOPHE PAYAN    MF        ??/04/2007
!            NSCAT5_RQC  - /1,2/ Quikscat RainQC based on /raincontamination,dist2cone/


NAMELIST/NAMSCC/&
&LSCDPR ,LSCRE4D,  LTARGDROP, &
&RMIND_TOV, RFIND_TOV, RMIND_SSMI, RFIND_SSMI_PWC,&
&RFIND_SSMI_WSP, RMIND_SATOB, RFIND_SATOB, RFIND_AIREP,&
&RMIND_SATAM, RFIND_SATAM ,&
&RMIND_RAD1C, RFIND_RAD1C, FL_MAXSPEED ,&
&RMIND_GPSRO, RFIND_GPSRO, &
&RMIND_RADAR, RFIND_RADAR, &
&RMIND_SCATT_ERS, RFIND_SCATT_ERS, NTHINSCA, NICESEAMASK, NSCAT5_RQC, NSCAWSOLMAX,&
&LQSCATAZI,LOSCATAZI,LPERTURB, NAENSEMBLE, NAEMEMBER, RAIREPTHIN, RAIREPPCENTTHIN,&
&RAIREPTOPPRES

!     ------------------------------------------------------------------




