!======================= BOOLEANS =========================
! This bit is now in a module (yoeadbuffer.F90 and suadbuffer.F90).
!      BLOCK DATA BOOLEANS
!      LOGICAL :: adl4buf(512), adl4lbuf(512)
!      INTEGER(KIND=JPIM) :: adl4ibuf,adl4ilbuf
!      LOGICAL :: adl4inlbuf
!      COMMON /adl4fbuf/adl4buf,adl4lbuf,
!     +       adl4ibuf,adl4ilbuf,adl4inlbuf
!      DATA adl4ibuf/1/
!      DATA adl4ilbuf/-1/
!      DATA adl4inlbuf/.FALSE./
!      END

     SUBROUTINE PUSHBOOLEAN(ldx)

      USE PARKIND1  ,ONLY : JPIM, JPRB
      USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

      USE YOEADBUFFER

      IMPLICIT NONE

      LOGICAL, INTENT(IN) :: ldx

      INTEGER(KIND=JPIM) :: i_adl4ilbuf
      LOGICAL :: ll_adl4inlbuf

      REAL(KIND=JPRB) :: ZHOOK_HANDLE

      IF (LHOOK) CALL DR_HOOK('PUSHBOOLEAN',0,ZHOOK_HANDLE)

      IF (i_adl4ilbuf /= -1) THEN
         i_adl4ilbuf = -1
         ll_adl4inlbuf = .FALSE.
      ENDIF
      IF (adl4ibuf >= 512) THEN
         adl4buf(512) = ldx
         CALL PUSHBOOLEANARRAY(adl4buf, 512)
         adl4ibuf = 1
      ELSE
         adl4buf(adl4ibuf) = ldx
         adl4ibuf = adl4ibuf+1
      ENDIF

      IF (LHOOK) CALL DR_HOOK('PUSHBOOLEAN',1,ZHOOK_HANDLE)
     END SUBROUTINE PUSHBOOLEAN
