SUBROUTINE ECR1D(KUL,CDNOMA,PTAB,KLONLOC,KLON)
! --------------------------------------------------------------
! **** *ECR1D* WRITE ON FILE A 2D FIELD (E.G. SURFACE TEMPERATURE).
! --------------------------------------------------------------
! SUJET:
! ------
! ARGUMENTS EXPLICITES:
! ---------------------
! ARGUMENTS IMPLICITES:
! ---------------------
! METHODE:
! --------
! EXTERNES:
! ---------
! AUTEUR:   95-03, J.M. PIRIOU.
! -------
! MODIFICATIONS:
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
! --------------------------------------------------------------
! EN ENTREE:
! EN SORTIE:
! --------------------------------------------------------------

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
INTEGER(KIND=JPIM),INTENT(IN)    :: KUL
CHARACTER(LEN=*)  ,INTENT(IN)    :: CDNOMA
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTAB(KLON)
INTEGER(KIND=JPIM),INTENT(IN)    :: KLONLOC 

REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('ECR1D',0,ZHOOK_HANDLE)

! ON ECRIT LE REEL SUR LE FICHIER LFA.
CALL LFAECRR(KUL,CDNOMA,PTAB(KLONLOC),1)

IF (LHOOK) CALL DR_HOOK('ECR1D',1,ZHOOK_HANDLE)

END SUBROUTINE ECR1D
