SUBROUTINE ECR2DF(KUL,CDNOMA,PTAB,KLONLOC,KLON,KLEV)
! --------------------------------------------------------------
! **** *ECR2D* WRITE ON FILE A 3D FIELD (E.G. HALF-LEVEL GEOPOTENTIEL).
! --------------------------------------------------------------
! SUJET:
! ------
! ARGUMENTS EXPLICITES:
! ---------------------
! ARGUMENTS IMPLICITES:
! ---------------------
! METHODE:
! --------
! EXTERNES:
! ---------
! AUTEUR:   95-03, J.M. PIRIOU.
! -------
! MODIFICATIONS:
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
! --------------------------------------------------------------
! EN ENTREE:
! EN SORTIE:
! --------------------------------------------------------------
USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE
INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV 
INTEGER(KIND=JPIM),INTENT(IN)    :: KUL
CHARACTER(LEN=*),INTENT(IN)      :: CDNOMA
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTAB(KLON,0:KLEV) 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLONLOC 
INTEGER(KIND=JPIM) ::JLEV,I_KDIM
REAL(KIND=JPRB) :: ZVERT(KLEV+1)
REAL(KIND=JPRB) :: ZHOOK_HANDLE
! ON RECOPIE LE TABLEAU 2D D'ENTREE SUR UN TABLEAU 1D.
IF (LHOOK) CALL DR_HOOK('ECR2DF',0,ZHOOK_HANDLE)
DO JLEV=0,KLEV
  ZVERT(JLEV+1)=PTAB(KLONLOC,JLEV)
ENDDO

! ON ECRIT LE TABLEAU 1D SUR LE FICHIER LFA.
I_KDIM=KLEV+1
CALL LFAECRR(KUL,CDNOMA,ZVERT,I_KDIM)
IF (LHOOK) CALL DR_HOOK('ECR2DF',1,ZHOOK_HANDLE)
END SUBROUTINE ECR2DF
