! Library:phys $Id: hltabdef.F90 5126 2007-05-11 16:21:54Z towil $

      subroutine hltabdef

      use parkind1  ,only  : jpim     ,jprb

      implicit none

#ifndef ESATSFUN
      real(kind=jprb)    :: ztemp
      logical            :: lesatinit = .false.
      integer(kind=jpim) :: jk
#include "hlesatsfun.h"
#include "hlesatstab.h"

      if (.not.lesatinit) then

       do jk=nstart,nstop
          ztemp = float(jk)/xndegr
          estab(jk) = esat(ztemp)
          destab(jk) = desdt(ztemp)

          estabw(jk) = esatw(ztemp)
          destabw(jk) = desdtw(ztemp)

          estabi(jk) = esati(ztemp)
          destabi(jk) = desdti(ztemp)

          if (ztemp > 273.15) then
!            Avoid ice calculation above freezing level:
             estabi(jk) = esatw(ztemp)
             destabi(jk) = desdtw(ztemp)
          endif

       enddo

       lesatinit = .true.
      endif
#endif

      end subroutine hltabdef
