#ifdef RS6K        
@PROCESS NOCHECK
#endif
SUBROUTINE EC_PHYS(CDCONF,KPROMA,KSMAX,KGPLAT,&
 & KBL,KNUMB,KSTGLO,PB2,&
 & PUT9,PVT9,PTT9,PSPT9,&
 & PGMVT1,PGMVT1S,PGFLT1,PGFL,PGFLSLP,&
 & PSP_SB,PSP_SG,PSP_RR,PSP_EP,PSP_X2,&
 & PSD_VF,PSD_VN,PSD_VD,PSD_WS,PSD_WW,PSD_XA,PSD_X2,&
 & PSP_OM,PSD_V2,PSD_V3,&  ! KPP
 & PEMTD,PTRSW,PEMTC,PTRSC,PTAUAER,&
 & PSRSWD,PSRSWDCS,PEDRO,&
 & PSRSWPAR,PSRSWUVB,PSRSWPARC,PSRSWTINC,PSRFDIR,PSRCDIR,&
 & PGEMU,PGELAM,PGELAT,PGESLO,PGECLO,POROG,&
 & PGNORDL,PGNORDM,PGSQM2,PGAW,&
 & PSTOPHU,PSTOPHV,PSTOPHT,PSTOPHQ,&
 & PSTOPHCA,PCUCONVCA,PNLCONVCA,PCAPECONVCA,&
 & PPBUP9, PPBVP9, PPBTP9,PPBGFLP9,&
 & PGP2DSDT,&
 & PSTREAM, PTEMP, PVELPOT, PTOTDISS, PTOTDISS_SMOOTH, &
 & PVORT, PVORTGRADY,PVORTGRADX,  &
 & PFORCEU,PFORCEV,PFORCET,PFORCEQ,PEXTRADYN,&  
 & PSAVTEND,& 
 & LDRAIN_LB, KHLPRDY, KT ,&
 & PMWAVE_OBS_BUF,PMWAVE_ZEN_BUF,PMWAVE_AZI_BUF,PMWAVE_TB_BUF,PMWAVE_OERR_BUF,&
 & PMWAVE_PERS1_BUF,&
 & PMWAVE_DIAG_BUF,PMWAVE_P19_BUF,PMWAVE_P37_BUF,PMWAVE_GNORM_BUF,&
 & KMWAVE_BUF,&
 & PSMOS_OBS_BUF,PSMOS_TB_BUF,PSMOS_ANGLE,&
 & KSMOS_BUF, &
 & DPTENQ0, DPTENQ1, &
 & PEMTD2,PTRSW2,PEMTC2,PTRSC2)

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
USE YOMDIM   , ONLY : NFLEVG   ,NPROMA   ,NPROMDLR
USE YOMSLPHY , ONLY : LSLPHY   ,NVTEND
USE YOMCT0   , ONLY : NSTART   ,NFRCO    ,N6BINS   ,LSLAG    ,LTWOTL,   LSCREEN
USE YOMCT3   , ONLY : NSTEP
USE YOMDYN   , ONLY : TDT, TSTEP
USE YOMDYNA  , ONLY : LRWSDLR
USE YOMGEM   , ONLY : VBH      ,VAH      ,VC       ,VDELB    ,NGPTOT
USE YOMRIP   , ONLY : RCODEC   ,RSIDEC   ,RCOVSR   ,RSIVSR
USE YOERIP   , ONLY : RCODECM  ,RSIDECM  ,RCOVSRM  ,RSIVSRM
USE YOMSC2   , ONLY : NFLDSLB2
USE YOEPHY   , ONLY : LEO3CH, LBUD23, LBUD23RST
USE YOMPPC   , ONLY : LRSACC
USE YOMCOAPHY, ONLY : NPHYINT
USE YOMDPHY  , ONLY : NTILES   ,NVEXTRDYN ,&
 & NVCLIS  ,NCSI     , NCSNEC  ,NCOM                         !KPP
USE YOMMDDH  , ONLY : NDHVTLS  ,NDHFTLS  ,NDHVTSS  ,NDHFTSS  ,&
 & NDHVTTS  ,NDHFTTS  ,NDHVTIS  ,NDHFTIS  ,NDHVSSS ,&
 & NDHFSSS  ,NDHVIIS  ,NDHFIIS  ,NDHVWLS  ,NDHFWLS ,&
 & NDHVFS   ,NDHFFS  
USE SURFACE_FIELDS_MIX  , ONLY :  GPPOPER,&
 & YSP_SBD, YSP_SB, YSP_SGD, YSP_SG,&
 & YSP_RRD, YSP_RR, YSD_WSD, YSD_WS, YSP_EPD,&
 & YSP_X2D, YSD_VDD, YSD_VD, YSD_VFD, YSD_VF,&
 & YSD_VND, YSD_VN, YSD_WWD, YSD_WW, YSD_XAD, YSD_X2D,&
 & YSP_OMD, YSP_OM, YSD_V2D, YSD_V2, YSD_V3D, YSD_V3  ! KPP

USE TRAJECTORY_MOD, ONLY : LTRAJSAVE, LTRAJPHYS, STORE_TRAJ_PHYS
USE YOPHNC   , ONLY : LETRAJP, LENCLD2
USE PTRSLB2  , ONLY : MSLB2VVEL
USE YOM_YGFL , ONLY : YGFL, YQ, YO3, YL, YI, YA, NGHG, NGRG, NGRG_CPLO4,  NTRAC, NACTAERO
USE YOE_TILE_PROP, ONLY : RUSTRTI, RVSTRTI, RAHFSTI, REVAPTI, RTSKTI
USE YOEWCOU  , ONLY : LWCOU, LWCUR, RMISSW
USE YOMGMV   , ONLY : YT1
USE PARONEDVAR , ONLY : NMAX_CHANNELS
USE YOMONEDVAR, ONLY : STREAM1D_NUM, STREAM1D_MODE, STREAM1D_ACTIVE
USE YOM_PTR_SSMI  ,ONLY : MFLDS_1D,&
 &      M_P0,M_T0,M_U10_FG,M_V10_FG,M_PS_FG,M_PC_FG,M_PS_AN,M_PC_AN, &
 &      M_WV_FG,M_WV_AN,M_ER_FG,M_ER_AN,M_U10_AN,M_V10_AN, &
 &      M_CO_AN, &
 &      MFLDS_1DDIAG,&
 &      MFLDS_2DLEV, &
 &      M_P_FG, &
 &      M_T_FG,M_Q_FG,M_R_FG,M_S_FG,M_W_FG,M_I_FG,M_C_FG, &
 &      M_T_AN,M_Q_AN,M_R_AN,M_S_AN,M_W_AN,M_I_AN,M_C_AN, &
 &      MFLDS_2DCHAN, &
 &      M_TB_OB,M_TB_ER,M_TB_FG,M_TB_AN,M_TB_BI,M_TB_3D, &
 &      LERAIN_ACTIVE
USE YOM_SSMI , ONLY : RAIN_1D_GP, RAIN_1DDIAG_GP, RAIN_2DCHAN_GP, &
 & MID_GP, MIT_GP, MIS_GP, MEPSG_GP, MIM_GP, MISATID_GP, MIFOV_GP, MIZEN_GP, MIAZI_GP
USE YOMNCL   , ONLY : GPCLOUDIN, LNCLIN
USE YOMRAIN_LB, ONLY : CLPROC, JPHLP, ICOPROCS
USE YOMMWAVE, ONLY : LEMWAVE_ACTIVE, N_SATSENS, NMWAVE_DIAG, NMWAVE_GNRM, MWAVE_RAD_TYPE, &
                   & MWAVE_ID, MWAVE_NO_OBS, NMWAVE_P
USE PARMWAVE, ONLY : NMAX_CHAN, IODB_MWAVE_P_OBS
USE YOMSMOS, ONLY : LESMOS_ACTIVE, SMOS_TB_TYPE, SMOS_NO_OBS, NPOL_MAX

USE YOMSEKF,  ONLY : LUSEKF_REF, LUSE_JATM
USE YOMSPSDT ,  ONLY : YGPSDT

USE YOMORB   , ONLY : LCORBMD, SHR_ORB_MU
USE PHY_DIAG_MOD, ONLY : RESET_ACCUM_DIAG

!**** *EC_PHYS* - ECMWF PHYSICS

!     Purpose.
!     --------
!           Grid point calculations lagged part.

!**   Interface.
!     ----------
!        *CALL* *EC_PHYS*

!        Explicit arguments :
!        --------------------
!        CDCONF    : configuration of work
!        KNUMB     : number of elements of arrays for which computations
!                    are performed (used in message passing version)
!        KSTGLO    : global offset (used in message passing version)
!        --- other dummy : missing some comments ---

!        Implicit arguments :
!        --------------------

!     Method.
!     -------
!        See documentation

!     Externals.
!     ----------
!        Called by EC_PHYS_DRV and EC_PHYSG.

!     Reference.
!     ----------

!     Author.
!     -------
!        Deborah Salmond *ECMWF*

!     Modifications.
!     --------------
!      Modified 01-11-27 by S. Abdalla: Passing 7 fields to wave model.
!        D.Salmond (15-10-01) FULLIMP mods
!        K.YESSAD (04-JAN-2002): Pruning.
!        JJMorcrette 02-09-30 PAR, UV, CAPE
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!        M.Hortal      01-Dec-2003 Introduce extra-fields coming from the dynamics
!        A.Tompkins    03-feb-2004 adding TCLW,TCIW
!        A.Untch  (Mar-2004) Passed full GFL arrays to callpar
!        P. Viterbo  24-05-2004  ZENES as callpar/postphy argument; Change surface units
!        J. Hague      06-Dec-2004  Load balancing for Rain assimilation
!        J. Hague      17-Feb-2005  Multiple Helpers for Load balancing
!        S.Serrar      17-Oct-2005  add total column for CO2 and SF6
!        A. Dethof     15-Dec-2005  Add total column GRG fields
!        M. Janiskova  25-Oct-2005  Initialization of GPCLOUDIN used by cloudsttl/ad
!        D.Salmond     22-Nov-2005  Mods for coarser/finer physics
!        J. Hague      22-Nov-2005  Clean Load balancing
!        M.Hamrud      15-Jan-2006  Revised GPRCP
!        J Flemming    28-Apr-2006  GRG auxiliary arrays to callpar
!        JJMorcrette   20060525     MODIS albedo
!        R. Engelen    02-Jun-2006  generic GHG total column
!        A.Geer        04-Apr-2006  1DVar rain assimilation: modified failure codes
!        M. Ko"hler    06-Jun-2006  Single Column Model option (LSCMEC) 
!        JJMorcrette 20060721 PP of clear-sky PAR and TOA incident solar radiation
!        JJMorcrette 20060807 PP of vertically integrated mass divergence VIMD
!        S. Serrar     07-Sep-2006  changes to include few tracers used for diagnostics
!        JJMorcrette   20060715     Desert dust climatological fields
!        M.Hamrud      01-Jul-2006  Revised surface fields
!        J. Bidlot     01-Dec-2006  add sea ice fraction to the list of fields for WAM
!        JJMorcrette   20060925     DU, BC, OM, SO2, SOA climatological fields
!        JJMorcrette   20061002     DDH for aerosol physics
!        JJMorcrette   20070321     Prognostic aerosols for radiation and clouds
!        A.Geer        23-Oct-2006  1DVar rain assimilation: more failure information
!        C.O'Dell      30-Jan-2007  Added zenith & azimuth angles for 1DVar
!        A.Geer        06-Mar-2007  Multiple sensors and streams in 1DVar
!        M. Drusch     20-Mar-2007  Add call to save soil moisture for SEKF
!        A. Geer       15-Apr-2008  Multiple sensors for rainy 4D-Var
!   N. Wedi and K. Yessad (Jan 2008): different dev for NH model and PC scheme
!        A. Beljaars   27-Mar-2009  WST instead of ZIDL to wave model
!        A. Geer       01-Oct-2008  Rainy 4D-Var tidying and centralised initialisation
!      GMozdzynski/JJMorcrette 20090128 bugfix dynamical extra fields
!        Y. Takaya     01-Feb-2009  Ocean mixed layer fields
!        P. de Rosnay  13- Feb-2009 Offline Jacobians in surface analysis SEKF
!        K. Yessad (March 2009): correct false comments for LRWSDLG=T
!        W. Bell       06-Mar-2009  Add azimuthal angles for Windsat
!        A. Geer       10-Jun-2009  Rainy 4D-Var passive mode and diagnostics
!  	 F. Karbou     16-Dec-2009  Surface emissivity estimation
!        H. Hersbach   04-Dec-2009 10-m neutral wind and friction velocity
!        J. Munoz Sabater (Oct.2009) Introduced SMOS data treatment
!        S. Boussetta/G.Balsamo      May 2009   (Add variable LAI) 
!        JJMorcrette   20091201     Total and clear-sky direct SW radiation flux at surface 
!        R. Forbes     01-Mar-2010  Adding TCRW,TCSW
!        JJMorcrette   20100212     PP of CBASE, 0DEGL and VISIH
!        T. Wilhelmsson (25 Mar 2010) Add 6 hourly min/max fields
! End Modifications
!     -----------------------------------------------------------------------------

IMPLICIT NONE

CHARACTER(LEN=1)  ,INTENT(IN)    :: CDCONF 
INTEGER(KIND=JPIM),INTENT(IN)    :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN)    :: KSMAX
INTEGER(KIND=JPIM),INTENT(IN)    :: KGPLAT(KPROMA)
INTEGER(KIND=JPIM),INTENT(IN)    :: KBL 
INTEGER(KIND=JPIM),INTENT(IN)    :: KNUMB 
INTEGER(KIND=JPIM),INTENT(IN)    :: KSTGLO
REAL(KIND=JPRB)   ,INTENT(IN)    :: PB2(KPROMA,NFLDSLB2) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PUT9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVT9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTT9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSPT9(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PGMVT1(KPROMA,NFLEVG,YT1%NDIM) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGMVT1S(KPROMA,YT1%NDIMS) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PGFLT1(KPROMA,NFLEVG,YGFL%NDIM1) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PGFL(KPROMA,NFLEVG,YGFL%NDIM) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PGFLSLP(KPROMA,NFLEVG,YGFL%NDIMSLP) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSP_SB(NPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSP_SG(NPROMA,YSP_SGD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSP_RR(NPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSP_EP(NPROMA,YSP_EPD%NLEVS,YSP_EPD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSP_X2(NPROMA,YSP_X2D%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_VF(NPROMA,YSD_VFD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_VN(NPROMA,YSD_VND%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_VD(NPROMA,YSD_VDD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_WS(NPROMA,YSD_WSD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_WW(NPROMA,YSD_WWD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_XA(NPROMA,YSD_XAD%NLEVS,YSD_XAD%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_X2(NPROMA,YSD_X2D%NDIM)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSP_OM(NPROMA,YSP_OMD%NLEVS,YSP_OMD%NDIM)  !KPP
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_V2(NPROMA,YSD_V2D%NDIM)                !KPP
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSD_V3(NPROMA,YSD_V3D%NLEVS,YSD_V3D%NDIM)  !KPP
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PEMTD(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTRSW(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PEMTC(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTRSC(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTAUAER(KPROMA,1:NFLEVG,6) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSRSWD(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSRSWDCS(KPROMA)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PEDRO(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSRSWPAR(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSRSWUVB(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSRSWPARC(KPROMA), PSRSWTINC(KPROMA)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSRFDIR(KPROMA)  , PSRCDIR(KPROMA)

REAL(KIND=JPRB)   ,INTENT(IN)    :: PGEMU(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGELAM(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGELAT(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGESLO(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGECLO(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: POROG(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGNORDL(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGNORDM(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGSQM2(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGAW(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTOPHU(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTOPHV(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTOPHT(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTOPHQ(KPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSTOPHCA(NPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PCUCONVCA(NPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PNLCONVCA(NPROMA) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PCAPECONVCA(NPROMA) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PPBUP9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PPBVP9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PPBTP9(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PPBGFLP9(KPROMA,NFLEVG,YGFL%NUMFLDS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGP2DSDT(KPROMA,YGPSDT%NG2D ) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFORCEU(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFORCEV(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFORCET(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFORCEQ(KPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PEXTRADYN(KPROMA,NFLEVG,NVEXTRDYN) 
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PSAVTEND (KPROMA,NFLEVG,NVTEND)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PSTREAM(NPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PTEMP(NPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PVELPOT(NPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTOTDISS_SMOOTH(NPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PTOTDISS(NPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVORTGRADX(NPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVORTGRADY(NPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PVORT(NPROMA,NFLEVG)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PMWAVE_OBS_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PMWAVE_ZEN_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PMWAVE_AZI_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PMWAVE_TB_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PMWAVE_OERR_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PMWAVE_PERS1_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PMWAVE_DIAG_BUF(NGPTOT,NMWAVE_DIAG,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PMWAVE_P19_BUF(NGPTOT,NMWAVE_P,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PMWAVE_P37_BUF(NGPTOT,NMWAVE_P,N_SATSENS)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMWAVE_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PMWAVE_GNORM_BUF(NGPTOT,NMWAVE_GNRM,N_SATSENS)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSMOS_OBS_BUF(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PSMOS_ANGLE(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PSMOS_TB_BUF(NGPTOT,0:NPOL_MAX-1)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSMOS_BUF(NGPTOT,0:NPOL_MAX-1)
LOGICAL           ,INTENT(IN)     :: LDRAIN_LB
INTEGER(KIND=JPIM),INTENT(IN)     :: KHLPRDY(JPHLP+1)
INTEGER(KIND=JPIM),INTENT(IN)     :: KT
REAL(KIND=JPRB)   ,INTENT(OUT) :: DPTENQ0(KPROMA,NFLEVG,4),DPTENQ1(KPROMA,NFLEVG,4)

! Double radiation
REAL(KIND=JPRB)   ,INTENT(IN)    :: PEMTD2(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTRSW2(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PEMTC2(KPROMA,1:NFLEVG+1)
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTRSC2(KPROMA,1:NFLEVG+1)
!     ------------------------------------------------------------------

! ZPRE9  : (KPROMA,0:NFLEVG)     ; HALF LEVEL PRESSURE
! ZPRE9F : (KPROMA,  NFLEVG)     ; FULL LEVEL PRESSURE
REAL(KIND=JPRB) :: ZPRE9(KPROMA,0:NFLEVG),ZPRE9F(KPROMA,NFLEVG)
! ZDELP9 : (KPROMA,0:NFLEVG+1)   ; PRESSURE DIFFERENCE ACROSS LAYERS
! ZRDELP9: (KPROMA,  NFLEVG  )   ; THEIR INVERSE
! ZLNPR9 : (KPROMA,  NFLEVG  )   ; LOGARITHM OF RATIO OF PRESSURE
! ZALPH9 : (KPROMA,  NFLEVG  )   ; COEFFICIENTS OF THE HYDROSTATICS
! ZRTGR9 : (KPROMA,  NFLEVG  )   ; FOR PRES.GRAD. TERM AND ENER. CONV. TERM
! ZRPRE9 : (KPROMA,  NFLEVG  )   ; INVERSE OF PRESSURE
! ZRPP9  : (KPROMA,  NFLEVG  )   ; INVERSE OF PRESSURE(J)*PRESSURE(J-1)

REAL(KIND=JPRB) :: ZTENQD(KPROMA,NFLEVG) 
REAL(KIND=JPRB) :: ZDELP9(KPROMA,0:NFLEVG+1),ZRDELP9(KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZLNPR9(KPROMA,  NFLEVG  ),ZALPH9 (KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZDUM  (KPROMA,  NFLEVG  )

! ZR9    : (KPROMA,NFLEVG)       ; R

REAL(KIND=JPRB) :: ZR9(KPROMA,NFLEVG)

! ZPHI9  : (KPROMA,0:NFLEVG)     ; HALF LEVEL GEOPOTENTIAL
! ZPHIF9 : (KPROMA,  NFLEVG)     ; FULL LEVEL GEOPOTENTIAL

REAL(KIND=JPRB) :: ZPHI9(KPROMA,0:NFLEVG),ZPHIF9(KPROMA,NFLEVG)

! ZMU0  : (KPROMA)            ; SOLAR ANGLE
! ZMU0M : (KPROMA)            ; SOLAR ANGLE (between radiation steps)

REAL(KIND=JPRB) :: ZMU0(KPROMA)
REAL(KIND=JPRB) :: ZMU0M(KPROMA)
!     --- ECMWF EXTRA ARRAYS, TIME 1 ---
REAL(KIND=JPRB) :: ZPRS1(KPROMA,0:NFLEVG), ZPRSF1(KPROMA,NFLEVG)

!     --- FLUXES FROM PARAMETERISATIONS ---
REAL(KIND=JPRB) :: ZDIFCQ(KPROMA,0:NFLEVG), ZDIFCS(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZDIFTQ(KPROMA,0:NFLEVG), ZDIFTS(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZDIFTQN(KPROMA,0:NFLEVG),ZDIFTQL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZFCCQN(KPROMA,0:NFLEVG), ZFCCQL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZFCSQN(KPROMA,0:NFLEVG), ZFCSQL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZFCQLNG(KPROMA,0:NFLEVG),ZFCQNNG(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZFCQNG(KPROMA,0:NFLEVG), ZFPLCL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZFPLCN(KPROMA,0:NFLEVG), ZFPLSL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZFPLSN(KPROMA,0:NFLEVG), ZFRSO (KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZFRTH (KPROMA,0:NFLEVG), ZSTRCU(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZSTRCV(KPROMA,0:NFLEVG), ZSTRDU(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZSTRDV(KPROMA,0:NFLEVG), ZSTRTU(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZSTRTV(KPROMA,0:NFLEVG), ZVD2Q(KPROMA)
REAL(KIND=JPRB) :: ZTOFDU(NPROMA), ZTOFDV(NPROMA)
!     --- FLUXES FROM PARAMETERISATIONS AND TENDENCIES COMP.
REAL(KIND=JPRB) :: ZFHPSL(KPROMA,0:NFLEVG), ZFHPSN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) :: ZFHPCL(KPROMA,0:NFLEVG), ZFHPCN(KPROMA,0:NFLEVG)

!     --- SURFACE TENDENCIES ---
REAL(KIND=JPRB) :: ZSNSE1(KPROMA), ZTSAE1(KPROMA,YSP_SBD%NLEVS)

REAL(KIND=JPRB) :: ZASNE1(KPROMA), ZRSNE1(KPROMA), ZTSNE1(KPROMA)

REAL(KIND=JPRB) :: ZWLE1 (KPROMA), ZTLE1(KPROMA), ZWSAE1(KPROMA,YSP_SBD%NLEVS)
REAL(KIND=JPRB) :: ZTISAE1(KPROMA,YSP_SBD%NLEVS)
REAL(KIND=JPRB) :: ZEXTRE1(KPROMA,YSP_EPD%NLEVS,YSP_EPD%NUMFLDS),ZXTR2E1(KPROMA,YSP_X2D%NUMFLDS)

REAL(KIND=JPRB) :: ZUOE1(NPROMA,YSP_OMD%NLEVS) !KPP
REAL(KIND=JPRB) :: ZVOE1(NPROMA,YSP_OMD%NLEVS) !KPP
REAL(KIND=JPRB) :: ZTOE1(NPROMA,YSP_OMD%NLEVS) !KPP
REAL(KIND=JPRB) :: ZSOE1(NPROMA,YSP_OMD%NLEVS) !KPP

!     --- SURFACE FIELDS FOR DDH

REAL(KIND=JPRB) :: ZDHTLS(KPROMA,NTILES,NDHVTLS+NDHFTLS)
REAL(KIND=JPRB) :: ZDHTSS(KPROMA,NCSNEC,NDHVTSS+NDHFTSS)
REAL(KIND=JPRB) :: ZDHTTS(KPROMA,YSP_SBD%NLEVS,NDHVTTS+NDHFTTS)
REAL(KIND=JPRB) :: ZDHTIS(KPROMA,NCSI,NDHVTIS+NDHFTIS)
REAL(KIND=JPRB) :: ZDHSSS(KPROMA,NCSNEC,NDHVSSS+NDHFSSS)
REAL(KIND=JPRB) :: ZDHIIS(KPROMA,NDHVIIS+NDHFIIS)
REAL(KIND=JPRB) :: ZDHWLS(KPROMA,YSP_SBD%NLEVS,NDHVWLS+NDHFWLS)
REAL(KIND=JPRB) :: ZDHFSS(KPROMA,NDHVFS+NDHFFS)

!     --- MISCELLANEOUS PARAMETERISATIONS, 2D ARRAYS ---
REAL(KIND=JPRB) :: ZNEB   (KPROMA,NFLEVG), ZQLI   (KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZQICE  (KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZQSAT  (KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZCBASE (KPROMA), Z0DEGL(KPROMA), ZVISIH(KPROMA)
REAL(KIND=JPRB) :: ZFRSOC(KPROMA,0:1),ZFRTHC(KPROMA,0:1)
REAL(KIND=JPRB) :: ZFRSOD(KPROMA)    ,ZFRTHD(KPROMA)
REAL(KIND=JPRB) :: ZUVDF (KPROMA), ZPARF(KPROMA), ZCAPE(KPROMA)
REAL(KIND=JPRB) :: ZPARCF(KPROMA), ZTINCF(KPROMA)
REAL(KIND=JPRB) :: ZFDIR (KPROMA), ZCDIR (KPROMA)
REAL(KIND=JPRB) :: ZINCSR(KPROMA)
INTEGER(KIND=JPIM) :: ITYPE(KPROMA)

!     --- OZONE PHOTO-CHEMISTRY FIELDS ---
REAL(KIND=JPRB) :: ZKOZO(KPROMA,NFLEVG*NVCLIS+1)

!     --- 1D DIAGNOSTIC FIELDS, SURFACE FLUXES
REAL(KIND=JPRB) :: ZEMIS  (KPROMA)
REAL(KIND=JPRB) :: ZFCHSP (KPROMA),ZFCLL  (KPROMA)
REAL(KIND=JPRB) :: ZFCLN  (KPROMA),ZFEVN  (KPROMA),ZFEVL  (KPROMA)
REAL(KIND=JPRB) :: ZENES  (KPROMA,YSP_SBD%NLEVS)
REAL(KIND=JPRB) :: ZFLWSP (KPROMA)
REAL(KIND=JPRB) :: ZFONTE (KPROMA)
REAL(KIND=JPRB) :: ZRUISP (KPROMA)
REAL(KIND=JPRB) :: ZRUISS (KPROMA)
REAL(KIND=JPRB) :: ZUSTRG (KPROMA),ZVSTRG (KPROMA),ZVDISG (KPROMA)
REAL(KIND=JPRB) :: ZVDIS  (KPROMA),ZISUND (KPROMA)
REAL(KIND=JPRB) :: ZI10FG(KPROMA),ZILSPF(KPROMA)

!     --- PHYSICS TENDENCIES TO BE INTERPOLATED AT THE ORIGIN POINT ---

INTEGER(KIND=JPIM) :: IEND, IST, JLEV, JROF, ICH, IDIAG, IGNRM, JROF_ONED, JSAT, JLOC, IPOL
INTEGER(KIND=JPIM) :: JBIN, IN6BINS, I6BIN, I6PREVBIN, I6BINLEN

LOGICAL :: LLFSTEP,LLSLPHY, LLMLPP, LLRS6, LLRAIN1D    

REAL(KIND=JPRB) :: ZDT, ZDTPHY
REAL(KIND=JPRB) :: ZR_PJ, ZEPS_WV_PJ, ZCONS_PJ, ZKAPPA_PJ, ZGZNLEV_PJ
REAL(KIND=JPRB) :: ZIPBL_PJ, ZCPD_PJ, ZRG_PJ, Z1D3_PJ 
REAL(KIND=JPRB) :: ZRHO_A, ZTAU_U, ZTAU_V, ZUST, ZLOG 
REAL(KIND=JPRB) :: ZROWQ, ZROWT, ZBUO, ZWST
REAL(KIND=JPRB) :: ZEANG(KPROMA,STREAM1D_NUM), ZAZIM(KPROMA,STREAM1D_NUM)
INTEGER(KIND=JPIM) :: IID(KPROMA,STREAM1D_NUM)
INTEGER(KIND=JPIM) :: IIT(KPROMA,STREAM1D_NUM), IIM(KPROMA,STREAM1D_NUM)
INTEGER(KIND=JPIM) :: IIS(KPROMA,STREAM1D_NUM)
REAL(KIND=JPRB) :: ZEPSG(KPROMA,STREAM1D_NUM)
INTEGER(KIND=JPIM) :: IISATID(KPROMA,STREAM1D_NUM)
INTEGER(KIND=JPIM) :: IIFOV(KPROMA,STREAM1D_NUM)
REAL(KIND=JPRB) :: ZRAIN_1D(KPROMA,STREAM1D_NUM,MFLDS_1D)
REAL(KIND=JPRB) :: ZRAIN_1DDIAG(KPROMA,STREAM1D_NUM,MFLDS_1DDIAG)
REAL(KIND=JPRB) :: ZRAIN_2DCHAN(KPROMA,STREAM1D_NUM,NMAX_CHANNELS,MFLDS_2DCHAN)
REAL(KIND=JPRB) :: ZRAIN_2DLEV(KPROMA,NFLEVG,MFLDS_2DLEV)
REAL(KIND=JPRB) :: ZFPLCLPSL(KPROMA,1:NFLEVG), ZFPLCNPSN(KPROMA,1:NFLEVG)
REAL(KIND=JPRB) :: ZFPL1D(KPROMA,1:NFLEVG), ZFPI1D(KPROMA,1:NFLEVG)
REAL(KIND=JPRB) :: ZFPA1D(KPROMA,1:NFLEVG)

!*     Local arrays for rain/cloud MWave assimilation
TYPE (MWAVE_RAD_TYPE) :: YL_MWAVE_RAD  (KPROMA,N_SATSENS)

!*     Local arrays for SMOS L-band radiances assimilation
TYPE (SMOS_TB_TYPE) :: YL_SMOS_TB  (KPROMA)

REAL(KIND=JPRB) :: ZHOOK_HANDLE

REAL(KIND=JPRB) :: ZBUGWAM(KPROMA)
REAL(KIND=JPRB) :: ZTENT(KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZTENQ(KPROMA,NFLEVG)

REAL(KIND=JPRB) :: ZGHG(KPROMA,NGHG), ZTRAC(KPROMA,NTRAC),ZGRG(KPROMA,NGRG),& 
& ZGFLFLX(KPROMA,NGRG+NTRAC),&
& ZAERODDF(KPROMA,NACTAERO,7), ZAEROTC(KPROMA,NACTAERO), ZAEROF(KPROMA,NACTAERO,7)

REAL(KIND=JPRB),ALLOCATABLE :: ZPRS1O(:,:),ZPRSF1O(:,:),ZSPD9(:,:)
REAL(KIND=JPRB) :: ZASR2(NPROMDLR,NFLEVG)
REAL(KIND=JPRB) :: ZRSAH(NPROMDLR,0:NFLEVG)

INTEGER(KIND=JPIM) :: ILEVO

INTEGER(KIND=JPIM) :: JNCH

!--------  Load Balancing Start --------------
INTEGER(KIND=JPIM) :: IENDJ(JPHLP+1), ISTJ(JPHLP+1), IENDLOCAL, ISTLOCAL
INTEGER(KIND=JPIM) :: J, JJ, IBLK, JGHG, JTRAC ,JGRG, ISTREAM1D
!--------  Load Balancing End ----------------

!-- for debug of TOA Incident solar radiation
REAL(KIND=JPRB) :: ZINCSR0(KPROMA)
!     ------------------------------------------------------------------

#include "callpar.intfb.h"
#include "cumcoe.intfb.h"
#include "gnhdlrb.intfb.h"
#include "gpgeo.intfb.h"
#include "gpino3ch.intfb.h"
#include "gppre.intfb.h"
#include "gppref.intfb.h"
#include "gppreh.intfb.h"
#include "gprcp.intfb.h"
#include "gpxyb.intfb.h"
#include "postphy.intfb.h"
#include "onedvar_raintb.intfb.h"
#include "onedvar_raintb_snd.intfb.h"
#include "onedvar_raintb_rcv.intfb.h"
#include "onedvar_raintb_set.intfb.h"
#include "store_sekf_cv.intfb.h"

!     ------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('EC_PHYS',0,ZHOOK_HANDLE)

!     ------------------------------------------------------------------

!*       1.    Interface to global arrays.
!              ---------------------------

!*       1.1   INITIAL COMPUTATIONS

IF(NSTEP > 0) THEN
  LLFSTEP = .FALSE.
ELSE
  LLFSTEP = .TRUE.
ENDIF

ZDT= TDT

IF(CDCONF == 'B') THEN
  LLMLPP = .TRUE.
ELSE
  LLMLPP = .FALSE.
ENDIF
LLSLPHY = LSLPHY.AND.LSLAG
LLRAIN1D = .FALSE.
IST   = 1
IEND  = KNUMB

ILEVO = NCOM-1 !KPP

I6BINLEN  = MAX(3600,INT(TSTEP))
IN6BINS   = 6*3600/I6BINLEN
I6BIN     = MOD(INT(( NSTEP   *TSTEP)/I6BINLEN),IN6BINS) + 1
I6PREVBIN = MOD(INT(((NSTEP-1)*TSTEP)/I6BINLEN),IN6BINS) + 1
LLRS6 = (I6BIN /= I6PREVBIN)

!*       1.6   SURFACE FIELDS FOR PHYSICS

IF(LLFSTEP .AND. .NOT. LTWOTL) THEN
  CALL GPPOPER('SET9TO0', PSP_SB=PSP_SB,PSP_SG=PSP_SG,PSP_RR=PSP_RR,&
   &PSP_OM=PSP_OM,PSP_EP=PSP_EP,PSP_X2=PSP_X2)   !KPP
ENDIF
IF(CDCONF == 'A'.OR.CDCONF == 'B')THEN
  CALL GPPOPER('SET1TO9', PSP_SB=PSP_SB,PSP_SG=PSP_SG,PSP_RR=PSP_RR,&
   &PSP_OM=PSP_OM,PSP_EP=PSP_EP,PSP_X2=PSP_X2)   !KPP
ELSE
! put t values in ZGP1
! put t+delta_star values in IFLD9

  CALL GPPOPER('SET1TO0', PSP_SB=PSP_SB,PSP_SG=PSP_SG,PSP_RR=PSP_RR,&
   &PSP_OM=PSP_OM,PSP_EP=PSP_EP,PSP_X2=PSP_X2)  !KPP
ENDIF
ZBUGWAM(:) = PSP_RR(:,YSP_RR%YT%MP0)
!   initialize surface DDH fields

ZDHTLS(:,:,:) = 0.0_JPRB
ZDHTSS(:,:,:) = 0.0_JPRB
ZDHTTS(:,:,:) = 0.0_JPRB
ZDHTIS(:,:,:) = 0.0_JPRB
ZDHSSS(:,:,:) = 0.0_JPRB
ZDHIIS(:,:)   = 0.0_JPRB
ZDHWLS(:,:,:) = 0.0_JPRB
ZDHFSS(:,:)   = 0.0_JPRB

IF (LLFSTEP) THEN
  DO JBIN=1,N6BINS
    PSD_VD(IST:IEND,YSD_VD%YMX2T6(JBIN)%MP) =   0.0_JPRB
    PSD_VD(IST:IEND,YSD_VD%YMN2T6(JBIN)%MP) = 999.0_JPRB
    PSD_VD(IST:IEND,YSD_VD%Y10FG6(JBIN)%MP) =   0.0_JPRB
  ENDDO
ENDIF

!     ------------------------------------------------------------------

!*       3.   PREPARE FOR PHYSICS  COMPUTATIONS
!             ---------------------------------

!*      3.1   Compute pressure

DO JROF=IST,IEND
  ZPRE9 (JROF,NFLEVG) = EXP(PSPT9(JROF))
ENDDO

CALL GPPREH(KPROMA,IST,IEND,NFLEVG,VAH,VBH,ZPRE9)

!*      3.2   Compute auxiliary arrays related to the vertical

CALL GPXYB(KPROMA,IST,IEND,NFLEVG,VDELB,VC,&
 & ZPRE9,ZDELP9(1,1),ZRDELP9,ZLNPR9,ZALPH9,ZDUM,&
 & ZDUM,ZDUM)  
CALL GPPREF(KPROMA,IST,IEND,NFLEVG,ZALPH9,ZPRE9,ZPRE9F)

!*      3.3   Compute R, Cp 

CALL GPRCP(KPROMA,IST,IEND,NFLEVG,PGFL=PGFL,KGFLTYP=9,PR=ZR9)

!*      3.4   Transform "presim" pressures into "prehyd" pressures
!             for input to the physics
!             (deep-layer NH equations in the dynamics, but physics keeps
!             the thin layer assumption and should see "prehyd" pressures
!             only). 

IF (LRWSDLR) THEN
  ALLOCATE(ZSPD9(KPROMA,NFLEVG))
  ! Ignore (provisionally) the NH effects in this calculation,
  ! because GMV attribute YPH9%MSPD is not ready for the time being.
  ! Normally, ZSPD9 should be <=> PGMV(.,.,YPH9%MSPD,IBL) in EC_PHYS_DRV.
  ZSPD9(IST:IEND,1:NFLEVG)=0.0_JPRB
  ! Transform "presim" quantities into "prehyd" quantities.
  CALL GNHDLRB(KPROMA,IST,IEND,.TRUE.,POROG,PTT9,ZR9,ZSPD9, &
   & ZPRE9F,ZPRE9,ZDELP9(1,1),ZRDELP9,ZLNPR9,ZALPH9,PASR2=ZASR2,PRSAH=ZRSAH)
  DEALLOCATE(ZSPD9)
  ! PSPT9 should not be used from now on in the remaining part of EC_PHYS.
ENDIF

!*      3.5   Integrate Hydrostatics

! ky: this calculation is done according to the thin layer equations 
!     (LRWSDLR=F) in all cases.

DO JROF=IST,IEND
  ZPHI9(JROF,NFLEVG) = POROG(JROF)
ENDDO

CALL GPGEO(KPROMA,IST,IEND,NFLEVG,&
 & ZPHI9,ZPHIF9,PTT9,ZR9,ZLNPR9,ZALPH9)  

!*      3.6   Astronomy.

DO JROF=IST,IEND
  ZMU0(JROF)=MAX( RSIDEC*PGEMU(JROF)&
   & -RCODEC*RCOVSR*SQRT(1.0_JPRB-PGEMU(JROF)**2)*COS(PGELAM(JROF))&
   & +RCODEC*RSIVSR*SQRT(1.0_JPRB-PGEMU(JROF)**2)*SIN(PGELAM(JROF))&
   & ,0.0_JPRB)  
  
  ZMU0M(JROF)=MAX( RSIDECM*PGEMU(JROF)&
   & -RCODECM*RCOVSRM*SQRT(1.0_JPRB-PGEMU(JROF)**2)*COS(PGELAM(JROF))&
   & +RCODECM*RSIVSRM*SQRT(1.0_JPRB-PGEMU(JROF)**2)*SIN(PGELAM(JROF))&
   & ,0.0_JPRB)  
ENDDO

IF(LCORBMD) THEN
   CALL SHR_ORB_MU(KPROMA,IST,IEND,PGEMU,PGELAM,ZMU0,ZMU0M)
ENDIF

!*       3.7  ADIABATIC TENDENCIES AS INPUT FOR PHYSICS

ZDTPHY=TDT

DO JROF=IST,IEND
  ZPRS1(JROF,NFLEVG) = EXP(PGMVT1S(JROF,YT1%MSP))
ENDDO
CALL GPPRE(KPROMA,IST,IEND,NFLEVG,VAH,VBH,ZPRS1,ZPRSF1)

!*      3.8   Transform "presim" pressures into "prehyd" pressures
!             for input to the physics
!             We do the approximation that we can re-use the (a**2/r**2)*(g/G)
!             previously computed in ZASR2 (even if it is not computed
!             at the right instant) to avoid tricky calculations.
!             (if we want to use GNHDLRB, need to change the previous call
!             of GPPRE into GPPREH+GPXYB+GPPREF+GPRCP).

IF (LRWSDLR) THEN
  ALLOCATE(ZPRS1O(KPROMA,0:NFLEVG))
  ALLOCATE(ZPRSF1O(KPROMA,NFLEVG))
  ! Convert half level pressure:
  ZPRS1O(IST:IEND,0)=ZPRS1(IST:IEND,0)
  DO JLEV=1,NFLEVG
    DO JROF=IST,IEND
      ZPRS1O(JROF,JLEV)=ZPRS1O(JROF,JLEV-1)+ZASR2(JROF,JLEV)* &
       & (ZPRS1(JROF,JLEV)-ZPRS1(JROF,JLEV-1))
    ENDDO
  ENDDO
  ! Convert full level pressure:
  DO JLEV=1,NFLEVG 
    DO JROF=IST,IEND
      ZPRSF1O(JROF,JLEV)=ZPRS1O(JROF,JLEV)+ZASR2(JROF,JLEV)* &
       & (ZPRSF1(JROF,JLEV)-ZPRS1(JROF,JLEV))
    ENDDO
  ENDDO
  ! Memory transfer:
  ZPRS1(IST:IEND,0:NFLEVG)=ZPRS1O(IST:IEND,0:NFLEVG)
  ZPRSF1(IST:IEND,1:NFLEVG)=ZPRSF1O(IST:IEND,1:NFLEVG)
  DEALLOCATE(ZPRS1O)
  DEALLOCATE(ZPRSF1O)
  ! PGMVT1S(.,YT1%MSP) should not be used from now on in the remaining part
  !  of EC_PHYS.
ENDIF

!*       3.10 OZONE CHEMISTRY.

IF(LEO3CH) THEN
  CALL GPINO3CH(IST,IEND,KPROMA,KGPLAT,ZKOZO)
ENDIF

!     ------------------------------------------------------------------

!*       4.   CALL PHYSICS
!             -------------

!*     4.1  STORE THE MODEL TRAJECTORY AT T-DT

IF  (LTRAJSAVE .AND. LTRAJPHYS .AND. LETRAJP) THEN
  CALL GSTATS(15,0)

  CALL STORE_TRAJ_PHYS(PTT9,PGFL(1,1,YQ%MP9_PH),PGFL,PUT9, &
   & PVT9,PB2(1,MSLB2VVEL),PSPT9,PGMVT1S(1,YT1%MSP), &
   & PGMVT1(1,1,YT1%MT ),PGFLT1(1,1,YQ%MP1),PGFLT1,PGMVT1(1,1,YT1%MU ),PGMVT1(1,1,YT1%MV),&
   & PEMTD,PTRSW,PSP_SB(1,1,YSP_SB%YQ%MP9 ),PSP_SB(1,1,YSP_SB%YT%MP9), &
   & PSP_SG(1,YSP_SG%YF%MP9 )  ,PSP_RR(1,YSP_RR%YW%MP9  ),&
   & PSP_RR(1,YSP_RR%YT%MP9 )  ,PSP_SB(1,1,YSP_SB%YTL%MP9), &
   & PSD_VN(1,YSD_VN%YTOP%MP)  ,PSD_VN(1,YSD_VN%YBAS%MP),&
   & PSD_VN(1,YSD_VN%YACPR%MP) ,PSD_VD(1,YSD_VD%YZ0F%MP), &
   & PSD_VD(1,YSD_VD%YLZ0H%MP) , &
   & RUSTRTI(1,1,KBL),RVSTRTI(1,1,KBL),RAHFSTI(1,1,KBL),&
   & REVAPTI(1,1,KBL),RTSKTI(1,1,KBL), &
   & NSTEP, KBL,IST,IEND)  

  CALL GSTATS(15,1)
ENDIF

!*     4.1b INITIALIZE CLOUD VARIABLES FOR CLOUDST

IF(NPHYINT == 0)THEN

  IF (LENCLD2 .AND. LETRAJP .AND. (NSTEP == NSTART)) THEN
    IBLK=(KSTGLO-1)/NPROMA + 1
    IF (LNCLIN) THEN
      DO JLEV=1,NFLEVG
        DO JROF=IST,IEND
          GPCLOUDIN(JROF,JLEV,IBLK) = PGFL(JROF,JLEV,YA%MP9_PH)
          GPCLOUDIN(JROF,NFLEVG+JLEV,IBLK) = PGFL(JROF,JLEV,YL%MP9_PH)
          GPCLOUDIN(JROF,2*NFLEVG+JLEV,IBLK) = PGFL(JROF,JLEV,YI%MP9_PH)
        ENDDO
      ENDDO
    ELSE
      DO JLEV=1,NFLEVG
        DO JROF=IST,IEND
          GPCLOUDIN(JROF,JLEV,IBLK) = 0.0_JPRB
          GPCLOUDIN(JROF,NFLEVG+JLEV,IBLK) = 0.0_JPRB
          GPCLOUDIN(JROF,2*NFLEVG+JLEV,IBLK) = 0.0_JPRB
        ENDDO
      ENDDO
    ENDIF
  ENDIF

ENDIF

!*     4.2  CALL PHYSICS
DO JLEV=1,NFLEVG
  DO JROF=IST,IEND
    ZTENQD(JROF,JLEV) = -1._JPRB * (PGFLT1(JROF,JLEV,YQ%MP1) + PGFLT1(JROF,JLEV,YL%MP1) + &
                                  & PGFLT1(JROF,JLEV,YI%MP1))
  ENDDO
ENDDO


!* Obs. input and initialisations for MWave forward operator 
IF (LEMWAVE_ACTIVE) THEN
  DO JSAT=1,N_SATSENS 
    DO JROF = KSTGLO, MIN (KSTGLO-1+NPROMA,NGPTOT)
      YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % ZENITH = PMWAVE_ZEN_BUF (JROF,JSAT)
      YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % AZIMUTH = PMWAVE_AZI_BUF (JROF,JSAT)
      YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % DIAG(:)   = 0.0_JPRB
      YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % P19(:)    = 0.0_JPRB
      YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % P37(:)    = 0.0_JPRB
      IF (.NOT.LSCREEN) THEN
        YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % P19(IODB_MWAVE_P_OBS) = &
                                     & PMWAVE_P19_BUF (JROF,IODB_MWAVE_P_OBS,JSAT) 
        YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % P37(IODB_MWAVE_P_OBS) = &
                                     & PMWAVE_P37_BUF (JROF,IODB_MWAVE_P_OBS,JSAT) 
      ENDIF
      YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % GRAD_NORM = 0.0_JPRB
      DO ICH = 1, MWAVE_ID (JSAT) % NCHANNELS
        YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % SCREEN (ICH) = KMWAVE_BUF (JROF,ICH,JSAT)
        YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % OBS (ICH) = PMWAVE_OBS_BUF (JROF,ICH,JSAT)
        YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % FW  (ICH) = 0.0_JPRB
        YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % TL  (ICH) = 0.0_JPRB
        YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % AD  (ICH) = 0.0_JPRB
          YL_MWAVE_RAD (JROF-KSTGLO+1, JSAT) % OERR(ICH) = PMWAVE_OERR_BUF (JROF,ICH,JSAT)
      ENDDO
    ENDDO
  ENDDO
ENDIF

!* Obs. input and initialisations for CMEM forward operator     
IF (LESMOS_ACTIVE) THEN
  DO IPOL = 0, NPOL_MAX-1
    DO JROF = KSTGLO, MIN (KSTGLO-1+NPROMA,NGPTOT)
      YL_SMOS_TB (JROF-KSTGLO+1) % SCREEN (IPOL) = KSMOS_BUF     (JROF,IPOL)
      YL_SMOS_TB (JROF-KSTGLO+1) % OBS    (IPOL) = PSMOS_OBS_BUF (JROF,IPOL)
      YL_SMOS_TB (JROF-KSTGLO+1) % ANG    (IPOL) = PSMOS_ANGLE   (JROF,IPOL)  
      YL_SMOS_TB (JROF-KSTGLO+1) % FW     (IPOL) = 0.0_JPRB
      YL_SMOS_TB (JROF-KSTGLO+1) % OERR          = 0.0_JPRB
      YL_SMOS_TB (JROF-KSTGLO+1) % BIAS          = 0.0_JPRB
    ENDDO
  ENDDO
ENDIF


! map to local array for callpar interface
DO JGRG=1,NGRG
 DO JROF=1,KPROMA 
   ZGFLFLX(JROF,JGRG)= PSD_VF(JROF,YSD_VF%YGRGFLX(JGRG)%MP)
  ENDDO
ENDDO
DO JTRAC=1,NTRAC
 DO JROF=1,KPROMA 
   ZGFLFLX(JROF,NGRG+JTRAC)= PSD_VF(JROF,YSD_VF%YTRACFLX(JTRAC)%MP)
  ENDDO
ENDDO

! switch for resetting accumulated extra fields
IF (LRSACC .AND. LLMLPP) THEN
  CALL RESET_ACCUM_DIAG(IST, IEND, NFLEVG, KBL, .FALSE.) 
  IF (LBUD23) LBUD23RST=.TRUE.
END IF

CALL CALLPAR (CDCONF,&
 & IST,IEND,KPROMA,KSMAX,YSP_SBD%NLEVS,NTILES,KSTGLO,&
 & YSP_EPD%NLEVS,YSP_EPD%NUMFLDS,YSP_X2D%NDIM,&
 & YSD_XAD%NLEVS,YSD_XAD%NUMFLDS,YSD_X2D%NUMFLDS,&
 & 1,NFLEVG,NSTART,NSTEP,ZDTPHY,NVCLIS,LLSLPHY,LLRAIN1D,&
 & NCSI, ILEVO, NCSNEC,&
 & NDHVTLS,NDHFTLS,NDHVTSS,NDHFTSS,NDHVTTS,NDHFTTS,&
 & NDHVTIS,NDHFTIS,NDHVSSS,NDHFSSS,NDHVIIS,NDHFIIS,NDHVWLS,NDHFWLS,&
 ! - INPUT
 & ZPHI9   ,ZPRE9  ,ZPHIF9 ,ZPRE9F ,ZDELP9(1,1),&
 ! - U(T)
 & PUT9 ,PVT9 ,PTT9,&
 & PGFL(1,1,YQ%MP9_PH) ,PGFL(1,1,YO3%MP9_PH),PGFL(1,1,YL%MP9_PH),&
 & PGFL(1,1,YI%MP9_PH) ,PGFL(1,1,YA%MP9_PH) ,PGFL,&
 ! - Surface fields
 & PSP_SG(1,YSP_SG%YF%MP9)  ,&
 & PSP_SG(1,YSP_SG%YA%MP9)  ,PSP_SG(1,YSP_SG%YR%MP9) ,PSP_SG(1,YSP_SG%YT%MP9),&
 & PSP_SB(1,1,YSP_SB%YT%MP9),PSP_RR(1,YSP_RR%YW%MP9) ,PSP_RR(1,YSP_RR%YT%MP9),&
 & PSP_SB(1,1,YSP_SB%YQ%MP9),&
 & PSP_SB(1,1,YSP_SB%YTL%MP9),&
 & PB2(1,MSLB2VVEL),ZPRS1,&
 & PSD_WS(1,YSD_WS%YCHAR%MP),&
 & PSD_WS(1,YSD_WS%YUSTOKES%MP),PSD_WS(1,YSD_WS%YVSTOKES%MP),&
 & ZPRSF1  ,PGELAM, PGELAT, PGECLO ,PGESLO ,PSD_VF(1,YSD_VF%YALBF%MP),&
 & PSD_VF(1,YSD_VF%YALUVP%MP) ,PSD_VF(1,YSD_VF%YALUVD%MP) ,PSD_VF(1,YSD_VF%YALNIP%MP) ,PSD_VF(1,YSD_VF%YALNID%MP),&
 & PSD_VF(1,YSD_VF%YAERDEP%MP),PSD_VF(1,YSD_VF%YAERLTS%MP),PSD_VF(1,YSD_VF%YAERSCC%MP),&
 & PSD_VF(1,YSD_VF%YBCBF%MP)  ,PSD_VF(1,YSD_VF%YBCFF%MP)  ,PSD_VF(1,YSD_VF%YBCGF%MP),&
 & PSD_VF(1,YSD_VF%YOMBF%MP)  ,PSD_VF(1,YSD_VF%YOMFF%MP)  ,PSD_VF(1,YSD_VF%YOMGF%MP),&
 & PSD_VF(1,YSD_VF%YSO2L%MP)  ,PSD_VF(1,YSD_VF%YSO2H%MP)  ,PSD_VF(1,YSD_VF%YSOGF%MP),&
 & PSD_VF(1,YSD_VF%YVOLC%MP)  ,PSD_VF(1,YSD_VF%YVOLE%MP)  ,PSD_VF(1,YSD_VF%YSOA%MP),ZGFLFLX,&
 & PSD_VF(1,YSD_VF%YCVL%MP),PSD_VF(1,YSD_VF%YCVH%MP),&
 & PSD_VF(1,YSD_VF%YTVL%MP),PSD_VF(1,YSD_VF%YTVH%MP),&
 & PSD_VF(1,YSD_VF%YLAIL%MP),PSD_VF(1,YSD_VF%YLAIH%MP),&
 & PSD_VF(1,YSD_VF%YSOTY%MP), PSD_VF(1,YSD_VF%YSOALUVP%MP), PSD_VF(1,YSD_VF%YSOALUVD%MP),&
 & PSD_VF(1,YSD_VF%YSOALNIP%MP), PSD_VF(1,YSD_VF%YSOALNID%MP),&
 & PSD_VF(1,YSD_VF%YCI%MP),PSD_VF(1,YSD_VF%YSST%MP),&
 & PSD_VF(1,YSD_VF%YUCUR%MP),PSD_VF(1,YSD_VF%YVCUR%MP),&
 & PSD_VF(1,YSD_VF%YEMISF%MP),PSD_VF(1,YSD_VF%YLSM%MP),PSD_VF(1,YSD_VF%YLIT%MP),&
 & PSD_VF(1,YSD_VF%YCO2O%MP),PSD_VF(1,YSD_VF%YCO2B%MP),PSD_VF(1,YSD_VF%YCO2A%MP),&
 & PSD_VF(1,YSD_VF%YCO2F%MP),PSD_VF(1,YSD_VF%YCH4AG%MP),PSD_VF(1,YSD_VF%YCH4F%MP),&
 & PSD_VF(1,YSD_VF%YSF6%MP),PSD_VF(1,YSD_VF%YZ0F%MP)  ,ZMU0   ,ZMU0M,&
 & PSD_VF(1,YSD_VF%YGETRL%MP),PSD_VF(1,YSD_VF%YSDFOR%MP),PSD_VF(1,YSD_VF%YVRLAN%MP),&
 & PSD_VF(1,YSD_VF%YVRLDI%MP),PSD_VF(1,YSD_VF%YSIG%MP),&
 & PSD_VF(1,YSD_VF%YLZ0H%MP) ,PGEMU,POROG,ZKOZO,&
 & PSTOPHU,PSTOPHV,PSTOPHT,PSTOPHQ,&
 & PSTOPHCA,PCUCONVCA,PNLCONVCA,PCAPECONVCA,PGP2DSDT,&
 & PSTREAM, PTEMP, PTOTDISS, PTOTDISS_SMOOTH, &
 & PVORT, PVORTGRADX, PVORTGRADY,  &
 & PFORCEU,PFORCEV,PFORCET,PFORCEQ,&
 ! - EXTRA ARRAYS
 & PPBGFLP9(1,1,YQ%MP),PPBTP9,PPBUP9,PPBVP9,&
 & PPBGFLP9(1,1,YA%MP),PPBGFLP9(1,1,YO3%MP),&
 & PPBGFLP9,&
 ! - UPDATED TENDENCIES
 & PGMVT1(1,1,YT1%MU) ,PGMVT1(1,1,YT1%MV) ,PGMVT1(1,1,YT1%MT),&
 & PGFLT1(1,1,YQ%MP1) ,PGFLT1(1,1,YO3%MP1),PGFLT1(1,1,YL%MP1),&
 & PGFLT1(1,1,YI%MP1) ,PGFLT1(1,1,YA%MP1) ,PGFLT1,&
 & PEMTD,PTRSW,PEMTC,PTRSC,PTAUAER,&
 & PSRSWD,PSRSWDCS,PEDRO,&
 & PSRSWPAR,PSRSWUVB,PSRSWPARC,PSRSWTINC,PSRFDIR,PSRCDIR,&
 & PSD_VN(1,YSD_VN%YTOP%MP) ,PSD_VN(1,YSD_VN%YBAS%MP) ,PSD_VN(1,YSD_VN%YACPR%MP),&
 !- T-star Tiles
 & RUSTRTI(1,1,KBL),RVSTRTI(1,1,KBL),RAHFSTI(1,1,KBL),&
 & REVAPTI(1,1,KBL),RTSKTI(1,1,KBL),&
 ! - KPP 
 & PSD_V3(1,1,YSD_V3%YZO%MP)  ,PSD_V3(1,1,YSD_V3%YHO%MP)  ,PSD_V3(1,1,YSD_V3%YHO_INV%MP),&
 & PSD_V3(1,1,YSD_V3%YDO%MP)  ,PSD_V2(1,YSD_V2%YOCDEP%MP) ,PSD_V3(1,1,YSD_V3%YADVT%MP)  ,&
 & PSD_V3(1,1,YSD_V3%YADVS%MP),PSD_V3(1,1,YSD_V3%YTRI0%MP),PSD_V3(1,1,YSD_V3%YTRI1%MP)  ,&
 & PSD_V3(1,1,YSD_V3%YSWDK%MP),PSD_V3(1,1,YSD_V3%YUOC%MP) ,PSD_V3(1,1,YSD_V3%YVOC%MP)   ,&
 & PSD_V2(1,YSD_V2%YUSTRC%MP) ,PSD_V2(1,YSD_V2%YVSTRC%MP) ,PSP_OM(1,1,YSP_OM%YUO%MP9)   ,&
 & PSP_OM(1,1,YSP_OM%YVO%MP9) ,PSP_OM(1,1,YSP_OM%YTO%MP9) ,PSP_OM(1,1,YSP_OM%YSO%MP9)   ,&
 ! - OUTPUT
 & ZDIFCQ  ,ZDIFCS ,ZDIFTQ ,ZDIFTS,ZFCQNG  ,ZFPLCL,ZFPLCN,ZFPLSL,&
 & ZFPLSN  ,ZFHPCL ,ZFHPCN ,ZFHPSL,ZFHPSN  ,ZFRSO  ,ZFRSOC,&
 & ZFRSOD  ,ZUVDF  ,ZPARF  ,ZCAPE ,ZPARCF  ,ZTINCF ,ZFDIR ,ZCDIR,&
 & ZFRTH   ,ZFRTHC ,ZFRTHD ,ZCBASE,Z0DEGL  ,ZVISIH ,&
 & ZSTRCU  ,ZSTRCV ,ZSTRDU ,ZSTRDV,ZSTRTU , ZSTRTV, ZTOFDU ,ZTOFDV,&
 & ZDIFTQN ,ZDIFTQL,ZFCCQN ,ZFCCQL,ZFCSQN  ,ZFCSQL ,ZFCQLNG,&
 & ZFCQNNG ,ZNEB   ,ZQICE  ,ZQLI  ,ZQSAT,&
 & PSD_XA(1,1,1)  ,PEXTRADYN      ,PSD_X2(1,1) ,PSD_VD(1,YSD_VD%YALB%MP )  ,ZEMIS,&
 & ZAERODDF,&
 & ZFCHSP  ,ZFEVL  ,ZENES  ,ZFEVN  ,ZFLWSP,ZFONTE  ,PSD_VD(1,YSD_VD%YZ0F%MP),&
 & PSD_VD(1,YSD_VD%YLZ0H%MP)  , ZRUISP ,ZRUISS ,ZFCLL  ,ZFCLN,&
 & PSD_VD(1,YSD_VD%Y10U%MP )  ,PSD_VD(1,YSD_VD%Y10V%MP ) ,&
 & PSD_VD(1,YSD_VD%Y2T%MP)   ,PSD_VD(1,YSD_VD%Y2D%MP),&
 & ZVD2Q           , PSD_VD(1,YSD_VD%YBLH%MP) ,ZISUND,&
 & PSD_VD(1,YSD_VD%YCCC%MP )  ,PSD_VD(1,YSD_VD%YLCC%MP ) ,&
 & PSD_VD(1,YSD_VD%YMCC%MP)  ,PSD_VD(1,YSD_VD%YHCC%MP),&
 & PSD_VD(1,YSD_VD%YTCC%MP),&
 & PSD_VD(1,YSD_VD%Y10NU%MP),PSD_VD(1,YSD_VD%Y10NV%MP),PSD_VD(1,YSD_VD%YZUST%MP),&
 & PSD_VD(1,YSD_VD%Y100U%MP),PSD_VD(1,YSD_VD%Y100V%MP),&
 & PSD_VD(1,YSD_VD%YDNDZN%MP),PSD_VD(1,YSD_VD%YDNDZA%MP),&
 & PSD_VD(1,YSD_VD%YDCTB%MP), PSD_VD(1,YSD_VD%YTPLB%MP) ,&
 & PSD_VD(1,YSD_VD%YTPLT%MP),&
 & ZVDIS   ,ZVDISG ,ZUSTRG ,ZVSTRG,&
 & ZSNSE1,&
 & ZASNE1 ,ZRSNE1 ,ZTSNE1,&
 & ZTSAE1 ,ZWLE1  ,ZTLE1 ,ZWSAE1,&
 & ZTISAE1,&
 & PSAVTEND, NVTEND,PGFLSLP,&
 & ZI10FG, ZILSPF,&
 & ZDHTLS,ZDHTSS,ZDHTTS,ZDHTIS,ZDHSSS,ZDHIIS,&
 & ZDHWLS,ZTENT,ZTENQ ,&
 & ITYPE,ZINCSR, ZINCSR0 ,&
 & YL_MWAVE_RAD , YL_SMOS_TB,&
 & ZUOE1    ,ZVOE1   ,ZTOE1    ,ZSOE1,&
 & PSD_V3(1,1,YSD_V3%YDIFM%MP),PSD_V3(1,1,YSD_V3%YDIFT%MP),PSD_V3(1,1,YSD_V3%YDIFS%MP),&
 & DPTENQ0, DPTENQ1, &
 & PEMTD2,PTRSW2,PEMTC2,PTRSC2&
&)

!*  Ouput from MWave forward operator
IF (LEMWAVE_ACTIVE) THEN
  DO JSAT = 1, N_SATSENS

    JNCH = MWAVE_ID (JSAT) % NCHANNELS

    DO JROF = KSTGLO, MIN (KSTGLO-1+NPROMA,NGPTOT)
      JLOC = JROF-KSTGLO+1   
    
      DO ICH = 1, JNCH
        KMWAVE_BUF(JROF,ICH,JSAT) = YL_MWAVE_RAD (JLOC,JSAT) % SCREEN (ICH)
      ENDDO
	    
      IF ( ANY( .NOT. BTEST(YL_MWAVE_RAD (JLOC,JSAT) % SCREEN(1:JNCH),MWAVE_NO_OBS))) THEN   
 
        DO ICH = 1, JNCH
          PMWAVE_TB_BUF   (JROF,ICH,JSAT) = YL_MWAVE_RAD (JLOC,JSAT) % FW     (ICH)
          PMWAVE_OERR_BUF (JROF,ICH,JSAT) = YL_MWAVE_RAD (JLOC,JSAT) % OERR   (ICH)
          PMWAVE_PERS1_BUF (JROF,ICH,JSAT) = YL_MWAVE_RAD (JLOC,JSAT) % PERS1 (ICH)
        ENDDO
        DO IDIAG = 1, NMWAVE_DIAG
          PMWAVE_DIAG_BUF (JROF,IDIAG,JSAT) = YL_MWAVE_RAD (JLOC,JSAT) % DIAG (IDIAG)
        ENDDO
        DO IGNRM = 1, NMWAVE_GNRM
           PMWAVE_GNORM_BUF (JROF,IGNRM,JSAT) = YL_MWAVE_RAD (JROF-KSTGLO+1,JSAT) % GRAD_NORM (IGNRM)
        ENDDO
        DO IDIAG = 1, NMWAVE_P
          PMWAVE_P19_BUF (JROF,IDIAG,JSAT) = YL_MWAVE_RAD (JLOC,JSAT) % P19 (IDIAG)
          PMWAVE_P37_BUF (JROF,IDIAG,JSAT) = YL_MWAVE_RAD (JLOC,JSAT) % P37 (IDIAG)
        ENDDO
	    
      ENDIF
    ENDDO
  ENDDO
ENDIF ! LEMWAVE_ACTIVE

!*  Ouput from CMEM forward operator
IF (LESMOS_ACTIVE) THEN
  DO IPOL = 0, NPOL_MAX-1
    DO JROF = KSTGLO, MIN (KSTGLO-1+NPROMA,NGPTOT)
      KSMOS_BUF (JROF,IPOL) = YL_SMOS_TB (JROF-KSTGLO+1) % SCREEN (IPOL)
      IF ( .NOT. BTEST( KSMOS_BUF (JROF,IPOL), SMOS_NO_OBS ) ) THEN
        PSMOS_TB_BUF (JROF,IPOL) = YL_SMOS_TB (JROF-KSTGLO+1) % FW (IPOL)   
      ENDIF
    ENDDO
  ENDDO
ENDIF ! LESMOS_ACTIVE

IF(LERAIN_ACTIVE)THEN

  DO JROF=KSTGLO,MIN(KSTGLO-1+NPROMA,NGPTOT)
  
    JROF_ONED = JROF-KSTGLO+1
    
    ZEANG   (JROF_ONED,1:STREAM1D_NUM) = MIZEN_GP(JROF,1:STREAM1D_NUM)
    ZAZIM   (JROF_ONED,1:STREAM1D_NUM) = MIAZI_GP(JROF,1:STREAM1D_NUM)
    IISATID (JROF_ONED,1:STREAM1D_NUM) = MISATID_GP(JROF,1:STREAM1D_NUM)
    IIFOV   (JROF_ONED,1:STREAM1D_NUM) = MIFOV_GP(JROF,1:STREAM1D_NUM)
        
    ZRAIN_2DCHAN(JROF_ONED,1:STREAM1D_NUM,1:NMAX_CHANNELS,M_TB_OB)= &
      &   RAIN_2DCHAN_GP(JROF,1:STREAM1D_NUM,1:NMAX_CHANNELS,M_TB_OB)
    
  ENDDO

  DO ISTREAM1D=1,STREAM1D_NUM
  
    ZRAIN_1D(IST:IEND,ISTREAM1D,M_U10_FG)=PSD_VD(IST:IEND,YSD_VD%Y10U%MP )
    ZRAIN_1D(IST:IEND,ISTREAM1D,M_V10_FG)=PSD_VD(IST:IEND,YSD_VD%Y10V%MP )

    ZRAIN_1D(IST:IEND,ISTREAM1D,M_P0)=ZPRE9F(IST:IEND,NFLEVG)
    ZRAIN_1D(IST:IEND,ISTREAM1D,M_T0)=PSP_RR(IST:IEND,YSP_RR%YT%MP9 )

  ENDDO
  
  ! Multiple sensors: There is deliberately no sensor dependency here because
  ! the corresponding outputs from onedvar_raintb.F90 are never used.
  ZRAIN_2DLEV(IST:IEND,1:NFLEVG,M_T_FG) = PTT9(IST:IEND,1:NFLEVG)
  ZRAIN_2DLEV(IST:IEND,1:NFLEVG,M_Q_FG) = PGFL(IST:IEND,1:NFLEVG,YQ%MP9)
  
  DO JLEV=1,NFLEVG
    DO JROF=IST,IEND
    
      ! Rain/snow flux (combined convective and LSP) averaged to full levels 
      ZFPLCLPSL(JROF,JLEV)= 0.5_JPRB * ( ZFPLCL(JROF,JLEV-1) + &
        & ZFPLSL(JROF,JLEV-1) + ZFPLCL(JROF,JLEV) + ZFPLSL(JROF,JLEV))
      ZFPLCNPSN(JROF,JLEV)= 0.5_JPRB * ( ZFPLCN(JROF,JLEV-1) + &
        & ZFPLSN(JROF,JLEV-1) + ZFPLCN(JROF,JLEV) + ZFPLSN(JROF,JLEV))
        
      ! Cloud amounts after this timestep's moist physics
      ZFPL1D(JROF,JLEV) = PGFL(JROF,JLEV,YL%MP9_PH) + PGFLT1(JROF,JLEV,YL%MP1)*TSTEP
      IF ( ZFPL1D(JROF,JLEV) < 0.0_JPRB ) ZFPL1D(JROF,JLEV) = 0.0_JPRB  

      ZFPI1D(JROF,JLEV) = PGFL(JROF,JLEV,YI%MP9_PH) + PGFLT1(JROF,JLEV,YI%MP1)*TSTEP
      IF ( ZFPI1D(JROF,JLEV) < 0.0_JPRB ) ZFPI1D(JROF,JLEV) = 0.0_JPRB  

      ZFPA1D(JROF,JLEV) = PGFL(JROF,JLEV,YA%MP9_PH) + PGFLT1(JROF,JLEV,YA%MP1)*TSTEP
      IF ( ZFPA1D(JROF,JLEV) < 0.0_JPRB ) ZFPI1D(JROF,JLEV) = 0.0_JPRB  
   
    ENDDO
  ENDDO

  IID = -1
  ZRAIN_1DDIAG(:,:,:) = 0.0_JPRB

  ISTJ(1)=IST
  IENDJ(1)=IEND

  !------------Load Balancing Start ------------------------
  IF(LDRAIN_LB .AND. CLPROC == 'M' .AND. KHLPRDY(1) > 0) THEN
  
    !--- MASTER: Set observation distribution to Helpers----
    CALL ONEDVAR_RAINTB_SET(    &
    & ZRAIN_2DCHAN(:,:,:,M_TB_OB),&  ! OBSERVATIONS
    & PGEMU                    ,&  !SINE OF LATITUDE
    & PSD_VF(1,YSD_VF%YCI%MP)  ,&  !SEA-ICE MASK
    & PSD_VF(1,YSD_VF%YLSM%MP) ,&  !LAND/SEA MASK
    & ZRAIN_1D(:,1,M_T0)         ,&  !SKIN TEMPERATURE 
    & IST, IEND, ISTJ, IENDJ, KHLPRDY, IISATID)
    !-- MASTER: Send Part KPROMA to Helper----
    DO ISTREAM1D=1,STREAM1D_NUM
      IF (STREAM1D_MODE(ISTREAM1D) == STREAM1D_ACTIVE) THEN
        JJ=1
        DO J=1,ICOPROCS(1)
          IF(KHLPRDY(J+1) > 0)THEN
            JJ=JJ+1
            IF(IENDJ(JJ) /= 0) THEN
              CALL ONEDVAR_RAINTB_SND( &
               & ISTJ(JJ),IENDJ(JJ),STREAM1D_MODE(ISTREAM1D),ICOPROCS(J+1),KT, &
               & ZRAIN_2DLEV(:,:,M_T_FG) ,& !TEMPERATURE
               & ZRAIN_2DLEV(:,:,M_Q_FG) ,& !HUMIDITY
               & ZTENT            ,&  !TENDENCY BEFORE CONVECTION
               & ZTENQ            ,&  !TENDENCY BEFORE CONVECTION
               & ZFPLCLPSL        ,&  !PRECIPITATION AS RAIN ZFPLCL+ ZFPLSL
               & ZFPLCNPSN        ,&  !PRECIPITATION AS SNOW ZFPLCN+ ZFPLSN
               & ZFPA1D           ,&  !CLOUD FRACTION
               & ZFPL1D           ,&  !CLOUD LIQUID WATER CONTENT
               & ZFPI1D           ,&  !CLOUD ICE WATER CONTENT
               & PSD_VD(:,YSD_VD%Y2T%MP) ,&  !TEMPERATURE AT 2 METERS
               & ZVD2Q            ,&  !SPECIFIC HUMIDITY AT 2 METERS
               & PSD_VD(:,YSD_VD%Y2D%MP) ,&  !DEW POINT TEMPERATURE AT 2 METERS
               & ZUSTRG           ,&  !GRAVITY WAVE DRAG SURFACE U-STRESS
               & ZVSTRG           ,&  !GRAVITY WAVE DRAG SURFACE V-STRESS
               & ZRAIN_1D(:,ISTREAM1D,M_U10_FG) ,& !U-COMPONENT OF WIND AT 10 METERS
               & ZRAIN_1D(:,ISTREAM1D,M_V10_FG) ,& !V-COMPONENT OF WIND AT 10 METERS
               & ZDIFTS(:,NFLEVG) ,&  !SURFACE SENSIBLE HEAT FLUX
               & ZDIFTQ(:,NFLEVG) ,&  !SURFACE MOISTURE FLUX
               & PSD_VF(:,YSD_VF%YCI%MP)     ,&  !SEA-ICE MASK
               & PSD_VF(:,YSD_VF%YLSM%MP)    ,&  !LAND/SEA MASK
               & ZRAIN_1D(:,ISTREAM1D,M_P0) ,&  !PRESSURE AT SURFACE
               & ZRAIN_1D(:,ISTREAM1D,M_T0) ,&  !SKIN TEMPERATURE
               & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_OB)  ,&  !OBSERVATIONS
               & PGEMU            ,&  !SINE OF LATITUDE
               & PGECLO           ,&  !COSINE OF LONGITUDE
               & PGESLO           ,&  !SINE OF LONGITUDE
               & IISATID(:,ISTREAM1D),& !SAT-ID
               & IIFOV(:,ISTREAM1D) ,&  !FOV
               & ZEANG(:,ISTREAM1D) )   !ZENITH ANGLE
            ENDIF
          ENDIF
        ENDDO
      ENDIF
    ENDDO
  ENDIF 


!------------ Load Balancing End ---------------------
  DO ISTREAM1D=1,STREAM1D_NUM
  
    IF (STREAM1D_MODE(ISTREAM1D) == STREAM1D_ACTIVE) THEN  
      ! Active stream: load-balancing has dealt with the other profiles
      ISTLOCAL = ISTJ(1) 
      IENDLOCAL = IENDJ(1) 
    ELSE
      ! Passive stream: process all profiles locally
      ISTLOCAL = IST 
      IENDLOCAL = IEND 
    ENDIF
    
    CALL ONEDVAR_RAINTB( &
       & ISTLOCAL,IENDLOCAL, &
       & STREAM1D_MODE(ISTREAM1D), &
       & ZRAIN_2DLEV(:,:,M_T_FG) ,& !TEMPERATURE
       & ZRAIN_2DLEV(:,:,M_Q_FG) ,& !HUMIDITY
       & ZTENT            ,&  !TENDENCY BEFORE CONVECTION
       & ZTENQ            ,&  !TENDENCY BEFORE CONVECTION
       & ZFPLCLPSL        ,&  !PRECIPITATION AS RAIN ZFPLCL+ ZFPLSL
       & ZFPLCNPSN        ,&  !PRECIPITATION AS SNOW ZFPLCN+ ZFPLSN
       & ZFPA1D           ,&  !CLOUD FRACTION
       & ZFPL1D           ,&  !CLOUD LIQUID WATER CONTENT
       & ZFPI1D           ,&  !CLOUD ICE WATER CONTENT
       & PSD_VD(:,YSD_VD%Y2T%MP) ,&  !TEMPERATURE AT 2 METERS
       & ZVD2Q            ,&  !SPECIFIC HUMIDITY AT 2 METERS
       & PSD_VD(:,YSD_VD%Y2D%MP) ,&  !DEW POINT TEMPERATURE AT 2 METERS
       & ZUSTRG           ,&  !GRAVITY WAVE DRAG SURFACE U-STRESS
       & ZVSTRG           ,&  !GRAVITY WAVE DRAG SURFACE V-STRESS
       & ZRAIN_1D(:,ISTREAM1D,M_U10_FG) ,& !U-COMPONENT OF WIND AT 10 METERS
       & ZRAIN_1D(:,ISTREAM1D,M_V10_FG) ,& !V-COMPONENT OF WIND AT 10 METERS
       & ZDIFTS(:,NFLEVG) ,&  !SURFACE SENSIBLE HEAT FLUX
       & ZDIFTQ(:,NFLEVG) ,&  !SURFACE MOISTURE FLUX
       & PSD_VF(:,YSD_VF%YCI%MP)     ,&  !SEA-ICE MASK
       & PSD_VF(:,YSD_VF%YLSM%MP)    ,&  !LAND/SEA MASK
       & ZRAIN_1D(:,ISTREAM1D,M_P0) ,&  !PRESSURE AT SURFACE
       & ZRAIN_1D(:,ISTREAM1D,M_T0) ,&  !SKIN TEMPERATURE
       & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_OB)  ,&  !OBSERVATIONS
       & PGEMU            ,&  !SINE OF LATITUDE
       & PGECLO           ,&  !COSINE OF LONGITUDE
       & PGESLO           ,&  !SINE OF LONGITUDE
       & IISATID(:,ISTREAM1D),& !SAT-ID
       & IIFOV(:,ISTREAM1D) ,&  !FOV
       & ZEANG(:,ISTREAM1D) ,&  !ZENITH ANGLE
       ! OUTPUTS
       & IID(:,ISTREAM1D)   ,&
       & IIT(:,ISTREAM1D)   ,&
       & IIS(:,ISTREAM1D)   ,&
       & ZEPSG(:,ISTREAM1D) ,&
       & IIM(:,ISTREAM1D)   ,&
       & ZRAIN_2DLEV(:,:,M_P_FG)   ,&
       & ZRAIN_2DLEV(:,:,M_T_AN)   ,&
       & ZRAIN_2DLEV(:,:,M_Q_AN)   ,&
       & ZRAIN_2DLEV(:,:,M_R_FG)   ,&
       & ZRAIN_2DLEV(:,:,M_S_FG)   ,&
       & ZRAIN_2DLEV(:,:,M_W_FG)   ,&
       & ZRAIN_2DLEV(:,:,M_I_FG)   ,&
       & ZRAIN_2DLEV(:,:,M_C_FG)   ,&
       & ZRAIN_2DLEV(:,:,M_R_AN)   ,&
       & ZRAIN_2DLEV(:,:,M_S_AN)   ,&
       & ZRAIN_2DLEV(:,:,M_W_AN)   ,&
       & ZRAIN_2DLEV(:,:,M_I_AN)   ,&
       & ZRAIN_2DLEV(:,:,M_C_AN)   ,&
       & ZRAIN_1D(:,ISTREAM1D,M_U10_AN)        ,&
       & ZRAIN_1D(:,ISTREAM1D,M_V10_AN)        ,&
       & ZRAIN_1D(:,ISTREAM1D,M_PS_FG)         ,&
       & ZRAIN_1D(:,ISTREAM1D,M_PC_FG)         ,&
       & ZRAIN_1D(:,ISTREAM1D,M_PS_AN)         ,&
       & ZRAIN_1D(:,ISTREAM1D,M_PC_AN)         ,&
       & ZRAIN_1D(:,ISTREAM1D,M_WV_FG)         ,&
       & ZRAIN_1D(:,ISTREAM1D,M_WV_AN)         ,&
       & ZRAIN_1D(:,ISTREAM1D,M_ER_FG)         ,&
       & ZRAIN_1D(:,ISTREAM1D,M_ER_AN)         ,&
       & ZRAIN_1D(:,ISTREAM1D,M_CO_AN)         ,&
       & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_FG)   ,&
       & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_AN)   ,&
       & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_ER)   ,&
       & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_BI)   ,&
       & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_3D)   ,&
       & ZRAIN_1DDIAG(:,ISTREAM1D,:) )

  ENDDO    
!------------ Load Balancing Start -------------------------
  IF(LDRAIN_LB .AND. CLPROC == 'M' .AND. KHLPRDY(1) > 0) THEN
    DO ISTREAM1D=1,STREAM1D_NUM
      IF (STREAM1D_MODE(ISTREAM1D) == STREAM1D_ACTIVE) THEN
        !-- MASTER: Get Part KPROMA from Helper----
        JJ=1
        DO J=1,ICOPROCS(1)
          IF(KHLPRDY(J+1) > 0)THEN
            JJ=JJ+1
            IF(IENDJ(JJ) /= 0) THEN
              CALL ONEDVAR_RAINTB_RCV( ISTJ(JJ), IENDJ(JJ), ICOPROCS(J+1), KT, &
               & IID(:,ISTREAM1D)          ,&
               & IIT(:,ISTREAM1D)          ,&
               & IIS(:,ISTREAM1D)          ,&
               & ZEPSG(:,ISTREAM1D)        ,&
               & IIM(:,ISTREAM1D)          ,&
               & ZRAIN_1D(:,ISTREAM1D,M_U10_AN)        ,&
               & ZRAIN_1D(:,ISTREAM1D,M_V10_AN)        ,&
               & ZRAIN_1D(:,ISTREAM1D,M_PS_FG)         ,&
               & ZRAIN_1D(:,ISTREAM1D,M_PC_FG)         ,&
               & ZRAIN_1D(:,ISTREAM1D,M_PS_AN)         ,&
               & ZRAIN_1D(:,ISTREAM1D,M_PC_AN)         ,&
               & ZRAIN_1D(:,ISTREAM1D,M_WV_FG)         ,&
               & ZRAIN_1D(:,ISTREAM1D,M_WV_AN)         ,&
               & ZRAIN_1D(:,ISTREAM1D,M_ER_FG)         ,&
               & ZRAIN_1D(:,ISTREAM1D,M_ER_AN)         ,&
               & ZRAIN_1D(:,ISTREAM1D,M_CO_AN)         ,&
               & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_FG)   ,&
               & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_AN)   ,&
               & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_ER)   ,&
               & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_BI)   ,&
               & ZRAIN_2DCHAN(:,ISTREAM1D,:,M_TB_3D)   ,&
               & ZRAIN_1DDIAG(:,ISTREAM1D,:) )
            ENDIF
          ENDIF
        ENDDO
      ENDIF
    ENDDO
  ENDIF
!------------ Load Balancing End -----------------------

  ! STORE ONEDVAR OUTPUT
  DO JROF=KSTGLO,MIN(KSTGLO-1+KPROMA,NGPTOT)

    JROF_ONED = JROF-KSTGLO+1
    
    MIT_GP(JROF,1:STREAM1D_NUM) = IIT(JROF_ONED,1:STREAM1D_NUM)
    MIS_GP(JROF,1:STREAM1D_NUM) = IIS(JROF_ONED,1:STREAM1D_NUM)
    MID_GP(JROF,1:STREAM1D_NUM) = IID(JROF_ONED,1:STREAM1D_NUM)
    MEPSG_GP(JROF,1:STREAM1D_NUM) = ZEPSG(JROF_ONED,1:STREAM1D_NUM)
    MIM_GP(JROF,1:STREAM1D_NUM) = IIM(JROF_ONED,1:STREAM1D_NUM)    
  
    RAIN_1D_GP(JROF,1:STREAM1D_NUM,1:MFLDS_1D) = &
      &  ZRAIN_1D(JROF_ONED,1:STREAM1D_NUM,1:MFLDS_1D)

    RAIN_1DDIAG_GP(JROF,1:STREAM1D_NUM,1:MFLDS_1DDIAG) = &
      &  ZRAIN_1DDIAG(JROF_ONED,1:STREAM1D_NUM,1:MFLDS_1DDIAG)   
                      
    RAIN_2DCHAN_GP(JROF,1:STREAM1D_NUM,1:NMAX_CHANNELS,1:MFLDS_2DCHAN) = &
       &  ZRAIN_2DCHAN(JROF_ONED,1:STREAM1D_NUM,1:NMAX_CHANNELS,1:MFLDS_2DCHAN) 
    
  ENDDO

ENDIF ! LERAIN_ACTIVE

!*       4.3.0 SAVE SOIL MOISTURE AND SCREENLEVEL PARAMETERS FOR SEKF

IF (LUSEKF_REF.AND.LUSE_JATM) THEN
  CALL STORE_SEKF_CV(IST,IEND,NPROMA,KSTGLO,NSTEP,&
 &     PSP_SB(1,1,YSP_SB%YQ%MP1),&
 &     PSD_VD(1,YSD_VD%Y2T%MP),&
 &     PSD_VD(1,YSD_VD%Y2D%MP))
ENDIF

!*       4.3  NEW T+1, ACC. OF TEND. FOR NMI, DIAGNOSTICS

! ky: for lrwsdlr=T, we do the approximation that we can re-use the "r/a"
!     previously computed in ZRSAH (even if it is not computed at the right
!     instant) to avoid tricky calculations.
CALL POSTPHY(KPROMA     ,IST    ,IEND   ,LLFSTEP    ,LLMLPP, LLRS6,&
 & YSP_SBD%NLEVS   ,YSP_EPD%NLEVS   ,YSP_EPD%NUMFLDS   ,KSTGLO,&
 & YSP_X2D%NDIM  ,YSP_OMD%NLEVS   ,ZDTPHY,&                 !KPP
 & ZRSAH,PUT9,PVT9 ,PTT9,&
 & PGFL   ,ZAERODDF,ZTENQD,&
 & ZDELP9 ,ZDIFTQ ,ZDIFCQ ,ZDIFTS ,ZDIFCS ,&
 & ZFRSO  ,ZFRSOD ,ZFRTH  ,ZFRTHD ,ZUVDF  ,ZPARF  ,&
 & ZCAPE  ,ZPARCF ,ZTINCF ,ZFDIR  ,ZCDIR  ,&
 & ZCBASE ,Z0DEGL ,ZVISIH ,&
 & ZFHPCL ,ZFHPCN ,ZFHPSL ,ZFHPSN ,ZFPLCL,&
 & ZFPLCN ,ZFPLSL ,ZFPLSN ,ZSTRCU ,ZSTRCV ,ZSTRDU ,ZSTRDV,&
 & ZFCCQN ,ZFCCQL ,ZFCSQN ,ZFCSQL ,ZFCQLNG,&
 & ZFCQNNG,ZSTRTU ,ZSTRTV ,&
 & POROG  ,ZENES  ,ZFEVN,&
 & PGESLO ,PGECLO ,&
 & PSD_VF(1,YSD_VF%YLSM%MP),PSD_VF(1,YSD_VF%YCI%MP),PSD_VD(1,YSD_VD%YZ0F%MP),&
 & ZTSAE1 ,ZTLE1  ,ZWSAE1,&
 & ZTISAE1,&
 & ZWLE1  ,ZSNSE1,&
 & ZASNE1 ,ZRSNE1 ,ZTSNE1,&
 & ZEXTRE1,ZXTR2E1,&
 & ZUOE1  ,ZVOE1  ,ZTOE1  ,ZSOE1,&  !KPP
 & PSP_SG(1,YSP_SG%YF%MP1),&
 & PSP_SG(1,YSP_SG%YA%MP1),PSP_SG(1,YSP_SG%YR%MP1),PSP_SG(1,YSP_SG%YT%MP1),&
 & PSP_SB(1,1,YSP_SB%YT%MP1),PSP_RR(1,YSP_RR%YW%MP1),PSP_RR(1,YSP_RR%YT%MP1),&
 & PSP_SB(1,1,YSP_SB%YQ%MP1),&
 & PSP_SB(1,1,YSP_SB%YTL%MP1),&
 & PSP_EP(1,1,1),PSP_X2(1,1),&
 & PSP_OM(1,1,YSP_OM%YUO%MP1),PSP_OM(1,1,YSP_OM%YVO%MP1),& 
 & PSP_OM(1,1,YSP_OM%YTO%MP1),PSP_OM(1,1,YSP_OM%YSO%MP1),& 
 & ZPRE9  ,ZPRE9F ,&
 & PSP_RR(1,YSP_RR%YW%MP0 ),ZFCLL  ,ZFCLN,&
 & PSP_RR(1,YSP_RR%YT%MP0 ),PSP_SB(1,1,YSP_SB%YT%MP0 ),PSP_SB(1,1,YSP_SB%YQ%MP0 ),&
 & PSD_VD(1,YSD_VD%Y2T%MP),&
 & ZVD2Q          ,ZISUND ,PSD_VD(1,YSD_VD%YBLH%MP)  ,PSD_VD(1,YSD_VD%YSUND%MP),&
 & ZFRTHC(1,0)    ,ZFRSOC(1,0)    ,ZFRTHC(1,1)   ,ZFRSOC(1,1),&
 & ZI10FG        ,ZILSPF, &
 & PSD_VD(1,YSD_VD%YTTRC%MP) ,PSD_VD(1,YSD_VD%YTSRC%MP) ,&
 & PSD_VD(1,YSD_VD%YSTRC%MP) ,PSD_VD(1,YSD_VD%YSSRC%MP),&
 & PSD_VD(1,YSD_VD%YES%MP)   ,PSD_VD(1,YSD_VD%YSMLT%MP) ,&
 & PSD_VD(1,YSD_VD%Y10FG%MP) ,PSD_VD(1,YSD_VD%Y10FG6(I6BIN)%MP),&
 & PSD_VD(1,YSD_VD%YLSPF%MP) ,PSD_VD(1,YSD_VD%YVIMD%MP),&
 & PSD_VD(1,YSD_VD%Y10U%MP)  ,PSD_VD(1,YSD_VD%Y10V%MP)  ,PSD_VD(1,YSD_VD%YLZ0H%MP),&
 & PSD_VD(1,YSD_VD%YALB%MP ) ,PSD_VD(1,YSD_VD%YLCC%MP ) ,&
 & PSD_VD(1,YSD_VD%YMCC%MP)  ,PSD_VD(1,YSD_VD%YHCC%MP),&
 & PSD_VD(1,YSD_VD%YTCC%MP),&
 & ZVDIS  ,ZVDISG ,ZUSTRG,&
 & ZVSTRG ,ZRUISS,&
 & PSD_VD(1,YSD_VD%YLSP%MP ) ,PSD_VD(1,YSD_VD%YCP%MP  ) ,&
 & PSD_VD(1,YSD_VD%YSF%MP   ),PSD_VD(1,YSD_VD%YBLD%MP),&
 & PSD_VD(1,YSD_VD%YSSHF%MP ),PSD_VD(1,YSD_VD%YSLHF%MP ),&
 & PSD_VD(1,YSD_VD%YSP%MP   ),PSD_VD(1,YSD_VD%YMSL%MP ),&
 & PSD_VD(1,YSD_VD%YSSR%MP  ),PSD_VD(1,YSD_VD%YSTR%MP ),&
 & PSD_VD(1,YSD_VD%YSSRD%MP ),PSD_VD(1,YSD_VD%YSTRD%MP),&
 & PSD_VD(1,YSD_VD%YTSR%MP  ),PSD_VD(1,YSD_VD%YTTR%MP),&
 & PSD_VD(1,YSD_VD%YSUVB%MP ),PSD_VD(1,YSD_VD%YSPAR%MP ),&
 & PSD_VD(1,YSD_VD%YCAPE%MP ),PSD_VD(1,YSD_VD%YSPARC%MP),PSD_VD(1,YSD_VD%YSTINC%MP),&
 & PSD_VD(1,YSD_VD%YSFDIR%MP ),PSD_VD(1,YSD_VD%YSCDIR%MP ),&
 & PSD_VD(1,YSD_VD%YCBASE%MP),PSD_VD(1,YSD_VD%Y0DEGL%MP),PSD_VD(1,YSD_VD%YVISIH%MP),&
 & PSD_VD(1,YSD_VD%YIEWSS%MP),PSD_VD(1,YSD_VD%YINSSS%MP),&
 & PSD_VD(1,YSD_VD%YEWSS%MP ),PSD_VD(1,YSD_VD%YNSSS%MP ),&
 & PSD_VD(1,YSD_VD%YE%MP    ),PSD_VD(1,YSD_VD%YLGWS%MP),&
 & PSD_VD(1,YSD_VD%YISSHF%MP),PSD_VD(1,YSD_VD%YIE%MP   ),&
 & PSD_VD(1,YSD_VD%YTCW%MP  ),PSD_VD(1,YSD_VD%YTCWV%MP) ,&
 & PSD_VD(1,YSD_VD%YTCLW%MP ),PSD_VD(1,YSD_VD%YTCIW%MP),&
 & PSD_VD(1,YSD_VD%YTCRW%MP ),PSD_VD(1,YSD_VD%YTCSW%MP),&
 & PSD_VD(1,YSD_VD%YMGWS%MP ),PSD_VD(1,YSD_VD%YGWD%MP  ),&
 & PSD_VD(1,YSD_VD%YMX2T%MP ),PSD_VD(1,YSD_VD%YMN2T%MP ),&
 & PSD_VD(1,YSD_VD%YMX2T6(I6BIN)%MP),PSD_VD(1,YSD_VD%YMN2T6(I6BIN)%MP),&
 & PSD_VD(1,YSD_VD%YRO%MP   ),PSD_VD(1,YSD_VD%YSSRO%MP)  ,PSD_VD(1,YSD_VD%YSRO%MP),PSD_VD(1,YSD_VD%YCSF%MP  ),&
 & PSD_VD(1,YSD_VD%YLSSF%MP) ,PSD_VD(1,YSD_VD%YTCO3%MP),&
 & ZAEROTC,ZAEROF,ZGHG,ZTRAC,ZGRG,ZGFLFLX,PSD_VF(1,YSD_VF%YCO2O%MP),&
 & PSD_VF(1,YSD_VF%YCO2B%MP),PSD_VF(1,YSD_VF%YCO2A%MP),&
 & PSD_VF(1,YSD_VF%YCO2F%MP),PSD_VF(1,YSD_VF%YCH4AG%MP),PSD_VF(1,YSD_VF%YCH4F%MP),&
 & PSD_VF(1,YSD_VF%YSF6%MP),&
 & PGNORDL,PGNORDM,PGEMU,PGSQM2,PGELAM,PGAW,ZFCQNG,&
 & ZFONTE ,ZRUISP ,ZDHTLS ,ZDHTSS ,ZDHTTS ,ZDHTIS ,ZDHSSS ,ZDHIIS,&
 & ZDHWLS ,ZDHFSS)  


DO JGHG=1,NGHG
  DO JROF=1,KPROMA
    PSD_VD(JROF,YSD_VD%YTCGHG(JGHG)%MP)=ZGHG(JROF,JGHG)
  ENDDO
ENDDO

DO JTRAC=1,NTRAC
  DO JROF=1,KPROMA
    PSD_VD(JROF,YSD_VD%YTCTRAC(JTRAC)%MP)=ZTRAC(JROF,JTRAC)
  ENDDO
ENDDO

DO JGRG=1,NGRG
 DO JROF=1,KPROMA
    PSD_VD(JROF,YSD_VD%YTCGRG(JGRG)%MP)=ZGRG(JROF,JGRG)
  ENDDO
ENDDO

!*    4.3  Accumulation of coupled fields

IF(NFRCO /= 0 ) THEN
  CALL CUMCOE (KPROMA ,IST ,IEND ,KSTGLO ,&
   & ZSTRDU(1,NFLEVG) ,ZSTRTU(1,NFLEVG),&
   & ZSTRDV(1,NFLEVG) ,ZSTRTV(1,NFLEVG),&
   & ZFRTH (1,NFLEVG) ,ZFRSO (1,NFLEVG), &
   & ZFCLL            ,ZFCLN,&
   & ZDIFTS(1,NFLEVG) ,ZDIFTQ(1,NFLEVG),&
   & ZFPLCL(1,NFLEVG) ,ZFPLCN(1,NFLEVG),&
   & ZFPLSL(1,NFLEVG) ,ZFPLSN(1,NFLEVG),&
   & ZRUISS           ,ZRUISP)  
ENDIF

!*    5.7   SURFACE FIELDS TIMESTEPPING

! PREPARE AND GET THE FIELDS WHICH WILL BE PASSED TO THE WAVE MODEL:

IF (LWCOU) THEN

! STRUCTURE OF FIELDS TO WAVE MODEL IS AS FOLLOWS:
! SEE SU_SURF_FLDS and SURFACE_FIELDS_MIX.

!      YSD_WW%YU10N    10M NEUTRAL WIND U-COMPONENT
!      YSD_WW%YV10N    10M NEUTRAL WIND V-COMPONENT
!      YSD_WW%YRHO     AIR DENSITY AT SURFACE
!      YSD_WW%YZIL     ZI/L USED FOR GUSTINESS
!      YSD_WW%YCIF     SEA ICE FRACTION FOR THE SEA ICE BOUNDARY
!                       (ONLY ON SEA POINTS)

  ZR_PJ = 287.06_JPRB
  ZEPS_WV_PJ = 0.61_JPRB
  ZCONS_PJ = ZR_PJ*ZEPS_WV_PJ
  
  ZKAPPA_PJ = 0.40_JPRB
  ZGZNLEV_PJ = 10._JPRB*9.80665_JPRB
  ZIPBL_PJ=1000._JPRB
  ZCPD_PJ=1004.71_JPRB
  ZRG_PJ=9.80665_JPRB
  Z1D3_PJ=1._JPRB/3._JPRB

  DO JROF=IST,IEND

!   COMPUTATION OF THE SURFACE AIR DENSITY
    ZRHO_A = ZPRE9(JROF,NFLEVG)/(ZR_PJ*ZBUGWAM(JROF)*&
         & (1.0_JPRB + ZEPS_WV_PJ*ZVD2Q(JROF))) 
                               
!   COMPUTATION OF THE NEUTRAL 10m WIND
!   NOTE TOFD COMP. OF TURBULENT FLUX IS SUBTRACTED FROM THE TOTAL TURBULENT FLUX
    ZTAU_U = (ZSTRTU(JROF,NFLEVG)-ZTOFDU(JROF))/ZRHO_A
    ZTAU_V = (ZSTRTV(JROF,NFLEVG)-ZTOFDV(JROF))/ZRHO_A

    ZUST   = MAX(0.0001_JPRB,(ZTAU_U**2+ZTAU_V**2)**(0.25_JPRB))
    ZLOG   = LOG(ZGZNLEV_PJ/PSD_VD(JROF,YSD_VD%YZ0F%MP))/ZKAPPA_PJ

    ZROWQ=ZDIFTQ(JROF,NFLEVG)
    ZROWT=ZDIFTS(JROF,NFLEVG)/ZCPD_PJ
    ZBUO =ZRG_PJ*(-ZEPS_WV_PJ*ZROWQ-ZROWT/ZBUGWAM(JROF))/ZRHO_A
    IF (ZBUO > 0._JPRB) THEN 
      ZWST=(ZIPBL_PJ*ZBUO)**Z1D3_PJ
    ELSE
      ZWST=0._JPRB
    ENDIF
     
    PSD_WW(JROF,YSD_WW%YU10N%MP) = ZTAU_U/ZUST*ZLOG
    PSD_WW(JROF,YSD_WW%YV10N%MP) = ZTAU_V/ZUST*ZLOG
    PSD_WW(JROF,YSD_WW%YRHO%MP)  = ZRHO_A
    PSD_WW(JROF,YSD_WW%YZIL%MP)  = ZWST

!   Sea Ice fraction is only defined for sea points
    IF(PSD_VF(JROF,YSD_VF%YLSM%MP) <= 0.5_JPRB ) THEN
      PSD_WW(JROF,YSD_WW%YCIF%MP) =  PSD_VF(JROF,YSD_VF%YCI%MP)
    ELSE
      PSD_WW(JROF,YSD_WW%YCIF%MP) = RMISSW
    ENDIF
!   Ocean currents were set to 0. over land
    IF(LWCUR) THEN
      PSD_WW(JROF,YSD_WW%YUCURW%MP)= PSD_VF(JROF,YSD_VF%YUCUR%MP)
      PSD_WW(JROF,YSD_WW%YVCURW%MP)= PSD_VF(JROF,YSD_VF%YVCUR%MP)
    ENDIF

  ENDDO

ENDIF

IF (LTWOTL) THEN
  CALL GPPOPER('SET0TO1', PSP_SB=PSP_SB,PSP_SG=PSP_SG,PSP_RR=PSP_RR,&
   &PSP_OM=PSP_OM,PSP_EP=PSP_EP,PSP_X2=PSP_X2)   !KPP
ELSE
  CALL GPPOPER('PHTFILT', PSP_SB=PSP_SB,PSP_SG=PSP_SG,PSP_RR=PSP_RR,&
   &PSP_OM=PSP_OM,PSP_EP=PSP_EP,PSP_X2=PSP_X2)   !KPP
ENDIF

!CALL GPRNORM2( 1, 1, ZINCSR0, 'INCSOL0' )
!CALL GPRNORM2( 1, 1, ZINCSR , 'INCSOL ' )

!     ------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('EC_PHYS',1,ZHOOK_HANDLE)
END SUBROUTINE EC_PHYS
