SUBROUTINE SUADBUFFER

USE PARKIND1  ,ONLY : JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
USE YOEADBUFFER 

!**** *SUADBUFFER*  - Initialize 6S adjoint parameters 

!     Purpose.
!     --------
!           Initialize 6S adjoint parameters 

!**   Interface.
!     ----------
!        *CALL* *SUADBUFFER

!        Explicit arguments :
!        --------------------
!        None

!     Externals.
!     ----------

!     Author.
!     -------
!        A. BENEDETTI - ECMWF 07.08.2008 

!     ------------------------------------------------------------------

IMPLICIT NONE

REAL(KIND=JPRB) :: ZHOOK_HANDLE


 IF (LHOOK) CALL DR_HOOK('SUADBUFFER',0,ZHOOK_HANDLE)

! BLOCK DATA BOOLEANS 
  adl4inlbuf = .FALSE.
  adl4ibuf = 1
  adl4ilbuf=-1  

! BLOCK DATA INTEGER

   adi4ibuf=1
   adi4ilbuf=-1
   adi4inlbuf=.FALSE.

! BLOCK DATA REALS

   adr8ibuf=1
   adr8ilbuf=-1
   adr8inlbuf=.FALSE.
 
 IF (LHOOK) CALL DR_HOOK('SUADBUFFER',1,ZHOOK_HANDLE)
END SUBROUTINE SUADBUFFER
