SUBROUTINE SUSC2B

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOMLUN   , ONLY : NULOUT
USE YOMMP    , ONLY : NSLSTA   ,NSLONL   ,NSLOFF   ,NSLEXT   ,&
 & NSLCORE  ,NASLB1   ,NSLPROCS,NSLRPT   ,&
 & NSLSPT   ,NSLSENDPOS,NSLRECVPOS,NSENDPTR,NRECVPTR ,&
 & MY_REGION_NS   ,MY_REGION_EW   ,&
 & NOBSTA   ,NOBONL    ,NOBOFF ,&
 & NSLCOMM  ,LSLCOMM   ,MYSETW  ,NPTRLS ,NFRSTLOFF ,&
 & NPTRFLOFF,MYFRSTACTLAT,MYLSTACTLAT,NSTA,NONL ,&
 & NPTRFRSTLAT,NFRSTLAT,NLSTLAT  
USE YOMDIM   , ONLY : NDGLL    ,NPROMA   ,NDGLG    ,NDGSAL   ,NFLEVG   ,&
 & NDGSUR   ,NDGENL   ,NDLON    ,NDGENG   ,NDGSAG   ,&
 & NGPBLKS  ,NDGSAH   ,NDGENH   ,NXMAX    ,NCPEC    ,NCPEC2   ,&
 & NDGUXL   ,NDGUXG   ,NDSUR1   ,NDLSUR   ,NFGPPC
USE YOM_YGFL , ONLY : YGFL     ,YO3, NGHG, NGRG, YGHG, YGRG
USE YOMCST   , ONLY : RPI      ,RA
USE YOMDPHY  , ONLY : NTILES   ,LDIRCLSMOD
USE YOMCT0   , ONLY : NCONF    ,LALLOPR  ,NPRINTLEV,LSLAG    ,LTWOTL   ,&
 & LELAM    ,LOBSC1   ,LOBS     ,NPROC    ,LOUTPUT  ,NSTART  ,NSTOP    ,&
 & LSPRT    ,LNHDYN   ,LFPART2
USE YOMCT0B  , ONLY : LECMWF
USE YOMGEM   , ONLY : NLOEN    ,RSTRET   ,NGPTOT   ,NGPTOTG  ,&
 & NMEN     ,NLOENG   ,NMENG    ,NGPTOT_CAP   
USE YEMGEO   , ONLY : EDELX    ,EDELY
USE YOMLEG   , ONLY : RLATIG   ,RLATI    ,RIPI0    ,RIPI1    ,RIPI2 ,&
 & RMU      ,RSQM2   ,RSLD1    ,RSLD2    ,RSLD3    ,RSLDW
USE YOMDYN   , ONLY : TSTEP    ,VMAX1    ,VMAX2    ,NSITER   ,&
 & LADVF    ,L2TLFF  
USE YOMDYNA  , ONLY : LSLHD    ,LSLHDQUAD,SLHDEPSH
USE YOMIOS   , ONLY : NPCKFCF  ,NPCKFXF  ,NPCKFGN  
USE YOMNMIA  , ONLY : NVMODM   ,&
 & LRPIMP   ,LNOINI  
USE YOMSC2   , ONLY : &
 & NSLWIDE  ,NFLDSLB1 ,NFLDSLB15,NFLDSLB2  ,&
 & NFLDOBB1 ,&
 & NDIEND   ,NDIST    ,&
 & NCIEND   ,NCIST    ,NOBWIDE  ,NRIWIDEN  ,NRIWIDES
USE YOMGFL , ONLY : GFL, GFLSLP,GFL5,GFLPT,GFLPC
USE YOMSLREP , ONLY : LSLADREP
USE YOMCFU   , ONLY : NFDCFU   ,LCUMFU
USE YOMXFU   , ONLY : NFDXFU   ,LXFU
USE SURFACE_FIELDS_MIX , ONLY : ALLO_SURF, YSD_VXD, YSP_SBD
USE YOMGFUB  , ONLY : GFUBUF
USE YOMXFUB  , ONLY : XFUBUF
USE YOMSPHB  , ONLY : NLENSPHB ,SPHBUF   ,NSTASPHB
USE YOMHOUB  , ONLY : NLENHOUB ,HOUBUF   ,NSTAHOUB
USE YOMPINB  , ONLY : RPINBUF  ,NSTAPINB
USE YOMPHY   , ONLY : LSOLV
USE YOMAUXB  , ONLY : GAUXBUF
USE YOMANEB  , ONLY : ANEBUF    ,NANEBU   ,NANEBV   ,NANEBZ   ,NANEBR  ,&
 & NANEBQ   ,NANEBT   ,NANEBVO  ,NANEBO3  ,NANEBSP  ,&
 & NANEBRAD ,NANEBTCW ,NANEVARS ,&
 & NANEBRH2 ,NANEBU10 ,NANEBV10 ,NANEBT2  ,NANEBTO3 ,&
 & NANERADS ,NANERADL ,NANEBGHG ,NANEBGRG ,NANEBAERO
USE YOMVAR   , ONLY : NBGVECS  ,NOANEF   ,LAVCGL   ,LBGOBS
USE YOMTPHY  , ONLY : NLENGT95B,NLENGTT5B,NLENGTS5B,&
 & TRAJPHYS ,&
 & TRAJPHTE,TRAJPHSF  
USE YOMTRSL  , ONLY : NLENGTSLB,TRAJSL   ,NTRSLTYPE ,&
 & NPCKSLTRAJ  
USE YOMTNH   , ONLY : NLENNH95B,TRAJNH
USE YOMTIT   , ONLY : NLENIT15B,TRAJIT
USE YOMNCL   , ONLY : GPCLOUD5 ,GPCLOUDIN
USE YOELWRAD , ONLY : RADLWM   ,RADLWM5
USE YOEGWDWMS, ONLY : TGWDWMS  ,TGWDWMS5
USE YOMIOP   , ONLY : NPCKFT95 ,NPCKFTS5 ,NPCKFPH5 ,&
 & NG3D95   ,NG3P95  ,NG3DT95  ,NG3PR95  ,&
 & NG3S95   ,NG2D95  ,NG2T95   ,NG2DS5   ,NG2DSF5  
USE YOMIOPNH , ONLY : NG3NH95  ,LTRAJNH
USE YOMSIMPHL, ONLY : LTRAJPS  ,LTRAJPST
USE YOMRCOEF , ONLY : LRCOEF    ,NG3SR   ,&
 & NPCKFSR  ,NLENGSRB ,SOLRAD    ,NLENGTRB ,LGLOBRAD ,&
 & THERRAD  ,TRWEIGHT ,TRMATSUM   
USE GRIDPOINT_BUFFERS_MIX , ONLY :  &
 & ALLOCATE_GRIDPOINT_BUFFER  
USE YOMMASK  , ONLY : MASK_SL1
USE YOPHNC   , ONLY : LETRAJP ,LETRAJPT ,LERADSW2 ,LERADN2 ,&
 & LERADLW2 ,LENCLD2, LEGWWMS2
USE YOMSRFTLAD  , ONLY : GPTSKIN0, GPTSKIN9
USE YOEPHY   , ONLY : LERADI 
USE YOMSLPHY , ONLY : LSLPHY  , SAVTEND  ,NVTEND
USE YOMINI   , ONLY : NEINI
USE YOMGPPCB  , ONLY : GPPCBUF
USE GMV_SUBS_MOD , ONLY : SETUP_GMV
USE PTRGPPC  , ONLY : MGPPC    ,&
 & MGPPCO_Y ,MGPPCO_GL,MGPPCO_GM,MGPPCO_RR,MGPPCO_WW,&
 & MGPPCF_U ,MGPPCF_V ,MGPPCF_T ,MGPPCF_SPD,MGPPCF_SVD,MGPPCF_SP,&
 & MGPPCF_UP,MGPPCF_VP,MGPPCF_TP,MGPPCF_GFLP,MGPPCF_NHX,MGPPCF_CP,MGPPCF_CPSI,&
 & MGPPCF_BBC,&
 & MGPPC5   ,MGPPCO_Y5,MGPPCO_GL5,MGPPCO_GM5,MGPPCO_RR5,MGPPCO_WW5,&
 & MGPPCF_U5,MGPPCF_V5,MGPPCF_T5,MGPPCF_SPD5,MGPPCF_SVD5,MGPPCF_SP5
USE GOMS_MIX     , ONLY : NGOMGFL
USE YOMJG , ONLY : N_SPJB_VARS,SPJB_VARS_INFO, NAEROCV
USE YOMGRB , ONLY : NGRBO3, NGRBAERLG
USE YOMCOAPHY , ONLY : NPHYINT
USE YOEWCOU  , ONLY : LWCOU
USE YOMLDDH  , ONLY : LSDDH

!**** *SUSC2B*  Initialize control of calc in gridpoint space

!     Purpose.
!     -------
!           Initialize YOMSC2, the module that controls the
!           grid - point calculations under SCAN2M.
!           Also prepare memory buffers.

!     Interface.
!     ---------
!        *CALL*  *SUSC2B*

!        Explicit arguments : None
!        ------------------
!        Implicit arguments :
!        ------------------
!        see above "USE MODULE"

!     Method.
!     -------
!        See documentation

!     Externals.
!     ----------
!        SUSLB,SUSLB2,SLCSET

!     Author.
!     ------
!        Mats Hamrud  * ECMWF *

!     Modifications.
!     -------------
!        Original  : 91-01-15
!        D. Giard  : 92-05-13 correction of NWFADT (acc. of diab. tend.)
!        JM.Piriou : 92-05-13 initialize NDHTSK (horiz. diag. DDH)
!        D. Giard  : 92-05-22 semi-lag. buffers added for NNMI
!        D. Giard  : 92-05-25 accumulation of diabatic tendencies for ps
!        D. Dent   : 92-06-25 NSLB1 buffer size for LSLAG
!        M.H./D.G. : 92-08-04 I/O for diabatic tendencies corrected
!        D. Giard  : 92-11-09 I/O for accumulation of diabatic tendencies
!        J.N. T    : 92-11-26 introduction of a new buffer for observations
!        K. Yessad : 92-12-18 Non interpolating vertical scheme.
!        F.Bouttier: 92-11-27 SL1 buffers for E.K.F., too
!        L.Labbe   : 93-04-15 new configuration 821
!        R.ElKhatib: 93-05-10 Spectral "brake"
!        M.Hamrud  : 93-06-01 Supress some fields from non-interpolating
!                               vertical scheme
!        M.Hamrud  : 93-11-18 Supress Fourier 2 buffer
!        K.Yessad  : 93-12-14 Interpolations at medium point
!                               semi-lagrangian temperature equation
!        C.Temperton:93-12-20 interpolation at mid-point for
!                               semi-Lagrangian moisture equation
!        C.Temperton:94-01-12 compute revised values of VMAX1, VMAX2
!        KY & REK  : 94-02-18 Harmonisation of enhanced diffusions (LFREIN)
!        R.ElKhatib: 94-03-03 Full-POS inplementation
!        M.Hortal  : 94-03-23 interpolation at mid-point for
!                               semi-Lagrangian momentum equations
!        J.N.Thepaut:94-08-23 logic for incremental
!        C.Temperton:94-05-17 spectral RT option
!        M.Hamrud  : 94-04-07 upper air gridpoint fields
!        M.Tolstykh: 94-10-17 setup for CUD-5 interpolation
!        K.Yessad  : 95-01    minor corrections for CUD-5
!                               (remove useless quantities NBFLDO and NBFLDM)
!        D. Giard  : 95-06-06 NFLDOBB1 : +4 for new surface analysis (OI)
!        L.Isaksen : 95-06-06 NSTAPINB changed
!        K.Yessad  : 95-10    optimisation of NSLWIDE for 2TL SL scheme
!        R.ElKhatib: 95-11-20 safe-keeping gridpoint fields before
!                               post-processing
!        K. Yessad : 96-04    NSLWIDE computed according to NDGSUR.
!        JP.Piedelievre:97-03 MPP for LCUMFU and LXFU. Length of buffers
!        F.Taillefer:97-05    NFLDOBB1 +2 for DL and DM (wind interpolation)
!        M.Janiskova:95-12-06 Trajectory at t-dt for TL and AD of simplified
!                             physical parametrizations
!        J.F. Mahfouf: 96-09-23 Trajectory at t-dt for TL and AD of physics
!        Modified SEPT 1996 by K. YESSAD:
!          - Spectral transforms for transmission coefficients.
!        Modified FEB 1997 by K. YESSAD:
!          - removal of NFPSUR.
!          - parallelisation of FULL-POS, environment for variables
!            using NFPWIDE.
!        JPh. Piedelievre (March 1997) : MPP for LCUMFU and LXFU. Length of
!          buffers.
!        K. YESSAD (August 1997): cleaning for CY18, bug correction for
!          computation of NSLBCT(5,.) to NSLBCT(8,.) for DM.
!        F.Taillefer:97-10-08 NFLDOBB1 +2*NFLEVG+1 for sigma guess (CANARI)
!        L. Dragulanescu: 97-05-25 801 ALADIN
!        C.Fischer : 97-10-23 Call SUEFPCSET in Aladin case
!        D. Giard  : 97-08    initialization of XFUBUF, GFUBUF
!        F. Veerse 97-11-18 : Allocate NSLSTA,NSLONL,NSLOFF for conf. 131
!        K. YESSAD (JAN 1998): merge of SLCSET and SUFPCSET into
!         SLCSET + some optimisations of Lars Isaksen.
!        C.Temperton: 98-01-19 2TL SL scheme for SWE model.
!        C. Fischer: 98-06-17 remove calls to ESLCSET and SUEFPCSET (Ald)
!        K. YESSAD: 98-08-05. Cleaning.
!         - SUSLB split into SUSLB and SUSLB2.
!         - removal of the 2TLSL options requiring an anterior point.
!        Modified 98-08-10 by K. YESSAD: removal of LRPOLE option.
!          - removal of LRPOLE in YOMCT0.
!          - removal of LLPOLE and code under LRPOLE, LLPOLE.
!        E.Andersson : 98-08-18 TOVS radiance background errors
!        R. El Khatib 98-10-06 LFPOSBUF
!        C.Temperton : 98-12-22 adjoint of 2TL SL scheme for SWE model.
!        C.Temperton : 99-01-21 storage of trajectory for tangent-linear
!           and adjoint of semi-Lagrangian (SWE only so far)
!        R. El Khatib 98-10-06 LFPOSBUF
!        V.Casse     98-11    NFLDOBB1
!        D.Salmond and Bob Carruthers 99-05 NLTSGTB(MYSETA) changed to 
!                                           NLTSGTB(MYSETW)
!        M. Charron  99-02-01 non-hydrostatic trajectories
!        M. Janiskova: 99-02-21 solar and thermal radiation coefficients
!        D.Salmond  99-06  Optimisation of TRMTOL
!        G.Mozdzynski 99-09 call slcset for observation halo 
!        C.Temperton : 99-06-17 TL/AD of 2TL SL scheme for SWE model -
!                      4 more fields stored to allow L2TLFF option
!        R. El Khatib 99-08-13 Move NFPWIDE-related computations to SUFPWIDE
!        D.Salmond  99-08  Removal of NSLBCT for LMESSP=.TRUE.
!        J. Jerman & R. El Khatib 99-11-10 SUSC2 => SUSC2A + SUSC2B
!        C.Temperton : 99-08-24 storage of trajectory for tangent-linear
!           and adjoint of semi-Lagrangian (3D model)
!        C.Temperton : 00-02-14 LSLAG and NCONF=601
!        P.Viterbo  99-09  Surface tiles for observations
!        M.Janiskova 2000-01 Trajectory for AD phys.tendencies
!        Y.Tremolet  00-08-07 Remove GP5BUF
!        G.Mozdzynski 2000-07 bit reproducibility support
!        C.Temperton : 00-07-10 Allow NPCKSLTRAJ=2
!        M.Janiskova : 00-12-18 renamed packing factor for phys.tendencies
!        C.Temperton : 00-10-10 LSLAG and NCONF=801
!        C.Temperton : 01-01-29 TL/AD of case LSPRT=.TRUE.
!        C.Temperton : 01-01-25 Bit-reproducibility for NCONF=601,801
!        G.Mozdzynski: 01-12-18 support radiation grid
!        Modified 01-08-30 by K. YESSAD: pruning and some other cleanings.
!        R. El Khatib : 01-08-07 Pruning options
!        Modified 08-2002 C. Smith : use "w" as prognostic variable in the
!         semi-lag advection of vertical divergence in the NH model.
!        R. El Khatib : 02-21-20 Fullpos B-level distrib. + remove IO scheme
!        M.Janiskova : 02-10-30 Cloud characteristics for new scheme
!                               for TL/AD (cloudst)
!        G.Mozdzynski: 03-6-25 allow radiation interpolation when lslag=f
!        M.Hamrud    : 03-08-01 GFL introduction
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!        M.Janiskova: 11-11-03 perturbation of skin temperature for lin.phys.
!        M.Tudor       03-10-31 allocate GFLPT 
!        R. El Khatib 04-05-24 Allocate MASK_SL1 anytime because it is argument
!         of subroutine
!        K. Yessad    04-07-06 Allocate GPNHBUF in susc2b instead of suesc2.
!        K. Yessad    04-07-07 Compute NFGPNH and the pointers of PTRGPPC now
!         in susc2b.
!        20-Feb-2005 J. Vivoda 3TL Eul PC scheme (GFLPC)
!        D.Salmond     22-Nov-2005 Mods for coarser/finer physics
!        G. Desroziers 16-Mar-06 Reduced number of channels for sigmab random. if LECMWF=.F.
!        G. Desroziers 02-June-06 Add SSMI channels for sigmab random. if LECMWF=.F.
!   N. Wedi and K. Yessad (Jan 2008): different dev for NH model and PC scheme
!        M. Janiskova  10-Apr-08 fields for the linearized LW radiation
!        30-Jun-2008 J. Masek    Auxiliary quantities for SLHD interpolators.
!        K. Yessad (Sep 2008): prune enhanced diffusion (lfrein), rm lpc_xidt.
!        13-Oct-2008 J. Masek    Fix for NUNDEFLD=1 case.
!        04-Dec-2009 H. Hersbach Add +2 to NFLDOBB1
!        M. Janiskova  21-Sep-09 fields for TL/AD of non-orog.gravity wave
!     ------------------------------------------------------------------

IMPLICIT NONE

INTEGER(KIND=JPIM) :: J, IU, JL, IDWIDE, ISTA, IEND, &
 & ISLWM2, ISLRPTSUR, ISLSPTSUR, JGL, JGLLOC, &
 & IGLGLO, ILBRLATI, IUBRLATI, ISUMMEN, &
 & ILEN, IS, IFLDSGTT5, &
 & IFLDSGT95, IFLDSGTS5, IFLDSGSR, INUMLEV, IFLDSNH95, &
 & IFLDSIT15, IFLDSGTSL, &
 & IBITS, JK, JM, IORDR, IREC, ILENPINB, &
 & IOBMAPLEN, ISLMAPLEN, IADMAPLEN, ISLWIDE, INFGPPC, INFGPPC5

LOGICAL :: LL2D, LLINTERPSL, LLP, LLPHYS, LLO3, LLAERO

REAL(KIND=JPRB) :: ZD1, ZD2, ZD3, ZD4, ZD5, ZD6, ZDL, ZISLWM2, ZLTRAJ, ZRAPVMAX

INTEGER(KIND=JPIM), ALLOCATABLE :: ISLSENDPOS(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: ISLRECVPOS(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: ISENDPTR(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: IRECVPTR(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: ISLCOMM(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: IOBMAP(:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: ISLMAP(:,:)
INTEGER(KIND=JPIM), ALLOCATABLE :: IADMAP(:,:)
INTEGER(KIND=JPIM) :: IANEINDEX
REAL(KIND=JPRB) :: ZHOOK_HANDLE

!    -------------------------------------------------------------------

#include "abor1.intfb.h"
#include "slcset.intfb.h"
#include "suptrgppc.intfb.h"
#include "suslad1.intfb.h"
#include "suslad2.intfb.h"
#include "suslb.intfb.h"
#include "suslb2.intfb.h"

!    -------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('SUSC2B',0,ZHOOK_HANDLE)
CALL GSTATS(1939,0)
!    -------------------------------------------------------------------

!*        2. INITIALIZE YOMSC2.
!            -----------------

!*        2.1   CONTROL FOR SCAN2, START ADRESSES FOR ROWS IN BUFFERS ETC.

IF (N_SPJB_VARS > 0) THEN
  LLO3 = ANY(SPJB_VARS_INFO(:)%IGRIBCODE==NGRBO3)
ELSE
  LLO3 = .FALSE.
ENDIF
IF (N_SPJB_VARS > 0) THEN
  LLAERO = ANY(SPJB_VARS_INFO(:)%IGRIBCODE==NGRBAERLG)
ELSE
  LLAERO = .FALSE.
ENDIF
LLP = NPRINTLEV >= 1.OR. LALLOPR
IU = NULOUT

IDWIDE=NDGLG/2 
ISTA=1
IEND=NDGLL

!*        2.2   INTERPOLATION BUFFERS SETUP, NUMBER OF BUFFERS ETC.

!         2.2.1 Computation of NSLWIDE, NFLDOBB1.

NFLDOBB1 = 0

IF (NCONF/100 == 2.OR. NCONF/10 == 42.OR. NCONF/10  == 52) THEN
  LL2D = .TRUE.
ELSE
  LL2D = .FALSE.
ENDIF

IF ( NCONF/100  ==  7 ) THEN

! * configurations between 700 and 799.

  NSLWIDE = 3
  NFLDSLB1 = 0
  NFLDSLB2 = 0
  NFLDSLB15 = 0
  NFLDOBB1 = (3+NGOMGFL)*NFLEVG + 14
  NFLDOBB1 = NFLDOBB1 + 2 + YSD_VXD%NUMFLDS
  NFLDOBB1 = NFLDOBB1 + 2*NFLEVG + 5
  IF (LSOLV) NFLDOBB1 = NFLDOBB1 + 4

ELSE

! * configurations between 1 and 699 or between 801 and 999.

  IF (LSLAG) THEN
    IF (LTWOTL) THEN
      ZLTRAJ=1._JPRB
    ELSE
      ZLTRAJ=2._JPRB
    ENDIF
    IF (LELAM) THEN
      ISLWM2=INT(ZLTRAJ*VMAX2*TSTEP*RSTRET/MIN(EDELX,EDELY))
      NSLWIDE = ISLWM2 + 2
    ELSE
      ZDL=ZLTRAJ*VMAX2*TSTEP*RSTRET/RA
      IF (ZDL > (0.5_JPRB*RPI)) THEN
        WRITE(NULOUT,*)'VMAX2 OR TSTEP TOO BIG, TAKE LOWER VALUES.'
        CALL ABOR1('SUSC2B : ABOR1 CALLED')
      ENDIF
      ZISLWM2 = ZDL * (REAL(NDGLG,JPRB) + 0.5_JPRB)/RPI
      ISLWM2 = ZISLWM2
      NSLWIDE = ISLWM2 + NDGSUR
!     ----------------------------------------------------------
!     recompute VMAX1, VMAX2 to take full advantage of NSLWIDE:
      ZRAPVMAX=VMAX1/VMAX2
      ZDL = REAL(ISLWM2 + 1,JPRB) * RPI/(REAL(NDGLG,JPRB) + 0.5_JPRB)
      IF (TSTEP /= 0.0_JPRB) THEN
        VMAX2 = ZDL * RA/(ZLTRAJ * TSTEP * RSTRET)
        VMAX1 = MIN(ZRAPVMAX * VMAX2, 250.0_JPRB)
        WRITE(NULOUT,'('' REVISED VALUES:'',&
         & '' VMAX1  = '',F6.2,'' VMAX2  = '',F6.2)') VMAX1,VMAX2  
      ENDIF
!     ----------------------------------------------------------
    ENDIF

    IF (LOBSC1.OR. NCONF/100 == 1) THEN
      NFLDOBB1 = (3+NGOMGFL) * NFLEVG + 23
      IF (LSOLV) NFLDOBB1 = NFLDOBB1 + 4
      IF (LECMWF) NFLDOBB1 = NFLDOBB1 + 7
      IF (LDIRCLSMOD)  NFLDOBB1=NFLDOBB1+2
    ENDIF

  ELSE

    IF (LOBSC1.OR. NCONF/100 == 1) THEN
      NSLWIDE = 3
      IF (LOBSC1) THEN
        NFLDOBB1 = 10 * (NFLEVG + 2) + 4
        IF (LDIRCLSMOD)  NFLDOBB1=NFLDOBB1+2
      ELSEIF (NCONF/100 == 1) THEN
        NFLDOBB1 = (3+NGOMGFL)*NFLEVG + 22
      ENDIF
      IF (LSOLV) NFLDOBB1 = NFLDOBB1 + 4
      IF (LECMWF) NFLDOBB1 = NFLDOBB1 + 7
    ELSE
      NSLWIDE = 0
      NFLDOBB1 = 0
    ENDIF

  ENDIF

  IF (LL2D) THEN
    CALL SUSLB2
  ELSE
    CALL SUSLB
  ENDIF

ENDIF

IF( NSLWIDE > IDWIDE )THEN
  WRITE(NULOUT,'('' SUSC2B : NSLWIDE > IDWIDE, '',2I6)')NSLWIDE,IDWIDE
  CALL ABOR1(' SUSC2B : NSLWIDE > IDWIDE')
ENDIF

!         2.2.2 Allocate arrays based on NSLWIDE or NOBWIDE and initialised 
!               in SLCSET, call SLCSET.
!               Arrays NSLSENDPOS, NSLRECVPOS, NSENDPTR, NRECVPTR, and NSLCOMM
!               are useless and not initialised if NPROC=1

IF (LSLAG.OR.LOBS.OR.NCONF/100 == 7) THEN  ! WHAT ABOUT LOBSC1 ???
!     ideally nobwide should be computed as a function of nobshor
!     assume nobshor=203 (12 points interp) as this requires the larger halo
  NOBWIDE=2
  NSLWIDE=MAX(NOBWIDE+2,NSLWIDE)
  ALLOCATE(NSLSTA(NDGSAL-NSLWIDE:NDGENL+NSLWIDE))
  IF (LLP) WRITE(IU,9) 'NSLSTA   ',SIZE(NSLSTA),SHAPE(NSLSTA)
  ALLOCATE(NSLONL(NDGSAL-NSLWIDE:NDGENL+NSLWIDE))
  IF (LLP) WRITE(IU,9) 'NSLONL   ',SIZE(NSLONL),SHAPE(NSLONL)
  ALLOCATE(NSLOFF(NDGSAL-NSLWIDE:NDGENL+NSLWIDE))
  IF (LLP) WRITE(IU,9) 'NSLOFF   ',SIZE(NSLOFF),SHAPE(NSLOFF)
  !   * now allocate arrays for observation halo
  ALLOCATE(NOBSTA(NDGSAL-NOBWIDE:NDGENL+NOBWIDE))
  IF (LLP) WRITE(IU,9) 'NOBSTA ',SIZE(NOBSTA),SHAPE(NOBSTA)
  ALLOCATE(NOBONL(NDGSAL-NOBWIDE:NDGENL+NOBWIDE))
  IF (LLP) WRITE(IU,9) 'NOBONL ',SIZE(NOBONL),SHAPE(NOBONL)
  ALLOCATE(NOBOFF(NDGSAL-NOBWIDE:NDGENL+NOBWIDE))
  IF (LLP) WRITE(IU,9) 'NOBOFF ',SIZE(NOBOFF),SHAPE(NOBOFF)
  ALLOCATE(NSLEXT(1-NDLON:NDLON+NDLON,1-NSLWIDE:NDGENL+NSLWIDE))
  IF(LLP)WRITE(IU,9) 'NSLEXT   ',SIZE(NSLEXT   ),SHAPE(NSLEXT )
  ALLOCATE(NSLCORE(NGPTOT)) 
  IF(LLP)WRITE(IU,9) 'NSLCORE  ',SIZE(NSLCORE  ),SHAPE(NSLCORE)
  IF (NPROC > 1) THEN
    ISLRPTSUR=NGPTOTG
    ISLSPTSUR=2*NGPTOTG
  ELSE
    ISLRPTSUR=0
    ISLSPTSUR=0
  ENDIF
  ALLOCATE(ISLSENDPOS(ISLSPTSUR))
  ALLOCATE(ISLRECVPOS(ISLRPTSUR))
  ALLOCATE(ISENDPTR(NPROC+1))
  ALLOCATE(IRECVPTR(NPROC+1))
  ALLOCATE(ISLCOMM(NPROC))
  ALLOCATE(IOBMAP(4,NDGLG))
  ALLOCATE(IADMAP(4,NDGLG))
  ALLOCATE(ISLMAP(4,NDGLG))
!  * slcset is called to compute a halo based on a standard or double halo
!    width; note that only nobsta,nobonl,noboff are updated here
  CALL SLCSET('OB',NOBWIDE,ISLRPTSUR,ISLSPTSUR,MY_REGION_NS,MY_REGION_EW,&
   & NDGLG,NDLON,NDGSAG,NDGENG,NDGUXL,NDGUXG,NDGSAL,NDGENL,&
   & NDSUR1,NDLSUR,NDGSUR,NGPTOT,NGPTOT_CAP,&
   & NPTRFLOFF,NFRSTLOFF,MYFRSTACTLAT,MYLSTACTLAT,&
   & NSTA,NONL,NLOENG,NPTRFRSTLAT,NFRSTLAT,NLSTLAT,&
   & RMU,RSQM2,&
   & NOBSTA,NOBONL,NOBOFF,NSLEXT,NSLCORE,NASLB1,&
   & NSLPROCS,NSLRPT,NSLSPT,&
   & ISLSENDPOS,ISLRECVPOS,ISENDPTR,IRECVPTR,ISLCOMM,IOBMAP,IOBMAPLEN)  

  IF(ALLOCATED(IOBMAP)) DEALLOCATE(IOBMAP)

!   * call of slcset for a halo based on a standard halo width
  CALL SLCSET('SL',NSLWIDE,ISLRPTSUR,ISLSPTSUR,MY_REGION_NS,MY_REGION_EW,&
   & NDGLG,NDLON,NDGSAG,NDGENG,NDGUXL,NDGUXG,NDGSAL,NDGENL,&
   & NDSUR1,NDLSUR,NDGSUR,NGPTOT,NGPTOT_CAP,&
   & NPTRFLOFF,NFRSTLOFF,MYFRSTACTLAT,MYLSTACTLAT,&
   & NSTA,NONL,NLOENG,NPTRFRSTLAT,NFRSTLAT,NLSTLAT,&
   & RMU,RSQM2,&
   & NSLSTA,NSLONL,NSLOFF,NSLEXT,NSLCORE,NASLB1,&
   & NSLPROCS,NSLRPT,NSLSPT,&
   & ISLSENDPOS,ISLRECVPOS,ISENDPTR,IRECVPTR,ISLCOMM,ISLMAP,ISLMAPLEN)  

  IF (LSLADREP.AND.LSLAG.AND.(NCONF == 131.OR.NCONF == 401&
     & .OR.NCONF == 601.OR.NCONF == 801)) THEN  
!       * call of slcset for a halo based on a double standard halo width
    NSLWIDE=NSLWIDE*2
    IF(ALLOCATED(NSLEXT)) DEALLOCATE(NSLEXT)
    IF(ALLOCATED(NSLCORE)) DEALLOCATE(NSLCORE)
    ALLOCATE(NSLEXT(1-NDLON:NDLON+NDLON,1-NSLWIDE:NDGENL+NSLWIDE))
    IF(LLP)WRITE(IU,9) 'NSLEXT   ',SIZE(NSLEXT   ),SHAPE(NSLEXT )
    ALLOCATE(NSLCORE(NGPTOT)) 
    IF(LLP)WRITE(IU,9) 'NSLCORE  ',SIZE(NSLCORE  ),SHAPE(NSLCORE)
    IF (NPROC > 1) THEN
      ISLRPTSUR=NGPTOTG
      ISLSPTSUR=2*NGPTOTG
    ELSE
      ISLRPTSUR=0
      ISLSPTSUR=0
    ENDIF
    IF(ALLOCATED(ISLSENDPOS)) DEALLOCATE(ISLSENDPOS)
    IF(ALLOCATED(ISLRECVPOS)) DEALLOCATE(ISLRECVPOS)
    ALLOCATE(ISLSENDPOS(ISLSPTSUR))
    ALLOCATE(ISLRECVPOS(ISLRPTSUR))
    IF(ALLOCATED(NSLEXT)) DEALLOCATE(NSLEXT)
    IF(ALLOCATED(NSLSTA)) DEALLOCATE(NSLSTA)
    IF(ALLOCATED(NSLONL)) DEALLOCATE(NSLONL)
    IF(ALLOCATED(NSLOFF)) DEALLOCATE(NSLOFF)
    ALLOCATE(NSLEXT(1-NDLON:NDLON+NDLON,1-NSLWIDE:NDGENL+NSLWIDE))
    IF(LLP)WRITE(IU,9) 'NSLEXT   ',SIZE(NSLEXT   ),SHAPE(NSLEXT )
    ALLOCATE(NSLSTA(NDGSAL-NSLWIDE:NDGENL+NSLWIDE))
    IF (LLP) WRITE(IU,9) 'NSLSTA   ',SIZE(NSLSTA),SHAPE(NSLSTA)
    ALLOCATE(NSLONL(NDGSAL-NSLWIDE:NDGENL+NSLWIDE))
    IF (LLP) WRITE(IU,9) 'NSLONL   ',SIZE(NSLONL),SHAPE(NSLONL)
    ALLOCATE(NSLOFF(NDGSAL-NSLWIDE:NDGENL+NSLWIDE))
    IF (LLP) WRITE(IU,9) 'NSLOFF   ',SIZE(NSLOFF),SHAPE(NSLOFF)

    CALL SLCSET('AD',NSLWIDE,ISLRPTSUR,ISLSPTSUR,MY_REGION_NS,MY_REGION_EW,&
     & NDGLG,NDLON,NDGSAG,NDGENG,NDGUXL,NDGUXG,NDGSAL,NDGENL,&
     & NDSUR1,NDLSUR,NDGSUR,NGPTOT,NGPTOT_CAP,&
     & NPTRFLOFF,NFRSTLOFF,MYFRSTACTLAT,MYLSTACTLAT,&
     & NSTA,NONL,NLOENG,NPTRFRSTLAT,NFRSTLAT,NLSTLAT,&
     & RMU,RSQM2,&
     & NSLSTA,NSLONL,NSLOFF,NSLEXT,NSLCORE,NASLB1,&
     & NSLPROCS,NSLRPT,NSLSPT,&
     & ISLSENDPOS,ISLRECVPOS,ISENDPTR,IRECVPTR,ISLCOMM,IADMAP,IADMAPLEN)  

    CALL SUSLAD1(IADMAPLEN,ISLMAPLEN,IADMAP,ISLMAP)

  ENDIF

  IF(ALLOCATED(ISLMAP)) DEALLOCATE(ISLMAP)
  IF(ALLOCATED(IADMAP)) DEALLOCATE(IADMAP)

  IF (NPROC > 1) THEN
    ALLOCATE(NSLSENDPOS(NSLSPT))
    IF (LLP) WRITE(IU,9) 'NSLSENDPOS',SIZE(NSLSENDPOS),SHAPE(NSLSENDPOS)
    ALLOCATE(NSLRECVPOS(NSLRPT))
    IF (LLP) WRITE(IU,9) 'NSLRECVPOS',SIZE(NSLRECVPOS),SHAPE(NSLRECVPOS)
    ALLOCATE(NSENDPTR(NSLPROCS+1))
    IF (LLP) WRITE(IU,9) 'NSENDPTR  ',SIZE(NSENDPTR  ),SHAPE(NSENDPTR  )
    ALLOCATE(NRECVPTR(NSLPROCS+1))
    IF (LLP) WRITE(IU,9) 'NRECVPTR  ',SIZE(NRECVPTR  ),SHAPE(NRECVPTR  )
    ALLOCATE(NSLCOMM(NSLPROCS))
    IF (LLP) WRITE(IU,9) 'NSLCOMM   ',SIZE(NSLCOMM   ),SHAPE(NSLCOMM   )
    ALLOCATE(LSLCOMM(NSLPROCS,NSTART:NSTOP))
    IF (LLP) WRITE(IU,9) 'LSLCOMM   ',SIZE(LSLCOMM   ),SHAPE(LSLCOMM   )
    NSLSENDPOS(1:NSLSPT)=ISLSENDPOS(1:NSLSPT)
    NSLRECVPOS(1:NSLRPT)=ISLRECVPOS(1:NSLRPT)
    NSENDPTR(1:NSLPROCS+1)=ISENDPTR(1:NSLPROCS+1)
    NRECVPTR(1:NSLPROCS+1)=IRECVPTR(1:NSLPROCS+1)
    NSLCOMM(1:NSLPROCS)=ISLCOMM(1:NSLPROCS)
  ENDIF

  IF(ALLOCATED(ISLSENDPOS)) DEALLOCATE(ISLSENDPOS)
  IF(ALLOCATED(ISLRECVPOS)) DEALLOCATE(ISLRECVPOS)
  IF(ALLOCATED(ISENDPTR)) DEALLOCATE(ISENDPTR)
  IF(ALLOCATED(IRECVPTR)) DEALLOCATE(IRECVPTR)
  IF(ALLOCATED(ISLCOMM)) DEALLOCATE(ISLCOMM)

  IF (LSLADREP.AND.LSLAG.AND.(NCONF == 131.OR.NCONF == 401&
     & .OR.NCONF == 601.OR.NCONF == 801)) THEN  
!     Initialise constant arrays for SL adjoint interpolations
    CALL SUSLAD2
  ENDIF

  IF(LSLPHY) THEN
    ALLOCATE(SAVTEND(NPROMA,NFLEVG,NVTEND,NGPBLKS))
    IF (LLP) WRITE(IU,9) 'SAVTEND  ',SIZE(SAVTEND  ),SHAPE(SAVTEND  )
    SAVTEND(:,:,:,:) = 0.0_JPRB
  ENDIF

  IF(.NOT.ALLOCATED(MASK_SL1))THEN
    ALLOCATE(MASK_SL1(NASLB1+4))
  ELSE
    DEALLOCATE(MASK_SL1)
    ALLOCATE(MASK_SL1(NASLB1+4))
  ENDIF
  MASK_SL1(:)=0

ENDIF
! ** arrays used only in semi-Lagrangian and observation
!    interpolations: currently NSLWIDE is kept for dimension.
DEALLOCATE(NLOEN)
DEALLOCATE(NMEN)
ALLOCATE(NLOEN  (NDGSAL-NSLWIDE:NDGLL+NSLWIDE))
IF(LLP)WRITE(IU,9) 'NLOEN    ',SIZE(NLOEN    ),SHAPE(NLOEN    )
ALLOCATE(NMEN   (NDGSAL-NSLWIDE:NDGLL+NSLWIDE))
IF(LLP)WRITE(IU,9) 'NMEN     ',SIZE(NMEN     ),SHAPE(NMEN     )

DO JGLLOC=NDGSAL-NSLWIDE,NDGLL+NSLWIDE
  IGLGLO=NPTRLS(MYSETW)+JGLLOC-1
  IF( IGLGLO >= NDGSAG.AND.IGLGLO <= NDGENG )THEN
    NLOEN(JGLLOC)=NLOENG(IGLGLO)
    NMEN (JGLLOC)=NMENG(IGLGLO)
  ENDIF
ENDDO

LLINTERPSL=.FALSE.
IF (LELAM) THEN
  IF (LSLAG) LLINTERPSL=.TRUE.
!???    IF (switch for observation interpolation ???) LLINTERPSL=.TRUE.
ELSE
  IF(NDGSAG <= 0.AND.NDGENG >= NDGLG+1) LLINTERPSL=.TRUE.
ENDIF

! check for new radiation interpolation
IF( (LERADI .AND. MAX(NRIWIDEN,NRIWIDES) > 0) .OR. NPHYINT > 0)LLINTERPSL=.TRUE.

ISLWIDE=MAX(NSLWIDE,NRIWIDEN,NRIWIDES)

IF(LLINTERPSL)THEN
! ** arrays used only in semi-Lagrangian ,observation and radiation
!    interpolations
  ILBRLATI = MAX(NDGSAG,NDGSAL+NFRSTLOFF-ISLWIDE)-NFRSTLOFF
  IUBRLATI = MIN(NDGENG,NDGENL+NFRSTLOFF+ISLWIDE)-NFRSTLOFF
  ALLOCATE(RIPI0(ILBRLATI:IUBRLATI))
  IF (LLP) WRITE(IU,9) 'RIPI0    ',SIZE(RIPI0),SHAPE(RIPI0)
  ALLOCATE(RIPI1(ILBRLATI:IUBRLATI))
  IF (LLP) WRITE(IU,9) 'RIPI1    ',SIZE(RIPI1),SHAPE(RIPI1)
  ALLOCATE(RIPI2(ILBRLATI:IUBRLATI))
  IF (LLP) WRITE(IU,9) 'RIPI2    ',SIZE(RIPI2),SHAPE(RIPI2)
  ALLOCATE(RLATI (ILBRLATI:IUBRLATI))
  IF (LLP) WRITE(IU,9) 'RLATI    ',SIZE(RLATI),SHAPE(RLATI)
  IF (LSLHDQUAD) THEN
    ALLOCATE(RSLD1(ILBRLATI:IUBRLATI))
    IF (LLP) WRITE(IU,9) 'RSLD1    ',SIZE(RSLD1),SHAPE(RSLD1)
    ALLOCATE(RSLD2(ILBRLATI:IUBRLATI))
    IF (LLP) WRITE(IU,9) 'RSLD2    ',SIZE(RSLD2),SHAPE(RSLD2)
    ALLOCATE(RSLD3(ILBRLATI:IUBRLATI))
    IF (LLP) WRITE(IU,9) 'RSLD3    ',SIZE(RSLD3),SHAPE(RSLD3)
  ENDIF
  IF (LSLHD) THEN
    ALLOCATE(RSLDW(3,3,ILBRLATI:IUBRLATI))
    IF (LLP) WRITE(IU,9) 'RSLDW    ',SIZE(RSLDW),SHAPE(RSLDW)
  ENDIF
  DO JGL= ILBRLATI,IUBRLATI
    IGLGLO=JGL+NFRSTLOFF
    IF(LELAM) THEN
      RIPI0(JGL)=-1.0_JPRB
      RIPI1(JGL)= 1.0_JPRB
      RIPI2(JGL)=-1.0_JPRB
      IF (LSLHDQUAD) THEN
        ! These arrays are not used in ELASCAW, where corresponding
        ! weights are hardcoded for higher efficiency. Still they
        ! are correctly initialized here even for LELAM case.
        RSLD1(JGL)=-1.0_JPRB
        RSLD2(JGL)=-1.0_JPRB
        RSLD3(JGL)=-0.25_JPRB
      ENDIF
      IF (LSLHD) THEN
        ! this array is not used in ELASCAW, where corresponding
        ! weights are hardcoded for higher efficiency. Still they
        ! are correctly initialized here even for LELAM case.
        RSLDW(1,1,JGL)=1.0_JPRB-2.0_JPRB*SLHDEPSH
        RSLDW(1,2,JGL)=SLHDEPSH
        RSLDW(1,3,JGL)=0.0_JPRB
        RSLDW(2,1,JGL)=SLHDEPSH
        RSLDW(2,2,JGL)=1.0_JPRB-2.0_JPRB*SLHDEPSH
        RSLDW(2,3,JGL)=0.0_JPRB
        RSLDW(3,1,JGL)=0.0_JPRB
        RSLDW(3,2,JGL)=SLHDEPSH
        RSLDW(3,3,JGL)=1.0_JPRB
      ENDIF
    ELSE
      IF(IGLGLO >= 0.AND.IGLGLO <= NDGLG) THEN
        ZD1=RLATIG(IGLGLO-1)-RLATIG(IGLGLO)
        ZD2=RLATIG(IGLGLO-1)-RLATIG(IGLGLO+1)
        ZD3=RLATIG(IGLGLO-1)-RLATIG(IGLGLO+2)
        ZD4=RLATIG(IGLGLO  )-RLATIG(IGLGLO+1)
        ZD5=RLATIG(IGLGLO  )-RLATIG(IGLGLO+2)
        ZD6=RLATIG(IGLGLO+1)-RLATIG(IGLGLO+2)

        RIPI0(JGL)=-1.0_JPRB/(ZD1*ZD4*ZD5)
        RIPI1(JGL)= 1.0_JPRB/(ZD2*ZD4*ZD6)
        RIPI2(JGL)=-1.0_JPRB/(ZD3*ZD5*ZD6)

        IF (LSLHDQUAD) THEN
          RSLD1(JGL)=(ZD6-ZD2)/ZD4
          RSLD2(JGL)=(ZD1-ZD5)/ZD4
          RSLD3(JGL)=-ZD4*ZD4/(ZD1*ZD2+ZD5*ZD6)
        ENDIF
        IF (LSLHD) THEN
          RSLDW(1,1,JGL)=1.0_JPRB-2.0_JPRB*SLHDEPSH*ZD4/ZD1
          RSLDW(1,2,JGL)=2.0_JPRB*SLHDEPSH*ZD4/ZD5
          RSLDW(1,3,JGL)=0.0_JPRB
          RSLDW(2,1,JGL)=2.0_JPRB*SLHDEPSH*ZD4/ZD2
          RSLDW(2,2,JGL)=1.0_JPRB-2.0_JPRB*SLHDEPSH*ZD4/ZD6
          RSLDW(2,3,JGL)=0.0_JPRB
          RSLDW(3,1,JGL)=0.0_JPRB
          RSLDW(3,2,JGL)=2.0_JPRB*SLHDEPSH*(ZD4*ZD4)/(ZD5*ZD6)
          RSLDW(3,3,JGL)=1.0_JPRB
        ENDIF
      ENDIF
    ENDIF
    RLATI(JGL)=RLATIG(IGLGLO)
  ENDDO
ENDIF

!         2.2.3 compute NDGSAH, NDGENH for SL, observation and
!               radiation interpolations.

NDGSAH = MAX(NDGSAG,NDGSAL+NFRSTLOFF-ISLWIDE)-NFRSTLOFF
NDGENH = MIN(NDGENG,NDGENL+NFRSTLOFF+ISLWIDE)-NFRSTLOFF

!*        2.3   PRINTS ON OUTPUT

IF (LOUTPUT) THEN
  WRITE(NULOUT,'('' COMMON YOMSC2'')')
  IF (NPRINTLEV >= 1) THEN
    WRITE(NULOUT,'('' NDIST  ,NDIEND '')')
    WRITE(NULOUT,'(16(1X,I6))')(NDIST(JGL),NDIEND(JGL),JGL=ISTA,IEND)
    WRITE(NULOUT,'('' NCIST  ,NCIEND '')')
    WRITE(NULOUT,'(16(1X,I6))')(NCIST(JGL),NCIEND(JGL),JGL=ISTA,IEND)
  ENDIF
  WRITE(NULOUT,'(''NSLWIDE ='',I4 &
   & ,'' NFLDSLB1 ='',I4,'' NFLDSLB2 ='',I4,'' NFLDSLB15 ='',I4 &
   & ,'' NFLDOBB1 ='',I4,/ &
   & ,'' NGPTOT ='',I8)') NSLWIDE &
   & ,NFLDSLB1,NFLDSLB2,NFLDSLB15 &
   & ,NFLDOBB1 &
   & ,NGPTOT  
  WRITE(NULOUT,'(1X,A,I4,A,I4)')' NDGSAH = ',NDGSAH,' NDGENH = ',NDGENH
ENDIF

!    -------------------------------------------------------------------

!*        3.  BUFFER ALLOCATIONS.
!         -----------------------

!         3.1   SETUP GMV STRUCTURE

CALL SETUP_GMV

!*        3.2   TIMESTEP T - DT

!*        3.2.1   TIMESTEP T-DT FOR TRAJECTORY
!                 (PHYSICS OR SIMPLIFIED PHYSICS )

IF(LTRAJPS)THEN
  IFLDSGT95 = NG3D95*NFLEVG+NG3P95*(NFLEVG+1)+NG3S95*YSP_SBD%NLEVS+&
   & NG2T95*NTILES+NG2D95  
  ILEN=0
  DO JL=1,NGPTOT,NPROMA
    IS=MIN(NGPTOT-JL+1,NPROMA)
    ILEN=ILEN+(IS+NPCKFT95-1)/NPCKFT95
  ENDDO
  NLENGT95B = ILEN    * IFLDSGT95
  ALLOCATE(TRAJPHYS(NLENGT95B,0:NSTOP))
  IF (LLP) WRITE(IU,9) 'TRAJPHYS ',SIZE(TRAJPHYS),SHAPE(TRAJPHYS)
ENDIF

LLPHYS = ((LERADSW2.OR.LERADN2.OR.LERADLW2.OR.LENCLD2).AND.LETRAJP) &
 & .OR. LETRAJPT .OR. LTRAJPST  
IF(LLPHYS)THEN
  IFLDSGTT5 = NG3DT95*NFLEVG+NG3PR95*(NFLEVG+1)+NG2DSF5
  ILEN=0
  DO JL=1,NGPTOT,NPROMA
    IS=MIN(NGPTOT-JL+1,NPROMA)
    ILEN=ILEN+(IS+NPCKFPH5-1)/NPCKFPH5
  ENDDO
  NLENGTT5B = ILEN    * IFLDSGTT5
  ALLOCATE(TRAJPHTE(NLENGTT5B,0:NSTOP))
  IF (LLP) WRITE(IU,9) 'TRAJPHTE ',SIZE(TRAJPHTE),SHAPE(TRAJPHTE)
ENDIF

IF (LTRAJPS) THEN
  IFLDSGTS5 = NG2DS5
  ILEN=0
  DO JL=1,NGPTOT,NPROMA
    IS=MIN(NGPTOT-JL+1,NPROMA)
    ILEN=ILEN+(IS+NPCKFTS5-1)/NPCKFTS5
  ENDDO
  NLENGTS5B = ILEN    * IFLDSGTS5
  ALLOCATE(TRAJPHSF(NLENGTS5B,0:NSTOP+1))
  IF (LLP) WRITE(IU,9) 'TRAJPHSF ',SIZE(TRAJPHSF),SHAPE(TRAJPHSF)
ENDIF

!*        3.2.2 CLOUD CHARACTERISTICS FOR SIMPLE CLOUD SCHEME

IF (LENCLD2 .AND. LETRAJP) THEN
  ALLOCATE(GPCLOUD5(NPROMA,3*NFLEVG,NGPBLKS))
  ALLOCATE(GPCLOUDIN(NPROMA,3*NFLEVG,NGPBLKS))
ENDIF

!*        3.2.3 LONGWAVE RADIATION FOR TL/AD

IF (LERADLW2) THEN
  ALLOCATE(RADLWM (NPROMA,0:NFLEVG,NGPBLKS))
  ALLOCATE(RADLWM5(NPROMA,0:NFLEVG,NGPBLKS))
ENDIF

!*        3.2.4 NON-OROGRAPHIC GRAVITY WAVE SCHEME FOR TL/AD

IF (LEGWWMS2) THEN
  ALLOCATE(TGWDWMS (NPROMA,2*NFLEVG,NGPBLKS))
  ALLOCATE(TGWDWMS5(NPROMA,2*NFLEVG,NGPBLKS))
ENDIF

!*        3.2.5 PERTURBATION OF SKIN TEMPERATURE FOR LINEARIZED PHYSICS

IF (LETRAJP) THEN
  ALLOCATE(GPTSKIN0(NPROMA,NGPBLKS))
  ALLOCATE(GPTSKIN9(NPROMA,NGPBLKS))
ENDIF

!*        3.2.6 RADIATION COEFFICIENTS

!         Solar radiation coefficients and correction for
!         thermal radiation

IF (LRCOEF) THEN

  IFLDSGSR = NG3SR*NFLEVG
  ILEN=0
  DO JL=1,NGPTOT,NPROMA
    IS=MIN(NGPTOT-JL+1,NPROMA)
    ILEN=ILEN+(IS+NPCKFSR-1)/NPCKFSR
  ENDDO
  NLENGSRB = ILEN    * IFLDSGSR

  ALLOCATE(SOLRAD(NLENGSRB))
  IF (LLP) WRITE(IU,9) 'SOLRAD ',SIZE(SOLRAD),SHAPE(SOLRAD)

!          Matrix of thermal radiation coefficients
!          (warning: it is supposed that npckfthr has to be 1 !!!)

  NLENGTRB = NGPBLKS

  INUMLEV=(NFLEVG+1)*(NFLEVG+1)

  IF (LGLOBRAD) THEN
    ALLOCATE(THERRAD(1,INUMLEV))
    THERRAD(:,:)=0.0_JPRB
    IF (LLP) WRITE(IU,9) 'THERRAD ',SIZE(THERRAD),SHAPE(THERRAD)

    ALLOCATE(TRWEIGHT(NFLEVG+1,NFLEVG+1))
    TRWEIGHT(:,:)=0.0_JPRB
    IF(LLP) WRITE(IU,9) 'TRWEIGHT ',SIZE(TRWEIGHT),SHAPE(TRWEIGHT)

    ALLOCATE(TRMATSUM(NFLEVG+1,NFLEVG+1))
    TRMATSUM(:,:)=0.0_JPRB
    IF(LLP) WRITE(IU,9) 'TRMATSUM ',SIZE(TRMATSUM),SHAPE(TRMATSUM)
  ELSE
    ALLOCATE(THERRAD(NLENGTRB,INUMLEV))
    THERRAD(:,:)=0.0_JPRB
    IF (LLP) WRITE(IU,9) 'THERRAD ',SIZE(THERRAD),SHAPE(THERRAD)
  ENDIF

ENDIF

!*        3.2.7   TIMESTEP T-DT FOR TRAJECTORY
!                 (NON-HYDROSTATIC AND ITERATION IN NHS)

IF(LNHDYN.AND.LTRAJNH) THEN
  IFLDSNH95 = NG3NH95*NFLEVG+1
  ILEN=0
  DO JL=1,NGPTOT,NPROMA
    IS=MIN(NGPTOT-JL+1,NPROMA)
    ILEN=ILEN+(IS+NPCKFT95-1)/NPCKFT95
  ENDDO
  NLENNH95B = ILEN    * IFLDSNH95
  ALLOCATE(TRAJNH(NLENNH95B,0:NSTOP))
  IF(LLP) WRITE(IU,9) 'TRAJNH ',SIZE(TRAJNH),SHAPE(TRAJNH)
ENDIF

IF(LNHDYN.AND.LTRAJNH.AND.(NSITER > 0)) THEN
  IFLDSIT15 = 13*NFLEVG+1
  ILEN=0
  DO JL=1,NGPTOT,NPROMA
    IS=MIN(NGPTOT-JL+1,NPROMA)
    ILEN=ILEN+(IS+NPCKFT95-1)/NPCKFT95
  ENDDO
  NLENIT15B = ILEN    * IFLDSIT15
  ALLOCATE(TRAJIT(0:NSTOP,NLENIT15B))
  IF(LLP) WRITE(IU,9) 'TRAJIT ',SIZE(TRAJIT),SHAPE(TRAJIT)
ENDIF

!*        3.2.8   TIMESTEP T-DT FOR TRAJECTORY
!              (T/L OR ADJOINT OF SEMI-LAGRANGIAN)

IF (LSLAG) THEN
  IF (NTRSLTYPE <= 1) THEN !! (Not supported for 3D model)
    IF (LL2D) THEN
      IFLDSGTSL = 3
    ELSE
      IFLDSGTSL = 7*NFLEVG
    ENDIF
  ELSEIF (NTRSLTYPE == 2) THEN
    IF (LL2D) THEN
      IFLDSGTSL = 14
    ELSE
      IFLDSGTSL = 14*NFLEVG+1
      IF (LADVF.AND.L2TLFF) IFLDSGTSL = IFLDSGTSL+2*NFLEVG
      IF (LSPRT) IFLDSGTSL = IFLDSGTSL+2*NFLEVG
      IF (YO3%LACTIVE) IFLDSGTSL = IFLDSGTSL+NFLEVG
    ENDIF
  ENDIF
ELSE             !! (Eulerian case)
  IFLDSGTSL=0
  IF (LSPRT) IFLDSGTSL = IFLDSGTSL+2*NFLEVG
ENDIF

IF ((NCONF == 131.OR.NCONF == 401.OR.NCONF == 501.OR.&
   & NCONF == 421.OR.NCONF == 521.OR.NCONF == 601.OR.NCONF == 801)&
   & .AND.(LSLAG.OR.LSPRT)) THEN  

  IF (NTRSLTYPE/=2 .OR. LL2D) THEN ! Not very clean but allows for Clive's
    ILEN=0                         ! trajectory to work in parallel with
    DO JL=1,NGPTOT,NPROMA          ! new traj.
      IS=MIN(NGPTOT-JL+1,NPROMA)
      ILEN=ILEN+(IS+NPCKSLTRAJ-1)/NPCKSLTRAJ
    ENDDO
    NLENGTSLB = ILEN    * IFLDSGTSL
  ELSE
    NLENGTSLB=1
  ENDIF
  ALLOCATE(TRAJSL(NLENGTSLB,0:NSTOP))
  IF (LLP) WRITE(IU,9) 'TRAJSL ',SIZE(TRAJSL),SHAPE(TRAJSL)
ENDIF

!*        3.3   SURFACE FIELDS

CALL ALLO_SURF

!*        3.4   FLUXES WORK ARRAYS

IF (LCUMFU) THEN
  CALL ALLOCATE_GRIDPOINT_BUFFER ('GFUBUF',GFUBUF,NFDCFU,NPCKFCF)
ENDIF

IF (LXFU) THEN
  CALL ALLOCATE_GRIDPOINT_BUFFER ('XFUBUF',XFUBUF,NFDXFU,NPCKFXF)
ENDIF

!*        3.6   MODELS WITH PC scheme (GPPCBUF)

! * Compute NFGPPC and the pointers of PTRGPPC.

NFGPPC=0

CALL SUPTRGPPC(MGPPC,MGPPCO_Y,MGPPCO_RR,MGPPCO_GL,MGPPCO_GM,MGPPCO_WW,&
 & MGPPCF_U,MGPPCF_V,MGPPCF_T,MGPPCF_SPD,MGPPCF_SVD,MGPPCF_SP,&
 & MGPPCF_CP,MGPPCF_CPSI,&
 & MGPPCF_NHX,MGPPCF_UP,MGPPCF_VP,MGPPCF_TP,MGPPCF_GFLP,MGPPCF_BBC, &
 & INFGPPC)
IF (NPRINTLEV >= 1) THEN
  WRITE(UNIT=IU,FMT='('' MGPPC ='',I6)') MGPPC
  WRITE(UNIT=IU,FMT='('' MGPPCO_Y ='',I6)') MGPPCO_Y
  WRITE(UNIT=IU,FMT='('' MGPPCO_RR ='',I6)') MGPPCO_RR
  WRITE(UNIT=IU,FMT='('' MGPPCO_GL ='',I6)') MGPPCO_GL
  WRITE(UNIT=IU,FMT='('' MGPPCO_GM ='',I6)') MGPPCO_GM
  WRITE(UNIT=IU,FMT='('' MGPPCO_WW ='',I6)') MGPPCO_WW
  WRITE(UNIT=IU,FMT='('' MGPPCF_U ='',I6)') MGPPCF_U
  WRITE(UNIT=IU,FMT='('' MGPPCF_V ='',I6)') MGPPCF_V
  WRITE(UNIT=IU,FMT='('' MGPPCF_T ='',I6)') MGPPCF_T
  WRITE(UNIT=IU,FMT='('' MGPPCF_SPD ='',I6)') MGPPCF_SPD
  WRITE(UNIT=IU,FMT='('' MGPPCF_SVD ='',I6)') MGPPCF_SVD
  WRITE(UNIT=IU,FMT='('' MGPPCF_SP ='',I6)') MGPPCF_SP
  WRITE(UNIT=IU,FMT='('' MGPPCF_CP ='',I6)') MGPPCF_CP
  WRITE(UNIT=IU,FMT='('' MGPPCF_CPSI ='',I6)') MGPPCF_CPSI
  WRITE(UNIT=IU,FMT='('' MGPPCF_NHX ='',I6)') MGPPCF_NHX
  WRITE(UNIT=IU,FMT='('' MGPPCF_UP ='',I6)') MGPPCF_UP
  WRITE(UNIT=IU,FMT='('' MGPPCF_VP ='',I6)') MGPPCF_VP
  WRITE(UNIT=IU,FMT='('' MGPPCF_TP ='',I6)') MGPPCF_TP
  WRITE(UNIT=IU,FMT='('' MGPPCF_GFLP ='',I6)') MGPPCF_GFLP
  WRITE(UNIT=IU,FMT='('' MGPPCF_BBC ='',I6)') MGPPCF_BBC
ENDIF

IF( NCONF == 131 .OR. NCONF == 401 .OR. NCONF == 501 .OR. &
 & NCONF == 601 .OR. NCONF == 801 )THEN
  ! * This is required for all configurations calling CPGTL or CPGAD.
  CALL SUPTRGPPC(MGPPC5,MGPPCO_Y5,MGPPCO_RR5,MGPPCO_GL5,MGPPCO_GM5,MGPPCO_WW5,&
   & MGPPCF_U5,MGPPCF_V5,MGPPCF_T5,MGPPCF_SPD5,MGPPCF_SVD5,MGPPCF_SP5,&
   ! this line to be updated
   & MGPPCF_CP,MGPPCF_CPSI,&
   & MGPPCF_NHX,MGPPCF_UP,MGPPCF_VP,MGPPCF_TP,MGPPCF_GFLP,MGPPCF_BBC, &
   & INFGPPC5)
  IF (NPRINTLEV >= 1) THEN
    WRITE(UNIT=IU,FMT='('' MGPPC5 ='',I6)') MGPPC5
    WRITE(UNIT=IU,FMT='('' MGPPCO_Y5 ='',I6)') MGPPCO_Y5
    WRITE(UNIT=IU,FMT='('' MGPPCO_RR5 ='',I6)') MGPPCO_RR5
    WRITE(UNIT=IU,FMT='('' MGPPCO_GL5 ='',I6)') MGPPCO_GL5
    WRITE(UNIT=IU,FMT='('' MGPPCO_GM5 ='',I6)') MGPPCO_GM5
    WRITE(UNIT=IU,FMT='('' MGPPCO_WW5 ='',I6)') MGPPCO_WW5
    WRITE(UNIT=IU,FMT='('' MGPPCF_U5 ='',I6)') MGPPCF_U5
    WRITE(UNIT=IU,FMT='('' MGPPCF_V5 ='',I6)') MGPPCF_V5
    WRITE(UNIT=IU,FMT='('' MGPPCF_T5 ='',I6)') MGPPCF_T5
    WRITE(UNIT=IU,FMT='('' MGPPCF_SPD5 ='',I6)') MGPPCF_SPD5
    WRITE(UNIT=IU,FMT='('' MGPPCF_SVD5 ='',I6)') MGPPCF_SVD5
    WRITE(UNIT=IU,FMT='('' MGPPCF_SP5 ='',I6)') MGPPCF_SP5
  ENDIF
ENDIF

NFGPPC=INFGPPC
WRITE(UNIT=IU,FMT='('' NFGPPC ='',I6)') NFGPPC

! * Allocate GPPCBUF.

! ky: this test should be consistent with the one done for SI setup (SUDYN)
!     and what is done in CNT4.
IF ( (NFGPPC > 0.AND.((NSTOP > 0).OR.(NEINI /= 0).OR.(NSTOP==0.AND.LSDDH).OR. &
  & (NSTOP==0.AND.LWCOU))) ) THEN
  CALL ALLOCATE_GRIDPOINT_BUFFER ('GPPCBUF',GPPCBUF,NFGPPC,NPCKFGN)
ELSE
  NULLIFY(GPPCBUF%GPBUF)
ENDIF

!    -------------------------------------------------------------------

!*        4. INITIALIZE MEMORY BUFFERS (CONT).
!            --------------------------------

!*        4.1   NMI

IF (.NOT.LNOINI) THEN
  IBITS = NVMODM * (NXMAX + 1)
  DO J = 1,IBITS
    NSTASPHB(J) = -999
    NSTAHOUB(J) = -999
  ENDDO
  ISUMMEN = 0
  DO JK = 1,NVMODM
    DO JM = 0,NXMAX
      IORDR = 3 * (NXMAX + 1 - JM)
      ILEN = IORDR * IORDR
      IREC = (JK - 1) * (NXMAX + 1) + JM + 1
      NSTASPHB(IREC) = ISUMMEN
      NSTAHOUB(IREC) = ISUMMEN
      ISUMMEN = ISUMMEN + ILEN
    ENDDO
  ENDDO
  NLENSPHB = ISUMMEN
  NLENHOUB = ISUMMEN
  ALLOCATE(SPHBUF(NLENSPHB))
  ALLOCATE(HOUBUF(NLENHOUB))
  IF (LLP) WRITE(IU,9) 'SPHBUF   ',SIZE(SPHBUF),SHAPE(SPHBUF)
  IF (LLP) WRITE(IU,9) 'HOUBUF   ',SIZE(HOUBUF),SHAPE(HOUBUF)
ENDIF
IF (.NOT.LNOINI .AND. LRPIMP) THEN
  IBITS = 5 + 2 * NVMODM
  ISUMMEN = 0
  NSTAPINB(1) = ISUMMEN
  ISUMMEN = ISUMMEN + NCPEC
  NSTAPINB(2) = ISUMMEN
  ISUMMEN = ISUMMEN + NCPEC
  DO JK = 3,IBITS
    NSTAPINB(JK) = ISUMMEN
    ISUMMEN = ISUMMEN + NCPEC2
  ENDDO
  ILENPINB = ISUMMEN
  ALLOCATE(RPINBUF(ILENPINB))
  IF (LLP) WRITE(IU,9) 'RPINBUF  ',SIZE(RPINBUF),SHAPE(RPINBUF)
ENDIF

!*        4.2   ALLOCATE GFL ARRAYS

IF(YGFL%NDIM > 0) THEN
  IF(LFPART2) DEALLOCATE(GFL)
  ALLOCATE(GFL(NPROMA,NFLEVG,YGFL%NDIM,NGPBLKS))
  IF (LLP) WRITE(IU,9) 'GFL      ',SIZE(GFL),SHAPE(GFL)
ENDIF
IF(YGFL%NDIMSLP > 0) THEN
  IF(LFPART2) DEALLOCATE(GFLSLP)
  ALLOCATE(GFLSLP(NPROMA,NFLEVG,YGFL%NDIMSLP,NGPBLKS))
  IF (LLP) WRITE(IU,9) 'GFLSLP   ',SIZE(GFLSLP),SHAPE(GFLSLP)
ENDIF
IF(YGFL%NDIM5 > 0) THEN
  IF(LFPART2) DEALLOCATE(GFL5)
  ALLOCATE(GFL5(NPROMA,NFLEVG,YGFL%NDIM5,NGPBLKS))
  IF (LLP) WRITE(IU,9) 'GFL5     ',SIZE(GFL5),SHAPE(GFL5)
ENDIF
WRITE(NULOUT,*)'YGFL%NDIMPT=',YGFL%NDIMPT
IF(YGFL%NDIMPT > 0) THEN
  IF(LFPART2) DEALLOCATE(GFLPT)
  ALLOCATE(GFLPT(NPROMA,NFLEVG,YGFL%NDIMPT,NGPBLKS))
  IF (LLP) WRITE(IU,9) 'GFLPT    ',SIZE(GFLPT),SHAPE(GFLPT)
ENDIF
WRITE(NULOUT,*)'YGFL%NDIMPC=',YGFL%NDIMPC
IF (YGFL%NDIMPC > 0) THEN
  IF(LFPART2) DEALLOCATE(GFLPC)
  ALLOCATE(GFLPC(NPROMA,NFLEVG,YGFL%NDIMPC,NGPBLKS))
  IF (LLP) WRITE(IU,9) 'GFLPC    ',SIZE(GFLPC),SHAPE(GFLPC)
ENDIF

!*        4.3   GRIDPOINT WORKFILE FOR ANALYSIS/FORECAST ERRORS

IF (LAVCGL .OR. NBGVECS > 0) THEN
  NANEBU   = 0
  NANEBV   = NFLEVG
  NANEBZ   = NFLEVG*2
  NANEBQ   = NFLEVG*3
  NANEBT   = NFLEVG*4
  NANEBVO  = NFLEVG*5
  NANEBSP  = NFLEVG*6
  NANEBR   = -1
  NANEBO3  = -1
  NANEBTO3 = -1
  NANEBRAD = -1
  NANEBTCW = -1
  NANEBRH2 = -1
  NANEBU10 = -1
  NANEBV10 = -1
  NANEBT2  = -1
  NANEBGHG(:)  = -1
  NANEBGRG(:)  = -1
  NANEBAERO(:)  = -1
  NANEVARS = 7

  IF (LLO3) THEN
    NANEBO3  = NFLEVG*6
    NANEBSP  = NFLEVG*7
    NANEVARS = 8
  ENDIF

  IF (NGHG > 0) THEN
    IANEINDEX=NANEBSP
    DO JL=1,NGHG
      IF (YGHG(JL)%LGP) THEN
        NANEBGHG(JL)  = IANEINDEX
        IANEINDEX=IANEINDEX+NFLEVG
        NANEVARS  = NANEVARS+1
      ENDIF
    ENDDO
    NANEBSP   = NANEBSP+NGHG*NFLEVG
  ENDIF

  IF (NGRG > 0) THEN
    IANEINDEX=NANEBSP
    DO JL=1,NGRG
      IF (YGRG(JL)%LGP) THEN
        NANEBGRG(JL)  = IANEINDEX
        IANEINDEX=IANEINDEX+NFLEVG
        NANEVARS  = NANEVARS+1
      ENDIF
    ENDDO
    NANEBSP   = NANEBSP+NGRG*NFLEVG
  ENDIF

  IF (LLAERO) THEN
    IANEINDEX=NANEBSP
    DO JL=1,NAEROCV
        NANEBAERO(JL)  = IANEINDEX
        IANEINDEX=IANEINDEX+NFLEVG
        NANEVARS  = NANEVARS+1
    ENDDO
    NANEBSP   = NANEBSP+NAEROCV*NFLEVG
  ENDIF


  IF(LBGOBS) THEN
    IF(LECMWF) THEN
      NANERADS = 48
      ALLOCATE(NANERADL(NANERADS))
      IF(LLP) WRITE(IU,9) 'NANERADL ',SIZE(NANERADL),SHAPE(NANERADL)
      NANERADL=&
       & (/    1, 2, 3, 4, 5, 6, 7, 8, 9,10,&
       & 11,12,13,14,15,&
       & 22,23,24,25,26,27,28,29,30,&
       & 31,32,33,34,35,36,37,38,39,40,&
       & 41,42,43,44,45,46,47,&
       & 48,49,50,51,52,53,54            /)
    ELSE
      NANERADS = 27
      ALLOCATE(NANERADL(NANERADS))
      IF(LLP) WRITE(IU,9) 'NANERADL ',SIZE(NANERADL),SHAPE(NANERADL)
      NANERADL=&
       & (/  4, 5, 6, 7,11,12,14,15,&
       &    32,33,34,35,36,37,38,39,40,&
       &    45,46,47,&
       &    48,49,50,51,52,53,54 /)
    ENDIF
    NANEBR   = NFLEVG*6
    NANEBRAD = NFLEVG*7
    NANEBTCW = NFLEVG*7+NANERADS
    NANEBRH2 = NFLEVG*7+NANERADS+1
    NANEBU10 = NFLEVG*7+NANERADS+2
    NANEBV10 = NFLEVG*7+NANERADS+3
    NANEBT2  = NFLEVG*7+NANERADS+4
    NANEBSP  = NFLEVG*7+NANERADS+5
    NANEVARS = 14

    IF (LLO3) THEN
      NANEBR   = NFLEVG*6
      NANEBO3  = NFLEVG*7
      NANEBTO3 = NFLEVG*8
      NANEBRAD = NFLEVG*8+1
      NANEBTCW = NFLEVG*8+NANERADS+1
      NANEBRH2 = NFLEVG*8+NANERADS+2
      NANEBU10 = NFLEVG*8+NANERADS+3
      NANEBV10 = NFLEVG*8+NANERADS+4
      NANEBT2  = NFLEVG*8+NANERADS+5
      NANEBSP  = NFLEVG*8+NANERADS+6
      NANEVARS = 16
    ENDIF

    IF (NGHG > 0) THEN
      IANEINDEX=NANEBSP
      DO JL=1,NGHG
        IF (YGHG(JL)%LGP) THEN
          NANEBGHG(JL)  = IANEINDEX
          IANEINDEX=IANEINDEX+NFLEVG
          NANEVARS  = NANEVARS+1
        ENDIF
      ENDDO
      NANEBSP   = NANEBSP+NGHG*NFLEVG
    ENDIF

    IF (NGRG > 0) THEN
      IANEINDEX=NANEBSP
      DO JL=1,NGRG
        IF (YGRG(JL)%LGP) THEN
          NANEBGRG(JL)  = IANEINDEX
          IANEINDEX=IANEINDEX+NFLEVG
          NANEVARS  = NANEVARS+1
        ENDIF
      ENDDO
      NANEBSP   = NANEBSP+NGRG*NFLEVG
    ENDIF

   IF(LLAERO) THEN
     IANEINDEX=NANEBSP
     DO JL=1,NAEROCV
         NANEBAERO(JL)  = IANEINDEX
         IANEINDEX=IANEINDEX+NFLEVG
         NANEVARS  = NANEVARS+1
     ENDDO
     NANEBSP   = NANEBSP+NAEROCV*NFLEVG
   ENDIF

  ENDIF

  NOANEF   = NANEBSP + 1       !  SP has to be last in list

  CALL ALLOCATE_GRIDPOINT_BUFFER ('ANEBUF',ANEBUF,NOANEF,1)
ELSE
  NULLIFY(ANEBUF%GPBUF)
ENDIF

!*        4.3   GRIDPOINT BUFFERS WITHOUT DEDICATED SETUP

NULLIFY(GAUXBUF%GPBUF)

9 FORMAT(1X,'ARRAY ',A10,' ALLOCATED ',8I8)

!    -------------------------------------------------------------------

CALL GSTATS(1939,1)
IF (LHOOK) CALL DR_HOOK('SUSC2B',1,ZHOOK_HANDLE)
END SUBROUTINE SUSC2B
