SUBROUTINE DEALLO

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOMCT0   , ONLY : NPRINTLEV,LALLOPR  ,N_REGIONS
USE YOMLUN   , ONLY : NULOUT
USE YOMDIM   , ONLY : NDLUNL   ,NDLUXL
USE YOMGC    , ONLY : RCORI    ,RCORIC   ,GEMU     ,GSQM2    ,GELAM    ,&
 & GELAT    ,GECLO    ,GESLO    ,GM       ,GOMVRL   ,&
 & GOMVRM   ,GNORDL   ,GNORDM   ,OROG     ,OROGL    ,&
 & OROGM    ,OROGLL   ,OROGMM   ,OROGLM   ,GAW      ,&
 & NGPLAT   ,NUNIQUEGP,GNORDLCL ,GNORDMCL ,GNORDMCM  
USE YOMLAP   , ONLY : NLSCM    ,NLACM    ,NLCM     ,NLSCN    ,&
 & NLACN    ,NLCN     ,NASN0    ,NASM0    ,&
 & NASM0G   ,NASRN    ,NACM0    ,NATM0    ,&
 & NVALUE   ,NCVALUE  ,NTVALUE  ,NSTREL   ,MYMS     ,&
 & NSPINDX  ,NSPZERO  ,NSE0L    ,&
 & RLAPDI   ,RLAPIN   ,RCAPDI   ,RCAPIN   ,&
 & RTAPDI   ,RTAPIN   ,NTCINDX  
USE YOMLEG   , ONLY : RW       ,RMU      ,R1MU2    ,&
 & R1MUI    ,R1MUA    ,RSQM2    ,R1QM2    ,RACTHE   ,&
 & RLATIG   ,RLATI    ,RIPI0    ,RIPI1    ,RIPI2    ,&
 & RSLD1    ,RSLD2    ,RSLD3    ,RSLDW
USE YOMGEM   , ONLY : RCOLON   ,RSILON   ,RINDX    ,RINDY    ,&
 & RATATH   ,RATATX   ,NLOEN    ,NLOENG   ,NMEN     ,&
 & NMENTC   ,NMENG    ,NDGLU    ,VALH     ,VBH      ,&
 & VETAH    ,VFE_ETAH ,VAH      ,VC       ,VDELB    ,VETAF    ,VFE_ETAF ,&
 & VCUICO   ,VCUICOH  ,NVAUTF   ,NVAUTH   ,NSTAGP   ,VAF      ,&
 & VBF      ,VDELA    ,VFE_RDETAH,NGPTOTL  ,VSLD     ,VSLDH    ,&
 & VSLDW    ,VSLDWH  
USE YOMSTA   , ONLY : STPRE    ,STPHI    ,STTEM    ,STDEN    ,&
 & STZ      ,STPREH
USE YOMDYN   , ONLY : RDIVOR   ,RDIDIV   ,RDITG    ,RDIGFL   ,&
 & RDIPD    ,RDIVD    ,RDISP    ,RDSVOR   ,RDSDIV   ,RDSVD    ,RCORDIT  ,&
 & RCORDIH  ,RCORDIF  ,RCORPDF  ,RCORPDH  ,GMR      ,&
 & RDHI     ,RDHS     ,RKRF     ,SCGMAP   ,SIALPH   ,&
 & SILNPR   ,SIDELP   ,SIRDEL   ,SITLAH   ,SITLAF   ,&
 & SIDPHI   ,SIB      ,SIMO     ,SIMI     ,SIVP     ,&
 & SIHEG    ,SIHEG2   ,SITRICA  ,SITRICB  ,SITRICC  ,&
 & SIHEGB   ,SIHEGB2  ,&
 & SIRUB    ,S2ETA    ,SIFAC    ,SIFACI   ,SLHDA    ,SLHDD0
USE YOMGRB   , ONLY : NSEC2GG  ,RSEC2    ,SSEC2
USE YOMGCO   , ONLY : STRSU    ,STRSV    ,FCHAS    ,FRSOS    ,&
 & FHUMS    ,RUIST    ,FCHLL    ,FCHLN    ,FCHSS    ,&
 & FHUML    ,FHUMN    ,FRLDS    ,QWPRO    ,TMAX2    ,&
 & TMIN2    ,HSNOW    ,TSUR2    ,TSTS     ,TSFL     ,&
 & XPUQ     ,XPVQ     ,FCRFTH   ,FCRFSO
USE YOMTOPH  , ONLY : RMESOU   ,RMESOT   ,RMESOQ
USE YOEAERD  , ONLY : CVDAES   ,CVDAEL   ,CVDAEU   ,CVDAED
USE YOECLD   , ONLY : CETA
USE YOESW    , ONLY : RSUN
USE YOEOVLP  , ONLY : RA1OVLP
USE YOEWCOU  , ONLY : MASK_WAVE_IN  ,MASK_WAVE_OUT ,&
 & MWVIN_SENDCNT ,MWVIN_RECVCNT ,MWVIN_SENDOFF ,MWVIN_RECVOFF ,&
 & MWVIN_SENDBUF ,MWVIN_RECVBUF ,MWVIN_SENDIND
USE YOMSC2   , ONLY : NDIST    ,NDIEND   ,NCIST    ,NCIEND 
USE YOMOZO   , ONLY : TOZ2DG   ,TOZ3DBG  ,TOZ2DL   ,TOZ3DBL
USE YOMCHK   , ONLY : TENDCHK
USE YOMSSG   , ONLY : TSSGB
USE YOMMP    , ONLY : NUMPP    ,NUMXPP   ,NPROCM   ,NPTRMS   ,NALLMS   ,&
 & NPTRLS   ,NPTRSV   ,&
 & NPTRCV   ,NPTRTV   ,NPTRSVF  ,NPTRMF   ,NSPSTAF  ,&
 & NPTRLL   ,NUMVMO   ,NUMVMOJB ,MYLEVS   ,&
 & NSTA     ,NONL     ,&
 & NPTRFRSTLAT,NPTRLSTLAT,NFRSTLAT ,&
 & NLSTLAT  ,NBSETLEV ,LSPLITLAT,MYLATS   ,NVMODIST ,NGPSET2PE ,&
 & NPTRLAT  ,NGLOBALINDEX ,NGLOBALPROC ,NLOCALINDEX ,&
 & NSLCORE  ,NFPCORE,&
 & NSLSENDPOS,NSLRECVPOS,NSENDPTR,NRECVPTR,NSLCOMM,LSLCOMM  ,&
 & NFPSENDPOS,NFPRECVPOS,NFPSENDPTR,NFPRECVPTR,NFPCOMM,&
 & NRISTA,NRIONL,NRIOFF,NRIEXT,NRICORE,NRISENDPOS,&
 & NRIRECVPOS,NRISENDPTR,NRIRECVPTR,NRICOMM,&
 & NROSTA,NROONL,NROOFF,NROEXT,NROCORE,NROSENDPOS,&
 & NRORECVPOS,NROSENDPTR,NRORECVPTR,NROCOMM
USE YOMSLREP , ONLY : NADCORE   ,&
 & GEMUAD   ,GESLOAD  ,GECLOAD  ,GMAD     ,GNORDLAD  ,&
 & GNORDMAD ,GSQM2AD  ,RCOLONAD ,RSILONAD ,RINDXAD   ,&
 & RINDYAD  
USE YOMPRAD  , ONLY : RADGRID ,&
 & MASK_RI1 ,MASK_RI2 ,MASK_RO1 ,MASK_RO2  
USE YOMTPHY  , ONLY : NSTAGTT5B,NSTAGTS5B
USE YOMTRSL  , ONLY : NSTAGTSLB
USE YOMMDDH  , ONLY : HDSF
USE YOMTDDH  , ONLY : PDDHFSVI
USE YOMSNU   , ONLY : XPNUDG   ,TNUDTE   ,TNUDSH   ,TNUDDI   ,&
 & TNUDVO   ,TNUDSV   ,TNUDLP  
USE YOMSRLX  , ONLY : XPRLXG   ,TRLXVO   ,TRLXDI   ,TRLXTE   ,&
 & TRLXLP, TRLXQ, TRLXQL, TRLXQI, TRLXQC
USE YOMMPG   , ONLY : NPOSSP   ,NPOSCP   ,NPOSTP   ,NDIM0G
USE YOMOP    , ONLY : NAGDIO
USE YOMSKF   , ONLY : YSKFROT   ,YSKFMAT   ,SKFSUBMAT
USE YOMFCEB  , ONLY : FCEBUF, GPBUF_JBVCOORD
USE PTRSLB1  , ONLY : RPARSL1
USE PTRSPOR  , ONLY : XRNM     ,XSNM     ,XREV     ,XPDS
USE YOMSCREE , ONLY : NA1DQS
USE YOMGLOBS , ONLY : NOBTOTP  ,NTSLTOBP ,NSTAGLOBS,NUSEQIND ,&
 & NUSEQOBS ,&
 & NOBSSEND ,NSTASEND ,NLOCSEND ,RLATSEND ,RLONSEND ,&
 & NTYPSEND ,NCHSEND  ,NRETSEND ,&
 & NOBSRECV ,NSTARECV ,NLOCRECV ,NOBSRECVAD,&
 & NSTARECVAD,NLOCRECVAD,RLATRECVAD,RLONRECVAD,&
 & NTYPRECVAD,NOBSSENDAD,NSTASENDAD,NLOCSENDAD,&
 & NGLOBKEYAD,MAPSENDOBS,MAPRECVOBSAD  
USE YOMOBA   , ONLY : ROBDD1   ,ROBDD2   ,MOBDD1   ,MOBDD2
USE YOMECTAB , ONLY : MPROMOBS
USE YOMOBSET , ONLY : MTYPOB   ,MLNSET
USE YOMTVRAD , ONLY : RADPRE   
USE YOMAERD15, ONLY : CVDAES15 ,CVDAEL15 ,CVDAEU15 ,CVDAED15 ,&
 & CVDAEF15
USE YOMMCC   , ONLY : CLIMR    ,CLIMRCO2
USE YOMIO    , ONLY : NPPBUF   ,NPPBUFL  ,NPPBUFH  ,NPPBUFS  ,&
 & NPPBUF2  ,NPPBUFA  ,NPPBUFWRI,RPPBUFWRT,RPPBUFWAT,&
 & CPPLFN  
USE YOMWAVELET,ONLY : WAVELET_FILTERS, WAVELET_VCORS
USE YOMDIMO  , ONLY : NOBTOVBP
USE YOMCVER  , ONLY : RINTE    ,RVSPTRI  ,RVSPC    ,VRDETAR  ,&
 & RFAA     ,RFBB     ,RFCC     ,RFDD     ,RDERI    ,RDERB    ,RDDERI
USE GRIDPOINT_BUFFERS_MIX , ONLY : ALLOCATED_GRIDPOINT_BUFFER, &
 & DEALLOCATE_GRIDPOINT_BUFFER  
USE YOMCDDH  , ONLY : CADHTLS  ,CADHTSS  ,CADHTTS  ,CADHTIS  ,&
 & CADHSSS  ,CADHIIS  ,CADHWLS  ,CADHFSS  
USE OML_MOD, ONLY : OML_DESTROY_LOCK
USE YOMRADF  , ONLY : EMTD     ,TRSW     ,EMTC     ,TRSC     ,&
 & TAUAER   ,SRSWD    ,SRLWD    ,SRSWDCS  ,SRLWDCS ,SRSWDV   ,&
 & SRSWDUV  ,EDRO     ,SRSWPAR  ,SRSWUVB  ,SRSWPARC,SRSWTINC ,&
 & SRFDIR   ,SRCDIR, EMTD2, TRSW2, EMTC2, TRSC2
USE YOE_TILE_PROP , ONLY : RUSTRTI, RVSTRTI, RAHFSTI, REVAPTI, RTSKTI
USE CONTROL_VECTORS
USE YOMJG    , ONLY : REDINC
USE YOMNNE   , ONLY : W        ,INP_MOY  ,INP_STD  ,OUT_MOY  ,OUT_STD ,&
 & JAC_MOY  ,JAC_STD  ,EIG_VEC  ,EIG_VAL ,NNJAC    ,LISS
USE YOMMCUF  , ONLY : RMCUFSP  ,RMCUFFP 
USE YOMGPPCB  , ONLY : GPPCBUF
USE YOMCPL   , ONLY : FCSTSU       ,FCSTSV    ,FCCHAS    ,&
 & FCRSOS   ,FCHUMS       ,FCRUIS    ,FCCHSS    ,&
 & FCHUML   ,FCHUMN       ,FCTSUR2   ,FCTSTS    ,&
 & FCTSFL
USE GOMS_MIX     , ONLY : DEALLGOMS
USE YOMMWAVE , ONLY : MWAVE_STEP, MWAVE_OERR_STEP
USE YOMDFI   , ONLY : HWOPF    ,HWOPFA   ,HWF0     ,HWFA0
USE YOMEMIS  , ONLY : DATA_EMIS_AN1, DATA_EMIS_AN2, ATLAS_SSMIS, ATLAS_SSMI

!**** *DEALLO * - Routine to deallocate space for global variables

!     Purpose.
!     --------
!           Deallocate space for the global fields.

!**   Interface.
!     ----------
!        *CALL* *DEALLO*

!     Explicit arguments :  None
!     --------------------
!        Called by FREEMEM

!     Implicit arguments :
!     --------------------
!        Pointers of comdecks

!     Method.
!     -------
!        Extraction from SUALLO

!     Externals.
!     ----------

!     Reference.
!     ----------
!        ECMWF Research Department documentation of the IFS

!     Author.
!     -------
!        R. El Khatib *METEO-FRANCE*

!     Modifications.
!     --------------
!        Original : 95-09-28
!        Modified OCT 1996 by K. YESSAD: removal of variable uncentering.
!        Modified OCT 1996 by K. TOLSTYKH: Fourier space horizontal diffusion
!        Modified JUN 1997 by K. YESSAD: add missing deallocations.
!        M.Tolstykh 11/12/97 : Bug correction
!        Modified JAN 1998 by K. YESSAD: report Lars ISAKSEN modifications
!         relative to DM environnement arrays (now computed in SLCSET
!         and SLRSET and allocated in SUSC2) for horizontal interpolations
!         and unify SL and FPOS code relatively to these arrays. Now FPOS
!         and SL arrays are deallocated in the same subroutine (DEALSC2 or
!         DEALLO).
!        Modified 98-08-10 by K. YESSAD: removal of LRPOLE option.
!         - removal of YOMPOLE and desallocations of the arrays of YOMPOLE.
!        Modified : 98-10-06 R. El Khatib - Remove NUMPROCGP
!        Modified 26/03/99 by P. Viterbo: Surface tiling
!        Modified 15/05/00 by C. Jakob: DDH character arrays
!        Modified NOV 1999 by K. YESSAD:
!         - in 'lacudw', compute PDLAT and ILA as in 'lascaw' =>
!           'nrlatx', 'nindlat' and 'rdllat' become useless.
!        Modified APR 2000 by M. SZCZECH: deallocate arrays for O3.
!        Modified 00-11-21 by R. Randriamampianina add missing deallocations 
!        Modified 01-08-30 by K. YESSAD: pruning and some other cleanings.
!        R. El Khatib : 01-08-07 Pruning options
!        Modified 08-2002 C. Smith : use "w" as prognostic variable in the
!         semi-lag advection of vertical divergence in the NH model.
!        G.Mozdzynski : 02-10-01 support for radiation on-demand comms
!        Modified 021127 JJMorcrette PAR & UVB
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!        K.Yessad (Dec 2003): cleaning in horizontal diffusion.
!        F. Vana and K. Yessad: modify diffusion when LSLHD=T.
!        Modified 04-09-15 by F. Bouyssel: deallocate STPREH.
!        K.Yessad (Jul 2004): dealloc. of GPNHBUF in DEALLO instead of DEELLO.
!        K.Yessad (Feb 2005): NH in ARPEGE
!        Modified 05-07-07 by GMGEC/EAC : list of modif.
!                 Jun 1999 by HU RONG MING: aerosols sulph.
!                 99-09-29 by M. Deque (cleaning meso drag)
!                 00-02-03 by S. Tyteca (new diagnostics)
!                 00-11-30 by JPh Piedelievre (cleaning coupled mode)
!                 03-04-22 by P. Marquet (Cloud Forcing diag. in CUMCODM)
!        JJMorcrette 20060721 PP of clear-sky PAR and TOA incident solar radiation
!        S. Serrar 07-09-2006 deallocate an added DDH array
!        M.Hamrud      01-Jul-2006 Revised surface fields
!        F. Vana 08-Jun-2006 SLHD arrays
!        K. Yessad 15-May-2006: memory optimisations for stretched geometry
!   N. Wedi and K. Yessad (Jan 2008): different dev for NH model and PC scheme
!        JJMorcrette 20070321 Prognostic aerosols for radiation and clouds
!        30-Jun-2008 J. Masek   Auxiliary quantities for SLHD interpolators.
!        K. Yessad (Sep 2008): LREGETA -> LREGETA + LVFE_REGETA.
!        P. Termonia 15-Dec-2008 : vars for SSDFI
!        JJMorcrette 20091201 Total and clear-sky direct SW radiation flux at surface 
!        L. Batte (IC3) July 2013 : arrays for IFS relaxation
!     ------------------------------------------------------------------

IMPLICIT NONE

INTERFACE
#include "surfdeallo.h"
END INTERFACE

INTEGER(KIND=JPIM) :: IU, JJ, JI
LOGICAL :: LLP
REAL(KIND=JPRB) :: ZHOOK_HANDLE

!     ------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('DEALLO',0,ZHOOK_HANDLE)

!     ------------------------------------------------------------------

!*        1.    DEALLOCATE
!               ----------

LLP = NPRINTLEV >= 1 .OR. LALLOPR
IU = NULOUT

IF (ALLOCATED(RCORI  )) DEALLOCATE(RCORI  )
IF (ALLOCATED(RCORIC  )) DEALLOCATE(RCORIC  )
IF (ALLOCATED(GNORDLCL )) DEALLOCATE(GNORDLCL )
IF (ALLOCATED(GNORDMCL )) DEALLOCATE(GNORDMCL )
IF (ALLOCATED(GNORDMCM )) DEALLOCATE(GNORDMCM )
IF (ALLOCATED(GEMU   )) DEALLOCATE(GEMU   )
IF (ALLOCATED(GSQM2  )) DEALLOCATE(GSQM2  )
IF (ALLOCATED(GELAM  )) DEALLOCATE(GELAM  )
IF (ALLOCATED(GELAT  )) DEALLOCATE(GELAT  )
IF (ALLOCATED(GECLO  )) DEALLOCATE(GECLO  )
IF (ALLOCATED(GESLO  )) DEALLOCATE(GESLO  )
IF (ALLOCATED(GM     )) DEALLOCATE(GM     )
IF (ALLOCATED(NUNIQUEGP)) DEALLOCATE(NUNIQUEGP)
IF (ALLOCATED(GOMVRL )) DEALLOCATE(GOMVRL )
IF (ALLOCATED(GOMVRM )) DEALLOCATE(GOMVRM )
IF (ALLOCATED(GNORDL )) DEALLOCATE(GNORDL )
IF (ALLOCATED(GNORDM )) DEALLOCATE(GNORDM )
IF (ALLOCATED(OROG   )) DEALLOCATE(OROG   )
IF (ALLOCATED(OROGL  )) DEALLOCATE(OROGL  )
IF (ALLOCATED(OROGM  )) DEALLOCATE(OROGM  )
IF (ALLOCATED(OROGLL )) DEALLOCATE(OROGLL )
IF (ALLOCATED(OROGMM )) DEALLOCATE(OROGMM )
IF (ALLOCATED(OROGLM )) DEALLOCATE(OROGLM )
IF (ALLOCATED(NLCM  )) DEALLOCATE(NLCM  )
IF (ALLOCATED(NLSCM )) DEALLOCATE(NLSCM )
IF (ALLOCATED(NLACM )) DEALLOCATE(NLACM )
IF (ALLOCATED(NLCN  )) DEALLOCATE(NLCN  )
IF (ALLOCATED(NLSCN )) DEALLOCATE(NLSCN )
IF (ALLOCATED(NLACN )) DEALLOCATE(NLACN )
IF (ALLOCATED(RLAPDI)) DEALLOCATE(RLAPDI)
IF (ALLOCATED(RLAPIN)) DEALLOCATE(RLAPIN)
IF (ALLOCATED(RCAPDI)) DEALLOCATE(RCAPDI)
IF (ALLOCATED(RCAPIN)) DEALLOCATE(RCAPIN)
IF (ALLOCATED(RTAPDI)) DEALLOCATE(RTAPDI)
IF (ALLOCATED(RTAPIN)) DEALLOCATE(RTAPIN)
IF (ALLOCATED(NASN0 )) DEALLOCATE(NASN0 )
IF (ALLOCATED(NASM0 )) DEALLOCATE(NASM0 )
IF (ALLOCATED(NASRN )) DEALLOCATE(NASRN )
IF (ALLOCATED(NACM0 )) DEALLOCATE(NACM0 )
IF (ALLOCATED(NATM0 )) DEALLOCATE(NATM0 )
IF (ALLOCATED(NVALUE )) DEALLOCATE(NVALUE )
IF (ALLOCATED(NCVALUE)) DEALLOCATE(NCVALUE)
IF (ALLOCATED(NTVALUE)) DEALLOCATE(NTVALUE)
IF (ALLOCATED(NTCINDX)) DEALLOCATE(NTCINDX)
IF (ALLOCATED(MYMS     )) DEALLOCATE(MYMS     )
IF (ALLOCATED(NSPINDX)) DEALLOCATE(NSPINDX)
IF (ALLOCATED(NSTREL)) DEALLOCATE(NSTREL)
IF (ALLOCATED(NSPZERO)) DEALLOCATE(NSPZERO)
IF (ALLOCATED(NSE0L)) DEALLOCATE(NSE0L)
IF (ALLOCATED(RW    )) DEALLOCATE(RW    )
IF (ALLOCATED(RMU   )) DEALLOCATE(RMU   )
IF (ALLOCATED(R1MU2 )) DEALLOCATE(R1MU2 )
IF (ALLOCATED(R1MUI )) DEALLOCATE(R1MUI )
IF (ALLOCATED(R1MUA )) DEALLOCATE(R1MUA )
IF (ALLOCATED(RSQM2 )) DEALLOCATE(RSQM2 )
IF (ALLOCATED(R1QM2 )) DEALLOCATE(R1QM2 )
IF (ALLOCATED(RACTHE)) DEALLOCATE(RACTHE)
IF (ALLOCATED(RLATI )) DEALLOCATE(RLATI )
IF (ALLOCATED(RIPI0)) DEALLOCATE(RIPI0)
IF (ALLOCATED(RIPI1)) DEALLOCATE(RIPI1)
IF (ALLOCATED(RIPI2)) DEALLOCATE(RIPI2)
IF (ALLOCATED(RSLD1)) DEALLOCATE(RSLD1)
IF (ALLOCATED(RSLD2)) DEALLOCATE(RSLD2)
IF (ALLOCATED(RSLD3)) DEALLOCATE(RSLD3)
IF (ALLOCATED(RSLDW)) DEALLOCATE(RSLDW)
IF (ALLOCATED(RCOLON )) DEALLOCATE(RCOLON )
IF (ALLOCATED(RSILON )) DEALLOCATE(RSILON )
IF (ALLOCATED(NSTAGP )) DEALLOCATE(NSTAGP )
IF (ALLOCATED(RATATH )) DEALLOCATE(RATATH )
IF (ALLOCATED(RATATX )) DEALLOCATE(RATATX )
IF (ALLOCATED(NLOEN  )) DEALLOCATE(NLOEN  )
IF (ALLOCATED(NMEN   )) DEALLOCATE(NMEN   )
IF (ALLOCATED(NDGLU  )) DEALLOCATE(NDGLU  )
IF (ALLOCATED(NGPTOTL)) DEALLOCATE(NGPTOTL)
IF (ALLOCATED(VALH   )) DEALLOCATE(VALH   )
IF (ALLOCATED(VBH    )) DEALLOCATE(VBH    )
IF (ALLOCATED(VETAH  )) DEALLOCATE(VETAH  )
IF (ALLOCATED(VFE_ETAH)) DEALLOCATE(VFE_ETAH)
IF (ALLOCATED(VETAF  )) DEALLOCATE(VETAF  )
IF (ALLOCATED(VFE_ETAF)) DEALLOCATE(VFE_ETAF)
IF (ALLOCATED(VCUICO )) DEALLOCATE(VCUICO )
IF (ALLOCATED(VSLD   )) DEALLOCATE(VSLD   )
IF (ALLOCATED(VSLDW  )) DEALLOCATE(VSLDW  )
IF (ALLOCATED(NVAUTF )) DEALLOCATE(NVAUTF )
IF (ALLOCATED(VCUICOH)) DEALLOCATE(VCUICOH)
IF (ALLOCATED(VSLDH  )) DEALLOCATE(VSLDH  )
IF (ALLOCATED(VSLDWH )) DEALLOCATE(VSLDWH )
IF (ALLOCATED(NVAUTH )) DEALLOCATE(NVAUTH )
IF (ALLOCATED(VAH    )) DEALLOCATE(VAH    )
IF (ALLOCATED(VC     )) DEALLOCATE(VC     )
IF (ALLOCATED(VDELA  )) DEALLOCATE(VDELA  )
IF (ALLOCATED(VDELB  )) DEALLOCATE(VDELB  )
IF (ALLOCATED(VAF    )) DEALLOCATE(VAF    )
IF (ALLOCATED(VBF    )) DEALLOCATE(VBF    )
IF (ALLOCATED(VFE_RDETAH)) DEALLOCATE(VFE_RDETAH)
IF (ALLOCATED(VRDETAR)) DEALLOCATE(VRDETAR)
IF (ALLOCATED(RINTE  )) DEALLOCATE(RINTE  )
IF (ALLOCATED(RDERI  )) DEALLOCATE(RDERI  )
IF (ALLOCATED(RDERB  )) DEALLOCATE(RDERB  )
IF (ALLOCATED(RDDERI )) DEALLOCATE(RDDERI )
IF (ALLOCATED(RVSPTRI)) DEALLOCATE(RVSPTRI)
IF (ALLOCATED(RVSPC  )) DEALLOCATE(RVSPC  )
IF (ALLOCATED(RFAA   )) DEALLOCATE(RFAA   )
IF (ALLOCATED(RFBB   )) DEALLOCATE(RFBB   )
IF (ALLOCATED(RFCC   )) DEALLOCATE(RFCC   )
IF (ALLOCATED(RFDD   )) DEALLOCATE(RFDD   )
IF (ALLOCATED(TENDCHK)) DEALLOCATE(TENDCHK)
IF (ALLOCATED(SCGMAP)) DEALLOCATE(SCGMAP)
IF (ALLOCATED(SIALPH)) DEALLOCATE(SIALPH)
IF (ALLOCATED(SILNPR)) DEALLOCATE(SILNPR)
IF (ALLOCATED(SIDELP)) DEALLOCATE(SIDELP)
IF (ALLOCATED(SIRDEL)) DEALLOCATE(SIRDEL)
IF (ALLOCATED(SITLAH)) DEALLOCATE(SITLAH)
IF (ALLOCATED(SITLAF)) DEALLOCATE(SITLAF)
IF (ALLOCATED(SIDPHI)) DEALLOCATE(SIDPHI)
IF (ALLOCATED(SIB)) DEALLOCATE(SIB)
IF (ALLOCATED(SIMO)) DEALLOCATE(SIMO)
IF (ALLOCATED(SIMI)) DEALLOCATE(SIMI)
IF (ALLOCATED(SIFAC)) DEALLOCATE(SIFAC)
IF (ALLOCATED(SIFACI)) DEALLOCATE(SIFACI)
IF (ALLOCATED(SIVP)) DEALLOCATE(SIVP)
IF (ALLOCATED(SIHEG)) DEALLOCATE(SIHEG)
IF (ALLOCATED(SIHEG2)) DEALLOCATE(SIHEG2)
IF (ALLOCATED(SIHEGB)) DEALLOCATE(SIHEGB)
IF (ALLOCATED(SIHEGB2)) DEALLOCATE(SIHEGB2)
IF (ALLOCATED(SIRUB)) DEALLOCATE(SIRUB)
IF (ALLOCATED(S2ETA)) DEALLOCATE(S2ETA)
IF (ALLOCATED(GMR   )) DEALLOCATE(GMR   )
IF (ALLOCATED(RDHI  )) DEALLOCATE(RDHI  )
IF (ALLOCATED(RDIVOR)) DEALLOCATE(RDIVOR)
IF (ALLOCATED(RDIDIV)) DEALLOCATE(RDIDIV)
IF (ALLOCATED(RDITG )) DEALLOCATE(RDITG )
IF (ALLOCATED(RDIGFL)) DEALLOCATE(RDIGFL)
IF (ALLOCATED(RDISP )) DEALLOCATE(RDISP )
IF (ALLOCATED(RDIPD)) DEALLOCATE(RDIPD)
IF (ALLOCATED(RDIVD)) DEALLOCATE(RDIVD)
IF (ALLOCATED(RDHS  )) DEALLOCATE(RDHS  )
IF (ALLOCATED(RDSVOR)) DEALLOCATE(RDSVOR)
IF (ALLOCATED(RDSDIV)) DEALLOCATE(RDSDIV)
IF (ALLOCATED(RDSVD)) DEALLOCATE(RDSVD)
IF (ALLOCATED(RCORDIT)) DEALLOCATE(RCORDIT)
IF (ALLOCATED(RCORPDF)) DEALLOCATE(RCORPDF)
IF (ALLOCATED(RCORPDH)) DEALLOCATE(RCORPDH)
IF (ALLOCATED(STPREH)) DEALLOCATE(STPREH)
IF (ALLOCATED(STPRE)) DEALLOCATE(STPRE)
IF (ALLOCATED(STPHI)) DEALLOCATE(STPHI)
IF (ALLOCATED(STTEM)) DEALLOCATE(STTEM)
IF (ALLOCATED(STDEN)) DEALLOCATE(STDEN)
IF (ALLOCATED(STZ  )) DEALLOCATE(STZ  )
IF (ALLOCATED(NSEC2GG)) DEALLOCATE(NSEC2GG)
IF (ALLOCATED(RSEC2  )) DEALLOCATE(RSEC2  )
IF (ALLOCATED(SSEC2  )) DEALLOCATE(SSEC2  )
IF (ALLOCATED(NDIST  )) DEALLOCATE(NDIST  )
IF (ALLOCATED(NDIEND )) DEALLOCATE(NDIEND )
IF (ALLOCATED(NCIST  )) DEALLOCATE(NCIST  )
IF (ALLOCATED(NCIEND )) DEALLOCATE(NCIEND )
IF (ALLOCATED(RMESOU)) DEALLOCATE(RMESOU)
IF (ALLOCATED(RMESOT)) DEALLOCATE(RMESOT)
IF (ALLOCATED(STRSU)) DEALLOCATE(STRSU)
IF (ALLOCATED(STRSV)) DEALLOCATE(STRSV)
IF (ALLOCATED(FCHAS)) DEALLOCATE(FCHAS)
IF (ALLOCATED(FRSOS)) DEALLOCATE(FRSOS)
IF (ALLOCATED(FHUMS)) DEALLOCATE(FHUMS)
IF (ALLOCATED(RUIST)) DEALLOCATE(RUIST)
IF (ALLOCATED(FCHLL)) DEALLOCATE(FCHLL)
IF (ALLOCATED(FCHLN)) DEALLOCATE(FCHLN)
IF (ALLOCATED(FCHSS)) DEALLOCATE(FCHSS)
IF (ALLOCATED(FHUML)) DEALLOCATE(FHUML)
IF (ALLOCATED(FHUMN)) DEALLOCATE(FHUMN)
IF (ALLOCATED(FRLDS)) DEALLOCATE(FRLDS)
IF (ALLOCATED(QWPRO)) DEALLOCATE(QWPRO)
IF (ALLOCATED(TMAX2)) DEALLOCATE(TMAX2)
IF (ALLOCATED(TMIN2)) DEALLOCATE(TMIN2)
IF (ALLOCATED(HSNOW)) DEALLOCATE(HSNOW)
IF (ALLOCATED(TSUR2)) DEALLOCATE(TSUR2)
IF (ALLOCATED(TSTS)) DEALLOCATE(TSTS)
IF (ALLOCATED(TSFL)) DEALLOCATE(TSFL)
IF (ALLOCATED(CETA)) DEALLOCATE(CETA)
IF (ALLOCATED(RSUN)) DEALLOCATE(RSUN)
IF (ALLOCATED(CVDAES)) DEALLOCATE(CVDAES)
IF (ALLOCATED(CVDAEL)) DEALLOCATE(CVDAEL)
IF (ALLOCATED(CVDAEU)) DEALLOCATE(CVDAEU)
IF (ALLOCATED(CVDAED)) DEALLOCATE(CVDAED)
IF (ALLOCATED(CVDAES15)) DEALLOCATE(CVDAES15)
IF (ALLOCATED(CVDAEL15)) DEALLOCATE(CVDAEL15)
IF (ALLOCATED(CVDAEU15)) DEALLOCATE(CVDAEU15)
IF (ALLOCATED(CVDAED15)) DEALLOCATE(CVDAED15)
IF (ALLOCATED(CVDAEF15)) DEALLOCATE(CVDAEF15)
IF (ALLOCATED(RA1OVLP)) DEALLOCATE(RA1OVLP)
IF (ALLOCATED(TOZ3DBL)) DEALLOCATE(TOZ3DBL)
IF (ALLOCATED(TOZ2DL)) DEALLOCATE(TOZ2DL)
IF (ALLOCATED(TOZ3DBG)) DEALLOCATE(TOZ3DBG)
IF (ALLOCATED(TOZ2DG)) DEALLOCATE(TOZ2DG)
IF (ALLOCATED(TSSGB)) DEALLOCATE(TSSGB)
IF (ALLOCATED(XRNM)) DEALLOCATE(XRNM)
IF (ALLOCATED(XSNM)) DEALLOCATE(XSNM)
IF (ALLOCATED(XREV)) DEALLOCATE(XREV)
IF (ALLOCATED(XPDS)) DEALLOCATE(XPDS)
IF (ALLOCATED(SITRICA)) DEALLOCATE(SITRICA)
IF (ALLOCATED(SITRICB)) DEALLOCATE(SITRICB)
IF (ALLOCATED(SITRICC)) DEALLOCATE(SITRICC)
IF (ALLOCATED(RCORDIH)) DEALLOCATE(RCORDIH)
IF (ALLOCATED(RCORDIF)) DEALLOCATE(RCORDIF)
IF (ALLOCATED(RKRF)) DEALLOCATE(RKRF)
IF (ALLOCATED(NASM0G)) DEALLOCATE(NASM0G)
IF (ALLOCATED(RLATIG)) DEALLOCATE(RLATIG)
IF (ALLOCATED(NLOENG)) DEALLOCATE(NLOENG)
IF (ALLOCATED(NMENTC)) DEALLOCATE(NMENTC)
IF (ALLOCATED(NMENG)) DEALLOCATE(NMENG)
IF (ALLOCATED(NSTAGTT5B)) DEALLOCATE(NSTAGTT5B)
IF (ALLOCATED(NSTAGTT5B)) DEALLOCATE(NSTAGTT5B)
IF (ALLOCATED(NSTAGTS5B)) DEALLOCATE(NSTAGTS5B)
IF (ALLOCATED(NSTAGTSLB)) DEALLOCATE(NSTAGTSLB)
IF (ALLOCATED(HDSF)) DEALLOCATE(HDSF)
IF (ALLOCATED(SLHDA)) DEALLOCATE(SLHDA)
IF (ALLOCATED(SLHDD0)) DEALLOCATE(SLHDD0)
IF (ALLOCATED(XPNUDG)) DEALLOCATE(XPNUDG)
IF (ALLOCATED(TNUDTE)) DEALLOCATE(TNUDTE)
IF (ALLOCATED(TNUDSH)) DEALLOCATE(TNUDSH)
IF (ALLOCATED(TNUDDI)) DEALLOCATE(TNUDDI)
IF (ALLOCATED(TNUDVO)) DEALLOCATE(TNUDVO)
IF (ALLOCATED(TNUDSV)) DEALLOCATE(TNUDSV)
IF (ALLOCATED(TNUDLP)) DEALLOCATE(TNUDLP)
IF (ALLOCATED(XPRLXG)) DEALLOCATE(XPRLXG)
IF (ALLOCATED(TRLXVO)) DEALLOCATE(TRLXVO)
IF (ALLOCATED(TRLXDI)) DEALLOCATE(TRLXDI)
IF (ALLOCATED(TRLXTE)) DEALLOCATE(TRLXTE)
IF (ALLOCATED(TRLXLP)) DEALLOCATE(TRLXLP)
IF (ALLOCATED(TRLXQ))  DEALLOCATE(TRLXQ)
IF (ALLOCATED(TRLXQL)) DEALLOCATE(TRLXQL)
IF (ALLOCATED(TRLXQI)) DEALLOCATE(TRLXQI)
IF (ALLOCATED(TRLXQC)) DEALLOCATE(TRLXQC)
IF (ALLOCATED(NUMPP)) DEALLOCATE(NUMPP)
IF (ALLOCATED(NUMXPP)) DEALLOCATE(NUMXPP)
IF (ALLOCATED(NPROCM)) DEALLOCATE(NPROCM)
IF (ALLOCATED(NPTRMS)) DEALLOCATE(NPTRMS)
IF (ALLOCATED(NPOSSP)) DEALLOCATE(NPOSSP)
IF (ALLOCATED(NPOSCP)) DEALLOCATE(NPOSCP)
IF (ALLOCATED(NPOSTP)) DEALLOCATE(NPOSTP)
IF (ALLOCATED(NALLMS)) DEALLOCATE(NALLMS)
IF (ALLOCATED(NDIM0G)) DEALLOCATE(NDIM0G)
IF (ALLOCATED(NPTRLS)) DEALLOCATE(NPTRLS)
IF (ALLOCATED(NPTRSV)) DEALLOCATE(NPTRSV)
IF (ALLOCATED(NPTRCV)) DEALLOCATE(NPTRCV)
IF (ALLOCATED(NPTRTV)) DEALLOCATE(NPTRTV)
IF (ALLOCATED(NPTRSVF)) DEALLOCATE(NPTRSVF)
IF (ALLOCATED(NPTRMF)) DEALLOCATE(NPTRMF)
IF (ALLOCATED(NSPSTAF)) DEALLOCATE(NSPSTAF)
IF (ALLOCATED(NPTRLL)) DEALLOCATE(NPTRLL)
IF (ALLOCATED(NUMVMO)) DEALLOCATE(NUMVMO)
IF (ALLOCATED(NUMVMOJB)) DEALLOCATE(NUMVMOJB)
IF (ALLOCATED(MYLEVS)) DEALLOCATE(MYLEVS)
IF (ALLOCATED(NPTRLAT)) DEALLOCATE(NPTRLAT)
IF (ALLOCATED(NSTA)) DEALLOCATE(NSTA)
IF (ALLOCATED(NONL)) DEALLOCATE(NONL)
IF (ALLOCATED(N_REGIONS)) DEALLOCATE(N_REGIONS)
IF (ALLOCATED(NPTRFRSTLAT)) DEALLOCATE(NPTRFRSTLAT)
IF (ALLOCATED(NPTRLSTLAT)) DEALLOCATE(NPTRLSTLAT)
IF (ALLOCATED(LSPLITLAT)) DEALLOCATE(LSPLITLAT)
IF (ALLOCATED(NFRSTLAT)) DEALLOCATE(NFRSTLAT)
IF (ALLOCATED(NLSTLAT)) DEALLOCATE(NLSTLAT)
IF (ALLOCATED(NGLOBALINDEX)) DEALLOCATE(NGLOBALINDEX)
IF (ALLOCATED(NGLOBALPROC)) DEALLOCATE(NGLOBALPROC)
IF (ALLOCATED(NLOCALINDEX)) DEALLOCATE(NLOCALINDEX)
IF (ALLOCATED(NGPSET2PE)) DEALLOCATE(NGPSET2PE)
IF (ALLOCATED(MWVIN_SENDCNT)) DEALLOCATE(MWVIN_SENDCNT)
IF (ALLOCATED(MWVIN_RECVCNT)) DEALLOCATE(MWVIN_RECVCNT)
IF (ALLOCATED(MWVIN_SENDOFF)) DEALLOCATE(MWVIN_SENDOFF)
IF (ALLOCATED(MWVIN_RECVOFF)) DEALLOCATE(MWVIN_RECVOFF)
IF (ALLOCATED(MWVIN_SENDBUF)) DEALLOCATE(MWVIN_SENDBUF)
IF (ALLOCATED(MWVIN_RECVBUF)) DEALLOCATE(MWVIN_RECVBUF)
IF (ALLOCATED(MWVIN_SENDIND)) DEALLOCATE(MWVIN_SENDIND)
IF (ALLOCATED(NBSETLEV)) DEALLOCATE(NBSETLEV)
IF (ALLOCATED(NDLUNL)) DEALLOCATE(NDLUNL)
IF (ALLOCATED(NDLUXL)) DEALLOCATE(NDLUXL)
IF (ALLOCATED(MYLATS)) DEALLOCATE(MYLATS)
IF (ALLOCATED(NVMODIST)) DEALLOCATE(NVMODIST)
IF (ALLOCATED(NAGDIO)) DEALLOCATE(NAGDIO)
IF (ALLOCATED(GAW)) DEALLOCATE(GAW)
IF (ALLOCATED(NGPLAT)) DEALLOCATE(NGPLAT)
IF (ALLOCATED(RINDX)) DEALLOCATE(RINDX)
IF (ALLOCATED(RINDY)) DEALLOCATE(RINDY)
IF (ALLOCATED(RPARSL1)) DEALLOCATE(RPARSL1)
IF (ALLOCATED_GRIDPOINT_BUFFER(FCEBUF)) &
 & CALL DEALLOCATE_GRIDPOINT_BUFFER(FCEBUF)  
IF (ALLOCATED_GRIDPOINT_BUFFER(GPBUF_JBVCOORD)) &
 & CALL DEALLOCATE_GRIDPOINT_BUFFER(GPBUF_JBVCOORD)  
IF (ALLOCATED(WAVELET_FILTERS)) DEALLOCATE(WAVELET_FILTERS)
IF (ALLOCATED(REDINC)) DEALLOCATE(REDINC)

IF (ALLOCATED(WAVELET_VCORS)) THEN
  DO JJ=LBOUND(WAVELET_VCORS,2),UBOUND(WAVELET_VCORS,2)
    DO JI=LBOUND(WAVELET_VCORS,1),UBOUND(WAVELET_VCORS,1)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%NLONSG)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%NLONSG)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%NLONS)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%NLONS)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%NSAMPS)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%NSAMPS)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%INDEXG2L)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%INDEXG2L)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%MASTERPE)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%MASTERPE)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%NLON_OFFSET)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%NLON_OFFSET)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%MATS_SKYLINE_LEFT)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%MATS_SKYLINE_LEFT)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%MATS_SKYLINE_RIGHT)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%MATS_SKYLINE_RIGHT)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%MATINVS_SKYLINE_LEFT)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%MATINVS_SKYLINE_LEFT)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%MATINVS_SKYLINE_RIGHT)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%MATINVS_SKYLINE_RIGHT)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%LPELIST)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%LPELIST)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%LON0G)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%LON0G)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%DLON)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%DLON)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%LATSG)) &
        & DEALLOCATE (WAVELET_VCORS(JI,JJ)%LATSG)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%SAMPAV)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%SAMPAV)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%EVALS )) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%EVALS )
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%MATS)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%MATS)
      IF (ASSOCIATED(WAVELET_VCORS(JI,JJ)%MATINVS)) &
        & DEALLOCATE(WAVELET_VCORS(JI,JJ)%MATINVS)
    ENDDO
  ENDDO
  DEALLOCATE (WAVELET_VCORS )
ENDIF

IF (ALLOCATED(EMTD      )) DEALLOCATE        (EMTD      )
IF (ALLOCATED(TRSW      )) DEALLOCATE        (TRSW      )
IF (ALLOCATED(EMTC      )) DEALLOCATE        (EMTC      )
IF (ALLOCATED(TRSC      )) DEALLOCATE        (TRSC      )
IF (ALLOCATED(TAUAER    )) DEALLOCATE        (TAUAER    )
IF (ALLOCATED(SRSWD     )) DEALLOCATE        (SRSWD     )
IF (ALLOCATED(SRLWD     )) DEALLOCATE        (SRLWD     )
IF (ALLOCATED(SRSWDCS   )) DEALLOCATE        (SRSWDCS   )
IF (ALLOCATED(SRLWDCS   )) DEALLOCATE        (SRLWDCS   )
IF (ALLOCATED(SRSWDV    )) DEALLOCATE        (SRSWDV    )
IF (ALLOCATED(SRSWDUV   )) DEALLOCATE        (SRSWDUV   )
IF (ALLOCATED(EDRO      )) DEALLOCATE        (EDRO      )
IF (ALLOCATED(SRSWPAR   )) DEALLOCATE        (SRSWPAR   )
IF (ALLOCATED(SRSWUVB   )) DEALLOCATE        (SRSWUVB   )
IF (ALLOCATED(SRSWPARC  )) DEALLOCATE        (SRSWPARC  )
IF (ALLOCATED(SRSWTINC  )) DEALLOCATE        (SRSWTINC  )
IF (ALLOCATED(SRFDIR    )) DEALLOCATE        (SRFDIR    )
IF (ALLOCATED(SRCDIR    )) DEALLOCATE        (SRCDIR    )

! Double radiation

IF (ALLOCATED(EMTD2     )) DEALLOCATE        (EMTD2     )
IF (ALLOCATED(TRSW2     )) DEALLOCATE        (TRSW2     )
IF (ALLOCATED(EMTC2     )) DEALLOCATE        (EMTC2     )
IF (ALLOCATED(TRSC2     )) DEALLOCATE        (TRSC2     )


IF (ALLOCATED(RUSTRTI   )) DEALLOCATE        (RUSTRTI   )
IF (ALLOCATED(RVSTRTI   )) DEALLOCATE        (RVSTRTI   )
IF (ALLOCATED(RAHFSTI   )) DEALLOCATE        (RAHFSTI   )
IF (ALLOCATED(REVAPTI   )) DEALLOCATE        (REVAPTI   )
IF (ALLOCATED(RTSKTI    )) DEALLOCATE        (RTSKTI    )

IF (ALLOCATED(RMESOQ    )) DEALLOCATE        (RMESOQ    )
IF (ALLOCATED(FCSTSU    )) DEALLOCATE        (FCSTSU    )
IF (ALLOCATED(FCSTSV    )) DEALLOCATE        (FCSTSV    )
IF (ALLOCATED(FCCHAS    )) DEALLOCATE        (FCCHAS    )
IF (ALLOCATED(FCRSOS    )) DEALLOCATE        (FCRSOS    )
IF (ALLOCATED(FCHUMS    )) DEALLOCATE        (FCHUMS    )
IF (ALLOCATED(FCRUIS    )) DEALLOCATE        (FCRUIS    )
IF (ALLOCATED(FCCHSS    )) DEALLOCATE        (FCCHSS    )
IF (ALLOCATED(FCHUML    )) DEALLOCATE        (FCHUML    )
IF (ALLOCATED(FCHUMN    )) DEALLOCATE        (FCHUMN    )
IF (ALLOCATED(FCTSUR2   )) DEALLOCATE        (FCTSUR2   )
IF (ALLOCATED(FCTSTS    )) DEALLOCATE        (FCTSTS    )
IF (ALLOCATED(FCTSFL    )) DEALLOCATE        (FCTSFL    )
IF (ALLOCATED(FCRFTH    )) DEALLOCATE        (FCRFTH    )
IF (ALLOCATED(FCRFSO    )) DEALLOCATE        (FCRFSO    )
IF (ALLOCATED(XPUQ      )) DEALLOCATE        (XPUQ      )
IF (ALLOCATED(XPVQ      )) DEALLOCATE        (XPVQ      )

IF (ALLOCATED(YSKFROT)) THEN
  DO JJ=1,SIZE(YSKFROT)
    CALL DEALLOCATE_CTLVEC(YSKFROT(JJ))
  ENDDO
  DEALLOCATE(YSKFROT)
ENDIF
IF (ALLOCATED(YSKFMAT)) THEN
  DO JJ=1,SIZE(YSKFMAT)
    CALL DEALLOCATE_CTLVEC(YSKFMAT(JJ))
  ENDDO
  DEALLOCATE(YSKFMAT)
ENDIF
IF (ALLOCATED(SKFSUBMAT)) DEALLOCATE(SKFSUBMAT)
IF (ALLOCATED(NSTAGLOBS)) DEALLOCATE(NSTAGLOBS)
IF (ALLOCATED(NUSEQOBS)) DEALLOCATE(NUSEQOBS)
IF (ALLOCATED(NUSEQIND)) DEALLOCATE(NUSEQIND)
IF (ALLOCATED(NOBSSEND)) DEALLOCATE(NOBSSEND)
IF (ALLOCATED(NOBSRECV)) DEALLOCATE(NOBSRECV)
IF (ALLOCATED(NSTASEND)) DEALLOCATE(NSTASEND)
IF (ALLOCATED(NSTARECV)) DEALLOCATE(NSTARECV)
IF (ALLOCATED(NOBSSENDAD)) DEALLOCATE(NOBSSENDAD)
IF (ALLOCATED(NOBSRECVAD)) DEALLOCATE(NOBSRECVAD)
IF (ALLOCATED(NSTASENDAD)) DEALLOCATE(NSTASENDAD)
IF (ALLOCATED(NSTARECVAD)) DEALLOCATE(NSTARECVAD)
IF (ALLOCATED(MAPSENDOBS)) DEALLOCATE(MAPSENDOBS)
IF (ALLOCATED(MAPRECVOBSAD)) DEALLOCATE(MAPRECVOBSAD)
IF (ALLOCATED(RLATSEND)) DEALLOCATE(RLATSEND)
IF (ALLOCATED(RLONSEND)) DEALLOCATE(RLONSEND)
IF (ALLOCATED(NTYPSEND)) DEALLOCATE(NTYPSEND)
IF (ALLOCATED(NLOCSEND)) DEALLOCATE(NLOCSEND)
IF (ALLOCATED(NRETSEND)) DEALLOCATE(NRETSEND)
IF (ALLOCATED(NCHSEND)) DEALLOCATE(NCHSEND)
IF (ALLOCATED(RLATRECVAD)) DEALLOCATE(RLATRECVAD)
IF (ALLOCATED(RLONRECVAD)) DEALLOCATE(RLONRECVAD)
IF (ALLOCATED(NTYPRECVAD)) DEALLOCATE(NTYPRECVAD)
IF (ALLOCATED(NLOCRECVAD)) DEALLOCATE(NLOCRECVAD)
IF (ALLOCATED(NGLOBKEYAD)) DEALLOCATE(NGLOBKEYAD)
IF (ALLOCATED(NLOCRECV)) DEALLOCATE(NLOCRECV)
IF (ALLOCATED(NLOCSENDAD)) DEALLOCATE(NLOCSENDAD)
IF (ALLOCATED(NOBTOTP)) DEALLOCATE(NOBTOTP)
IF (ALLOCATED(NTSLTOBP)) DEALLOCATE(NTSLTOBP)
IF (ALLOCATED(NOBTOVBP)) DEALLOCATE(NOBTOVBP)
IF (ALLOCATED(MOBDD1)) DEALLOCATE(MOBDD1)
IF (ALLOCATED(MOBDD2)) DEALLOCATE(MOBDD2)
IF (ALLOCATED(ROBDD1)) DEALLOCATE(ROBDD1)
IF (ALLOCATED(ROBDD2)) DEALLOCATE(ROBDD2)
IF (ALLOCATED(MPROMOBS)) DEALLOCATE(MPROMOBS)
CALL DEALLGOMS
IF (ALLOCATED(MTYPOB)) DEALLOCATE(MTYPOB)
IF (ALLOCATED(MLNSET)) DEALLOCATE(MLNSET)
IF (ALLOCATED(RADPRE)) DEALLOCATE(RADPRE)
IF (ALLOCATED(CLIMR)) DEALLOCATE(CLIMR)
IF (ALLOCATED(CLIMRCO2)) DEALLOCATE(CLIMRCO2)
IF (ALLOCATED(PDDHFSVI)) DEALLOCATE(PDDHFSVI)
IF (ALLOCATED(NPPBUF)) DEALLOCATE(NPPBUF)
IF (ALLOCATED(CPPLFN)) DEALLOCATE(CPPLFN)
IF (ALLOCATED(NPPBUFL)) DEALLOCATE(NPPBUFL)
IF (ALLOCATED(NPPBUFH)) DEALLOCATE(NPPBUFH)
IF (ALLOCATED(NPPBUFS)) DEALLOCATE(NPPBUFS)
IF (ALLOCATED(NPPBUF2)) DEALLOCATE(NPPBUF2)
IF (ALLOCATED(NPPBUFA)) DEALLOCATE(NPPBUFA)
IF (ALLOCATED(NPPBUFWRI)) DEALLOCATE(NPPBUFWRI)
IF (ALLOCATED(RPPBUFWRT)) DEALLOCATE(RPPBUFWRT)
IF (ALLOCATED(RPPBUFWAT)) DEALLOCATE(RPPBUFWAT)
IF (ALLOCATED(CADHTLS)) DEALLOCATE(CADHTLS)
IF (ALLOCATED(CADHTSS)) DEALLOCATE(CADHTSS)
IF (ALLOCATED(CADHTTS)) DEALLOCATE(CADHTTS)
IF (ALLOCATED(CADHTIS)) DEALLOCATE(CADHTIS)
IF (ALLOCATED(CADHSSS)) DEALLOCATE(CADHSSS)
IF (ALLOCATED(CADHIIS)) DEALLOCATE(CADHIIS)
IF (ALLOCATED(CADHWLS)) DEALLOCATE(CADHWLS)
IF (ALLOCATED(CADHFSS)) DEALLOCATE(CADHFSS)

IF (ALLOCATED(NA1DQS)) THEN
  DEALLOCATE(NA1DQS)
  IF(LLP)WRITE(IU,9) 'NA1DQS    '
ENDIF

!     Deallocate some YOMMP arrays computed in SLCSET/SLRSET.

IF (ALLOCATED(NSLCORE)) THEN
  DEALLOCATE(NSLCORE)
  IF(LLP)WRITE(IU,9) 'NSLCORE   '
ENDIF

IF (ALLOCATED(NFPCORE)) THEN
  DEALLOCATE(NFPCORE)
  IF(LLP)WRITE(IU,9) 'NFPCORE   '
ENDIF

IF (ALLOCATED(NADCORE)) THEN
  DEALLOCATE(NADCORE)
  IF(LLP)WRITE(IU,9) 'NADCORE   '
ENDIF

IF (ALLOCATED(NSLCOMM)) THEN
  DEALLOCATE(NSLCOMM)
  IF(LLP)WRITE(IU,9) 'NSLCOMM   '
ENDIF

IF (ALLOCATED(LSLCOMM)) THEN
  DEALLOCATE(LSLCOMM)
  IF(LLP)WRITE(IU,9) 'LSLCOMM   '
ENDIF

IF (ALLOCATED(NFPCOMM)) THEN
  DEALLOCATE(NFPCOMM)
  IF(LLP)WRITE(IU,9) 'NFPCOMM   '
ENDIF

IF (ALLOCATED(NSLSENDPOS)) THEN
  DEALLOCATE(NSLSENDPOS)
  IF(LLP)WRITE(IU,9) 'NSLSENDPOS'
ENDIF

IF (ALLOCATED(NFPSENDPOS)) THEN
  DEALLOCATE(NFPSENDPOS)
  IF(LLP)WRITE(IU,9) 'NFPSENDPOS'
ENDIF

IF (ALLOCATED(NSLRECVPOS)) THEN
  DEALLOCATE(NSLRECVPOS)
  IF(LLP)WRITE(IU,9) 'NSLRECVPOS'
ENDIF

IF (ALLOCATED(NFPRECVPOS)) THEN
  DEALLOCATE(NFPRECVPOS)
  IF(LLP)WRITE(IU,9) 'NFPRECVPOS'
ENDIF

IF (ALLOCATED(NSENDPTR)) THEN
  DEALLOCATE(NSENDPTR)
  IF(LLP)WRITE(IU,9) 'NSENDPTR  '
ENDIF

IF (ALLOCATED(NFPSENDPTR)) THEN
  DEALLOCATE(NFPSENDPTR)
  IF(LLP)WRITE(IU,9) 'NFPSENDPTR'
ENDIF

IF (ALLOCATED(NRECVPTR)) THEN
  DEALLOCATE(NRECVPTR)
  IF(LLP)WRITE(IU,9) 'NRECVPTR  '
ENDIF

IF (ALLOCATED(NFPRECVPTR)) THEN
  DEALLOCATE(NFPRECVPTR)
  IF(LLP)WRITE(IU,9) 'NFPRECVPTR'
ENDIF

IF (ALLOCATED(GEMUAD  )) DEALLOCATE(GEMUAD  )
IF (ALLOCATED(GESLOAD )) DEALLOCATE(GESLOAD )
IF (ALLOCATED(GECLOAD )) DEALLOCATE(GECLOAD )
IF (ALLOCATED(GMAD    )) DEALLOCATE(GMAD    )
IF (ALLOCATED(GNORDLAD)) DEALLOCATE(GNORDLAD)
IF (ALLOCATED(GNORDMAD)) DEALLOCATE(GNORDMAD)
IF (ALLOCATED(GSQM2AD )) DEALLOCATE(GSQM2AD )
IF (ALLOCATED(RCOLONAD)) DEALLOCATE(RCOLONAD)
IF (ALLOCATED(RSILONAD)) DEALLOCATE(RSILONAD)
IF (ALLOCATED(RINDXAD )) DEALLOCATE(RINDXAD )
IF (ALLOCATED(RINDYAD )) DEALLOCATE(RINDYAD )

IF (ALLOCATED(INP_MOY )) DEALLOCATE(INP_MOY )
IF (ALLOCATED(INP_STD )) DEALLOCATE(INP_STD )
IF (ALLOCATED(OUT_MOY )) DEALLOCATE(OUT_MOY )
IF (ALLOCATED(OUT_STD )) DEALLOCATE(OUT_STD )
IF (ALLOCATED(W       )) DEALLOCATE(W       )
IF (ALLOCATED(JAC_MOY )) DEALLOCATE(JAC_MOY )
IF (ALLOCATED(JAC_STD )) DEALLOCATE(JAC_STD )
IF (ALLOCATED(EIG_VEC )) DEALLOCATE(EIG_VEC )
IF (ALLOCATED(EIG_VAL )) DEALLOCATE(EIG_VAL )
IF (ALLOCATED(NNJAC   )) DEALLOCATE(NNJAC   )
IF (ALLOCATED(LISS    )) DEALLOCATE(LISS    )

IF (ASSOCIATED(RADGRID%NRGRI      )) DEALLOCATE(RADGRID%NRGRI      )
IF (ASSOCIATED(RADGRID%NLOENG     )) DEALLOCATE(RADGRID%NLOENG     )
IF (ASSOCIATED(RADGRID%NSTA       )) DEALLOCATE(RADGRID%NSTA       )
IF (ASSOCIATED(RADGRID%NONL       )) DEALLOCATE(RADGRID%NONL       )
IF (ASSOCIATED(RADGRID%NPTRFRSTLAT)) DEALLOCATE(RADGRID%NPTRFRSTLAT)
IF (ASSOCIATED(RADGRID%NFRSTLAT   )) DEALLOCATE(RADGRID%NFRSTLAT   )
IF (ASSOCIATED(RADGRID%NLSTLAT    )) DEALLOCATE(RADGRID%NLSTLAT    )
IF (ASSOCIATED(RADGRID%RMU        )) DEALLOCATE(RADGRID%RMU        )
IF (ASSOCIATED(RADGRID%RSQM2      )) DEALLOCATE(RADGRID%RSQM2      )
IF (ASSOCIATED(RADGRID%RLATIG     )) DEALLOCATE(RADGRID%RLATIG     )
IF (ASSOCIATED(RADGRID%NASM0      )) DEALLOCATE(RADGRID%NASM0      )
IF (ASSOCIATED(RADGRID%MYMS       )) DEALLOCATE(RADGRID%MYMS       )
IF (ASSOCIATED(RADGRID%GELAM      )) DEALLOCATE(RADGRID%GELAM      )
IF (ASSOCIATED(RADGRID%GELAT      )) DEALLOCATE(RADGRID%GELAT      )
IF (ASSOCIATED(RADGRID%GESLO      )) DEALLOCATE(RADGRID%GESLO      )
IF (ASSOCIATED(RADGRID%GECLO      )) DEALLOCATE(RADGRID%GECLO      )
IF (ASSOCIATED(RADGRID%GEMU       )) DEALLOCATE(RADGRID%GEMU       )
IF (ASSOCIATED(RADGRID%RLATI      )) DEALLOCATE(RADGRID%RLATI      )
IF (ASSOCIATED(RADGRID%RIPI0      )) DEALLOCATE(RADGRID%RIPI0      )
IF (ASSOCIATED(RADGRID%RIPI1      )) DEALLOCATE(RADGRID%RIPI1      )
IF (ASSOCIATED(RADGRID%RIPI2      )) DEALLOCATE(RADGRID%RIPI2      )
IF (ALLOCATED(NRISTA             )) DEALLOCATE(NRISTA             )
IF (ALLOCATED(NRIONL             )) DEALLOCATE(NRIONL             )
IF (ALLOCATED(NRIOFF             )) DEALLOCATE(NRIOFF             )
IF (ALLOCATED(NRIEXT             )) DEALLOCATE(NRIEXT             )
IF (ALLOCATED(NRICORE            )) DEALLOCATE(NRICORE            )
IF (ALLOCATED(NRISENDPOS         )) DEALLOCATE(NRISENDPOS         )
IF (ALLOCATED(NRIRECVPOS         )) DEALLOCATE(NRIRECVPOS         )
IF (ALLOCATED(NRISENDPTR         )) DEALLOCATE(NRISENDPTR         )
IF (ALLOCATED(NRIRECVPTR         )) DEALLOCATE(NRIRECVPTR         )
IF (ALLOCATED(NRICOMM            )) DEALLOCATE(NRICOMM            )
IF (ALLOCATED(NROSTA             )) DEALLOCATE(NROSTA             )
IF (ALLOCATED(NROONL             )) DEALLOCATE(NROONL             )
IF (ALLOCATED(NROOFF             )) DEALLOCATE(NROOFF             )
IF (ALLOCATED(NROEXT             )) DEALLOCATE(NROEXT             )
IF (ALLOCATED(NROCORE            )) DEALLOCATE(NROCORE            )
IF (ALLOCATED(NROSENDPOS         )) DEALLOCATE(NROSENDPOS         )
IF (ALLOCATED(NRORECVPOS         )) DEALLOCATE(NRORECVPOS         )
IF (ALLOCATED(NROSENDPTR         )) DEALLOCATE(NROSENDPTR         )
IF (ALLOCATED(NRORECVPTR         )) DEALLOCATE(NRORECVPTR         )
IF (ALLOCATED(NROCOMM            )) DEALLOCATE(NROCOMM            )
IF (ALLOCATED(MASK_RI1           )) DEALLOCATE(MASK_RI1           )
IF (ALLOCATED(MASK_RI2           )) DEALLOCATE(MASK_RI2           )
IF (ALLOCATED(MASK_RO1           )) DEALLOCATE(MASK_RO1           )
IF (ALLOCATED(MASK_RO2           )) DEALLOCATE(MASK_RO2           )

IF (ALLOCATED(RMCUFSP)) DEALLOCATE(RMCUFSP)
IF (ALLOCATED(RMCUFFP)) DEALLOCATE(RMCUFFP)

IF (ALLOCATED_GRIDPOINT_BUFFER(GPPCBUF)) THEN
  CALL DEALLOCATE_GRIDPOINT_BUFFER(GPPCBUF)
ENDIF

IF (ALLOCATED(MASK_WAVE_IN)) DEALLOCATE(MASK_WAVE_IN)
IF (ALLOCATED(MASK_WAVE_OUT)) DEALLOCATE(MASK_WAVE_OUT)

IF (ALLOCATED(MWAVE_STEP      )) DEALLOCATE(MWAVE_STEP      )
IF (ALLOCATED(MWAVE_OERR_STEP )) DEALLOCATE(MWAVE_OERR_STEP )

IF (ALLOCATED(HWOPF)) DEALLOCATE(HWOPF)
IF (ALLOCATED(HWOPFA)) DEALLOCATE(HWOPFA)
IF (ALLOCATED(HWF0)) DEALLOCATE(HWF0)
IF (ALLOCATED(HWFA0)) DEALLOCATE(HWFA0)

IF (ALLOCATED(DATA_EMIS_AN1)) DEALLOCATE(DATA_EMIS_AN1)
IF (ALLOCATED(DATA_EMIS_AN2)) DEALLOCATE(DATA_EMIS_AN2)
IF (ALLOCATED(ATLAS_SSMIS  )) DEALLOCATE(ATLAS_SSMIS  )
IF (ALLOCATED(ATLAS_SSMI   )) DEALLOCATE(ATLAS_SSMI   )

CALL SURFDEALLO

CALL OML_DESTROY_LOCK()

!     ------------------------------------------------------------------
9 FORMAT(1X,'ARRAY ',A10,' DEALLOCATED IN DEALLO ')

!     ------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('DEALLO',1,ZHOOK_HANDLE)

END SUBROUTINE DEALLO
