      SUBROUTINE UV2SD(U,V,S,D)
      USE PARKIND1  ,ONLY : JPIM     ,JPRB
      USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
      PARAMETER(DEGCON=180./3.14159265358979)
      REAL(KIND=JPRB) :: ZHOOK_HANDLE
      IF (LHOOK) CALL DR_HOOK('UV2SD',0,ZHOOK_HANDLE)
      ABSU=ABS(U)
      ABSV=ABS(V)
      ZEPS=10.E-6
      IF (ABSU.GT.ZEPS) GO TO 130
  110 CONTINUE
      IF (ABSV.GT.ZEPS) GO TO 120
      S=0.
      D=0.
      IF (LHOOK) CALL DR_HOOK('UV2SD',1,ZHOOK_HANDLE)
      RETURN
  120 CONTINUE
      S=ABSV
      D=360
      IF (V.LT.0.) D=180.0
      IF (LHOOK) CALL DR_HOOK('UV2SD',1,ZHOOK_HANDLE)
      RETURN
  130 CONTINUE
      IF (ABSV.GT.ZEPS) GO TO 200
      S=ABSU
      D=270.
      IF (U.LT.0.) D=90.
      IF (LHOOK) CALL DR_HOOK('UV2SD',1,ZHOOK_HANDLE)
      RETURN
  200 CONTINUE
      ADCOR=180.
      D=ATAN2(U,V)*DEGCON+ADCOR
      S=U*U+V*V
      S=SQRT(S)
      IF (LHOOK) CALL DR_HOOK('UV2SD',1,ZHOOK_HANDLE)
      RETURN
      END
