      SUBROUTINE FADIES ( KREP, KNUMER, KDATEF )
#include "facom0.h"
C****
C      Sous-programme permettant d'obtenir la date d'un fichier ouvert
C     pour le logiciel de Fichiers ARPEGE, et deja muni d'une date.
C     ( "DIES" = jour en latin... )
C**
C    Arguments : KREP   (Sortie) ==> Code-reponse du sous-programme;
C                KNUMER (Entree) ==> Numero de l'unite logique;
C     (Tableau)  KDATEF (Sortie) ==> Date elle-meme (JPLDAT mots).
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KREP, KNUMER
      INTEGER KDATEF (JPLDAT)
C
      INTEGER IRANG, J, IREP, INIMES
C
      LOGICAL LLVERF
C
#include "facom2.h"
C**
C     1.  -  CONTROLES DES PARAMETRES D'APPEL, ET INITIALISATIONS.
C-----------------------------------------------------------------------
C
      LLVERF=.FALSE.
      CALL FANUMU (KNUMER,IRANG)
C
      IF (IRANG.EQ.0) THEN
        IREP=-51
        GOTO 1001
      ENDIF
C
C         Verrouillage eventuel du fichier.
C
      IF (LFAMUL) CALL LFIVER (VRFICH(IRANG),'ON')
      LLVERF=LFAMUL
C**
C     2.  -  CONTROLE DE DEFINITION PREALABLE DE LA DATE.
C-----------------------------------------------------------------------
C
      IF (LCREAF(IRANG)) THEN
        IREP=-85
        GOTO 1001
      ENDIF
C**
C     3.  -  TRANSFERT DE LA TABLE "MADATE" DANS LE TABLEAU ARGUMENT.
C-----------------------------------------------------------------------
C
      DO 301 J=1,JPLDAT
      KDATEF(J)=MADATE(J,IRANG)
  301 CONTINUE
C
      IREP=0
C**
C    10.  -  PHASE TERMINALE : MESSAGERIE, AVEC "ABORT" EVENTUEL,
C            VIA LE SOUS-PROGRAMME "FAIPAR" .
C-----------------------------------------------------------------------
C
 1001 CONTINUE
      KREP=IREP
      LLFATA=LLMOER (IREP,IRANG)
C
C        Deverrouillage eventuel du fichier.
C
      IF (LLVERF) CALL LFIVER (VRFICH(IRANG),'OFF')
C
      IF (LLFATA.OR.IXNVMS(IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='FADIES'
C
      IF (INIMES.EQ.2) THEN
        WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', KDATEF(1:5)='',I5,2(''/'',I2),I3,'':'',I2.2,
     S       '', KDATEF(7:8)='',I6,''-'',I6)') KREP,KNUMER,
     S     (KDATEF(J),J=1,5),(KDATEF(J),J=7,8)
        CALL FAIPAR (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI,
     S               .FALSE.)
      ENDIF
C
      RETURN
      END
