      SUBROUTINE FAISAN ( KREP, KNUMER, CDNOMA, PDONNE, KLONGD )
#include "facom0.h"
C****
C      Sous-programme d'ecriture d'un article de donnees non assimila-
C     bles a un champ horizontal sur un fichier ARPEGE.
C       ( Integration Simple d'un Article Non code )
C**
C    Arguments : KREP   (Sortie) ==> Code-reponse du sous-programme;
C                KNUMER (Entree) ==> Numero de l'unite logique;
C                CDNOMA (Entree) ==> Nom de l'article;
C    ( Tableau ) PDONNE (Entree) ==> Donnees a ecrire;
C                KLONGD (Entree) ==> Nombre de mots a ecrire.
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KREP, KNUMER, KLONGD
C
      INTEGER ILCDNO, IRANG, IREP, ILNOMA, INIMES, ILACTI
C
      REAL (KIND=JPDBLR) PDONNE (KLONGD)
C
      LOGICAL LLVERF, LLRLFI
C
      CHARACTER CDNOMA*(*)
C
#include "facom2.h"
C**
C     1.  -  CONTROLES ET INITIALISATIONS.
C-----------------------------------------------------------------------
C
      LLVERF=.FALSE.
      LLRLFI=.FALSE.
      ILCDNO=LEN (CDNOMA)
      CALL FANUMU (KNUMER,IRANG)
C
      IF (IRANG.EQ.0) THEN
        IREP=-51
        GOTO 1001
      ELSEIF (KLONGD.LE.0) THEN
        IREP=-64
        GOTO 1001
      ELSEIF (ILCDNO.LE.0) THEN
        IREP=-65
        GOTO 1001
      ENDIF
C
C         Verrouillage eventuel du fichier.
C
      IF (LFAMUL) CALL LFIVER (VRFICH(IRANG),'ON')
      LLVERF=LFAMUL
C
      IF (LCREAF(IRANG)) THEN
        IREP=-85
        GOTO 1001
      ELSEIF (CDNOMA.EQ.CPCACH.OR.CDNOMA.EQ.CPCADI.OR.
     S    CDNOMA.EQ.CPCAFS.OR.CDNOMA.EQ.CPCARP.OR.CDNOMA.EQ.CPDATE.OR.
     S    CDNOMA.EQ.CIDENT(IRANG)) THEN
        IREP=-111
        GOTO 1001
      ENDIF
C**
C     2.  -  ECRITURE DE L'ARTICLE DE DONNEES SUR LE FICHIER.
C-----------------------------------------------------------------------
C
      ILNOMA=MIN ( NCPCAD, LEN (CDNOMA) )
      CLNOMA(1:ILNOMA)=CDNOMA(1:ILNOMA)
C
      CALL LFIECR (IREP,KNUMER,CLNOMA(1:ILNOMA),PDONNE,KLONGD)
      LLRLFI=IREP.NE.0
C**
C    10.  -  PHASE TERMINALE : MESSAGERIE, AVEC "ABORT" EVENTUEL,
C            VIA LE SOUS-PROGRAMME "FAIPAR" .
C-----------------------------------------------------------------------
C
 1001 CONTINUE
      KREP=IREP
      LLFATA=LLMOER (IREP,IRANG)
C
C        Deverrouillage eventuel du fichier.
C
      IF (LLVERF) CALL LFIVER (VRFICH(IRANG),'OFF')
C
      IF (LLFATA) THEN
        INIMES=2
      ELSE
        INIMES=IXNVMS(IRANG)
      ENDIF
C
      IF (.NOT.LLFATA.AND.INIMES.NE.2) RETURN
C
      CLNSPR='FAISAN'
C
      IF (IREP.NE.-65) THEN
        ILACTI=MIN (ILCDNO,NCPCAD)
        CLACTI(1:ILACTI)=CDNOMA(:ILACTI)
      ELSE
        ILACTI=8
        CLACTI(1:ILACTI)=CHAINC(:ILACTI)
      ENDIF
C
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', CDNOMA='''''',A,'''''', KLONGD='',I8)')
     S   KREP,KNUMER,CLACTI(1:ILACTI),KLONGD
      CALL FAIPAR (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,
     S             CLACTI(1:ILACTI),LLRLFI)
C
      RETURN
      END
