      SUBROUTINE FAIXLA
#include "facom0.h"
C****
C        Ce sous-programme est charge des Initialisations des
C     tableaux XLAp.d., utilises pour aplatir le spectre des champs
C     avant le compactage (coefficients spectraux seulement).
C**
C
      USE FAMODU   , ONLY : XLAP1D   ,XLAP1DA  ,XLAP2D   ,XLAP2DA
C
#include "precision.h"
C
#include "facomp.h"
C
      INTEGER J, JN, IDEBUT, IFIN, INDM, INDN, JJPUIS
C
C
C        On commence par les allocations des differents tableaux
C
      ALLOCATE (XLAP1D (JPXTRO,0:1))
      ALLOCATE (XLAP1DA (JPXTRO*JPXTRO,0:1))
      ALLOCATE (XLAP2D (2:JPXCSP,JPUILA,0:1))
      ALLOCATE (XLAP2DA (JPXTRO*JPXTRO,JPUILA,0:1))
C
      DO JN=1,JPXTRO
        XLAP1D(JN,0)=REAL (JN*(JN+1))
        XLAP1D(JN,1)=1./XLAP1D(JN,0)
      ENDDO
C
      DO JN=1,JPXTRO*JPXTRO
        INDN=1+(JN-1)/JPXTRO
        INDM=JN-(INDN-1)*JPXTRO
        XLAP1DA(JN,0)=REAL (INDN**2+INDM**2)
        XLAP1DA(JN,1)=1./XLAP1DA(JN,0)
      ENDDO
C
      DO JN=1,JPXTRO
        IDEBUT=JN**2+1
        IFIN=(1+JN)**2
C
        DO JJPUIS=1,JPUILA
C
        DO J=IDEBUT,IFIN
          XLAP2D(J,JJPUIS,0)=XLAP1D(JN,0)**JJPUIS
          XLAP2D(J,JJPUIS,1)=1./XLAP2D(J,JJPUIS,0)
        ENDDO
C        
        ENDDO
C
      ENDDO
C
      DO JJPUIS=1,JPUILA
C
      DO JN=1,JPXTRO**2 
        XLAP2DA(JN,JJPUIS,0)=XLAP1DA(JN,0)**JJPUIS
        XLAP2DA(JN,JJPUIS,1)=1./XLAP2DA(JN,JJPUIS,0)
      ENDDO
C
      ENDDO
C
C
      RETURN
      END
