      SUBROUTINE FALIMU ( KXNIVV, KXTRON, KXLATI, KXLONG )
#include "facom0.h"
C****
C        Sous-programme servant a obtenir les valeurs courantes
C     des LIMites Utilisateur en termes de Resolutions horizontale
C     et verticale, valides globalement pour tous les Fichiers et Cadres
C     ARPEGE manipules par le programme utilisateur.
C**
C        Arguments : KXNIVV ==> Nombre maximum de niveaux verticaux;
C  (tous de Sortie)  KXTRON ==> Troncature maximum;
C                    KXLATI ==> Nombre maximum de latitudes pole a pole;
C                    KXLONG ==> Nombre maxi de longitudes par parallele.
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KXNIVV, KXTRON, KXLATI, KXLONG
C
      INTEGER INUMER, INIMES, IREP
C
      LOGICAL LLPREA, LLVERG
C
      SAVE LLPREA
C
      DATA LLPREA/ .TRUE. /
C
#include "facom2.h"
C**
C     1.  -  SI PREMIERE UTILISATION, APPEL AU SOUS-PROGRAMME "FARINE".
C-----------------------------------------------------------------------
C
      IF (LLPREA) THEN
        CALL FARINE (2)
        LLPREA=.FALSE.
      ENDIF
C
C             Verrouillage global, si necessaire.
C
      IF (LFAMUL) CALL LFIVER (VRGLAS,'ON')
      LLVERG=LFAMUL
C**
C     2.  -  RECOPIE DES VALEURS EN COMMON DANS LES ARGUMENTS.
C-----------------------------------------------------------------------
C
      KXNIVV=NXNIVV
      KXTRON=NXTRON
      KXLATI=NXLATI
      KXLONG=NXLONG
C**
C    10.  -  PHASE TERMINALE : MESSAGERIE, AVEC "ABORT" EVENTUEL,
C            VIA LE sous-programme "FAIPAR" .
C-----------------------------------------------------------------------
C
 1001 CONTINUE
C
C          Deverrouillage global eventuel.
C
      IF (LLVERG) CALL LFIVER (VRGLAS,'OFF')
C
      IF (NIMSGA.EQ.2) THEN
        IREP=0
        INIMES=2
        CLNSPR='FALIMU'
        INUMER=JPNIIL
        WRITE (UNIT=CLMESS,FMT='(''KXNIVV='',I4,'', KXTRON='',I4,
     S         '', KXLATI='',I4,'', KXLONG='',I4)')
     S     KXNIVV,KXTRON,KXLATI,KXLONG
        CALL FAIPAR (INUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI,
     S               .FALSE.)
      ENDIF
C
      RETURN
      END
