      SUBROUTINE FANDAR ( KREP, KNUMER, KDATEF )
#include "facom0.h"
C****
C      Sous-programme de definition d'une (Nouvelle) Date sur un fichier
C     ARpege.
C**
C    Arguments : KREP   (Sortie) ==> Code-reponse du sous-programme;
C                KNUMER (Entree) ==> Numero de l'unite logique;
C     (Tableau)  KDATEF (Entree) ==> Date elle-meme (JPLDAT mots).
C*
C        En cas de modification effective (si le fichier etait deja muni
C     d'une date), il y a messagerie de niveau 1.
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KREP, KNUMER
      INTEGER KDATEF (JPLDAT)
      INTEGER (KIND=JPDBLE) KLDATEF (JPLDAT)
C
      INTEGER IRANG, IREP, INIMES, J
C
      LOGICAL LLVERF, LLRLFI, LLMODA
C
#include "facom2.h"
C**
C     1.  -  CONTROLES DES PARAMETRES D'APPEL, PUIS INITIALISATIONS.
C-----------------------------------------------------------------------
C
      LLVERF=.FALSE.
      LLRLFI=.FALSE.
      LLMODA=.FALSE.
      CALL FANUMU (KNUMER,IRANG)
C
      IF (IRANG.EQ.0) THEN
        IREP=-51
        GOTO 1001
      ENDIF
C
C         Verrouillage eventuel du fichier.
C
      IF (LFAMUL) CALL LFIVER (VRFICH(IRANG),'ON')
      LLVERF=LFAMUL
C**
C     2.  -  DEFINITION PROPREMENT DITE VIA LE SOUS-PROGRAMME "FANDAI".
C            ( controles, puis mise a jour de MADATE(.,IRANG) )
C-----------------------------------------------------------------------
C
      CALL FANDAI (IREP,IRANG,KDATEF,LLMODA)
C
      IF (IREP.EQ.0) THEN
C**
C     3.  -  ECRITURE DE LA DATE SUR LE FICHIER.
C-----------------------------------------------------------------------
C
        KLDATEF=KDATEF
        CALL LFIECR (IREP,KNUMER,CPDATE,KLDATEF,JPLDAT)
        LLRLFI=IREP.NE.0
        LCREAF(IRANG)=LCREAF(IRANG).AND.LLRLFI
      ENDIF
C**
C    10.  -  PHASE TERMINALE : MESSAGERIE, AVEC "ABORT" EVENTUEL,
C            VIA LE SOUS-PROGRAMME "FAIPAR" .
C-----------------------------------------------------------------------
C
 1001 CONTINUE
      KREP=IREP
      LLFATA=LLMOER (IREP,IRANG)
C
C        Deverrouillage eventuel du fichier.
C
      IF (LLVERF) CALL LFIVER (VRFICH(IRANG),'OFF')
C
      IF (LLFATA) THEN
        INIMES=2
      ELSEIF (IREP.NE.0) THEN
        INIMES=0
      ELSE
        INIMES=IXNVMS(IRANG)
      ENDIF
C
      IF (.NOT.LLFATA.AND.INIMES.EQ.0) RETURN
C
      CLNSPR='FANDAR'
C
      IF (INIMES.GE.1.AND.LLMODA) THEN
        WRITE (UNIT=CLMESS,FMT=
     S         '(''MODIFICATION DE LA DATE, UNITE'',I3)') KNUMER
        CALL FAIPAR (KNUMER,INIMES,IREP,.FALSE.,CLMESS,CLNSPR,CLACTI,
     S               .FALSE.)
      ENDIF
C
      IF (INIMES.EQ.2) THEN
C***** FAZZZZ - KREP=iiii, KNUMER=iii, KDATEF(1:5)=iiiii/ii/ii iii:ii, *****
C*****          KDATEF(7:8)=iiiiii-iiiiii                              *****
        WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', KDATEF(1:5)='',I5,2(''/'',I2),I3,'':'',I2.2,
     S       '', KDATEF(7:8)='',I6,''-'',I6)') KREP,KNUMER,
     S     (KDATEF(J),J=1,5),(KDATEF(J),J=7,8)
        CALL FAIPAR (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI,
     S               LLRLFI)
      ENDIF
C
      RETURN
      END
