      SUBROUTINE FANMSG ( KNIVAU )
#include "facom0.h"
C****
C        Ce sous-programme se charge de mettre le Niveau Global d'
C     impression des Messages du logiciel de Fichiers ARPEGE (*NIMSGA*)
C     a la valeur KNIVAU, de meme que la variable correspondante du
C     du logiciel LFI. Par defaut, NIMSGA vaut 1.
C**
C        Argument : KNIVAU (Entree) ==> Niveau Global d'Impression
C                                       des Messages.
C                                       Valeurs possibles:
C
C     0 : N'emettre que les messages d'erreurs reellement importants .
C     1 : N'emettre qu'un minimum de messages "globaux", et les messages
C         lies a un fichier ouvert qui sont de niveau au plus egal au
C         niveau de la messagerie pour ce fichier (Mode par defaut) .
C     2 : Emettre tous les messages possibles, meme s'ils ne correspon-
C         dent pas a un fichier ouvert avec le niveau de Messagerie 2 .
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KNIVAU
C
      INTEGER IREP, INIMES, INUMER
C
      LOGICAL LLPREA
      SAVE LLPREA
C
      DATA LLPREA /.TRUE./
C
      IF (LLPREA) THEN
        CALL FARINE (2)
        LLPREA=.FALSE.
      ENDIF
C
      IF (KNIVAU.GE.0.AND.KNIVAU.LE.2) THEN
        INIMES=MAX (NIMSGA,KNIVAU)
        NIMSGA=KNIVAU
        CALL LFINMG (KNIVAU)
        IREP=0
      ELSE
        INIMES=NIMSGA
        IREP=-52
      ENDIF
C
      LLFATA=IREP.NE.0.AND.NRFAGA.NE.2
C
      IF (LLFATA) THEN
        INIMES=2
      ELSEIF (IREP.NE.0) THEN
        INIMES=0
      ELSEIF (INIMES.NE.2) THEN
        RETURN
      ENDIF
C
      INUMER=JPNIIL
      CLNSPR='FANMSG'
C
      IF (MAX (INIMES,NIMSGA).EQ.2) THEN
        WRITE (UNIT=CLMESS,FMT='(''KNIVAU='',I5,'', CODE INTERNE='',I4)'
     S         ) KNIVAU,IREP
        IF (INIMES.NE.2) CALL FAIPAR (INUMER,NIMSGA,IREP,.FALSE.,CLMESS,
     S                                CLNSPR,CLACTI,.FALSE.)
      ENDIF
C
      CALL FAIPAR (INUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI,
     S             .FALSE.)
C
      RETURN
      END
