      SUBROUTINE FANUMU ( KNUMER, KRANG )
#include "facom0.h"
C****
C        Ce sous-programme calcule le RANG du Numero d'Unite logique
C     *KNUMER* dans la table des unites logiques *NULOGI*;
C     s'il n'y est pas trouve, le resultat est ZERO.
C        Ce sous-programme, appele par tous les sous-programmes
C     "fichier" du Logiciel de Fichiers ARPEGE, se charge lors de son
C     premier appel d'appeler le sous-programme preparatoire FARINE.
C**
C       Arguments : KNUMER (Entree) ==> Numero d'unite logique cherche;
C                   KRANG  (Sortie) ==> Rang dans la table des fichiers
C                                       du logiciel FA (0 si absent).
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KNUMER, KRANG
C
      INTEGER J, IRESUL
C
      LOGICAL LLPREA
      SAVE LLPREA
C
      DATA LLPREA/ .TRUE. /
C
#include "facom2.h"
C
      IF (LLPREA) THEN
        CALL FARINE (2)
        LLPREA=.FALSE.
      ENDIF
C
C          VERROUILLAGE GLOBAL (A CAUSE DE L'UTILISATION DE NFIOUV )
C
      IF (LFAMUL) CALL LFIVER (VRGLAS,'ON')
C
      DO 10 J=1,NFIOUV
C
      IF (KNUMER.EQ.NULOGI(NULIND(J))) THEN
        IRESUL=NULIND(J)
        GOTO 20
      ENDIF
C
   10 CONTINUE
C
      IRESUL=0
C
   20 CONTINUE
C
C          DEVERROUILLAGE GLOBAL
C
      IF (LFAMUL) CALL LFIVER (VRGLAS,'OFF')
      KRANG=IRESUL
C
      RETURN
      END
