      SUBROUTINE FAVORI ( KNGRIB, KNBPDG, KNBCSP, KSTRON, KPUILA,
     S                    KDMOPL )
#include "facom0.h"
C****
C        Ce sous-programme permet de connaitre les options implicites
C     courantes liees au codage GRIB des champs.
C     CES OPTIONS NE SONT UTILISEES QUE POUR (RE)ECRIRE DES CHAMPS
C     codes en GRIB, et les valeurs implicites ne servent
C     que LORS d'une OUVERTURE de FICHIER.
C       ( Visualisation (?) Options R (??) Implicites )
C**
C     Arguments : KNGRIB ==> Niveau de codage GRIB (-1,0,1,2,3);
C     (tous de    KNBPDG ==> Nombre de bits par valeur point-de-grille;
C      SORTIE)    KNBCSP ==> Nombre de bits par partie reelle/imaginaire
C                            de coeff. spectral;
C                 KSTRON ==> Sous-troncature non compactee;
C                 KPUILA ==> Puissance de laplacien;
C                 KDMOPL ==> Degre de modulation de KPUILA.
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KNGRIB, KNBPDG, KNBCSP, KSTRON, KPUILA, KDMOPL
C
      INTEGER IREP, INIMES, INUMER
C
      LOGICAL LLVERG, LLPREA
C
      SAVE LLPREA
C
      DATA LLPREA / .TRUE. /
C
#include "facom2.h"
C**
C     1.  -  INITIALISATIONS.
C-----------------------------------------------------------------------
C
      IF (LLPREA) THEN
C
C          A la premiere utilisation, appel au sous-programme "FARINE".
C
        CALL FARINE(2)
        LLPREA=.FALSE.
      ENDIF
C
C         Verrouillage global eventuel.
C
      IF (LFAMUL) CALL LFIVER (VRGLAS,'ON')
      LLVERG=LFAMUL
C**
C     2.  -  RECOPIE DES VALEURS EN COMMON DANS LES ARGUMENTS.
C-----------------------------------------------------------------------
C
      KNGRIB=NIGRIB
      KNBPDG=NBIPDG
      KNBCSP=NBICSP
      KSTRON=NSTROI
      KPUILA=NPUILA
      KDMOPL=NMIDPL
C**
C    10.  -  PHASE TERMINALE : MESSAGERIE VIA LE SOUS-PROGRAMME "FAIPAR"
C-----------------------------------------------------------------------
C
 1001 CONTINUE
C
C        Deverrouillage global eventuel.
C
      IF (LLVERG) CALL LFIVER (VRGLAS,'OFF')
C
      IF (NIMSGA.EQ.2) THEN
        IREP=0
        INIMES=2
        CLNSPR='FAVORI'
        WRITE (UNIT=CLMESS,FMT='(''KNGRIB='',I2,'', KNBPDG='',I3,
     S         '', KNBCSP='',I3,'', KSTRON='',I3,'', KPUILA='',I3,
     S         '', KDMOPL='',I3)')
     S    KNGRIB,KNBPDG,KNBCSP,KSTRON,KPUILA,KDMOPL
        INUMER=JPNIIL
        CALL FAIPAR (INUMER,INIMES,IREP,.FALSE.,CLMESS,CLNSPR,
     S               CLACTI,.FALSE.)
      ENDIF
C
      RETURN
      END
