      SUBROUTINE LFICFG
#include "lficomt.h"
C****
C         Sous-programme imprimant les "PARAMETER" de base definissant
C     la configuration dans laquelle tourne le logiciel de fichiers
C     indexes LFI.
C**
C         Ce sous-programme n'a pas d'arguments.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER IREP, INUMER, INIMES
C
      LOGICAL LLPREA
C
      SAVE LLPREA
C
      DATA LLPREA / .TRUE. /
C**
C     1.  -  INITIALISATIONS.
C-----------------------------------------------------------------------
C
      IF (LLPREA) THEN
        CALL LFIINI (2)
        LLPREA=.FALSE.
      ENDIF
C
C         Envoi d'une banniere.
C
      IREP=0
      INUMER=JPNIL
      CLNSPR='LFICFG'
      WRITE (UNIT=*,FMT='(///)')
C
      IF (LFRANC) THEN
        CLMESS='Configuration du logiciel LFI ("PARAMETER" de base):'
      ELSE
        CLMESS='Configuration of LFI software (basic "PARAMETER"):'
      ENDIF
C
      INIMES=2
      LLFATA=.FALSE.
      CALL LFIEMS (INUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
      WRITE (UNIT=*,FMT='(/)')
C**
C     2.  -  IMPRESSION DES "PARAMETER" DE BASE DU LOGICIEL.
C-----------------------------------------------------------------------
C
      IF (LFRANC) THEN
        PRINT 9005,JPNBIM
        PRINT 9007,JPNBIC
        PRINT 9010,JPNCMO
        PRINT 9020,JPNCPN
        PRINT 9030,JPLARD,JPLARC
        PRINT 9035,JPFACX
        PRINT 9037,JPXUFM
        PRINT 9040,JPRECL
        PRINT 9050,JPNXFI
        PRINT 9060,JPNPIA
        PRINT 9070,JPNXPI
        PRINT 9080,JPNPIS
        PRINT 9090,JPNAPP
        PRINT 9100,JPLDOC
        PRINT 9110,JPNPDF
        PRINT 9120,JPNXPR
        PRINT 9130,JPNIL
        PRINT 9135,JPLFTX
        PRINT 9137,JPLFIX
      ELSE
        PRINT 9006,JPNBIM
        PRINT 9008,JPNBIC
        PRINT 9011,JPNCMO
        PRINT 9021,JPNCPN
        PRINT 9031,JPLARD,JPLARC
        PRINT 9036,JPFACX
        PRINT 9038,JPXUFM
        PRINT 9041,JPRECL
        PRINT 9051,JPNXFI
        PRINT 9061,JPNPIA
        PRINT 9071,JPNXPI
        PRINT 9081,JPNPIS
        PRINT 9091,JPNAPP
        PRINT 9101,JPLDOC
        PRINT 9111,JPNPDF
        PRINT 9121,JPNXPR
        PRINT 9131,JPNIL
        PRINT 9136,JPLFTX
        PRINT 9138,JPLFIX
      ENDIF
C
C         Envoi d'un message terminal.
C
      WRITE (UNIT=*,FMT='(/)')
C
      IF (LFRANC) THEN
        CLMESS='Fin d''impression de la Configuration du logiciel LFI'
      ELSE
        CLMESS='End of dump of LFI software configuration'
      ENDIF
C
      CALL LFIEMS (INUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
      WRITE (UNIT=*,FMT='(///)')
C
      RETURN
C
 9005 FORMAT(' Nombre de Bits par mot machine.......................',
     S       I5)
C
 9006 FORMAT(' Number of Bits per computer word.....................',
     S       I5)
C
 9007 FORMAT(' Nombre de Bits par caractere machine.................',
     S       I5)
C
 9008 FORMAT(' Number of Bits per computer character................',
     S       I5)
C
 9010 FORMAT('    ... d''ou Nombre de caracteres par mot.............',
     S       I5)
C
 9011 FORMAT('    ... so Number of characters per word is...........',
     S       I5)
C
 9020 FORMAT(' Nombre maximum de Caracteres par NOM d''ARTICLE.......',
     S       I5)
C
 9021 FORMAT(' Maximum number of Characters per RECORD NAME.........',
     S       I5)
C
 9030 FORMAT(' Longueur d''Article PHYSIQUE Elementaire des Fichiers.',
     S       I5,' Mots (',I5,' Caracteres )')
C
 9031 FORMAT(' Elementary PHYSICAL Record Length of Files...........',
     S       I5,' Words (',I5,' Characters )')
C
 9035 FORMAT(' Facteur Multiplicatif Maximal de cette Longueur......',
     S       I5)
C
 9036 FORMAT(' Maximum Multiply Factor of this elementary Length....',
     S       I5)
C
 9037 FORMAT(' Nombre maximum d''associations explicites',/,
     S       '   entre Unites Logiques et Facteurs Multiplicatifs...',
     S       I5)
C
 9038 FORMAT(' Maximum number of explicit associations',/,
     S       '         between Logical Units and Multiply Factors...',
     S       I5)
C
 9040 FORMAT(' "RECL" Elementaire pour l''"OPEN" des Fichiers........',
     S       I5)
C
 9041 FORMAT(' Elementary "RECL" parameter for "OPEN" of Files......',
     S       I5)
C
 9050 FORMAT(' Nombre maximum de Fichiers ouverts en meme temps',/,
     S       '        (si leur "facteur multiplicatif" vaut 1 ).....',
     S       I5)
C
 9051 FORMAT(' Maximum number of Files open at the same time',/,
     S       '               (if their "multiply factor" is 1 ).....',
     S       I5)
C
 9060 FORMAT(' Nombre de *PAIRES* de "PAGES d''INDEX"',/,
     S       '        (en memoire) *PREALLOUEES* par Fichier........',
     S       I5)
C
 9061 FORMAT(' Number of *PREALLOCATED PAIRS* of "INDEX PAGES"',/,
     S       '        (in software commons) per File................',
     S       I5)
C
 9070 FORMAT(' Nombre TOTAL de *PAIRES* de "PAGES d''INDEX"',/,
     S       '        (en memoire) ALLOUABLES.......................',
     S       I5)
C
 9071 FORMAT(' TOTAL number of *PAIRS* of "INDEX PAGES"',/,
     S       '        (in software commons) allocatable.............',
     S       I5)
C
 9080 FORMAT('    ... d''ou Nombre de P.P.I. non preallouees.........',
     S       I5)
C
 9081 FORMAT('    ... so Number of P.I.P. not preallocated is.......',
     S       I5)
C
 9090 FORMAT(' Nombre Maxi. utile de NOMS d''ARTICLES',/,
     S       '        par PAGE ou ARTICLE d''INDEX Elementaire.......',
     S       I5)
C
 9091 FORMAT(' Maximum number of usable RECORD NAMES',/,
     S       '        per Elementary INDEX PAGE or RECORD...........',
     S       I5)
C
 9100 FORMAT(' Longueur de la Partie DOCUMENTAIRE du 1er Article....',
     S       I5,' Mots')
C
 9101 FORMAT(' Length of DOCUMENTARY part in 1st physical record....',
     S       I5,' Words')
C
 9110 FORMAT(' Nombre de PAGES de DONNEES par Fichier...............',
     S       I5)
C
 9111 FORMAT(' Number of DATA PAGES per FILE........................',
     S       I5)
C
 9120 FORMAT(' Nombre Maximum de PAIRES d''ARTICLES d''INDEX',/,
     S       '        Reservables a la Creation d''un Fichier........',
     S       I5)
C
 9121 FORMAT(' Maximum number of PAIRS of INDEX RECORDS',/,
     S       '        that may be RESERVED at File Creation.........',
     S       I5)
C
 9130 FORMAT(' Code "VALEUR ABSENTE"', /,
     S       '      pour certaines Tables D''ENTIERS.................',
     S       I5)
C
 9131 FORMAT(' "MISSING VALUE" code', /,
     S       '      for some INTEGER-type Tables....................',
     S       I5)
C
 9135 FORMAT(' Longueur Maximale des Noms de Fichiers',/,
     S       '                 traitable proprement.................',
     S       I5,' Caracteres')
C
 9136 FORMAT(' Maximum Length of File Names',/,
     S       '                    carefully handled.................',
     S       I5,' Characters')
C
 9137 FORMAT(' Longueur Maximale imprimable des Noms de Fichiers....',
     S       I5,' Caracteres')
C
 9138 FORMAT(' Maximum printable Length of File Names (most cases)..',
     S       I5,' Characters')
C
      END
