      SUBROUTINE LFINMG ( KNIVAU )
#include "lficomt.h"
C****
C        CE SOUS-PROGRAMME SE CHARGE DE METTRE LE NIVEAU GLOBAL
C     D'IMPRESSION DES MESSAGES (*NIMESG*) A LA VALEUR KNIVAU .
C**
C        ARGUMENT : KNIVAU (ENTREE) ==> NIVEAU GLOBAL D'IMPRESSION
C                                       DES MESSAGES .
C                                       VALEURS POSSIBLES
C
C     0 : N'EMETTRE QUE LES MESSAGES D'ERREURS REELLEMENT IMPORTANTS .
C     1 : N'EMETTRE QU'UN MINIMUM DE MESSAGES "GLOBAUX", ET LES MESSAGES
C         LIES A UN FICHIER OUVERT QUI SONT DE NIVEAU AU PLUS EGAL AU
C         NIVEAU DE LA MESSAGERIE POUR CE FICHIER (MODE PAR DEFAUT) .
C     2 : EMETTRE TOUS LES MESSAGES POSSIBLES, MEME S'ILS NE CORRESPON-
C         DENT PAS A UN FICHIER OUVERT AVEC LE NIVEAU DE MESSAGERIE 2 .
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KNIVAU, INIMES, IREP, INUMER
C
      LOGICAL LLPREA
      SAVE LLPREA
C
      DATA LLPREA /.TRUE./
C
      IF (LLPREA) THEN
        CALL LFIINI (2)
        LLPREA=.FALSE.
      ENDIF
C
      IF (KNIVAU.GE.0.AND.KNIVAU.LE.2) THEN
        INIMES=MAX0 (NIMESG,KNIVAU)
        NIMESG=KNIVAU
        IREP=0
      ELSE
        INIMES=NIMESG
        IREP=-2
      ENDIF
C
      LLFATA=IREP.NE.0.AND.NERFAG.NE.2
C
      IF (LLFATA) THEN
        INIMES=2
      ELSEIF (IREP.NE.0) THEN
        INIMES=0
      ELSEIF (INIMES.EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      INUMER=JPNIL
      CLNSPR='LFINMG'
C
      IF (MAX0 (INIMES,NIMESG).EQ.2) THEN
C
        IF (LFRANC) THEN
          WRITE (UNIT=CLMESS,FMT='(''KNIVAU='',I5,'', CODE INTERNE='',
     S           I4)') KNIVAU,IREP
        ELSE
          WRITE (UNIT=CLMESS,FMT='(''KNIVAU='',I5,'', INTERNAL CODE='',
     S           I4)') KNIVAU,IREP
        ENDIF
C
        IF (INIMES.NE.2) CALL LFIEMS (INUMER,NIMESG,IREP,.FALSE.,CLMESS,
     S                                CLNSPR,CLACTI)
      ENDIF
C
      CALL LFIEMS (INUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
