      SUBROUTINE LFIOSF ( KREP, KNUMER, LDIMST )
#include "lficomt.h"
C****
C        Ce sous-programme permet d'obtenir l'option courante gouvernant
C     l'impression de STATISTIQUES a la fermeture d'un fichier
C     particulier, ouvert pour le logiciel LFI.
C
C        Noter que si le niveau global d'impression des statistiques
C     *NISTAG* vaut 0 ou 2, l'option propre au fichier est inoperante.
C     *NISTAG* vaut par defaut 1, est reglable via le s/p "LFINSG",
C     et sa valeur peut etre obtenue par le s/p "LFIOSG".
C**
C     ARGUMENTS : KREP   (Sortie) ==> Code-REPonse du sous-programme;
C                 KNUMER (Entree) ==> NUMERo d'unite logique concernee;
C                 LDIMST (Sortie) ==> Option d'IMpression des STatisti-
C                                     ques a la fermeture (vrai=oui).
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KNUMER, IRANG, IREP, INIMES
C
      LOGICAL LDIMST
C
#include "lficom2.h"
C
      CALL LFINUM (KNUMER,IRANG)
C
      IF (IRANG.NE.0) THEN
         IF (LMULTI) CALL LFIVER (VERRUE(IRANG),'ON')
        LDIMST=LISTAT(IRANG)
        NDEROP(IRANG)=20
         IF (LMULTI) CALL LFIVER (VERRUE(IRANG),'OFF')
        IREP=0
      ELSE
        IREP=-1
      ENDIF
C
      KREP=IREP
      LLFATA=LLMOER (IREP,IRANG)
C
      IF (LLFATA.OR.IXNIMS (IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='LFIOSF'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', LDIMST= '',L1)') KREP,KNUMER,LDIMST
      CALL LFIEMS (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
