MODULE STACK_MIX

USE PARKIND1  ,ONLY : JPIM     ,JPRB     ,JPIB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE

SAVE

INTEGER(KIND=JPIB) :: NSTACK0
CHARACTER (LEN = 4) ::  CHOSTNM

CONTAINS

! A SUBROUTINE THAT USES THE STACK TO INITIALISE NSTACK0

SUBROUTINE INIT_STACK(K)
INTEGER(KIND=JPIM),INTENT(IN) :: K
INTEGER(KIND=JPIM) :: I(K)
INTEGER(KIND=JPIM) :: IDUM
INTEGER(KIND=JPIM) :: HOSTNM
REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('STACK_MIX:INIT_STACK',0,ZHOOK_HANDLE)
IDUM=HOSTNM(CHOSTNM)
CALL GETSTACKUSAGEX(NSTACK0)
CALL INIT_STACK1(K,I)
IF (LHOOK) CALL DR_HOOK('STACK_MIX:INIT_STACK',1,ZHOOK_HANDLE)
END SUBROUTINE INIT_STACK

SUBROUTINE INIT_STACK1(K,K_I)
INTEGER(KIND=JPIM),INTENT(IN) :: K
INTEGER(KIND=JPIM),INTENT(OUT) :: K_I(K)
K_I(:)=0
END SUBROUTINE INIT_STACK1

SUBROUTINE GETSTACKUSAGEX(K)
INTEGER(KIND=JPIB),INTENT(OUT) :: K
REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('STACK_MIX:GETSTACKUSAGEX',0,ZHOOK_HANDLE)
IF( CHOSTNM == 'vpp5' )THEN
  CALL GETSTACKUSAGEB(K)
ELSE
  CALL GETSTACKUSAGEM(K)
ENDIF
IF (LHOOK) CALL DR_HOOK('STACK_MIX:GETSTACKUSAGEX',1,ZHOOK_HANDLE)
END SUBROUTINE GETSTACKUSAGEX
  
SUBROUTINE GETSTACKUSAGEB(K)
INTEGER(KIND=JPIB),INTENT(OUT) :: K
INTEGER(KIND=JPIB) :: GETSTACKUSAGE
K=GETSTACKUSAGE()
END SUBROUTINE GETSTACKUSAGEB

SUBROUTINE GETSTACKUSAGEM(K)
INTEGER(KIND=JPIB),INTENT(OUT) :: K
INTEGER(KIND=JPIM) :: GETSTACKUSAGE
K=GETSTACKUSAGE()
END SUBROUTINE GETSTACKUSAGEM

END MODULE STACK_MIX
