      INTEGER FUNCTION ISMAX ( KNELEM, PCHAMP, KINCRE )

#include "precision.h"

      INTEGER KNELEM, KINCRE, LG, INDICE

      REAL (KIND=JPDBLR) PCHAMP (*)
      LOGICAL, ALLOCATABLE, DIMENSION(:) :: MASQUE

      IF (KNELEM <= 0) THEN
        ISMAX=0
        RETURN
      ENDIF
      IF ( KINCRE == 0 ) THEN
        ISMAX=KNELEM
        RETURN
      ENDIF
      LG=1+ABS(KINCRE)*(KNELEM-1)
      ALLOCATE ( MASQUE(1:LG) )
      MASQUE(1:LG)             = .FALSE.
      MASQUE(1:LG:ABS(KINCRE)) = .TRUE.
      IF ( KINCRE < 0 ) THEN
       INDICE=MAXLOC(ARRAY=PCHAMP(LG:1:-1),DIM=1,MASK=MASQUE(LG:1:-1))
       ISMAX = 1 - (INDICE-1)/KINCRE
      ENDIF
      IF ( KINCRE > 0 ) THEN
       INDICE=MAXLOC(ARRAY=PCHAMP(1:LG)   ,DIM=1,MASK=MASQUE(1:LG))
       ISMAX = 1 + (INDICE-1)/KINCRE
      ENDIF
      DEALLOCATE ( MASQUE )

      RETURN
      END
