!#################################################################
!
! the "test" project does not perform chemistry
!
!### macro's #####################################################
!
#define TRACEBACK write (gol,'("in ",a," (",a,", line",i5,")")') rname, __FILE__, __LINE__; call goErr
#define IF_NOTOK_RETURN(action) if (status/=0) then; TRACEBACK; action; return; end if
#define IF_ERROR_RETURN(action) if (status> 0) then; TRACEBACK; action; return; end if
!
#include "tm5.inc"
!
!#################################################################

module Chemistry

  use GO, only : gol, goPr, goErr
  
  implicit none

  
  ! --- in/out ----------------------------

  private

  public  ::  Chemistry_Init, Chemistry_Done
  public  ::  Chemie
  
  
  ! --- const -----------------------------
  
  character(len=*), parameter  ::  mname = 'chemistry'
  

contains


  ! ================================================================
  
  
  subroutine Chemistry_Init( status )
  
    ! --- in/out --------------------------------
    
    integer, intent(out)           ::  status
    
    ! --- const ------------------------------

    character(len=*), parameter ::  rname = mname//'/Chemistry_Init'
    
    ! --- begin --------------------------------
    
    ! nothing to be init

    ! ok
    status = 0
    
  end subroutine Chemistry_Init
  
  
  ! ***
  
  
  subroutine Chemistry_Done( status )
  
    ! --- in/out --------------------------------
    
    integer, intent(out)           ::  status
    
    ! --- const ------------------------------

    character(len=*), parameter ::  rname = mname//'/Chemistry_Done'

    ! --- begin --------------------------------
    
    ! nothing to be done

    ! ok
    status = 0
    
  end subroutine Chemistry_Done
  
  
  
  ! ================================================================
  

  subroutine Chemie( region, tr, status )

    use GO, only : TDate

    ! --- in/out -----------------------------

    integer, intent(in)          ::  region
    type(TDate), intent(in)      ::  tr(2)
    integer, intent(out)         ::  status

    ! --- const ------------------------------

    character(len=*), parameter ::  rname = mname//'/chemie'

    ! --- begin ---------------------------------
    
    ! no chemistry

    ! ok
    status=0

  end subroutine Chemie


end module Chemistry
