
Integer, Parameter :: ntrace      = 90
Integer, Parameter :: ntracet     = 69
Integer, Parameter :: ntrace_chem = 21
Integer, Parameter :: io3 = 1
Integer, Parameter :: iaii_n = 2
Integer, Parameter :: ibcaii = 3
Integer, Parameter :: ipomaii = 4
Integer, Parameter :: iaci_n = 5
Integer, Parameter :: iduaci = 6
Integer, Parameter :: ih2o2 = 7
Integer, Parameter :: ihno3 = 8
Integer, Parameter :: ieth = 9
Integer, Parameter :: irooh = 10
Integer, Parameter :: idms = 11
Integer, Parameter :: imsa = 12
Integer, Parameter :: imgly = 13
Integer, Parameter :: iais_n = 14
Integer, Parameter :: iso4ais = 15
Integer, Parameter :: ibcais = 16
Integer, Parameter :: ipomais = 17
Integer, Parameter :: icoi_n = 18
Integer, Parameter :: iducoi = 19
Integer, Parameter :: inox = 20
Integer, Parameter :: ico = 21
Integer, Parameter :: ipar = 22
Integer, Parameter :: ipan = 23
Integer, Parameter :: iso2 = 24
Integer, Parameter :: inh4 = 25
Integer, Parameter :: ipb210 = 26
Integer, Parameter :: icos_n = 27
Integer, Parameter :: iso4cos = 28
Integer, Parameter :: ibccos = 29
Integer, Parameter :: ipomcos = 30
Integer, Parameter :: isscos = 31
Integer, Parameter :: iducos = 32
Integer, Parameter :: inus_n = 33
Integer, Parameter :: iso4nus = 34
Integer, Parameter :: ich2o = 35
Integer, Parameter :: iald2 = 36
Integer, Parameter :: iisop = 37
Integer, Parameter :: iso4 = 38
Integer, Parameter :: irn222 = 39
Integer, Parameter :: ino3_a = 40
Integer, Parameter :: iacs_n = 41
Integer, Parameter :: iso4acs = 42
Integer, Parameter :: ibcacs = 43
Integer, Parameter :: ipomacs = 44
Integer, Parameter :: issacs = 45
Integer, Parameter :: iduacs = 46
Integer, Parameter :: ich4 = 47
Integer, Parameter :: ich3o2h = 48
Integer, Parameter :: iole = 49
Integer, Parameter :: iorgntr = 50
Integer, Parameter :: inh3 = 51
Integer, Parameter :: io3s = 52
Integer, Parameter :: isoanus = 53
Integer, Parameter :: ich3oh = 54
Integer, Parameter :: ihcooh = 55
Integer, Parameter :: imcooh = 56
Integer, Parameter :: ic2h6  = 57
Integer, Parameter :: iethoh = 58
Integer, Parameter :: ic3h8  = 59 
Integer, Parameter :: ic3h6  = 60
Integer, Parameter :: iterp  = 61
Integer, Parameter :: iacet  = 62
Integer, Parameter :: iispd  = 63
Integer, Parameter :: ihono    = 64
Integer, Parameter :: ich3o2no2 = 65
Integer, Parameter :: isoaais = 66
Integer, Parameter :: isoaacs = 67
Integer, Parameter :: isoacos = 68
Integer, Parameter :: isoaaii = 69
Integer, Parameter :: ino      = 70
Integer, Parameter :: iho2     = 71
Integer, Parameter :: ich3o2   = 72
Integer, Parameter :: ioh      = 73
Integer, Parameter :: ino2     = 74
Integer, Parameter :: ino3     = 75
Integer, Parameter :: in2o5    = 76
Integer, Parameter :: ihno4    = 77
Integer, Parameter :: ic2o3    = 78
Integer, Parameter :: iror     = 79
Integer, Parameter :: irxpar   = 80
Integer, Parameter :: ixo2     = 81
Integer, Parameter :: ixo2n    = 82
Integer, Parameter :: inh2     = 83
Integer, Parameter :: ih2opart = 84
Integer, Parameter :: ic3h7o2  = 85
Integer, Parameter :: ihypro2  = 86
Integer, Parameter :: iaco2    = 87
Integer, Parameter :: inh2o2   = 88
Integer, Parameter :: ielvoc   = 89
Integer, Parameter :: isvoc    = 90

Integer, Dimension(4), Parameter :: distribution = (/13, 13, 13, 13/)
integer, parameter  ::  tracer_name_len = 9

Character(len=tracer_name_len), Dimension(ntrace), Parameter :: &
     names = (/'O3       ','AII_N    ','BCAII    ','POMAII   ','ACI_N    ',&
               'DUACI    ','H2O2     ','HNO3     ','ETH      ','ROOH     ',&
               'DMS      ','MSA      ','MGLY     ','AIS_N    ','SO4AIS   ',&
               'BCAIS    ','POMAIS   ','COI_N    ','DUCOI    ','NOx      ',&
               'CO       ','PAR      ','PAN      ','SO2      ','NH4      ',&
               'PB210    ','COS_N    ','SO4COS   ','BCCOS    ','POMCOS   ',&
               'SSCOS    ','DUCOS    ','NUS_N    ','SO4NUS   ','CH2O     ',&
               'ALD2     ','ISOP     ','H2SO4    ','RN222    ','NO3_A    ',&
               'ACS_N    ','SO4ACS   ','BCACS    ','POMACS   ','SSACS    ',&
               'DUACS    ','CH4      ','CH3O2H   ','OLE      ','ORGNTR   ',&
               'NH3      ','O3S      ','SOANUS   ','CH3OH    ','HCOOH    ','MCOOH    ',&
               'C2H6     ','ETHOH    ','C3H8     ','C3H6     ','TERP     ',&
               'ACET     ','ISPD     ','HONO     ','CH3O2NO2 ','SOAAIS   ',&
               'SOAACS   ','SOACOS   ','SOAAII   ','NO       ',&
               'HO2      ','CH3O2    ','OH       ','NO2      ','NO3      ',&
               'N2O5     ','HNO4     ','C2O3     ','ROR      ','RXPAR    ',&
               'XO2      ','XO2N     ','NH2      ','H2OPART  ','C3H7O2   ',&
               'HYPRO2   ','ACO2     ','NH2O2    ','ELVOC    ','SVOC     '/)

Real, Dimension(ntrace), Parameter :: ra = (/xmo3,xmnumb,xmbc,xmpom,xmnumb,xmdust,xmh2o2,xmhno3,xmeth,xmrooh,&
     xmdms,xmmsa,xmgly,xmnumb,xmso4,xmbc,xmpom,xmnumb,xmdust,xmnox,&
     xmco,xmpar,xmpan,xmso2,xmnh4,xmpb210,xmnumb,xmso4,xmbc,xmpom,&
     xmnacl,xmdust,xmnumb,xmso4,xmch2o,xmald2,xmisop,xmh2so4,xmrn222,xmno3_a,&
     xmnumb,xmso4,xmbc,xmpom,xmnacl,xmdust,xmch4,xmmepe,xmole,xmorgntr,&
     xmnh3,xmo3,xmpom,xmch3oh,xmhcooh,xmmcooh,xmc2h6,xmethoh,xmc3h8,xmc3h6,xmterp,&
     xmacet,xmispd,xmhono,xmch3o2no2,xmpom,xmpom,xmpom,xmpom,xmno,xmho2,xmch3o2,xmoh,xmno2,xmno3,xmn2o5,xmhno4,&
     xmc2o3,xmror,xmrxpar,xmxo2,xmxo2n,xmnh2,xmh2o,xmc3h7o2,xmc3h7o2,xmaco2,xmnh2o2,xmelvoc,xmsvoc/)
